import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface AnalysisServicesServerConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly adminUsers?: string[];
    /**
     *
     */
    readonly backupBlobContainerUri?: string;
    /**
     *
     */
    readonly enablePowerBiService?: boolean;
    /**
     *
     */
    readonly location: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly querypoolConnectionMode?: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly sku: string;
    /**
     *
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * ipv4_firewall_rule block.
     */
    readonly ipv4FirewallRule?: AnalysisServicesServerIpv4FirewallRule[];
    /**
     * timeouts block.
     */
    readonly timeouts?: AnalysisServicesServerTimeouts;
}
/**
 *
 */
export interface AnalysisServicesServerIpv4FirewallRule {
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly rangeEnd: string;
    /**
     *
     */
    readonly rangeStart: string;
}
/**
 *
 */
export interface AnalysisServicesServerTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class AnalysisServicesServer extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: AnalysisServicesServerConfig);
    private _adminUsers?;
    /**
     *
     */
    get adminUsers(): string[] | undefined;
    /**
     *
     */
    set adminUsers(value: string[] | undefined);
    private _backupBlobContainerUri?;
    /**
     *
     */
    get backupBlobContainerUri(): string | undefined;
    /**
     *
     */
    set backupBlobContainerUri(value: string | undefined);
    private _enablePowerBiService?;
    /**
     *
     */
    get enablePowerBiService(): boolean | undefined;
    /**
     *
     */
    set enablePowerBiService(value: boolean | undefined);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _location;
    /**
     *
     */
    get location(): string;
    /**
     *
     */
    set location(value: string);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _querypoolConnectionMode?;
    /**
     *
     */
    get querypoolConnectionMode(): string | undefined;
    /**
     *
     */
    set querypoolConnectionMode(value: string | undefined);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    /**
     *
     */
    get serverFullName(): string;
    private _sku;
    /**
     *
     */
    get sku(): string;
    /**
     *
     */
    set sku(value: string);
    private _tags?;
    /**
     *
     */
    get tags(): {
        [key: string]: string;
    } | undefined;
    /**
     *
     */
    set tags(value: {
        [key: string]: string;
    } | undefined);
    private _ipv4FirewallRule?;
    /**
     *
     */
    get ipv4FirewallRule(): AnalysisServicesServerIpv4FirewallRule[] | undefined;
    /**
     *
     */
    set ipv4FirewallRule(value: AnalysisServicesServerIpv4FirewallRule[] | undefined);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): AnalysisServicesServerTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: AnalysisServicesServerTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
