import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface ApiManagementApiOperationPolicyConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly apiManagementName: string;
    /**
     *
     */
    readonly apiName: string;
    /**
     *
     */
    readonly operationId: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly xmlContent?: string;
    /**
     *
     */
    readonly xmlLink?: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: ApiManagementApiOperationPolicyTimeouts;
}
/**
 *
 */
export interface ApiManagementApiOperationPolicyTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class ApiManagementApiOperationPolicy extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: ApiManagementApiOperationPolicyConfig);
    private _apiManagementName;
    /**
     *
     */
    get apiManagementName(): string;
    /**
     *
     */
    set apiManagementName(value: string);
    private _apiName;
    /**
     *
     */
    get apiName(): string;
    /**
     *
     */
    set apiName(value: string);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _operationId;
    /**
     *
     */
    get operationId(): string;
    /**
     *
     */
    set operationId(value: string);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _xmlContent?;
    /**
     *
     */
    get xmlContent(): string | undefined;
    /**
     *
     */
    set xmlContent(value: string | undefined);
    private _xmlLink?;
    /**
     *
     */
    get xmlLink(): string | undefined;
    /**
     *
     */
    set xmlLink(value: string | undefined);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): ApiManagementApiOperationPolicyTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: ApiManagementApiOperationPolicyTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
