import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface ApiManagementApiOperationConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly apiManagementName: string;
    /**
     *
     */
    readonly apiName: string;
    /**
     *
     */
    readonly description?: string;
    /**
     *
     */
    readonly displayName: string;
    /**
     *
     */
    readonly method: string;
    /**
     *
     */
    readonly operationId: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly urlTemplate: string;
    /**
     * request block.
     */
    readonly request?: ApiManagementApiOperationRequest[];
    /**
     * response block.
     */
    readonly response?: ApiManagementApiOperationResponse[];
    /**
     * template_parameter block.
     */
    readonly templateParameter?: ApiManagementApiOperationTemplateParameter[];
    /**
     * timeouts block.
     */
    readonly timeouts?: ApiManagementApiOperationTimeouts;
}
/**
 *
 */
export interface ApiManagementApiOperationRequestHeader {
    /**
     *
     */
    readonly defaultValue?: string;
    /**
     *
     */
    readonly description?: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly required: boolean;
    /**
     *
     */
    readonly type: string;
    /**
     *
     */
    readonly values?: string[];
}
/**
 *
 */
export interface ApiManagementApiOperationRequestQueryParameter {
    /**
     *
     */
    readonly defaultValue?: string;
    /**
     *
     */
    readonly description?: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly required: boolean;
    /**
     *
     */
    readonly type: string;
    /**
     *
     */
    readonly values?: string[];
}
/**
 *
 */
export interface ApiManagementApiOperationRequestRepresentationFormParameter {
    /**
     *
     */
    readonly defaultValue?: string;
    /**
     *
     */
    readonly description?: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly required: boolean;
    /**
     *
     */
    readonly type: string;
    /**
     *
     */
    readonly values?: string[];
}
/**
 *
 */
export interface ApiManagementApiOperationRequestRepresentation {
    /**
     *
     */
    readonly contentType: string;
    /**
     *
     */
    readonly sample?: string;
    /**
     *
     */
    readonly schemaId?: string;
    /**
     *
     */
    readonly typeName?: string;
    /**
     * form_parameter block.
     */
    readonly formParameter?: ApiManagementApiOperationRequestRepresentationFormParameter[];
}
/**
 *
 */
export interface ApiManagementApiOperationRequest {
    /**
     *
     */
    readonly description?: string;
    /**
     * header block.
     */
    readonly header?: ApiManagementApiOperationRequestHeader[];
    /**
     * query_parameter block.
     */
    readonly queryParameter?: ApiManagementApiOperationRequestQueryParameter[];
    /**
     * representation block.
     */
    readonly representation?: ApiManagementApiOperationRequestRepresentation[];
}
/**
 *
 */
export interface ApiManagementApiOperationResponseHeader {
    /**
     *
     */
    readonly defaultValue?: string;
    /**
     *
     */
    readonly description?: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly required: boolean;
    /**
     *
     */
    readonly type: string;
    /**
     *
     */
    readonly values?: string[];
}
/**
 *
 */
export interface ApiManagementApiOperationResponseRepresentationFormParameter {
    /**
     *
     */
    readonly defaultValue?: string;
    /**
     *
     */
    readonly description?: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly required: boolean;
    /**
     *
     */
    readonly type: string;
    /**
     *
     */
    readonly values?: string[];
}
/**
 *
 */
export interface ApiManagementApiOperationResponseRepresentation {
    /**
     *
     */
    readonly contentType: string;
    /**
     *
     */
    readonly sample?: string;
    /**
     *
     */
    readonly schemaId?: string;
    /**
     *
     */
    readonly typeName?: string;
    /**
     * form_parameter block.
     */
    readonly formParameter?: ApiManagementApiOperationResponseRepresentationFormParameter[];
}
/**
 *
 */
export interface ApiManagementApiOperationResponse {
    /**
     *
     */
    readonly description?: string;
    /**
     *
     */
    readonly statusCode: number;
    /**
     * header block.
     */
    readonly header?: ApiManagementApiOperationResponseHeader[];
    /**
     * representation block.
     */
    readonly representation?: ApiManagementApiOperationResponseRepresentation[];
}
/**
 *
 */
export interface ApiManagementApiOperationTemplateParameter {
    /**
     *
     */
    readonly defaultValue?: string;
    /**
     *
     */
    readonly description?: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly required: boolean;
    /**
     *
     */
    readonly type: string;
    /**
     *
     */
    readonly values?: string[];
}
/**
 *
 */
export interface ApiManagementApiOperationTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class ApiManagementApiOperation extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: ApiManagementApiOperationConfig);
    private _apiManagementName;
    /**
     *
     */
    get apiManagementName(): string;
    /**
     *
     */
    set apiManagementName(value: string);
    private _apiName;
    /**
     *
     */
    get apiName(): string;
    /**
     *
     */
    set apiName(value: string);
    private _description?;
    /**
     *
     */
    get description(): string | undefined;
    /**
     *
     */
    set description(value: string | undefined);
    private _displayName;
    /**
     *
     */
    get displayName(): string;
    /**
     *
     */
    set displayName(value: string);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _method;
    /**
     *
     */
    get method(): string;
    /**
     *
     */
    set method(value: string);
    private _operationId;
    /**
     *
     */
    get operationId(): string;
    /**
     *
     */
    set operationId(value: string);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _urlTemplate;
    /**
     *
     */
    get urlTemplate(): string;
    /**
     *
     */
    set urlTemplate(value: string);
    private _request?;
    /**
     *
     */
    get request(): ApiManagementApiOperationRequest[] | undefined;
    /**
     *
     */
    set request(value: ApiManagementApiOperationRequest[] | undefined);
    private _response?;
    /**
     *
     */
    get response(): ApiManagementApiOperationResponse[] | undefined;
    /**
     *
     */
    set response(value: ApiManagementApiOperationResponse[] | undefined);
    private _templateParameter?;
    /**
     *
     */
    get templateParameter(): ApiManagementApiOperationTemplateParameter[] | undefined;
    /**
     *
     */
    set templateParameter(value: ApiManagementApiOperationTemplateParameter[] | undefined);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): ApiManagementApiOperationTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: ApiManagementApiOperationTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
