import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface ApiManagementApiSchemaConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly apiManagementName: string;
    /**
     *
     */
    readonly apiName: string;
    /**
     *
     */
    readonly contentType: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly schemaId: string;
    /**
     *
     */
    readonly value: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: ApiManagementApiSchemaTimeouts;
}
/**
 *
 */
export interface ApiManagementApiSchemaTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class ApiManagementApiSchema extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: ApiManagementApiSchemaConfig);
    private _apiManagementName;
    /**
     *
     */
    get apiManagementName(): string;
    /**
     *
     */
    set apiManagementName(value: string);
    private _apiName;
    /**
     *
     */
    get apiName(): string;
    /**
     *
     */
    set apiName(value: string);
    private _contentType;
    /**
     *
     */
    get contentType(): string;
    /**
     *
     */
    set contentType(value: string);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _schemaId;
    /**
     *
     */
    get schemaId(): string;
    /**
     *
     */
    set schemaId(value: string);
    private _value;
    /**
     *
     */
    get value(): string;
    /**
     *
     */
    set value(value: string);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): ApiManagementApiSchemaTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: ApiManagementApiSchemaTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
