import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface ApiManagementApiVersionSetConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly apiManagementName: string;
    /**
     *
     */
    readonly description?: string;
    /**
     *
     */
    readonly displayName: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly versionHeaderName?: string;
    /**
     *
     */
    readonly versionQueryName?: string;
    /**
     *
     */
    readonly versioningScheme: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: ApiManagementApiVersionSetTimeouts;
}
/**
 *
 */
export interface ApiManagementApiVersionSetTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class ApiManagementApiVersionSet extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: ApiManagementApiVersionSetConfig);
    private _apiManagementName;
    /**
     *
     */
    get apiManagementName(): string;
    /**
     *
     */
    set apiManagementName(value: string);
    private _description?;
    /**
     *
     */
    get description(): string | undefined;
    /**
     *
     */
    set description(value: string | undefined);
    private _displayName;
    /**
     *
     */
    get displayName(): string;
    /**
     *
     */
    set displayName(value: string);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _versionHeaderName?;
    /**
     *
     */
    get versionHeaderName(): string | undefined;
    /**
     *
     */
    set versionHeaderName(value: string | undefined);
    private _versionQueryName?;
    /**
     *
     */
    get versionQueryName(): string | undefined;
    /**
     *
     */
    set versionQueryName(value: string | undefined);
    private _versioningScheme;
    /**
     *
     */
    get versioningScheme(): string;
    /**
     *
     */
    set versioningScheme(value: string);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): ApiManagementApiVersionSetTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: ApiManagementApiVersionSetTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
