import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface ApiManagementApiConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly apiManagementName: string;
    /**
     *
     */
    readonly description?: string;
    /**
     *
     */
    readonly displayName: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly path: string;
    /**
     *
     */
    readonly protocols: string[];
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly revision: string;
    /**
     *
     */
    readonly serviceUrl?: string;
    /**
     *
     */
    readonly soapPassThrough?: boolean;
    /**
     *
     */
    readonly version?: string;
    /**
     *
     */
    readonly versionSetId?: string;
    /**
     * import block.
     */
    readonly import?: ApiManagementApiImport[];
    /**
     * subscription_key_parameter_names block.
     */
    readonly subscriptionKeyParameterNames?: ApiManagementApiSubscriptionKeyParameterNames[];
    /**
     * timeouts block.
     */
    readonly timeouts?: ApiManagementApiTimeouts;
}
/**
 *
 */
export interface ApiManagementApiImportWsdlSelector {
    /**
     *
     */
    readonly endpointName: string;
    /**
     *
     */
    readonly serviceName: string;
}
/**
 *
 */
export interface ApiManagementApiImport {
    /**
     *
     */
    readonly contentFormat: string;
    /**
     *
     */
    readonly contentValue: string;
    /**
     * wsdl_selector block.
     */
    readonly wsdlSelector?: ApiManagementApiImportWsdlSelector[];
}
/**
 *
 */
export interface ApiManagementApiSubscriptionKeyParameterNames {
    /**
     *
     */
    readonly header: string;
    /**
     *
     */
    readonly query: string;
}
/**
 *
 */
export interface ApiManagementApiTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class ApiManagementApi extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: ApiManagementApiConfig);
    private _apiManagementName;
    /**
     *
     */
    get apiManagementName(): string;
    /**
     *
     */
    set apiManagementName(value: string);
    private _description?;
    /**
     *
     */
    get description(): string | undefined;
    /**
     *
     */
    set description(value: string | undefined);
    private _displayName;
    /**
     *
     */
    get displayName(): string;
    /**
     *
     */
    set displayName(value: string);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    /**
     *
     */
    get isCurrent(): boolean;
    /**
     *
     */
    get isOnline(): boolean;
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _path;
    /**
     *
     */
    get path(): string;
    /**
     *
     */
    set path(value: string);
    private _protocols;
    /**
     *
     */
    get protocols(): string[];
    /**
     *
     */
    set protocols(value: string[]);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _revision;
    /**
     *
     */
    get revision(): string;
    /**
     *
     */
    set revision(value: string);
    private _serviceUrl?;
    /**
     *
     */
    get serviceUrl(): string | undefined;
    /**
     *
     */
    set serviceUrl(value: string | undefined);
    private _soapPassThrough?;
    /**
     *
     */
    get soapPassThrough(): boolean | undefined;
    /**
     *
     */
    set soapPassThrough(value: boolean | undefined);
    private _version?;
    /**
     *
     */
    get version(): string | undefined;
    /**
     *
     */
    set version(value: string | undefined);
    private _versionSetId?;
    /**
     *
     */
    get versionSetId(): string | undefined;
    /**
     *
     */
    set versionSetId(value: string | undefined);
    private _import?;
    /**
     *
     */
    get import(): ApiManagementApiImport[] | undefined;
    /**
     *
     */
    set import(value: ApiManagementApiImport[] | undefined);
    private _subscriptionKeyParameterNames?;
    /**
     *
     */
    get subscriptionKeyParameterNames(): ApiManagementApiSubscriptionKeyParameterNames[] | undefined;
    /**
     *
     */
    set subscriptionKeyParameterNames(value: ApiManagementApiSubscriptionKeyParameterNames[] | undefined);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): ApiManagementApiTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: ApiManagementApiTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
