import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface ApiManagementAuthorizationServerConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly apiManagementName: string;
    /**
     *
     */
    readonly authorizationEndpoint: string;
    /**
     *
     */
    readonly authorizationMethods: string[];
    /**
     *
     */
    readonly bearerTokenSendingMethods?: string[];
    /**
     *
     */
    readonly clientAuthenticationMethod?: string[];
    /**
     *
     */
    readonly clientId: string;
    /**
     *
     */
    readonly clientRegistrationEndpoint: string;
    /**
     *
     */
    readonly clientSecret?: string;
    /**
     *
     */
    readonly defaultScope?: string;
    /**
     *
     */
    readonly description?: string;
    /**
     *
     */
    readonly displayName: string;
    /**
     *
     */
    readonly grantTypes: string[];
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly resourceOwnerPassword?: string;
    /**
     *
     */
    readonly resourceOwnerUsername?: string;
    /**
     *
     */
    readonly supportState?: boolean;
    /**
     *
     */
    readonly tokenEndpoint?: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: ApiManagementAuthorizationServerTimeouts;
    /**
     * token_body_parameter block.
     */
    readonly tokenBodyParameter?: ApiManagementAuthorizationServerTokenBodyParameter[];
}
/**
 *
 */
export interface ApiManagementAuthorizationServerTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export interface ApiManagementAuthorizationServerTokenBodyParameter {
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly value: string;
}
/**
 *
 */
export declare class ApiManagementAuthorizationServer extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: ApiManagementAuthorizationServerConfig);
    private _apiManagementName;
    /**
     *
     */
    get apiManagementName(): string;
    /**
     *
     */
    set apiManagementName(value: string);
    private _authorizationEndpoint;
    /**
     *
     */
    get authorizationEndpoint(): string;
    /**
     *
     */
    set authorizationEndpoint(value: string);
    private _authorizationMethods;
    /**
     *
     */
    get authorizationMethods(): string[];
    /**
     *
     */
    set authorizationMethods(value: string[]);
    private _bearerTokenSendingMethods?;
    /**
     *
     */
    get bearerTokenSendingMethods(): string[] | undefined;
    /**
     *
     */
    set bearerTokenSendingMethods(value: string[] | undefined);
    private _clientAuthenticationMethod?;
    /**
     *
     */
    get clientAuthenticationMethod(): string[] | undefined;
    /**
     *
     */
    set clientAuthenticationMethod(value: string[] | undefined);
    private _clientId;
    /**
     *
     */
    get clientId(): string;
    /**
     *
     */
    set clientId(value: string);
    private _clientRegistrationEndpoint;
    /**
     *
     */
    get clientRegistrationEndpoint(): string;
    /**
     *
     */
    set clientRegistrationEndpoint(value: string);
    private _clientSecret?;
    /**
     *
     */
    get clientSecret(): string | undefined;
    /**
     *
     */
    set clientSecret(value: string | undefined);
    private _defaultScope?;
    /**
     *
     */
    get defaultScope(): string | undefined;
    /**
     *
     */
    set defaultScope(value: string | undefined);
    private _description?;
    /**
     *
     */
    get description(): string | undefined;
    /**
     *
     */
    set description(value: string | undefined);
    private _displayName;
    /**
     *
     */
    get displayName(): string;
    /**
     *
     */
    set displayName(value: string);
    private _grantTypes;
    /**
     *
     */
    get grantTypes(): string[];
    /**
     *
     */
    set grantTypes(value: string[]);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _resourceOwnerPassword?;
    /**
     *
     */
    get resourceOwnerPassword(): string | undefined;
    /**
     *
     */
    set resourceOwnerPassword(value: string | undefined);
    private _resourceOwnerUsername?;
    /**
     *
     */
    get resourceOwnerUsername(): string | undefined;
    /**
     *
     */
    set resourceOwnerUsername(value: string | undefined);
    private _supportState?;
    /**
     *
     */
    get supportState(): boolean | undefined;
    /**
     *
     */
    set supportState(value: boolean | undefined);
    private _tokenEndpoint?;
    /**
     *
     */
    get tokenEndpoint(): string | undefined;
    /**
     *
     */
    set tokenEndpoint(value: string | undefined);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): ApiManagementAuthorizationServerTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: ApiManagementAuthorizationServerTimeouts | undefined);
    private _tokenBodyParameter?;
    /**
     *
     */
    get tokenBodyParameter(): ApiManagementAuthorizationServerTokenBodyParameter[] | undefined;
    /**
     *
     */
    set tokenBodyParameter(value: ApiManagementAuthorizationServerTokenBodyParameter[] | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
