import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface ApiManagementBackendConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly apiManagementName: string;
    /**
     *
     */
    readonly description?: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly protocol: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly resourceId?: string;
    /**
     *
     */
    readonly title?: string;
    /**
     *
     */
    readonly url: string;
    /**
     * credentials block.
     */
    readonly credentials?: ApiManagementBackendCredentials[];
    /**
     * proxy block.
     */
    readonly proxy?: ApiManagementBackendProxy[];
    /**
     * service_fabric_cluster block.
     */
    readonly serviceFabricCluster?: ApiManagementBackendServiceFabricCluster[];
    /**
     * timeouts block.
     */
    readonly timeouts?: ApiManagementBackendTimeouts;
    /**
     * tls block.
     */
    readonly tls?: ApiManagementBackendTls[];
}
/**
 *
 */
export interface ApiManagementBackendCredentialsAuthorization {
    /**
     *
     */
    readonly parameter?: string;
    /**
     *
     */
    readonly scheme?: string;
}
/**
 *
 */
export interface ApiManagementBackendCredentials {
    /**
     *
     */
    readonly certificate?: string[];
    /**
     *
     */
    readonly header?: {
        [key: string]: string;
    };
    /**
     *
     */
    readonly query?: {
        [key: string]: string;
    };
    /**
     * authorization block.
     */
    readonly authorization?: ApiManagementBackendCredentialsAuthorization[];
}
/**
 *
 */
export interface ApiManagementBackendProxy {
    /**
     *
     */
    readonly password?: string;
    /**
     *
     */
    readonly url: string;
    /**
     *
     */
    readonly username: string;
}
/**
 *
 */
export interface ApiManagementBackendServiceFabricClusterServerX509Name {
    /**
     *
     */
    readonly issuerCertificateThumbprint: string;
    /**
     *
     */
    readonly name: string;
}
/**
 *
 */
export interface ApiManagementBackendServiceFabricCluster {
    /**
     *
     */
    readonly clientCertificateThumbprint: string;
    /**
     *
     */
    readonly managementEndpoints: string[];
    /**
     *
     */
    readonly maxPartitionResolutionRetries: number;
    /**
     *
     */
    readonly serverCertificateThumbprints?: string[];
    /**
     * server_x509_name block.
     */
    readonly serverX509Name?: ApiManagementBackendServiceFabricClusterServerX509Name[];
}
/**
 *
 */
export interface ApiManagementBackendTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export interface ApiManagementBackendTls {
    /**
     *
     */
    readonly validateCertificateChain?: boolean;
    /**
     *
     */
    readonly validateCertificateName?: boolean;
}
/**
 *
 */
export declare class ApiManagementBackend extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: ApiManagementBackendConfig);
    private _apiManagementName;
    /**
     *
     */
    get apiManagementName(): string;
    /**
     *
     */
    set apiManagementName(value: string);
    private _description?;
    /**
     *
     */
    get description(): string | undefined;
    /**
     *
     */
    set description(value: string | undefined);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _protocol;
    /**
     *
     */
    get protocol(): string;
    /**
     *
     */
    set protocol(value: string);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _resourceId?;
    /**
     *
     */
    get resourceId(): string | undefined;
    /**
     *
     */
    set resourceId(value: string | undefined);
    private _title?;
    /**
     *
     */
    get title(): string | undefined;
    /**
     *
     */
    set title(value: string | undefined);
    private _url;
    /**
     *
     */
    get url(): string;
    /**
     *
     */
    set url(value: string);
    private _credentials?;
    /**
     *
     */
    get credentials(): ApiManagementBackendCredentials[] | undefined;
    /**
     *
     */
    set credentials(value: ApiManagementBackendCredentials[] | undefined);
    private _proxy?;
    /**
     *
     */
    get proxy(): ApiManagementBackendProxy[] | undefined;
    /**
     *
     */
    set proxy(value: ApiManagementBackendProxy[] | undefined);
    private _serviceFabricCluster?;
    /**
     *
     */
    get serviceFabricCluster(): ApiManagementBackendServiceFabricCluster[] | undefined;
    /**
     *
     */
    set serviceFabricCluster(value: ApiManagementBackendServiceFabricCluster[] | undefined);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): ApiManagementBackendTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: ApiManagementBackendTimeouts | undefined);
    private _tls?;
    /**
     *
     */
    get tls(): ApiManagementBackendTls[] | undefined;
    /**
     *
     */
    set tls(value: ApiManagementBackendTls[] | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
