import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface ApiManagementCertificateAConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly apiManagementName: string;
    /**
     *
     */
    readonly data: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly password?: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: ApiManagementCertificateTimeouts;
}
/**
 *
 */
export interface ApiManagementCertificateTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class ApiManagementCertificateA extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: ApiManagementCertificateAConfig);
    private _apiManagementName;
    /**
     *
     */
    get apiManagementName(): string;
    /**
     *
     */
    set apiManagementName(value: string);
    private _data;
    /**
     *
     */
    get data(): string;
    /**
     *
     */
    set data(value: string);
    /**
     *
     */
    get expiration(): string;
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _password?;
    /**
     *
     */
    get password(): string | undefined;
    /**
     *
     */
    set password(value: string | undefined);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    /**
     *
     */
    get subject(): string;
    /**
     *
     */
    get thumbprint(): string;
    private _timeouts?;
    /**
     *
     */
    get timeouts(): ApiManagementCertificateTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: ApiManagementCertificateTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
