import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface ApiManagementGroupUserConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly apiManagementName: string;
    /**
     *
     */
    readonly groupName: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly userId: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: ApiManagementGroupUserTimeouts;
}
/**
 *
 */
export interface ApiManagementGroupUserTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class ApiManagementGroupUser extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: ApiManagementGroupUserConfig);
    private _apiManagementName;
    /**
     *
     */
    get apiManagementName(): string;
    /**
     *
     */
    set apiManagementName(value: string);
    private _groupName;
    /**
     *
     */
    get groupName(): string;
    /**
     *
     */
    set groupName(value: string);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _userId;
    /**
     *
     */
    get userId(): string;
    /**
     *
     */
    set userId(value: string);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): ApiManagementGroupUserTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: ApiManagementGroupUserTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
