import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface ApiManagementIdentityProviderAadConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly allowedTenants: string[];
    /**
     *
     */
    readonly apiManagementName: string;
    /**
     *
     */
    readonly clientId: string;
    /**
     *
     */
    readonly clientSecret: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: ApiManagementIdentityProviderAadTimeouts;
}
/**
 *
 */
export interface ApiManagementIdentityProviderAadTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class ApiManagementIdentityProviderAad extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: ApiManagementIdentityProviderAadConfig);
    private _allowedTenants;
    /**
     *
     */
    get allowedTenants(): string[];
    /**
     *
     */
    set allowedTenants(value: string[]);
    private _apiManagementName;
    /**
     *
     */
    get apiManagementName(): string;
    /**
     *
     */
    set apiManagementName(value: string);
    private _clientId;
    /**
     *
     */
    get clientId(): string;
    /**
     *
     */
    set clientId(value: string);
    private _clientSecret;
    /**
     *
     */
    get clientSecret(): string;
    /**
     *
     */
    set clientSecret(value: string);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): ApiManagementIdentityProviderAadTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: ApiManagementIdentityProviderAadTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
