import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface ApiManagementLoggerConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly apiManagementName: string;
    /**
     *
     */
    readonly buffered?: boolean;
    /**
     *
     */
    readonly description?: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     * application_insights block.
     */
    readonly applicationInsights?: ApiManagementLoggerApplicationInsights[];
    /**
     * eventhub block.
     */
    readonly eventhub?: ApiManagementLoggerEventhub[];
    /**
     * timeouts block.
     */
    readonly timeouts?: ApiManagementLoggerTimeouts;
}
/**
 *
 */
export interface ApiManagementLoggerApplicationInsights {
    /**
     *
     */
    readonly instrumentationKey: string;
}
/**
 *
 */
export interface ApiManagementLoggerEventhub {
    /**
     *
     */
    readonly connectionString: string;
    /**
     *
     */
    readonly name: string;
}
/**
 *
 */
export interface ApiManagementLoggerTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class ApiManagementLogger extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: ApiManagementLoggerConfig);
    private _apiManagementName;
    /**
     *
     */
    get apiManagementName(): string;
    /**
     *
     */
    set apiManagementName(value: string);
    private _buffered?;
    /**
     *
     */
    get buffered(): boolean | undefined;
    /**
     *
     */
    set buffered(value: boolean | undefined);
    private _description?;
    /**
     *
     */
    get description(): string | undefined;
    /**
     *
     */
    set description(value: string | undefined);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _applicationInsights?;
    /**
     *
     */
    get applicationInsights(): ApiManagementLoggerApplicationInsights[] | undefined;
    /**
     *
     */
    set applicationInsights(value: ApiManagementLoggerApplicationInsights[] | undefined);
    private _eventhub?;
    /**
     *
     */
    get eventhub(): ApiManagementLoggerEventhub[] | undefined;
    /**
     *
     */
    set eventhub(value: ApiManagementLoggerEventhub[] | undefined);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): ApiManagementLoggerTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: ApiManagementLoggerTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
