import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface ApiManagementProductPolicyConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly apiManagementName: string;
    /**
     *
     */
    readonly productId: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly xmlContent?: string;
    /**
     *
     */
    readonly xmlLink?: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: ApiManagementProductPolicyTimeouts;
}
/**
 *
 */
export interface ApiManagementProductPolicyTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class ApiManagementProductPolicy extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: ApiManagementProductPolicyConfig);
    private _apiManagementName;
    /**
     *
     */
    get apiManagementName(): string;
    /**
     *
     */
    set apiManagementName(value: string);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _productId;
    /**
     *
     */
    get productId(): string;
    /**
     *
     */
    set productId(value: string);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _xmlContent?;
    /**
     *
     */
    get xmlContent(): string | undefined;
    /**
     *
     */
    set xmlContent(value: string | undefined);
    private _xmlLink?;
    /**
     *
     */
    get xmlLink(): string | undefined;
    /**
     *
     */
    set xmlLink(value: string | undefined);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): ApiManagementProductPolicyTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: ApiManagementProductPolicyTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
