import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface ApiManagementProductConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly apiManagementName: string;
    /**
     *
     */
    readonly approvalRequired?: boolean;
    /**
     *
     */
    readonly description?: string;
    /**
     *
     */
    readonly displayName: string;
    /**
     *
     */
    readonly productId: string;
    /**
     *
     */
    readonly published: boolean;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly subscriptionRequired: boolean;
    /**
     *
     */
    readonly subscriptionsLimit?: number;
    /**
     *
     */
    readonly terms?: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: ApiManagementProductTimeouts;
}
/**
 *
 */
export interface ApiManagementProductTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class ApiManagementProduct extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: ApiManagementProductConfig);
    private _apiManagementName;
    /**
     *
     */
    get apiManagementName(): string;
    /**
     *
     */
    set apiManagementName(value: string);
    private _approvalRequired?;
    /**
     *
     */
    get approvalRequired(): boolean | undefined;
    /**
     *
     */
    set approvalRequired(value: boolean | undefined);
    private _description?;
    /**
     *
     */
    get description(): string | undefined;
    /**
     *
     */
    set description(value: string | undefined);
    private _displayName;
    /**
     *
     */
    get displayName(): string;
    /**
     *
     */
    set displayName(value: string);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _productId;
    /**
     *
     */
    get productId(): string;
    /**
     *
     */
    set productId(value: string);
    private _published;
    /**
     *
     */
    get published(): boolean;
    /**
     *
     */
    set published(value: boolean);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _subscriptionRequired;
    /**
     *
     */
    get subscriptionRequired(): boolean;
    /**
     *
     */
    set subscriptionRequired(value: boolean);
    private _subscriptionsLimit?;
    /**
     *
     */
    get subscriptionsLimit(): number | undefined;
    /**
     *
     */
    set subscriptionsLimit(value: number | undefined);
    private _terms?;
    /**
     *
     */
    get terms(): string | undefined;
    /**
     *
     */
    set terms(value: string | undefined);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): ApiManagementProductTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: ApiManagementProductTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
