import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface ApiManagementPropertyConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly apiManagementName: string;
    /**
     *
     */
    readonly displayName: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly secret?: boolean;
    /**
     *
     */
    readonly tags?: string[];
    /**
     *
     */
    readonly value: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: ApiManagementPropertyTimeouts;
}
/**
 *
 */
export interface ApiManagementPropertyTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class ApiManagementProperty extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: ApiManagementPropertyConfig);
    private _apiManagementName;
    /**
     *
     */
    get apiManagementName(): string;
    /**
     *
     */
    set apiManagementName(value: string);
    private _displayName;
    /**
     *
     */
    get displayName(): string;
    /**
     *
     */
    set displayName(value: string);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _secret?;
    /**
     *
     */
    get secret(): boolean | undefined;
    /**
     *
     */
    set secret(value: boolean | undefined);
    private _tags?;
    /**
     *
     */
    get tags(): string[] | undefined;
    /**
     *
     */
    set tags(value: string[] | undefined);
    private _value;
    /**
     *
     */
    get value(): string;
    /**
     *
     */
    set value(value: string);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): ApiManagementPropertyTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: ApiManagementPropertyTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
