import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface ApiManagementSubscriptionConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly apiManagementName: string;
    /**
     *
     */
    readonly displayName: string;
    /**
     *
     */
    readonly primaryKey?: string;
    /**
     *
     */
    readonly productId: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly secondaryKey?: string;
    /**
     *
     */
    readonly state?: string;
    /**
     *
     */
    readonly subscriptionId?: string;
    /**
     *
     */
    readonly userId: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: ApiManagementSubscriptionTimeouts;
}
/**
 *
 */
export interface ApiManagementSubscriptionTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class ApiManagementSubscription extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: ApiManagementSubscriptionConfig);
    private _apiManagementName;
    /**
     *
     */
    get apiManagementName(): string;
    /**
     *
     */
    set apiManagementName(value: string);
    private _displayName;
    /**
     *
     */
    get displayName(): string;
    /**
     *
     */
    set displayName(value: string);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _primaryKey?;
    /**
     *
     */
    get primaryKey(): string | undefined;
    /**
     *
     */
    set primaryKey(value: string | undefined);
    private _productId;
    /**
     *
     */
    get productId(): string;
    /**
     *
     */
    set productId(value: string);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _secondaryKey?;
    /**
     *
     */
    get secondaryKey(): string | undefined;
    /**
     *
     */
    set secondaryKey(value: string | undefined);
    private _state?;
    /**
     *
     */
    get state(): string | undefined;
    /**
     *
     */
    set state(value: string | undefined);
    private _subscriptionId?;
    /**
     *
     */
    get subscriptionId(): string | undefined;
    /**
     *
     */
    set subscriptionId(value: string | undefined);
    private _userId;
    /**
     *
     */
    get userId(): string;
    /**
     *
     */
    set userId(value: string);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): ApiManagementSubscriptionTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: ApiManagementSubscriptionTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
