import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface ApiManagementUserConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly apiManagementName: string;
    /**
     *
     */
    readonly confirmation?: string;
    /**
     *
     */
    readonly email: string;
    /**
     *
     */
    readonly firstName: string;
    /**
     *
     */
    readonly lastName: string;
    /**
     *
     */
    readonly note?: string;
    /**
     *
     */
    readonly password?: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly state?: string;
    /**
     *
     */
    readonly userId: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: ApiManagementUserTimeouts;
}
/**
 *
 */
export interface ApiManagementUserTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class ApiManagementUser extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: ApiManagementUserConfig);
    private _apiManagementName;
    /**
     *
     */
    get apiManagementName(): string;
    /**
     *
     */
    set apiManagementName(value: string);
    private _confirmation?;
    /**
     *
     */
    get confirmation(): string | undefined;
    /**
     *
     */
    set confirmation(value: string | undefined);
    private _email;
    /**
     *
     */
    get email(): string;
    /**
     *
     */
    set email(value: string);
    private _firstName;
    /**
     *
     */
    get firstName(): string;
    /**
     *
     */
    set firstName(value: string);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _lastName;
    /**
     *
     */
    get lastName(): string;
    /**
     *
     */
    set lastName(value: string);
    private _note?;
    /**
     *
     */
    get note(): string | undefined;
    /**
     *
     */
    set note(value: string | undefined);
    private _password?;
    /**
     *
     */
    get password(): string | undefined;
    /**
     *
     */
    set password(value: string | undefined);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _state?;
    /**
     *
     */
    get state(): string | undefined;
    /**
     *
     */
    set state(value: string | undefined);
    private _userId;
    /**
     *
     */
    get userId(): string;
    /**
     *
     */
    set userId(value: string);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): ApiManagementUserTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: ApiManagementUserTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
