import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface ApiManagementConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly location: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly notificationSenderEmail?: string;
    /**
     *
     */
    readonly policy?: ApiManagementPolicy[];
    /**
     *
     */
    readonly publisherEmail: string;
    /**
     *
     */
    readonly publisherName: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly skuName: string;
    /**
     *
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * additional_location block.
     */
    readonly additionalLocation?: ApiManagementAdditionalLocation[];
    /**
     * certificate block.
     */
    readonly certificate?: ApiManagementCertificate[];
    /**
     * hostname_configuration block.
     */
    readonly hostnameConfiguration?: ApiManagementHostnameConfiguration[];
    /**
     * identity block.
     */
    readonly identity?: ApiManagementIdentity[];
    /**
     * protocols block.
     */
    readonly protocols?: ApiManagementProtocols[];
    /**
     * security block.
     */
    readonly security?: ApiManagementSecurity[];
    /**
     * sign_in block.
     */
    readonly signIn?: ApiManagementSignIn[];
    /**
     * sign_up block.
     */
    readonly signUp?: ApiManagementSignUp[];
    /**
     * timeouts block.
     */
    readonly timeouts?: ApiManagementTimeouts;
}
/**
 *
 */
export interface ApiManagementPolicy {
    /**
     *
     */
    readonly xmlContent?: string;
    /**
     *
     */
    readonly xmlLink?: string;
}
/**
 *
 */
export interface ApiManagementAdditionalLocation {
    /**
     *
     */
    readonly location: string;
}
/**
 *
 */
export interface ApiManagementCertificate {
    /**
     *
     */
    readonly certificatePassword: string;
    /**
     *
     */
    readonly encodedCertificate: string;
    /**
     *
     */
    readonly storeName: string;
}
/**
 *
 */
export interface ApiManagementHostnameConfigurationManagement {
    /**
     *
     */
    readonly certificate?: string;
    /**
     *
     */
    readonly certificatePassword?: string;
    /**
     *
     */
    readonly hostName: string;
    /**
     *
     */
    readonly keyVaultId?: string;
    /**
     *
     */
    readonly negotiateClientCertificate?: boolean;
}
/**
 *
 */
export interface ApiManagementHostnameConfigurationPortal {
    /**
     *
     */
    readonly certificate?: string;
    /**
     *
     */
    readonly certificatePassword?: string;
    /**
     *
     */
    readonly hostName: string;
    /**
     *
     */
    readonly keyVaultId?: string;
    /**
     *
     */
    readonly negotiateClientCertificate?: boolean;
}
/**
 *
 */
export interface ApiManagementHostnameConfigurationProxy {
    /**
     *
     */
    readonly certificate?: string;
    /**
     *
     */
    readonly certificatePassword?: string;
    /**
     *
     */
    readonly defaultSslBinding?: boolean;
    /**
     *
     */
    readonly hostName: string;
    /**
     *
     */
    readonly keyVaultId?: string;
    /**
     *
     */
    readonly negotiateClientCertificate?: boolean;
}
/**
 *
 */
export interface ApiManagementHostnameConfigurationScm {
    /**
     *
     */
    readonly certificate?: string;
    /**
     *
     */
    readonly certificatePassword?: string;
    /**
     *
     */
    readonly hostName: string;
    /**
     *
     */
    readonly keyVaultId?: string;
    /**
     *
     */
    readonly negotiateClientCertificate?: boolean;
}
/**
 *
 */
export interface ApiManagementHostnameConfiguration {
    /**
     * management block.
     */
    readonly management?: ApiManagementHostnameConfigurationManagement[];
    /**
     * portal block.
     */
    readonly portal?: ApiManagementHostnameConfigurationPortal[];
    /**
     * proxy block.
     */
    readonly proxy?: ApiManagementHostnameConfigurationProxy[];
    /**
     * scm block.
     */
    readonly scm?: ApiManagementHostnameConfigurationScm[];
}
/**
 *
 */
export interface ApiManagementIdentity {
    /**
     *
     */
    readonly type: string;
}
/**
 *
 */
export interface ApiManagementProtocols {
    /**
     *
     */
    readonly enableHttp2?: boolean;
}
/**
 *
 */
export interface ApiManagementSecurity {
    /**
     *
     */
    readonly enableBackendSsl30?: boolean;
    /**
     *
     */
    readonly enableBackendTls10?: boolean;
    /**
     *
     */
    readonly enableBackendTls11?: boolean;
    /**
     *
     */
    readonly enableFrontendSsl30?: boolean;
    /**
     *
     */
    readonly enableFrontendTls10?: boolean;
    /**
     *
     */
    readonly enableFrontendTls11?: boolean;
    /**
     *
     */
    readonly enableTripleDesCiphers?: boolean;
}
/**
 *
 */
export interface ApiManagementSignIn {
    /**
     *
     */
    readonly enabled: boolean;
}
/**
 *
 */
export interface ApiManagementSignUpTermsOfService {
    /**
     *
     */
    readonly consentRequired: boolean;
    /**
     *
     */
    readonly enabled: boolean;
    /**
     *
     */
    readonly text?: string;
}
/**
 *
 */
export interface ApiManagementSignUp {
    /**
     *
     */
    readonly enabled: boolean;
    /**
     * terms_of_service block.
     */
    readonly termsOfService: ApiManagementSignUpTermsOfService[];
}
/**
 *
 */
export interface ApiManagementTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class ApiManagement extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: ApiManagementConfig);
    /**
     *
     */
    get gatewayRegionalUrl(): string;
    /**
     *
     */
    get gatewayUrl(): string;
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _location;
    /**
     *
     */
    get location(): string;
    /**
     *
     */
    set location(value: string);
    /**
     *
     */
    get managementApiUrl(): string;
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _notificationSenderEmail?;
    /**
     *
     */
    get notificationSenderEmail(): string | undefined;
    /**
     *
     */
    set notificationSenderEmail(value: string | undefined);
    private _policy?;
    /**
     *
     */
    get policy(): ApiManagementPolicy[] | undefined;
    /**
     *
     */
    set policy(value: ApiManagementPolicy[] | undefined);
    /**
     *
     */
    get portalUrl(): string;
    /**
     *
     */
    get publicIpAddresses(): string[];
    private _publisherEmail;
    /**
     *
     */
    get publisherEmail(): string;
    /**
     *
     */
    set publisherEmail(value: string);
    private _publisherName;
    /**
     *
     */
    get publisherName(): string;
    /**
     *
     */
    set publisherName(value: string);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    /**
     *
     */
    get scmUrl(): string;
    private _skuName;
    /**
     *
     */
    get skuName(): string;
    /**
     *
     */
    set skuName(value: string);
    private _tags?;
    /**
     *
     */
    get tags(): {
        [key: string]: string;
    } | undefined;
    /**
     *
     */
    set tags(value: {
        [key: string]: string;
    } | undefined);
    private _additionalLocation?;
    /**
     *
     */
    get additionalLocation(): ApiManagementAdditionalLocation[] | undefined;
    /**
     *
     */
    set additionalLocation(value: ApiManagementAdditionalLocation[] | undefined);
    private _certificate?;
    /**
     *
     */
    get certificate(): ApiManagementCertificate[] | undefined;
    /**
     *
     */
    set certificate(value: ApiManagementCertificate[] | undefined);
    private _hostnameConfiguration?;
    /**
     *
     */
    get hostnameConfiguration(): ApiManagementHostnameConfiguration[] | undefined;
    /**
     *
     */
    set hostnameConfiguration(value: ApiManagementHostnameConfiguration[] | undefined);
    private _identity?;
    /**
     *
     */
    get identity(): ApiManagementIdentity[] | undefined;
    /**
     *
     */
    set identity(value: ApiManagementIdentity[] | undefined);
    private _protocols?;
    /**
     *
     */
    get protocols(): ApiManagementProtocols[] | undefined;
    /**
     *
     */
    set protocols(value: ApiManagementProtocols[] | undefined);
    private _security?;
    /**
     *
     */
    get security(): ApiManagementSecurity[] | undefined;
    /**
     *
     */
    set security(value: ApiManagementSecurity[] | undefined);
    private _signIn?;
    /**
     *
     */
    get signIn(): ApiManagementSignIn[] | undefined;
    /**
     *
     */
    set signIn(value: ApiManagementSignIn[] | undefined);
    private _signUp?;
    /**
     *
     */
    get signUp(): ApiManagementSignUp[] | undefined;
    /**
     *
     */
    set signUp(value: ApiManagementSignUp[] | undefined);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): ApiManagementTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: ApiManagementTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
