import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
import { ComplexComputedList } from "cdktf";
/**
 *
 */
export interface AppServiceCertificateOrderConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly autoRenew?: boolean;
    /**
     *
     */
    readonly csr?: string;
    /**
     *
     */
    readonly distinguishedName?: string;
    /**
     *
     */
    readonly keySize?: number;
    /**
     *
     */
    readonly location: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly productType?: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     *
     */
    readonly validityInYears?: number;
    /**
     * timeouts block.
     */
    readonly timeouts?: AppServiceCertificateOrderTimeouts;
}
/**
 *
 */
export declare class AppServiceCertificateOrderCertificates extends ComplexComputedList {
    /**
     *
     */
    get certificateName(): string;
    /**
     *
     */
    get keyVaultId(): string;
    /**
     *
     */
    get keyVaultSecretName(): string;
    /**
     *
     */
    get provisioningState(): string;
}
/**
 *
 */
export interface AppServiceCertificateOrderTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class AppServiceCertificateOrder extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: AppServiceCertificateOrderConfig);
    /**
     *
     */
    get appServiceCertificateNotRenewableReasons(): string[];
    private _autoRenew?;
    /**
     *
     */
    get autoRenew(): boolean | undefined;
    /**
     *
     */
    set autoRenew(value: boolean | undefined);
    /**
     *
     */
    certificates(index: string): AppServiceCertificateOrderCertificates;
    private _csr?;
    /**
     *
     */
    get csr(): string | undefined;
    /**
     *
     */
    set csr(value: string | undefined);
    private _distinguishedName?;
    /**
     *
     */
    get distinguishedName(): string | undefined;
    /**
     *
     */
    set distinguishedName(value: string | undefined);
    /**
     *
     */
    get domainVerificationToken(): string;
    /**
     *
     */
    get expirationTime(): string;
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    /**
     *
     */
    get intermediateThumbprint(): string;
    /**
     *
     */
    get isPrivateKeyExternal(): boolean;
    private _keySize?;
    /**
     *
     */
    get keySize(): number | undefined;
    /**
     *
     */
    set keySize(value: number | undefined);
    private _location;
    /**
     *
     */
    get location(): string;
    /**
     *
     */
    set location(value: string);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _productType?;
    /**
     *
     */
    get productType(): string | undefined;
    /**
     *
     */
    set productType(value: string | undefined);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    /**
     *
     */
    get rootThumbprint(): string;
    /**
     *
     */
    get signedCertificateThumbprint(): string;
    /**
     *
     */
    get status(): string;
    private _tags?;
    /**
     *
     */
    get tags(): {
        [key: string]: string;
    } | undefined;
    /**
     *
     */
    set tags(value: {
        [key: string]: string;
    } | undefined);
    private _validityInYears?;
    /**
     *
     */
    get validityInYears(): number | undefined;
    /**
     *
     */
    set validityInYears(value: number | undefined);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): AppServiceCertificateOrderTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: AppServiceCertificateOrderTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
