import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface AppServiceCertificateConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly keyVaultSecretId?: string;
    /**
     *
     */
    readonly location: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly password?: string;
    /**
     *
     */
    readonly pfxBlob?: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * timeouts block.
     */
    readonly timeouts?: AppServiceCertificateTimeouts;
}
/**
 *
 */
export interface AppServiceCertificateTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class AppServiceCertificate extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: AppServiceCertificateConfig);
    /**
     *
     */
    get expirationDate(): string;
    /**
     *
     */
    get friendlyName(): string;
    /**
     *
     */
    get hostNames(): string[];
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    /**
     *
     */
    get issueDate(): string;
    /**
     *
     */
    get issuer(): string;
    private _keyVaultSecretId?;
    /**
     *
     */
    get keyVaultSecretId(): string | undefined;
    /**
     *
     */
    set keyVaultSecretId(value: string | undefined);
    private _location;
    /**
     *
     */
    get location(): string;
    /**
     *
     */
    set location(value: string);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _password?;
    /**
     *
     */
    get password(): string | undefined;
    /**
     *
     */
    set password(value: string | undefined);
    private _pfxBlob?;
    /**
     *
     */
    get pfxBlob(): string | undefined;
    /**
     *
     */
    set pfxBlob(value: string | undefined);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    /**
     *
     */
    get subjectName(): string;
    private _tags?;
    /**
     *
     */
    get tags(): {
        [key: string]: string;
    } | undefined;
    /**
     *
     */
    set tags(value: {
        [key: string]: string;
    } | undefined);
    /**
     *
     */
    get thumbprint(): string;
    private _timeouts?;
    /**
     *
     */
    get timeouts(): AppServiceCertificateTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: AppServiceCertificateTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
