import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface AppServiceCustomHostnameBindingConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly appServiceName: string;
    /**
     *
     */
    readonly hostname: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly sslState?: string;
    /**
     *
     */
    readonly thumbprint?: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: AppServiceCustomHostnameBindingTimeouts;
}
/**
 *
 */
export interface AppServiceCustomHostnameBindingTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class AppServiceCustomHostnameBinding extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: AppServiceCustomHostnameBindingConfig);
    private _appServiceName;
    /**
     *
     */
    get appServiceName(): string;
    /**
     *
     */
    set appServiceName(value: string);
    private _hostname;
    /**
     *
     */
    get hostname(): string;
    /**
     *
     */
    set hostname(value: string);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _sslState?;
    /**
     *
     */
    get sslState(): string | undefined;
    /**
     *
     */
    set sslState(value: string | undefined);
    private _thumbprint?;
    /**
     *
     */
    get thumbprint(): string | undefined;
    /**
     *
     */
    set thumbprint(value: string | undefined);
    /**
     *
     */
    get virtualIp(): string;
    private _timeouts?;
    /**
     *
     */
    get timeouts(): AppServiceCustomHostnameBindingTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: AppServiceCustomHostnameBindingTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
