import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface AppServiceEnvironmentConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly frontEndScaleFactor?: number;
    /**
     *
     */
    readonly internalLoadBalancingMode?: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly pricingTier?: string;
    /**
     *
     */
    readonly subnetId: string;
    /**
     *
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * timeouts block.
     */
    readonly timeouts?: AppServiceEnvironmentTimeouts;
}
/**
 *
 */
export interface AppServiceEnvironmentTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class AppServiceEnvironment extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: AppServiceEnvironmentConfig);
    private _frontEndScaleFactor?;
    /**
     *
     */
    get frontEndScaleFactor(): number | undefined;
    /**
     *
     */
    set frontEndScaleFactor(value: number | undefined);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _internalLoadBalancingMode?;
    /**
     *
     */
    get internalLoadBalancingMode(): string | undefined;
    /**
     *
     */
    set internalLoadBalancingMode(value: string | undefined);
    /**
     *
     */
    get location(): string;
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _pricingTier?;
    /**
     *
     */
    get pricingTier(): string | undefined;
    /**
     *
     */
    set pricingTier(value: string | undefined);
    /**
     *
     */
    get resourceGroupName(): string;
    private _subnetId;
    /**
     *
     */
    get subnetId(): string;
    /**
     *
     */
    set subnetId(value: string);
    private _tags?;
    /**
     *
     */
    get tags(): {
        [key: string]: string;
    } | undefined;
    /**
     *
     */
    set tags(value: {
        [key: string]: string;
    } | undefined);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): AppServiceEnvironmentTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: AppServiceEnvironmentTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
