import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface AppServicePlanConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly appServiceEnvironmentId?: string;
    /**
     *
     */
    readonly isXenon?: boolean;
    /**
     *
     */
    readonly kind?: string;
    /**
     *
     */
    readonly location: string;
    /**
     *
     */
    readonly maximumElasticWorkerCount?: number;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly perSiteScaling?: boolean;
    /**
     *
     */
    readonly reserved?: boolean;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * sku block.
     */
    readonly sku: AppServicePlanSku[];
    /**
     * timeouts block.
     */
    readonly timeouts?: AppServicePlanTimeouts;
}
/**
 *
 */
export interface AppServicePlanSku {
    /**
     *
     */
    readonly capacity?: number;
    /**
     *
     */
    readonly size: string;
    /**
     *
     */
    readonly tier: string;
}
/**
 *
 */
export interface AppServicePlanTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class AppServicePlan extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: AppServicePlanConfig);
    private _appServiceEnvironmentId?;
    /**
     *
     */
    get appServiceEnvironmentId(): string | undefined;
    /**
     *
     */
    set appServiceEnvironmentId(value: string | undefined);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _isXenon?;
    /**
     *
     */
    get isXenon(): boolean | undefined;
    /**
     *
     */
    set isXenon(value: boolean | undefined);
    private _kind?;
    /**
     *
     */
    get kind(): string | undefined;
    /**
     *
     */
    set kind(value: string | undefined);
    private _location;
    /**
     *
     */
    get location(): string;
    /**
     *
     */
    set location(value: string);
    private _maximumElasticWorkerCount?;
    /**
     *
     */
    get maximumElasticWorkerCount(): number | undefined;
    /**
     *
     */
    set maximumElasticWorkerCount(value: number | undefined);
    /**
     *
     */
    get maximumNumberOfWorkers(): number;
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _perSiteScaling?;
    /**
     *
     */
    get perSiteScaling(): boolean | undefined;
    /**
     *
     */
    set perSiteScaling(value: boolean | undefined);
    private _reserved?;
    /**
     *
     */
    get reserved(): boolean | undefined;
    /**
     *
     */
    set reserved(value: boolean | undefined);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _tags?;
    /**
     *
     */
    get tags(): {
        [key: string]: string;
    } | undefined;
    /**
     *
     */
    set tags(value: {
        [key: string]: string;
    } | undefined);
    private _sku;
    /**
     *
     */
    get sku(): AppServicePlanSku[];
    /**
     *
     */
    set sku(value: AppServicePlanSku[]);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): AppServicePlanTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: AppServicePlanTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
