import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
import { ComplexComputedList } from "cdktf";
/**
 *
 */
export interface AppServiceSlotConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly appServiceName: string;
    /**
     *
     */
    readonly appServicePlanId: string;
    /**
     *
     */
    readonly appSettings?: {
        [key: string]: string;
    };
    /**
     *
     */
    readonly clientAffinityEnabled?: boolean;
    /**
     *
     */
    readonly enabled?: boolean;
    /**
     *
     */
    readonly httpsOnly?: boolean;
    /**
     *
     */
    readonly location: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * auth_settings block.
     */
    readonly authSettings?: AppServiceSlotAuthSettings[];
    /**
     * connection_string block.
     */
    readonly connectionString?: AppServiceSlotConnectionString[];
    /**
     * identity block.
     */
    readonly identity?: AppServiceSlotIdentity[];
    /**
     * logs block.
     */
    readonly logs?: AppServiceSlotLogs[];
    /**
     * site_config block.
     */
    readonly siteConfig?: AppServiceSlotSiteConfig[];
    /**
     * timeouts block.
     */
    readonly timeouts?: AppServiceSlotTimeouts;
}
/**
 *
 */
export declare class AppServiceSlotSiteCredential extends ComplexComputedList {
    /**
     *
     */
    get password(): string;
    /**
     *
     */
    get username(): string;
}
/**
 *
 */
export interface AppServiceSlotAuthSettingsActiveDirectory {
    /**
     *
     */
    readonly allowedAudiences?: string[];
    /**
     *
     */
    readonly clientId: string;
    /**
     *
     */
    readonly clientSecret?: string;
}
/**
 *
 */
export interface AppServiceSlotAuthSettingsFacebook {
    /**
     *
     */
    readonly appId: string;
    /**
     *
     */
    readonly appSecret: string;
    /**
     *
     */
    readonly oauthScopes?: string[];
}
/**
 *
 */
export interface AppServiceSlotAuthSettingsGoogle {
    /**
     *
     */
    readonly clientId: string;
    /**
     *
     */
    readonly clientSecret: string;
    /**
     *
     */
    readonly oauthScopes?: string[];
}
/**
 *
 */
export interface AppServiceSlotAuthSettingsMicrosoft {
    /**
     *
     */
    readonly clientId: string;
    /**
     *
     */
    readonly clientSecret: string;
    /**
     *
     */
    readonly oauthScopes?: string[];
}
/**
 *
 */
export interface AppServiceSlotAuthSettingsTwitter {
    /**
     *
     */
    readonly consumerKey: string;
    /**
     *
     */
    readonly consumerSecret: string;
}
/**
 *
 */
export interface AppServiceSlotAuthSettings {
    /**
     *
     */
    readonly additionalLoginParams?: {
        [key: string]: string;
    };
    /**
     *
     */
    readonly allowedExternalRedirectUrls?: string[];
    /**
     *
     */
    readonly defaultProvider?: string;
    /**
     *
     */
    readonly enabled: boolean;
    /**
     *
     */
    readonly issuer?: string;
    /**
     *
     */
    readonly runtimeVersion?: string;
    /**
     *
     */
    readonly tokenRefreshExtensionHours?: number;
    /**
     *
     */
    readonly tokenStoreEnabled?: boolean;
    /**
     *
     */
    readonly unauthenticatedClientAction?: string;
    /**
     * active_directory block.
     */
    readonly activeDirectory?: AppServiceSlotAuthSettingsActiveDirectory[];
    /**
     * facebook block.
     */
    readonly facebook?: AppServiceSlotAuthSettingsFacebook[];
    /**
     * google block.
     */
    readonly google?: AppServiceSlotAuthSettingsGoogle[];
    /**
     * microsoft block.
     */
    readonly microsoft?: AppServiceSlotAuthSettingsMicrosoft[];
    /**
     * twitter block.
     */
    readonly twitter?: AppServiceSlotAuthSettingsTwitter[];
}
/**
 *
 */
export interface AppServiceSlotConnectionString {
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly type: string;
    /**
     *
     */
    readonly value: string;
}
/**
 *
 */
export interface AppServiceSlotIdentity {
    /**
     *
     */
    readonly identityIds?: string[];
    /**
     *
     */
    readonly type: string;
}
/**
 *
 */
export interface AppServiceSlotLogsApplicationLogsAzureBlobStorage {
    /**
     *
     */
    readonly level: string;
    /**
     *
     */
    readonly retentionInDays: number;
    /**
     *
     */
    readonly sasUrl: string;
}
/**
 *
 */
export interface AppServiceSlotLogsApplicationLogs {
    /**
     * azure_blob_storage block.
     */
    readonly azureBlobStorage?: AppServiceSlotLogsApplicationLogsAzureBlobStorage[];
}
/**
 *
 */
export interface AppServiceSlotLogsHttpLogsAzureBlobStorage {
    /**
     *
     */
    readonly retentionInDays: number;
    /**
     *
     */
    readonly sasUrl: string;
}
/**
 *
 */
export interface AppServiceSlotLogsHttpLogsFileSystem {
    /**
     *
     */
    readonly retentionInDays: number;
    /**
     *
     */
    readonly retentionInMb: number;
}
/**
 *
 */
export interface AppServiceSlotLogsHttpLogs {
    /**
     * azure_blob_storage block.
     */
    readonly azureBlobStorage?: AppServiceSlotLogsHttpLogsAzureBlobStorage[];
    /**
     * file_system block.
     */
    readonly fileSystem?: AppServiceSlotLogsHttpLogsFileSystem[];
}
/**
 *
 */
export interface AppServiceSlotLogs {
    /**
     * application_logs block.
     */
    readonly applicationLogs?: AppServiceSlotLogsApplicationLogs[];
    /**
     * http_logs block.
     */
    readonly httpLogs?: AppServiceSlotLogsHttpLogs[];
}
/**
 *
 */
export interface AppServiceSlotSiteConfigIpRestriction {
    /**
     *
     */
    readonly ipAddress?: string;
    /**
     *
     */
    readonly virtualNetworkSubnetId?: string;
}
/**
 *
 */
export interface AppServiceSlotSiteConfigCors {
    /**
     *
     */
    readonly allowedOrigins: string[];
    /**
     *
     */
    readonly supportCredentials?: boolean;
}
/**
 *
 */
export interface AppServiceSlotSiteConfig {
    /**
     *
     */
    readonly alwaysOn?: boolean;
    /**
     *
     */
    readonly appCommandLine?: string;
    /**
     *
     */
    readonly autoSwapSlotName?: string;
    /**
     *
     */
    readonly defaultDocuments?: string[];
    /**
     *
     */
    readonly dotnetFrameworkVersion?: string;
    /**
     *
     */
    readonly ftpsState?: string;
    /**
     *
     */
    readonly http2Enabled?: boolean;
    /**
     *
     */
    readonly ipRestriction?: AppServiceSlotSiteConfigIpRestriction[];
    /**
     *
     */
    readonly javaContainer?: string;
    /**
     *
     */
    readonly javaContainerVersion?: string;
    /**
     *
     */
    readonly javaVersion?: string;
    /**
     *
     */
    readonly linuxFxVersion?: string;
    /**
     *
     */
    readonly localMysqlEnabled?: boolean;
    /**
     *
     */
    readonly managedPipelineMode?: string;
    /**
     *
     */
    readonly minTlsVersion?: string;
    /**
     *
     */
    readonly phpVersion?: string;
    /**
     *
     */
    readonly pythonVersion?: string;
    /**
     *
     */
    readonly remoteDebuggingEnabled?: boolean;
    /**
     *
     */
    readonly remoteDebuggingVersion?: string;
    /**
     *
     */
    readonly scmType?: string;
    /**
     *
     */
    readonly use32BitWorkerProcess?: boolean;
    /**
     *
     */
    readonly websocketsEnabled?: boolean;
    /**
     *
     */
    readonly windowsFxVersion?: string;
    /**
     * cors block.
     */
    readonly cors?: AppServiceSlotSiteConfigCors[];
}
/**
 *
 */
export interface AppServiceSlotTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class AppServiceSlot extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: AppServiceSlotConfig);
    private _appServiceName;
    /**
     *
     */
    get appServiceName(): string;
    /**
     *
     */
    set appServiceName(value: string);
    private _appServicePlanId;
    /**
     *
     */
    get appServicePlanId(): string;
    /**
     *
     */
    set appServicePlanId(value: string);
    private _appSettings?;
    /**
     *
     */
    get appSettings(): {
        [key: string]: string;
    } | undefined;
    /**
     *
     */
    set appSettings(value: {
        [key: string]: string;
    } | undefined);
    private _clientAffinityEnabled?;
    /**
     *
     */
    get clientAffinityEnabled(): boolean | undefined;
    /**
     *
     */
    set clientAffinityEnabled(value: boolean | undefined);
    /**
     *
     */
    get defaultSiteHostname(): string;
    private _enabled?;
    /**
     *
     */
    get enabled(): boolean | undefined;
    /**
     *
     */
    set enabled(value: boolean | undefined);
    private _httpsOnly?;
    /**
     *
     */
    get httpsOnly(): boolean | undefined;
    /**
     *
     */
    set httpsOnly(value: boolean | undefined);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _location;
    /**
     *
     */
    get location(): string;
    /**
     *
     */
    set location(value: string);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    /**
     *
     */
    siteCredential(index: string): AppServiceSlotSiteCredential;
    private _tags?;
    /**
     *
     */
    get tags(): {
        [key: string]: string;
    } | undefined;
    /**
     *
     */
    set tags(value: {
        [key: string]: string;
    } | undefined);
    private _authSettings?;
    /**
     *
     */
    get authSettings(): AppServiceSlotAuthSettings[] | undefined;
    /**
     *
     */
    set authSettings(value: AppServiceSlotAuthSettings[] | undefined);
    private _connectionString?;
    /**
     *
     */
    get connectionString(): AppServiceSlotConnectionString[] | undefined;
    /**
     *
     */
    set connectionString(value: AppServiceSlotConnectionString[] | undefined);
    private _identity?;
    /**
     *
     */
    get identity(): AppServiceSlotIdentity[] | undefined;
    /**
     *
     */
    set identity(value: AppServiceSlotIdentity[] | undefined);
    private _logs?;
    /**
     *
     */
    get logs(): AppServiceSlotLogs[] | undefined;
    /**
     *
     */
    set logs(value: AppServiceSlotLogs[] | undefined);
    private _siteConfig?;
    /**
     *
     */
    get siteConfig(): AppServiceSlotSiteConfig[] | undefined;
    /**
     *
     */
    set siteConfig(value: AppServiceSlotSiteConfig[] | undefined);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): AppServiceSlotTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: AppServiceSlotTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
