import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface ApplicationInsightsAnalyticsItemConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly applicationInsightsId: string;
    /**
     *
     */
    readonly content: string;
    /**
     *
     */
    readonly functionAlias?: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly scope: string;
    /**
     *
     */
    readonly type: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: ApplicationInsightsAnalyticsItemTimeouts;
}
/**
 *
 */
export interface ApplicationInsightsAnalyticsItemTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class ApplicationInsightsAnalyticsItem extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: ApplicationInsightsAnalyticsItemConfig);
    private _applicationInsightsId;
    /**
     *
     */
    get applicationInsightsId(): string;
    /**
     *
     */
    set applicationInsightsId(value: string);
    private _content;
    /**
     *
     */
    get content(): string;
    /**
     *
     */
    set content(value: string);
    private _functionAlias?;
    /**
     *
     */
    get functionAlias(): string | undefined;
    /**
     *
     */
    set functionAlias(value: string | undefined);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _scope;
    /**
     *
     */
    get scope(): string;
    /**
     *
     */
    set scope(value: string);
    /**
     *
     */
    get timeCreated(): string;
    /**
     *
     */
    get timeModified(): string;
    private _type;
    /**
     *
     */
    get type(): string;
    /**
     *
     */
    set type(value: string);
    /**
     *
     */
    get version(): string;
    private _timeouts?;
    /**
     *
     */
    get timeouts(): ApplicationInsightsAnalyticsItemTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: ApplicationInsightsAnalyticsItemTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
