import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface ApplicationInsightsApiKeyConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly applicationInsightsId: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly readPermissions?: string[];
    /**
     *
     */
    readonly writePermissions?: string[];
    /**
     * timeouts block.
     */
    readonly timeouts?: ApplicationInsightsApiKeyTimeouts;
}
/**
 *
 */
export interface ApplicationInsightsApiKeyTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class ApplicationInsightsApiKey extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: ApplicationInsightsApiKeyConfig);
    /**
     *
     */
    get apiKey(): string;
    private _applicationInsightsId;
    /**
     *
     */
    get applicationInsightsId(): string;
    /**
     *
     */
    set applicationInsightsId(value: string);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _readPermissions?;
    /**
     *
     */
    get readPermissions(): string[] | undefined;
    /**
     *
     */
    set readPermissions(value: string[] | undefined);
    private _writePermissions?;
    /**
     *
     */
    get writePermissions(): string[] | undefined;
    /**
     *
     */
    set writePermissions(value: string[] | undefined);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): ApplicationInsightsApiKeyTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: ApplicationInsightsApiKeyTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
