import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface ApplicationInsightsWebTestConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly applicationInsightsId: string;
    /**
     *
     */
    readonly configuration: string;
    /**
     *
     */
    readonly description?: string;
    /**
     *
     */
    readonly enabled?: boolean;
    /**
     *
     */
    readonly frequency?: number;
    /**
     *
     */
    readonly geoLocations: string[];
    /**
     *
     */
    readonly kind: string;
    /**
     *
     */
    readonly location: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly retryEnabled?: boolean;
    /**
     *
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     *
     */
    readonly timeout?: number;
    /**
     * timeouts block.
     */
    readonly timeouts?: ApplicationInsightsWebTestTimeouts;
}
/**
 *
 */
export interface ApplicationInsightsWebTestTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class ApplicationInsightsWebTest extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: ApplicationInsightsWebTestConfig);
    private _applicationInsightsId;
    /**
     *
     */
    get applicationInsightsId(): string;
    /**
     *
     */
    set applicationInsightsId(value: string);
    private _configuration;
    /**
     *
     */
    get configuration(): string;
    /**
     *
     */
    set configuration(value: string);
    private _description?;
    /**
     *
     */
    get description(): string | undefined;
    /**
     *
     */
    set description(value: string | undefined);
    private _enabled?;
    /**
     *
     */
    get enabled(): boolean | undefined;
    /**
     *
     */
    set enabled(value: boolean | undefined);
    private _frequency?;
    /**
     *
     */
    get frequency(): number | undefined;
    /**
     *
     */
    set frequency(value: number | undefined);
    private _geoLocations;
    /**
     *
     */
    get geoLocations(): string[];
    /**
     *
     */
    set geoLocations(value: string[]);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _kind;
    /**
     *
     */
    get kind(): string;
    /**
     *
     */
    set kind(value: string);
    private _location;
    /**
     *
     */
    get location(): string;
    /**
     *
     */
    set location(value: string);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _retryEnabled?;
    /**
     *
     */
    get retryEnabled(): boolean | undefined;
    /**
     *
     */
    set retryEnabled(value: boolean | undefined);
    /**
     *
     */
    get syntheticMonitorId(): string;
    private _tags?;
    /**
     *
     */
    get tags(): {
        [key: string]: string;
    } | undefined;
    /**
     *
     */
    set tags(value: {
        [key: string]: string;
    } | undefined);
    private _timeout?;
    /**
     *
     */
    get timeout(): number | undefined;
    /**
     *
     */
    set timeout(value: number | undefined);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): ApplicationInsightsWebTestTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: ApplicationInsightsWebTestTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
