import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface ApplicationInsightsConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly applicationType: string;
    /**
     *
     */
    readonly dailyDataCapInGb?: number;
    /**
     *
     */
    readonly dailyDataCapNotificationsDisabled?: boolean;
    /**
     *
     */
    readonly location: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly retentionInDays?: number;
    /**
     *
     */
    readonly samplingPercentage?: number;
    /**
     *
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * timeouts block.
     */
    readonly timeouts?: ApplicationInsightsTimeouts;
}
/**
 *
 */
export interface ApplicationInsightsTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class ApplicationInsights extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: ApplicationInsightsConfig);
    /**
     *
     */
    get appId(): string;
    private _applicationType;
    /**
     *
     */
    get applicationType(): string;
    /**
     *
     */
    set applicationType(value: string);
    private _dailyDataCapInGb?;
    /**
     *
     */
    get dailyDataCapInGb(): number | undefined;
    /**
     *
     */
    set dailyDataCapInGb(value: number | undefined);
    private _dailyDataCapNotificationsDisabled?;
    /**
     *
     */
    get dailyDataCapNotificationsDisabled(): boolean | undefined;
    /**
     *
     */
    set dailyDataCapNotificationsDisabled(value: boolean | undefined);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    /**
     *
     */
    get instrumentationKey(): string;
    private _location;
    /**
     *
     */
    get location(): string;
    /**
     *
     */
    set location(value: string);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _retentionInDays?;
    /**
     *
     */
    get retentionInDays(): number | undefined;
    /**
     *
     */
    set retentionInDays(value: number | undefined);
    private _samplingPercentage?;
    /**
     *
     */
    get samplingPercentage(): number | undefined;
    /**
     *
     */
    set samplingPercentage(value: number | undefined);
    private _tags?;
    /**
     *
     */
    get tags(): {
        [key: string]: string;
    } | undefined;
    /**
     *
     */
    set tags(value: {
        [key: string]: string;
    } | undefined);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): ApplicationInsightsTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: ApplicationInsightsTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
