import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface AutomationCertificateConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly automationAccountName: string;
    /**
     *
     */
    readonly base64: string;
    /**
     *
     */
    readonly description?: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: AutomationCertificateTimeouts;
}
/**
 *
 */
export interface AutomationCertificateTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class AutomationCertificate extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: AutomationCertificateConfig);
    private _automationAccountName;
    /**
     *
     */
    get automationAccountName(): string;
    /**
     *
     */
    set automationAccountName(value: string);
    private _base64;
    /**
     *
     */
    get base64(): string;
    /**
     *
     */
    set base64(value: string);
    private _description?;
    /**
     *
     */
    get description(): string | undefined;
    /**
     *
     */
    set description(value: string | undefined);
    /**
     *
     */
    get exportable(): boolean;
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    /**
     *
     */
    get thumbprint(): string;
    private _timeouts?;
    /**
     *
     */
    get timeouts(): AutomationCertificateTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: AutomationCertificateTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
