import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface AutomationCredentialConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly automationAccountName: string;
    /**
     *
     */
    readonly description?: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly password: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly username: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: AutomationCredentialTimeouts;
}
/**
 *
 */
export interface AutomationCredentialTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class AutomationCredential extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: AutomationCredentialConfig);
    private _automationAccountName;
    /**
     *
     */
    get automationAccountName(): string;
    /**
     *
     */
    set automationAccountName(value: string);
    private _description?;
    /**
     *
     */
    get description(): string | undefined;
    /**
     *
     */
    set description(value: string | undefined);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _password;
    /**
     *
     */
    get password(): string;
    /**
     *
     */
    set password(value: string);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _username;
    /**
     *
     */
    get username(): string;
    /**
     *
     */
    set username(value: string);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): AutomationCredentialTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: AutomationCredentialTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
