import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface AutomationDscConfigurationConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly automationAccountName: string;
    /**
     *
     */
    readonly contentEmbedded: string;
    /**
     *
     */
    readonly description?: string;
    /**
     *
     */
    readonly location: string;
    /**
     *
     */
    readonly logVerbose?: boolean;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: AutomationDscConfigurationTimeouts;
}
/**
 *
 */
export interface AutomationDscConfigurationTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class AutomationDscConfiguration extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: AutomationDscConfigurationConfig);
    private _automationAccountName;
    /**
     *
     */
    get automationAccountName(): string;
    /**
     *
     */
    set automationAccountName(value: string);
    private _contentEmbedded;
    /**
     *
     */
    get contentEmbedded(): string;
    /**
     *
     */
    set contentEmbedded(value: string);
    private _description?;
    /**
     *
     */
    get description(): string | undefined;
    /**
     *
     */
    set description(value: string | undefined);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _location;
    /**
     *
     */
    get location(): string;
    /**
     *
     */
    set location(value: string);
    private _logVerbose?;
    /**
     *
     */
    get logVerbose(): boolean | undefined;
    /**
     *
     */
    set logVerbose(value: boolean | undefined);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    /**
     *
     */
    get state(): string;
    private _timeouts?;
    /**
     *
     */
    get timeouts(): AutomationDscConfigurationTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: AutomationDscConfigurationTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
