import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface AutomationDscNodeconfigurationConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly automationAccountName: string;
    /**
     *
     */
    readonly contentEmbedded: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: AutomationDscNodeconfigurationTimeouts;
}
/**
 *
 */
export interface AutomationDscNodeconfigurationTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class AutomationDscNodeconfiguration extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: AutomationDscNodeconfigurationConfig);
    private _automationAccountName;
    /**
     *
     */
    get automationAccountName(): string;
    /**
     *
     */
    set automationAccountName(value: string);
    /**
     *
     */
    get configurationName(): string;
    private _contentEmbedded;
    /**
     *
     */
    get contentEmbedded(): string;
    /**
     *
     */
    set contentEmbedded(value: string);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): AutomationDscNodeconfigurationTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: AutomationDscNodeconfigurationTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
