import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface AutomationJobScheduleConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly automationAccountName: string;
    /**
     *
     */
    readonly jobScheduleId?: string;
    /**
     *
     */
    readonly parameters?: {
        [key: string]: string;
    };
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly runOn?: string;
    /**
     *
     */
    readonly runbookName: string;
    /**
     *
     */
    readonly scheduleName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: AutomationJobScheduleTimeouts;
}
/**
 *
 */
export interface AutomationJobScheduleTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class AutomationJobSchedule extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: AutomationJobScheduleConfig);
    private _automationAccountName;
    /**
     *
     */
    get automationAccountName(): string;
    /**
     *
     */
    set automationAccountName(value: string);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _jobScheduleId?;
    /**
     *
     */
    get jobScheduleId(): string | undefined;
    /**
     *
     */
    set jobScheduleId(value: string | undefined);
    private _parameters?;
    /**
     *
     */
    get parameters(): {
        [key: string]: string;
    } | undefined;
    /**
     *
     */
    set parameters(value: {
        [key: string]: string;
    } | undefined);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _runOn?;
    /**
     *
     */
    get runOn(): string | undefined;
    /**
     *
     */
    set runOn(value: string | undefined);
    private _runbookName;
    /**
     *
     */
    get runbookName(): string;
    /**
     *
     */
    set runbookName(value: string);
    private _scheduleName;
    /**
     *
     */
    get scheduleName(): string;
    /**
     *
     */
    set scheduleName(value: string);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): AutomationJobScheduleTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: AutomationJobScheduleTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
