import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface AutomationModuleConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly automationAccountName: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     * module_link block.
     */
    readonly moduleLink: AutomationModuleModuleLink[];
    /**
     * timeouts block.
     */
    readonly timeouts?: AutomationModuleTimeouts;
}
/**
 *
 */
export interface AutomationModuleModuleLinkHash {
    /**
     *
     */
    readonly algorithm: string;
    /**
     *
     */
    readonly value: string;
}
/**
 *
 */
export interface AutomationModuleModuleLink {
    /**
     *
     */
    readonly uri: string;
    /**
     * hash block.
     */
    readonly hash?: AutomationModuleModuleLinkHash[];
}
/**
 *
 */
export interface AutomationModuleTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class AutomationModule extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: AutomationModuleConfig);
    private _automationAccountName;
    /**
     *
     */
    get automationAccountName(): string;
    /**
     *
     */
    set automationAccountName(value: string);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _moduleLink;
    /**
     *
     */
    get moduleLink(): AutomationModuleModuleLink[];
    /**
     *
     */
    set moduleLink(value: AutomationModuleModuleLink[]);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): AutomationModuleTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: AutomationModuleTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
