import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface AutomationRunbookConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly automationAccountName: string;
    /**
     *
     */
    readonly content?: string;
    /**
     *
     */
    readonly description?: string;
    /**
     *
     */
    readonly location: string;
    /**
     *
     */
    readonly logProgress: boolean;
    /**
     *
     */
    readonly logVerbose: boolean;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly runbookType: string;
    /**
     *
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * publish_content_link block.
     */
    readonly publishContentLink: AutomationRunbookPublishContentLink[];
    /**
     * timeouts block.
     */
    readonly timeouts?: AutomationRunbookTimeouts;
}
/**
 *
 */
export interface AutomationRunbookPublishContentLinkHash {
    /**
     *
     */
    readonly algorithm: string;
    /**
     *
     */
    readonly value: string;
}
/**
 *
 */
export interface AutomationRunbookPublishContentLink {
    /**
     *
     */
    readonly uri: string;
    /**
     *
     */
    readonly version?: string;
    /**
     * hash block.
     */
    readonly hash?: AutomationRunbookPublishContentLinkHash[];
}
/**
 *
 */
export interface AutomationRunbookTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class AutomationRunbook extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: AutomationRunbookConfig);
    private _automationAccountName;
    /**
     *
     */
    get automationAccountName(): string;
    /**
     *
     */
    set automationAccountName(value: string);
    private _content?;
    /**
     *
     */
    get content(): string | undefined;
    /**
     *
     */
    set content(value: string | undefined);
    private _description?;
    /**
     *
     */
    get description(): string | undefined;
    /**
     *
     */
    set description(value: string | undefined);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _location;
    /**
     *
     */
    get location(): string;
    /**
     *
     */
    set location(value: string);
    private _logProgress;
    /**
     *
     */
    get logProgress(): boolean;
    /**
     *
     */
    set logProgress(value: boolean);
    private _logVerbose;
    /**
     *
     */
    get logVerbose(): boolean;
    /**
     *
     */
    set logVerbose(value: boolean);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _runbookType;
    /**
     *
     */
    get runbookType(): string;
    /**
     *
     */
    set runbookType(value: string);
    private _tags?;
    /**
     *
     */
    get tags(): {
        [key: string]: string;
    } | undefined;
    /**
     *
     */
    set tags(value: {
        [key: string]: string;
    } | undefined);
    private _publishContentLink;
    /**
     *
     */
    get publishContentLink(): AutomationRunbookPublishContentLink[];
    /**
     *
     */
    set publishContentLink(value: AutomationRunbookPublishContentLink[]);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): AutomationRunbookTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: AutomationRunbookTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
