import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface AutomationScheduleConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly automationAccountName: string;
    /**
     *
     */
    readonly description?: string;
    /**
     *
     */
    readonly expiryTime?: string;
    /**
     *
     */
    readonly frequency: string;
    /**
     *
     */
    readonly interval?: number;
    /**
     *
     */
    readonly monthDays?: number[];
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly startTime?: string;
    /**
     *
     */
    readonly timezone?: string;
    /**
     *
     */
    readonly weekDays?: string[];
    /**
     * monthly_occurrence block.
     */
    readonly monthlyOccurrence?: AutomationScheduleMonthlyOccurrence[];
    /**
     * timeouts block.
     */
    readonly timeouts?: AutomationScheduleTimeouts;
}
/**
 *
 */
export interface AutomationScheduleMonthlyOccurrence {
    /**
     *
     */
    readonly day: string;
    /**
     *
     */
    readonly occurrence: number;
}
/**
 *
 */
export interface AutomationScheduleTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class AutomationSchedule extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: AutomationScheduleConfig);
    private _automationAccountName;
    /**
     *
     */
    get automationAccountName(): string;
    /**
     *
     */
    set automationAccountName(value: string);
    private _description?;
    /**
     *
     */
    get description(): string | undefined;
    /**
     *
     */
    set description(value: string | undefined);
    private _expiryTime?;
    /**
     *
     */
    get expiryTime(): string | undefined;
    /**
     *
     */
    set expiryTime(value: string | undefined);
    private _frequency;
    /**
     *
     */
    get frequency(): string;
    /**
     *
     */
    set frequency(value: string);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _interval?;
    /**
     *
     */
    get interval(): number | undefined;
    /**
     *
     */
    set interval(value: number | undefined);
    private _monthDays?;
    /**
     *
     */
    get monthDays(): number[] | undefined;
    /**
     *
     */
    set monthDays(value: number[] | undefined);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _startTime?;
    /**
     *
     */
    get startTime(): string | undefined;
    /**
     *
     */
    set startTime(value: string | undefined);
    private _timezone?;
    /**
     *
     */
    get timezone(): string | undefined;
    /**
     *
     */
    set timezone(value: string | undefined);
    private _weekDays?;
    /**
     *
     */
    get weekDays(): string[] | undefined;
    /**
     *
     */
    set weekDays(value: string[] | undefined);
    private _monthlyOccurrence?;
    /**
     *
     */
    get monthlyOccurrence(): AutomationScheduleMonthlyOccurrence[] | undefined;
    /**
     *
     */
    set monthlyOccurrence(value: AutomationScheduleMonthlyOccurrence[] | undefined);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): AutomationScheduleTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: AutomationScheduleTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
