import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface AutomationVariableDatetimeConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly automationAccountName: string;
    /**
     *
     */
    readonly description?: string;
    /**
     *
     */
    readonly encrypted?: boolean;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly value?: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: AutomationVariableDatetimeTimeouts;
}
/**
 *
 */
export interface AutomationVariableDatetimeTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class AutomationVariableDatetime extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: AutomationVariableDatetimeConfig);
    private _automationAccountName;
    /**
     *
     */
    get automationAccountName(): string;
    /**
     *
     */
    set automationAccountName(value: string);
    private _description?;
    /**
     *
     */
    get description(): string | undefined;
    /**
     *
     */
    set description(value: string | undefined);
    private _encrypted?;
    /**
     *
     */
    get encrypted(): boolean | undefined;
    /**
     *
     */
    set encrypted(value: boolean | undefined);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _value?;
    /**
     *
     */
    get value(): string | undefined;
    /**
     *
     */
    set value(value: string | undefined);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): AutomationVariableDatetimeTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: AutomationVariableDatetimeTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
