import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface AvailabilitySetConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly location: string;
    /**
     *
     */
    readonly managed?: boolean;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly platformFaultDomainCount?: number;
    /**
     *
     */
    readonly platformUpdateDomainCount?: number;
    /**
     *
     */
    readonly proximityPlacementGroupId?: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * timeouts block.
     */
    readonly timeouts?: AvailabilitySetTimeouts;
}
/**
 *
 */
export interface AvailabilitySetTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class AvailabilitySet extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: AvailabilitySetConfig);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _location;
    /**
     *
     */
    get location(): string;
    /**
     *
     */
    set location(value: string);
    private _managed?;
    /**
     *
     */
    get managed(): boolean | undefined;
    /**
     *
     */
    set managed(value: boolean | undefined);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _platformFaultDomainCount?;
    /**
     *
     */
    get platformFaultDomainCount(): number | undefined;
    /**
     *
     */
    set platformFaultDomainCount(value: number | undefined);
    private _platformUpdateDomainCount?;
    /**
     *
     */
    get platformUpdateDomainCount(): number | undefined;
    /**
     *
     */
    set platformUpdateDomainCount(value: number | undefined);
    private _proximityPlacementGroupId?;
    /**
     *
     */
    get proximityPlacementGroupId(): string | undefined;
    /**
     *
     */
    set proximityPlacementGroupId(value: string | undefined);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _tags?;
    /**
     *
     */
    get tags(): {
        [key: string]: string;
    } | undefined;
    /**
     *
     */
    set tags(value: {
        [key: string]: string;
    } | undefined);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): AvailabilitySetTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: AvailabilitySetTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
