import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface BackupContainerStorageAccountConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly recoveryVaultName: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly storageAccountId: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: BackupContainerStorageAccountTimeouts;
}
/**
 *
 */
export interface BackupContainerStorageAccountTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class BackupContainerStorageAccount extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: BackupContainerStorageAccountConfig);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _recoveryVaultName;
    /**
     *
     */
    get recoveryVaultName(): string;
    /**
     *
     */
    set recoveryVaultName(value: string);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _storageAccountId;
    /**
     *
     */
    get storageAccountId(): string;
    /**
     *
     */
    set storageAccountId(value: string);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): BackupContainerStorageAccountTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: BackupContainerStorageAccountTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
