import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface BackupPolicyFileShareConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly recoveryVaultName: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly timezone?: string;
    /**
     * backup block.
     */
    readonly backup: BackupPolicyFileShareBackup[];
    /**
     * retention_daily block.
     */
    readonly retentionDaily: BackupPolicyFileShareRetentionDaily[];
    /**
     * timeouts block.
     */
    readonly timeouts?: BackupPolicyFileShareTimeouts;
}
/**
 *
 */
export interface BackupPolicyFileShareBackup {
    /**
     *
     */
    readonly frequency: string;
    /**
     *
     */
    readonly time: string;
}
/**
 *
 */
export interface BackupPolicyFileShareRetentionDaily {
    /**
     *
     */
    readonly count: number;
}
/**
 *
 */
export interface BackupPolicyFileShareTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class BackupPolicyFileShare extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: BackupPolicyFileShareConfig);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _recoveryVaultName;
    /**
     *
     */
    get recoveryVaultName(): string;
    /**
     *
     */
    set recoveryVaultName(value: string);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _timezone?;
    /**
     *
     */
    get timezone(): string | undefined;
    /**
     *
     */
    set timezone(value: string | undefined);
    private _backup;
    /**
     *
     */
    get backup(): BackupPolicyFileShareBackup[];
    /**
     *
     */
    set backup(value: BackupPolicyFileShareBackup[]);
    private _retentionDaily;
    /**
     *
     */
    get retentionDaily(): BackupPolicyFileShareRetentionDaily[];
    /**
     *
     */
    set retentionDaily(value: BackupPolicyFileShareRetentionDaily[]);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): BackupPolicyFileShareTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: BackupPolicyFileShareTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
