import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface BackupPolicyVmConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly recoveryVaultName: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     *
     */
    readonly timezone?: string;
    /**
     * backup block.
     */
    readonly backup: BackupPolicyVmBackup[];
    /**
     * retention_daily block.
     */
    readonly retentionDaily?: BackupPolicyVmRetentionDaily[];
    /**
     * retention_monthly block.
     */
    readonly retentionMonthly?: BackupPolicyVmRetentionMonthly[];
    /**
     * retention_weekly block.
     */
    readonly retentionWeekly?: BackupPolicyVmRetentionWeekly[];
    /**
     * retention_yearly block.
     */
    readonly retentionYearly?: BackupPolicyVmRetentionYearly[];
    /**
     * timeouts block.
     */
    readonly timeouts?: BackupPolicyVmTimeouts;
}
/**
 *
 */
export interface BackupPolicyVmBackup {
    /**
     *
     */
    readonly frequency: string;
    /**
     *
     */
    readonly time: string;
    /**
     *
     */
    readonly weekdays?: string[];
}
/**
 *
 */
export interface BackupPolicyVmRetentionDaily {
    /**
     *
     */
    readonly count: number;
}
/**
 *
 */
export interface BackupPolicyVmRetentionMonthly {
    /**
     *
     */
    readonly count: number;
    /**
     *
     */
    readonly weekdays: string[];
    /**
     *
     */
    readonly weeks: string[];
}
/**
 *
 */
export interface BackupPolicyVmRetentionWeekly {
    /**
     *
     */
    readonly count: number;
    /**
     *
     */
    readonly weekdays: string[];
}
/**
 *
 */
export interface BackupPolicyVmRetentionYearly {
    /**
     *
     */
    readonly count: number;
    /**
     *
     */
    readonly months: string[];
    /**
     *
     */
    readonly weekdays: string[];
    /**
     *
     */
    readonly weeks: string[];
}
/**
 *
 */
export interface BackupPolicyVmTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class BackupPolicyVm extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: BackupPolicyVmConfig);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _recoveryVaultName;
    /**
     *
     */
    get recoveryVaultName(): string;
    /**
     *
     */
    set recoveryVaultName(value: string);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _tags?;
    /**
     *
     */
    get tags(): {
        [key: string]: string;
    } | undefined;
    /**
     *
     */
    set tags(value: {
        [key: string]: string;
    } | undefined);
    private _timezone?;
    /**
     *
     */
    get timezone(): string | undefined;
    /**
     *
     */
    set timezone(value: string | undefined);
    private _backup;
    /**
     *
     */
    get backup(): BackupPolicyVmBackup[];
    /**
     *
     */
    set backup(value: BackupPolicyVmBackup[]);
    private _retentionDaily?;
    /**
     *
     */
    get retentionDaily(): BackupPolicyVmRetentionDaily[] | undefined;
    /**
     *
     */
    set retentionDaily(value: BackupPolicyVmRetentionDaily[] | undefined);
    private _retentionMonthly?;
    /**
     *
     */
    get retentionMonthly(): BackupPolicyVmRetentionMonthly[] | undefined;
    /**
     *
     */
    set retentionMonthly(value: BackupPolicyVmRetentionMonthly[] | undefined);
    private _retentionWeekly?;
    /**
     *
     */
    get retentionWeekly(): BackupPolicyVmRetentionWeekly[] | undefined;
    /**
     *
     */
    set retentionWeekly(value: BackupPolicyVmRetentionWeekly[] | undefined);
    private _retentionYearly?;
    /**
     *
     */
    get retentionYearly(): BackupPolicyVmRetentionYearly[] | undefined;
    /**
     *
     */
    set retentionYearly(value: BackupPolicyVmRetentionYearly[] | undefined);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): BackupPolicyVmTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: BackupPolicyVmTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
