import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface BackupProtectedFileShareConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly backupPolicyId: string;
    /**
     *
     */
    readonly recoveryVaultName: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly sourceFileShareName: string;
    /**
     *
     */
    readonly sourceStorageAccountId: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: BackupProtectedFileShareTimeouts;
}
/**
 *
 */
export interface BackupProtectedFileShareTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class BackupProtectedFileShare extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: BackupProtectedFileShareConfig);
    private _backupPolicyId;
    /**
     *
     */
    get backupPolicyId(): string;
    /**
     *
     */
    set backupPolicyId(value: string);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _recoveryVaultName;
    /**
     *
     */
    get recoveryVaultName(): string;
    /**
     *
     */
    set recoveryVaultName(value: string);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _sourceFileShareName;
    /**
     *
     */
    get sourceFileShareName(): string;
    /**
     *
     */
    set sourceFileShareName(value: string);
    private _sourceStorageAccountId;
    /**
     *
     */
    get sourceStorageAccountId(): string;
    /**
     *
     */
    set sourceStorageAccountId(value: string);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): BackupProtectedFileShareTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: BackupProtectedFileShareTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
