import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface BackupProtectedVmConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly backupPolicyId: string;
    /**
     *
     */
    readonly recoveryVaultName: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly sourceVmId: string;
    /**
     *
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * timeouts block.
     */
    readonly timeouts?: BackupProtectedVmTimeouts;
}
/**
 *
 */
export interface BackupProtectedVmTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class BackupProtectedVm extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: BackupProtectedVmConfig);
    private _backupPolicyId;
    /**
     *
     */
    get backupPolicyId(): string;
    /**
     *
     */
    set backupPolicyId(value: string);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _recoveryVaultName;
    /**
     *
     */
    get recoveryVaultName(): string;
    /**
     *
     */
    set recoveryVaultName(value: string);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _sourceVmId;
    /**
     *
     */
    get sourceVmId(): string;
    /**
     *
     */
    set sourceVmId(value: string);
    private _tags?;
    /**
     *
     */
    get tags(): {
        [key: string]: string;
    } | undefined;
    /**
     *
     */
    set tags(value: {
        [key: string]: string;
    } | undefined);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): BackupProtectedVmTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: BackupProtectedVmTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
