import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface BastionHostConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly location: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * ip_configuration block.
     */
    readonly ipConfiguration?: BastionHostIpConfiguration[];
    /**
     * timeouts block.
     */
    readonly timeouts?: BastionHostTimeouts;
}
/**
 *
 */
export interface BastionHostIpConfiguration {
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly publicIpAddressId: string;
    /**
     *
     */
    readonly subnetId: string;
}
/**
 *
 */
export interface BastionHostTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class BastionHost extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: BastionHostConfig);
    /**
     *
     */
    get dnsName(): string;
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _location;
    /**
     *
     */
    get location(): string;
    /**
     *
     */
    set location(value: string);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _tags?;
    /**
     *
     */
    get tags(): {
        [key: string]: string;
    } | undefined;
    /**
     *
     */
    set tags(value: {
        [key: string]: string;
    } | undefined);
    private _ipConfiguration?;
    /**
     *
     */
    get ipConfiguration(): BastionHostIpConfiguration[] | undefined;
    /**
     *
     */
    set ipConfiguration(value: BastionHostIpConfiguration[] | undefined);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): BastionHostTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: BastionHostTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
