import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface BatchAccountConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly location: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly poolAllocationMode?: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly storageAccountId?: string;
    /**
     *
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * key_vault_reference block.
     */
    readonly keyVaultReference?: BatchAccountKeyVaultReference[];
    /**
     * timeouts block.
     */
    readonly timeouts?: BatchAccountTimeouts;
}
/**
 *
 */
export interface BatchAccountKeyVaultReference {
    /**
     *
     */
    readonly id: string;
    /**
     *
     */
    readonly url: string;
}
/**
 *
 */
export interface BatchAccountTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class BatchAccount extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: BatchAccountConfig);
    /**
     *
     */
    get accountEndpoint(): string;
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _location;
    /**
     *
     */
    get location(): string;
    /**
     *
     */
    set location(value: string);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _poolAllocationMode?;
    /**
     *
     */
    get poolAllocationMode(): string | undefined;
    /**
     *
     */
    set poolAllocationMode(value: string | undefined);
    /**
     *
     */
    get primaryAccessKey(): string;
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    /**
     *
     */
    get secondaryAccessKey(): string;
    private _storageAccountId?;
    /**
     *
     */
    get storageAccountId(): string | undefined;
    /**
     *
     */
    set storageAccountId(value: string | undefined);
    private _tags?;
    /**
     *
     */
    get tags(): {
        [key: string]: string;
    } | undefined;
    /**
     *
     */
    set tags(value: {
        [key: string]: string;
    } | undefined);
    private _keyVaultReference?;
    /**
     *
     */
    get keyVaultReference(): BatchAccountKeyVaultReference[] | undefined;
    /**
     *
     */
    set keyVaultReference(value: BatchAccountKeyVaultReference[] | undefined);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): BatchAccountTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: BatchAccountTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
