import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface BatchApplicationConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly accountName: string;
    /**
     *
     */
    readonly allowUpdates?: boolean;
    /**
     *
     */
    readonly defaultVersion?: string;
    /**
     *
     */
    readonly displayName?: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: BatchApplicationTimeouts;
}
/**
 *
 */
export interface BatchApplicationTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class BatchApplication extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: BatchApplicationConfig);
    private _accountName;
    /**
     *
     */
    get accountName(): string;
    /**
     *
     */
    set accountName(value: string);
    private _allowUpdates?;
    /**
     *
     */
    get allowUpdates(): boolean | undefined;
    /**
     *
     */
    set allowUpdates(value: boolean | undefined);
    private _defaultVersion?;
    /**
     *
     */
    get defaultVersion(): string | undefined;
    /**
     *
     */
    set defaultVersion(value: string | undefined);
    private _displayName?;
    /**
     *
     */
    get displayName(): string | undefined;
    /**
     *
     */
    set displayName(value: string | undefined);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): BatchApplicationTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: BatchApplicationTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
