import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface BatchCertificateConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly accountName: string;
    /**
     *
     */
    readonly certificate: string;
    /**
     *
     */
    readonly format: string;
    /**
     *
     */
    readonly password?: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly thumbprint: string;
    /**
     *
     */
    readonly thumbprintAlgorithm: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: BatchCertificateTimeouts;
}
/**
 *
 */
export interface BatchCertificateTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class BatchCertificate extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: BatchCertificateConfig);
    private _accountName;
    /**
     *
     */
    get accountName(): string;
    /**
     *
     */
    set accountName(value: string);
    private _certificate;
    /**
     *
     */
    get certificate(): string;
    /**
     *
     */
    set certificate(value: string);
    private _format;
    /**
     *
     */
    get format(): string;
    /**
     *
     */
    set format(value: string);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    /**
     *
     */
    get name(): string;
    private _password?;
    /**
     *
     */
    get password(): string | undefined;
    /**
     *
     */
    set password(value: string | undefined);
    /**
     *
     */
    get publicData(): string;
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _thumbprint;
    /**
     *
     */
    get thumbprint(): string;
    /**
     *
     */
    set thumbprint(value: string);
    private _thumbprintAlgorithm;
    /**
     *
     */
    get thumbprintAlgorithm(): string;
    /**
     *
     */
    set thumbprintAlgorithm(value: string);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): BatchCertificateTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: BatchCertificateTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
