import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface BotChannelEmailConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly botName: string;
    /**
     *
     */
    readonly emailAddress: string;
    /**
     *
     */
    readonly emailPassword: string;
    /**
     *
     */
    readonly location: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: BotChannelEmailTimeouts;
}
/**
 *
 */
export interface BotChannelEmailTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class BotChannelEmail extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: BotChannelEmailConfig);
    private _botName;
    /**
     *
     */
    get botName(): string;
    /**
     *
     */
    set botName(value: string);
    private _emailAddress;
    /**
     *
     */
    get emailAddress(): string;
    /**
     *
     */
    set emailAddress(value: string);
    private _emailPassword;
    /**
     *
     */
    get emailPassword(): string;
    /**
     *
     */
    set emailPassword(value: string);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _location;
    /**
     *
     */
    get location(): string;
    /**
     *
     */
    set location(value: string);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): BotChannelEmailTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: BotChannelEmailTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
