import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface BotChannelSlackConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly botName: string;
    /**
     *
     */
    readonly clientId: string;
    /**
     *
     */
    readonly clientSecret: string;
    /**
     *
     */
    readonly landingPageUrl?: string;
    /**
     *
     */
    readonly location: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly verificationToken: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: BotChannelSlackTimeouts;
}
/**
 *
 */
export interface BotChannelSlackTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class BotChannelSlack extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: BotChannelSlackConfig);
    private _botName;
    /**
     *
     */
    get botName(): string;
    /**
     *
     */
    set botName(value: string);
    private _clientId;
    /**
     *
     */
    get clientId(): string;
    /**
     *
     */
    set clientId(value: string);
    private _clientSecret;
    /**
     *
     */
    get clientSecret(): string;
    /**
     *
     */
    set clientSecret(value: string);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _landingPageUrl?;
    /**
     *
     */
    get landingPageUrl(): string | undefined;
    /**
     *
     */
    set landingPageUrl(value: string | undefined);
    private _location;
    /**
     *
     */
    get location(): string;
    /**
     *
     */
    set location(value: string);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _verificationToken;
    /**
     *
     */
    get verificationToken(): string;
    /**
     *
     */
    set verificationToken(value: string);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): BotChannelSlackTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: BotChannelSlackTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
