import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface BotConnectionConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly botName: string;
    /**
     *
     */
    readonly clientId: string;
    /**
     *
     */
    readonly clientSecret: string;
    /**
     *
     */
    readonly location: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly parameters?: {
        [key: string]: string;
    };
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly scopes?: string;
    /**
     *
     */
    readonly serviceProviderName: string;
    /**
     *
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * timeouts block.
     */
    readonly timeouts?: BotConnectionTimeouts;
}
/**
 *
 */
export interface BotConnectionTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class BotConnection extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: BotConnectionConfig);
    private _botName;
    /**
     *
     */
    get botName(): string;
    /**
     *
     */
    set botName(value: string);
    private _clientId;
    /**
     *
     */
    get clientId(): string;
    /**
     *
     */
    set clientId(value: string);
    private _clientSecret;
    /**
     *
     */
    get clientSecret(): string;
    /**
     *
     */
    set clientSecret(value: string);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _location;
    /**
     *
     */
    get location(): string;
    /**
     *
     */
    set location(value: string);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _parameters?;
    /**
     *
     */
    get parameters(): {
        [key: string]: string;
    } | undefined;
    /**
     *
     */
    set parameters(value: {
        [key: string]: string;
    } | undefined);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _scopes?;
    /**
     *
     */
    get scopes(): string | undefined;
    /**
     *
     */
    set scopes(value: string | undefined);
    private _serviceProviderName;
    /**
     *
     */
    get serviceProviderName(): string;
    /**
     *
     */
    set serviceProviderName(value: string);
    private _tags?;
    /**
     *
     */
    get tags(): {
        [key: string]: string;
    } | undefined;
    /**
     *
     */
    set tags(value: {
        [key: string]: string;
    } | undefined);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): BotConnectionTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: BotConnectionTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
