import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface BotWebAppConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly developerAppInsightsApiKey?: string;
    /**
     *
     */
    readonly developerAppInsightsApplicationId?: string;
    /**
     *
     */
    readonly developerAppInsightsKey?: string;
    /**
     *
     */
    readonly displayName?: string;
    /**
     *
     */
    readonly endpoint?: string;
    /**
     *
     */
    readonly location: string;
    /**
     *
     */
    readonly luisAppIds?: string[];
    /**
     *
     */
    readonly luisKey?: string;
    /**
     *
     */
    readonly microsoftAppId: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly sku: string;
    /**
     *
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * timeouts block.
     */
    readonly timeouts?: BotWebAppTimeouts;
}
/**
 *
 */
export interface BotWebAppTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class BotWebApp extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: BotWebAppConfig);
    private _developerAppInsightsApiKey?;
    /**
     *
     */
    get developerAppInsightsApiKey(): string | undefined;
    /**
     *
     */
    set developerAppInsightsApiKey(value: string | undefined);
    private _developerAppInsightsApplicationId?;
    /**
     *
     */
    get developerAppInsightsApplicationId(): string | undefined;
    /**
     *
     */
    set developerAppInsightsApplicationId(value: string | undefined);
    private _developerAppInsightsKey?;
    /**
     *
     */
    get developerAppInsightsKey(): string | undefined;
    /**
     *
     */
    set developerAppInsightsKey(value: string | undefined);
    private _displayName?;
    /**
     *
     */
    get displayName(): string | undefined;
    /**
     *
     */
    set displayName(value: string | undefined);
    private _endpoint?;
    /**
     *
     */
    get endpoint(): string | undefined;
    /**
     *
     */
    set endpoint(value: string | undefined);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _location;
    /**
     *
     */
    get location(): string;
    /**
     *
     */
    set location(value: string);
    private _luisAppIds?;
    /**
     *
     */
    get luisAppIds(): string[] | undefined;
    /**
     *
     */
    set luisAppIds(value: string[] | undefined);
    private _luisKey?;
    /**
     *
     */
    get luisKey(): string | undefined;
    /**
     *
     */
    set luisKey(value: string | undefined);
    private _microsoftAppId;
    /**
     *
     */
    get microsoftAppId(): string;
    /**
     *
     */
    set microsoftAppId(value: string);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _sku;
    /**
     *
     */
    get sku(): string;
    /**
     *
     */
    set sku(value: string);
    private _tags?;
    /**
     *
     */
    get tags(): {
        [key: string]: string;
    } | undefined;
    /**
     *
     */
    set tags(value: {
        [key: string]: string;
    } | undefined);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): BotWebAppTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: BotWebAppTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
