import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface CdnEndpointConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly contentTypesToCompress?: string[];
    /**
     *
     */
    readonly isCompressionEnabled?: boolean;
    /**
     *
     */
    readonly isHttpAllowed?: boolean;
    /**
     *
     */
    readonly isHttpsAllowed?: boolean;
    /**
     *
     */
    readonly location: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly optimizationType?: string;
    /**
     *
     */
    readonly originHostHeader?: string;
    /**
     *
     */
    readonly originPath?: string;
    /**
     *
     */
    readonly probePath?: string;
    /**
     *
     */
    readonly profileName: string;
    /**
     *
     */
    readonly querystringCachingBehaviour?: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * geo_filter block.
     */
    readonly geoFilter?: CdnEndpointGeoFilter[];
    /**
     * origin block.
     */
    readonly origin: CdnEndpointOrigin[];
    /**
     * timeouts block.
     */
    readonly timeouts?: CdnEndpointTimeouts;
}
/**
 *
 */
export interface CdnEndpointGeoFilter {
    /**
     *
     */
    readonly action: string;
    /**
     *
     */
    readonly countryCodes: string[];
    /**
     *
     */
    readonly relativePath: string;
}
/**
 *
 */
export interface CdnEndpointOrigin {
    /**
     *
     */
    readonly hostName: string;
    /**
     *
     */
    readonly httpPort?: number;
    /**
     *
     */
    readonly httpsPort?: number;
    /**
     *
     */
    readonly name: string;
}
/**
 *
 */
export interface CdnEndpointTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class CdnEndpoint extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: CdnEndpointConfig);
    private _contentTypesToCompress?;
    /**
     *
     */
    get contentTypesToCompress(): string[] | undefined;
    /**
     *
     */
    set contentTypesToCompress(value: string[] | undefined);
    /**
     *
     */
    get hostName(): string;
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _isCompressionEnabled?;
    /**
     *
     */
    get isCompressionEnabled(): boolean | undefined;
    /**
     *
     */
    set isCompressionEnabled(value: boolean | undefined);
    private _isHttpAllowed?;
    /**
     *
     */
    get isHttpAllowed(): boolean | undefined;
    /**
     *
     */
    set isHttpAllowed(value: boolean | undefined);
    private _isHttpsAllowed?;
    /**
     *
     */
    get isHttpsAllowed(): boolean | undefined;
    /**
     *
     */
    set isHttpsAllowed(value: boolean | undefined);
    private _location;
    /**
     *
     */
    get location(): string;
    /**
     *
     */
    set location(value: string);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _optimizationType?;
    /**
     *
     */
    get optimizationType(): string | undefined;
    /**
     *
     */
    set optimizationType(value: string | undefined);
    private _originHostHeader?;
    /**
     *
     */
    get originHostHeader(): string | undefined;
    /**
     *
     */
    set originHostHeader(value: string | undefined);
    private _originPath?;
    /**
     *
     */
    get originPath(): string | undefined;
    /**
     *
     */
    set originPath(value: string | undefined);
    private _probePath?;
    /**
     *
     */
    get probePath(): string | undefined;
    /**
     *
     */
    set probePath(value: string | undefined);
    private _profileName;
    /**
     *
     */
    get profileName(): string;
    /**
     *
     */
    set profileName(value: string);
    private _querystringCachingBehaviour?;
    /**
     *
     */
    get querystringCachingBehaviour(): string | undefined;
    /**
     *
     */
    set querystringCachingBehaviour(value: string | undefined);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _tags?;
    /**
     *
     */
    get tags(): {
        [key: string]: string;
    } | undefined;
    /**
     *
     */
    set tags(value: {
        [key: string]: string;
    } | undefined);
    private _geoFilter?;
    /**
     *
     */
    get geoFilter(): CdnEndpointGeoFilter[] | undefined;
    /**
     *
     */
    set geoFilter(value: CdnEndpointGeoFilter[] | undefined);
    private _origin;
    /**
     *
     */
    get origin(): CdnEndpointOrigin[];
    /**
     *
     */
    set origin(value: CdnEndpointOrigin[]);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): CdnEndpointTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: CdnEndpointTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
