import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface ContainerGroupConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly dnsNameLabel?: string;
    /**
     *
     */
    readonly ipAddressType?: string;
    /**
     *
     */
    readonly location: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly networkProfileId?: string;
    /**
     *
     */
    readonly osType: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly restartPolicy?: string;
    /**
     *
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * container block.
     */
    readonly container: ContainerGroupContainer[];
    /**
     * diagnostics block.
     */
    readonly diagnostics?: ContainerGroupDiagnostics[];
    /**
     * identity block.
     */
    readonly identity?: ContainerGroupIdentity[];
    /**
     * image_registry_credential block.
     */
    readonly imageRegistryCredential?: ContainerGroupImageRegistryCredential[];
    /**
     * timeouts block.
     */
    readonly timeouts?: ContainerGroupTimeouts;
}
/**
 *
 */
export interface ContainerGroupContainerGpu {
    /**
     *
     */
    readonly count?: number;
    /**
     *
     */
    readonly sku?: string;
}
/**
 *
 */
export interface ContainerGroupContainerLivenessProbeHttpGet {
    /**
     *
     */
    readonly path?: string;
    /**
     *
     */
    readonly port?: number;
    /**
     *
     */
    readonly scheme?: string;
}
/**
 *
 */
export interface ContainerGroupContainerLivenessProbe {
    /**
     *
     */
    readonly exec?: string[];
    /**
     *
     */
    readonly failureThreshold?: number;
    /**
     *
     */
    readonly initialDelaySeconds?: number;
    /**
     *
     */
    readonly periodSeconds?: number;
    /**
     *
     */
    readonly successThreshold?: number;
    /**
     *
     */
    readonly timeoutSeconds?: number;
    /**
     * http_get block.
     */
    readonly httpGet?: ContainerGroupContainerLivenessProbeHttpGet[];
}
/**
 *
 */
export interface ContainerGroupContainerPorts {
    /**
     *
     */
    readonly port?: number;
    /**
     *
     */
    readonly protocol?: string;
}
/**
 *
 */
export interface ContainerGroupContainerReadinessProbeHttpGet {
    /**
     *
     */
    readonly path?: string;
    /**
     *
     */
    readonly port?: number;
    /**
     *
     */
    readonly scheme?: string;
}
/**
 *
 */
export interface ContainerGroupContainerReadinessProbe {
    /**
     *
     */
    readonly exec?: string[];
    /**
     *
     */
    readonly failureThreshold?: number;
    /**
     *
     */
    readonly initialDelaySeconds?: number;
    /**
     *
     */
    readonly periodSeconds?: number;
    /**
     *
     */
    readonly successThreshold?: number;
    /**
     *
     */
    readonly timeoutSeconds?: number;
    /**
     * http_get block.
     */
    readonly httpGet?: ContainerGroupContainerReadinessProbeHttpGet[];
}
/**
 *
 */
export interface ContainerGroupContainerVolume {
    /**
     *
     */
    readonly mountPath: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly readOnly?: boolean;
    /**
     *
     */
    readonly shareName: string;
    /**
     *
     */
    readonly storageAccountKey: string;
    /**
     *
     */
    readonly storageAccountName: string;
}
/**
 *
 */
export interface ContainerGroupContainer {
    /**
     *
     */
    readonly commands?: string[];
    /**
     *
     */
    readonly cpu: number;
    /**
     *
     */
    readonly environmentVariables?: {
        [key: string]: string;
    };
    /**
     *
     */
    readonly image: string;
    /**
     *
     */
    readonly memory: number;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly secureEnvironmentVariables?: {
        [key: string]: string;
    };
    /**
     * gpu block.
     */
    readonly gpu?: ContainerGroupContainerGpu[];
    /**
     * liveness_probe block.
     */
    readonly livenessProbe?: ContainerGroupContainerLivenessProbe[];
    /**
     * ports block.
     */
    readonly ports?: ContainerGroupContainerPorts[];
    /**
     * readiness_probe block.
     */
    readonly readinessProbe?: ContainerGroupContainerReadinessProbe[];
    /**
     * volume block.
     */
    readonly volume?: ContainerGroupContainerVolume[];
}
/**
 *
 */
export interface ContainerGroupDiagnosticsLogAnalytics {
    /**
     *
     */
    readonly logType?: string;
    /**
     *
     */
    readonly metadata?: {
        [key: string]: string;
    };
    /**
     *
     */
    readonly workspaceId: string;
    /**
     *
     */
    readonly workspaceKey: string;
}
/**
 *
 */
export interface ContainerGroupDiagnostics {
    /**
     * log_analytics block.
     */
    readonly logAnalytics: ContainerGroupDiagnosticsLogAnalytics[];
}
/**
 *
 */
export interface ContainerGroupIdentity {
    /**
     *
     */
    readonly identityIds?: string[];
    /**
     *
     */
    readonly type: string;
}
/**
 *
 */
export interface ContainerGroupImageRegistryCredential {
    /**
     *
     */
    readonly password: string;
    /**
     *
     */
    readonly server: string;
    /**
     *
     */
    readonly username: string;
}
/**
 *
 */
export interface ContainerGroupTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class ContainerGroup extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: ContainerGroupConfig);
    private _dnsNameLabel?;
    /**
     *
     */
    get dnsNameLabel(): string | undefined;
    /**
     *
     */
    set dnsNameLabel(value: string | undefined);
    /**
     *
     */
    get fqdn(): string;
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    /**
     *
     */
    get ipAddress(): string;
    private _ipAddressType?;
    /**
     *
     */
    get ipAddressType(): string | undefined;
    /**
     *
     */
    set ipAddressType(value: string | undefined);
    private _location;
    /**
     *
     */
    get location(): string;
    /**
     *
     */
    set location(value: string);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _networkProfileId?;
    /**
     *
     */
    get networkProfileId(): string | undefined;
    /**
     *
     */
    set networkProfileId(value: string | undefined);
    private _osType;
    /**
     *
     */
    get osType(): string;
    /**
     *
     */
    set osType(value: string);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _restartPolicy?;
    /**
     *
     */
    get restartPolicy(): string | undefined;
    /**
     *
     */
    set restartPolicy(value: string | undefined);
    private _tags?;
    /**
     *
     */
    get tags(): {
        [key: string]: string;
    } | undefined;
    /**
     *
     */
    set tags(value: {
        [key: string]: string;
    } | undefined);
    private _container;
    /**
     *
     */
    get container(): ContainerGroupContainer[];
    /**
     *
     */
    set container(value: ContainerGroupContainer[]);
    private _diagnostics?;
    /**
     *
     */
    get diagnostics(): ContainerGroupDiagnostics[] | undefined;
    /**
     *
     */
    set diagnostics(value: ContainerGroupDiagnostics[] | undefined);
    private _identity?;
    /**
     *
     */
    get identity(): ContainerGroupIdentity[] | undefined;
    /**
     *
     */
    set identity(value: ContainerGroupIdentity[] | undefined);
    private _imageRegistryCredential?;
    /**
     *
     */
    get imageRegistryCredential(): ContainerGroupImageRegistryCredential[] | undefined;
    /**
     *
     */
    set imageRegistryCredential(value: ContainerGroupImageRegistryCredential[] | undefined);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): ContainerGroupTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: ContainerGroupTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
