import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface ContainerRegistryWebhookConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly actions: string[];
    /**
     *
     */
    readonly customHeaders?: {
        [key: string]: string;
    };
    /**
     *
     */
    readonly location: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly registryName: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly scope?: string;
    /**
     *
     */
    readonly serviceUri: string;
    /**
     *
     */
    readonly status?: string;
    /**
     *
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * timeouts block.
     */
    readonly timeouts?: ContainerRegistryWebhookTimeouts;
}
/**
 *
 */
export interface ContainerRegistryWebhookTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class ContainerRegistryWebhook extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: ContainerRegistryWebhookConfig);
    private _actions;
    /**
     *
     */
    get actions(): string[];
    /**
     *
     */
    set actions(value: string[]);
    private _customHeaders?;
    /**
     *
     */
    get customHeaders(): {
        [key: string]: string;
    } | undefined;
    /**
     *
     */
    set customHeaders(value: {
        [key: string]: string;
    } | undefined);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _location;
    /**
     *
     */
    get location(): string;
    /**
     *
     */
    set location(value: string);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _registryName;
    /**
     *
     */
    get registryName(): string;
    /**
     *
     */
    set registryName(value: string);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _scope?;
    /**
     *
     */
    get scope(): string | undefined;
    /**
     *
     */
    set scope(value: string | undefined);
    private _serviceUri;
    /**
     *
     */
    get serviceUri(): string;
    /**
     *
     */
    set serviceUri(value: string);
    private _status?;
    /**
     *
     */
    get status(): string | undefined;
    /**
     *
     */
    set status(value: string | undefined);
    private _tags?;
    /**
     *
     */
    get tags(): {
        [key: string]: string;
    } | undefined;
    /**
     *
     */
    set tags(value: {
        [key: string]: string;
    } | undefined);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): ContainerRegistryWebhookTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: ContainerRegistryWebhookTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
