import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface ContainerRegistryConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly adminEnabled?: boolean;
    /**
     *
     */
    readonly georeplicationLocations?: string[];
    /**
     *
     */
    readonly location: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly networkRuleSet?: ContainerRegistryNetworkRuleSet[];
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly sku?: string;
    /**
     *
     */
    readonly storageAccountId?: string;
    /**
     *
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * timeouts block.
     */
    readonly timeouts?: ContainerRegistryTimeouts;
}
/**
 *
 */
export interface ContainerRegistryNetworkRuleSetIpRule {
    /**
     *
     */
    readonly action?: string;
    /**
     *
     */
    readonly ipRange?: string;
}
/**
 *
 */
export interface ContainerRegistryNetworkRuleSetVirtualNetwork {
    /**
     *
     */
    readonly action?: string;
    /**
     *
     */
    readonly subnetId?: string;
}
/**
 *
 */
export interface ContainerRegistryNetworkRuleSet {
    /**
     *
     */
    readonly defaultAction?: string;
    /**
     *
     */
    readonly ipRule?: ContainerRegistryNetworkRuleSetIpRule[];
    /**
     *
     */
    readonly virtualNetwork?: ContainerRegistryNetworkRuleSetVirtualNetwork[];
}
/**
 *
 */
export interface ContainerRegistryTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class ContainerRegistry extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: ContainerRegistryConfig);
    private _adminEnabled?;
    /**
     *
     */
    get adminEnabled(): boolean | undefined;
    /**
     *
     */
    set adminEnabled(value: boolean | undefined);
    /**
     *
     */
    get adminPassword(): string;
    /**
     *
     */
    get adminUsername(): string;
    private _georeplicationLocations?;
    /**
     *
     */
    get georeplicationLocations(): string[] | undefined;
    /**
     *
     */
    set georeplicationLocations(value: string[] | undefined);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _location;
    /**
     *
     */
    get location(): string;
    /**
     *
     */
    set location(value: string);
    /**
     *
     */
    get loginServer(): string;
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _networkRuleSet?;
    /**
     *
     */
    get networkRuleSet(): ContainerRegistryNetworkRuleSet[] | undefined;
    /**
     *
     */
    set networkRuleSet(value: ContainerRegistryNetworkRuleSet[] | undefined);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _sku?;
    /**
     *
     */
    get sku(): string | undefined;
    /**
     *
     */
    set sku(value: string | undefined);
    private _storageAccountId?;
    /**
     *
     */
    get storageAccountId(): string | undefined;
    /**
     *
     */
    set storageAccountId(value: string | undefined);
    private _tags?;
    /**
     *
     */
    get tags(): {
        [key: string]: string;
    } | undefined;
    /**
     *
     */
    set tags(value: {
        [key: string]: string;
    } | undefined);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): ContainerRegistryTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: ContainerRegistryTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
