import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface CosmosdbAccountConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly enableAutomaticFailover?: boolean;
    /**
     *
     */
    readonly enableMultipleWriteLocations?: boolean;
    /**
     *
     */
    readonly ipRangeFilter?: string;
    /**
     *
     */
    readonly isVirtualNetworkFilterEnabled?: boolean;
    /**
     *
     */
    readonly kind?: string;
    /**
     *
     */
    readonly location: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly offerType: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * capabilities block.
     */
    readonly capabilities?: CosmosdbAccountCapabilities[];
    /**
     * consistency_policy block.
     */
    readonly consistencyPolicy: CosmosdbAccountConsistencyPolicy[];
    /**
     * geo_location block.
     */
    readonly geoLocation: CosmosdbAccountGeoLocation[];
    /**
     * timeouts block.
     */
    readonly timeouts?: CosmosdbAccountTimeouts;
    /**
     * virtual_network_rule block.
     */
    readonly virtualNetworkRule?: CosmosdbAccountVirtualNetworkRule[];
}
/**
 *
 */
export interface CosmosdbAccountCapabilities {
    /**
     *
     */
    readonly name: string;
}
/**
 *
 */
export interface CosmosdbAccountConsistencyPolicy {
    /**
     *
     */
    readonly consistencyLevel: string;
    /**
     *
     */
    readonly maxIntervalInSeconds?: number;
    /**
     *
     */
    readonly maxStalenessPrefix?: number;
}
/**
 *
 */
export interface CosmosdbAccountGeoLocation {
    /**
     *
     */
    readonly failoverPriority: number;
    /**
     *
     */
    readonly location: string;
    /**
     *
     */
    readonly prefix?: string;
}
/**
 *
 */
export interface CosmosdbAccountTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export interface CosmosdbAccountVirtualNetworkRule {
    /**
     *
     */
    readonly id: string;
}
/**
 *
 */
export declare class CosmosdbAccount extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: CosmosdbAccountConfig);
    /**
     *
     */
    get connectionStrings(): string[];
    private _enableAutomaticFailover?;
    /**
     *
     */
    get enableAutomaticFailover(): boolean | undefined;
    /**
     *
     */
    set enableAutomaticFailover(value: boolean | undefined);
    private _enableMultipleWriteLocations?;
    /**
     *
     */
    get enableMultipleWriteLocations(): boolean | undefined;
    /**
     *
     */
    set enableMultipleWriteLocations(value: boolean | undefined);
    /**
     *
     */
    get endpoint(): string;
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _ipRangeFilter?;
    /**
     *
     */
    get ipRangeFilter(): string | undefined;
    /**
     *
     */
    set ipRangeFilter(value: string | undefined);
    private _isVirtualNetworkFilterEnabled?;
    /**
     *
     */
    get isVirtualNetworkFilterEnabled(): boolean | undefined;
    /**
     *
     */
    set isVirtualNetworkFilterEnabled(value: boolean | undefined);
    private _kind?;
    /**
     *
     */
    get kind(): string | undefined;
    /**
     *
     */
    set kind(value: string | undefined);
    private _location;
    /**
     *
     */
    get location(): string;
    /**
     *
     */
    set location(value: string);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _offerType;
    /**
     *
     */
    get offerType(): string;
    /**
     *
     */
    set offerType(value: string);
    /**
     *
     */
    get primaryMasterKey(): string;
    /**
     *
     */
    get primaryReadonlyMasterKey(): string;
    /**
     *
     */
    get readEndpoints(): string[];
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    /**
     *
     */
    get secondaryMasterKey(): string;
    /**
     *
     */
    get secondaryReadonlyMasterKey(): string;
    private _tags?;
    /**
     *
     */
    get tags(): {
        [key: string]: string;
    } | undefined;
    /**
     *
     */
    set tags(value: {
        [key: string]: string;
    } | undefined);
    /**
     *
     */
    get writeEndpoints(): string[];
    private _capabilities?;
    /**
     *
     */
    get capabilities(): CosmosdbAccountCapabilities[] | undefined;
    /**
     *
     */
    set capabilities(value: CosmosdbAccountCapabilities[] | undefined);
    private _consistencyPolicy;
    /**
     *
     */
    get consistencyPolicy(): CosmosdbAccountConsistencyPolicy[];
    /**
     *
     */
    set consistencyPolicy(value: CosmosdbAccountConsistencyPolicy[]);
    private _geoLocation;
    /**
     *
     */
    get geoLocation(): CosmosdbAccountGeoLocation[];
    /**
     *
     */
    set geoLocation(value: CosmosdbAccountGeoLocation[]);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): CosmosdbAccountTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: CosmosdbAccountTimeouts | undefined);
    private _virtualNetworkRule?;
    /**
     *
     */
    get virtualNetworkRule(): CosmosdbAccountVirtualNetworkRule[] | undefined;
    /**
     *
     */
    set virtualNetworkRule(value: CosmosdbAccountVirtualNetworkRule[] | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
