import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface CosmosdbCassandraKeyspaceConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly accountName: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly throughput?: number;
    /**
     * timeouts block.
     */
    readonly timeouts?: CosmosdbCassandraKeyspaceTimeouts;
}
/**
 *
 */
export interface CosmosdbCassandraKeyspaceTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class CosmosdbCassandraKeyspace extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: CosmosdbCassandraKeyspaceConfig);
    private _accountName;
    /**
     *
     */
    get accountName(): string;
    /**
     *
     */
    set accountName(value: string);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _throughput?;
    /**
     *
     */
    get throughput(): number | undefined;
    /**
     *
     */
    set throughput(value: number | undefined);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): CosmosdbCassandraKeyspaceTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: CosmosdbCassandraKeyspaceTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
