import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface CosmosdbGremlinGraphConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly accountName: string;
    /**
     *
     */
    readonly databaseName: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly partitionKeyPath?: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly throughput?: number;
    /**
     * conflict_resolution_policy block.
     */
    readonly conflictResolutionPolicy: CosmosdbGremlinGraphConflictResolutionPolicy[];
    /**
     * index_policy block.
     */
    readonly indexPolicy: CosmosdbGremlinGraphIndexPolicy[];
    /**
     * timeouts block.
     */
    readonly timeouts?: CosmosdbGremlinGraphTimeouts;
    /**
     * unique_key block.
     */
    readonly uniqueKey?: CosmosdbGremlinGraphUniqueKey[];
}
/**
 *
 */
export interface CosmosdbGremlinGraphConflictResolutionPolicy {
    /**
     *
     */
    readonly conflictResolutionPath?: string;
    /**
     *
     */
    readonly conflictResolutionProcedure?: string;
    /**
     *
     */
    readonly mode: string;
}
/**
 *
 */
export interface CosmosdbGremlinGraphIndexPolicy {
    /**
     *
     */
    readonly automatic?: boolean;
    /**
     *
     */
    readonly excludedPaths?: string[];
    /**
     *
     */
    readonly includedPaths?: string[];
    /**
     *
     */
    readonly indexingMode: string;
}
/**
 *
 */
export interface CosmosdbGremlinGraphTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export interface CosmosdbGremlinGraphUniqueKey {
    /**
     *
     */
    readonly paths: string[];
}
/**
 *
 */
export declare class CosmosdbGremlinGraph extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: CosmosdbGremlinGraphConfig);
    private _accountName;
    /**
     *
     */
    get accountName(): string;
    /**
     *
     */
    set accountName(value: string);
    private _databaseName;
    /**
     *
     */
    get databaseName(): string;
    /**
     *
     */
    set databaseName(value: string);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _partitionKeyPath?;
    /**
     *
     */
    get partitionKeyPath(): string | undefined;
    /**
     *
     */
    set partitionKeyPath(value: string | undefined);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _throughput?;
    /**
     *
     */
    get throughput(): number | undefined;
    /**
     *
     */
    set throughput(value: number | undefined);
    private _conflictResolutionPolicy;
    /**
     *
     */
    get conflictResolutionPolicy(): CosmosdbGremlinGraphConflictResolutionPolicy[];
    /**
     *
     */
    set conflictResolutionPolicy(value: CosmosdbGremlinGraphConflictResolutionPolicy[]);
    private _indexPolicy;
    /**
     *
     */
    get indexPolicy(): CosmosdbGremlinGraphIndexPolicy[];
    /**
     *
     */
    set indexPolicy(value: CosmosdbGremlinGraphIndexPolicy[]);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): CosmosdbGremlinGraphTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: CosmosdbGremlinGraphTimeouts | undefined);
    private _uniqueKey?;
    /**
     *
     */
    get uniqueKey(): CosmosdbGremlinGraphUniqueKey[] | undefined;
    /**
     *
     */
    set uniqueKey(value: CosmosdbGremlinGraphUniqueKey[] | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
