import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface CosmosdbMongoCollectionConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly accountName: string;
    /**
     *
     */
    readonly databaseName: string;
    /**
     *
     */
    readonly defaultTtlSeconds?: number;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly shardKey?: string;
    /**
     *
     */
    readonly throughput?: number;
    /**
     * timeouts block.
     */
    readonly timeouts?: CosmosdbMongoCollectionTimeouts;
}
/**
 *
 */
export interface CosmosdbMongoCollectionTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class CosmosdbMongoCollection extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: CosmosdbMongoCollectionConfig);
    private _accountName;
    /**
     *
     */
    get accountName(): string;
    /**
     *
     */
    set accountName(value: string);
    private _databaseName;
    /**
     *
     */
    get databaseName(): string;
    /**
     *
     */
    set databaseName(value: string);
    private _defaultTtlSeconds?;
    /**
     *
     */
    get defaultTtlSeconds(): number | undefined;
    /**
     *
     */
    set defaultTtlSeconds(value: number | undefined);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _shardKey?;
    /**
     *
     */
    get shardKey(): string | undefined;
    /**
     *
     */
    set shardKey(value: string | undefined);
    private _throughput?;
    /**
     *
     */
    get throughput(): number | undefined;
    /**
     *
     */
    set throughput(value: number | undefined);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): CosmosdbMongoCollectionTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: CosmosdbMongoCollectionTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
