import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
import { ComplexComputedList } from "cdktf";
/**
 *
 */
export interface DataAzurermApiManagementApiConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly apiManagementName: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly revision: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermApiManagementApiTimeouts;
}
/**
 *
 */
export declare class DataAzurermApiManagementApiSubscriptionKeyParameterNames extends ComplexComputedList {
    /**
     *
     */
    get header(): string;
    /**
     *
     */
    get query(): string;
}
/**
 *
 */
export interface DataAzurermApiManagementApiTimeouts {
    /**
     *
     */
    readonly read?: string;
}
/**
 *
 */
export declare class DataAzurermApiManagementApi extends TerraformDataSource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: DataAzurermApiManagementApiConfig);
    private _apiManagementName;
    /**
     *
     */
    get apiManagementName(): string;
    /**
     *
     */
    set apiManagementName(value: string);
    /**
     *
     */
    get description(): string;
    /**
     *
     */
    get displayName(): string;
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    /**
     *
     */
    get isCurrent(): boolean;
    /**
     *
     */
    get isOnline(): boolean;
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    /**
     *
     */
    get path(): string;
    /**
     *
     */
    get protocols(): string[];
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _revision;
    /**
     *
     */
    get revision(): string;
    /**
     *
     */
    set revision(value: string);
    /**
     *
     */
    get serviceUrl(): string;
    /**
     *
     */
    get soapPassThrough(): boolean;
    /**
     *
     */
    subscriptionKeyParameterNames(index: string): DataAzurermApiManagementApiSubscriptionKeyParameterNames;
    /**
     *
     */
    get version(): string;
    /**
     *
     */
    get versionSetId(): string;
    private _timeouts?;
    /**
     *
     */
    get timeouts(): DataAzurermApiManagementApiTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: DataAzurermApiManagementApiTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
