import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface DataAzurermApiManagementProductConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly apiManagementName: string;
    /**
     *
     */
    readonly productId: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermApiManagementProductTimeouts;
}
/**
 *
 */
export interface DataAzurermApiManagementProductTimeouts {
    /**
     *
     */
    readonly read?: string;
}
/**
 *
 */
export declare class DataAzurermApiManagementProduct extends TerraformDataSource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: DataAzurermApiManagementProductConfig);
    private _apiManagementName;
    /**
     *
     */
    get apiManagementName(): string;
    /**
     *
     */
    set apiManagementName(value: string);
    /**
     *
     */
    get approvalRequired(): boolean;
    /**
     *
     */
    get description(): string;
    /**
     *
     */
    get displayName(): string;
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _productId;
    /**
     *
     */
    get productId(): string;
    /**
     *
     */
    set productId(value: string);
    /**
     *
     */
    get published(): boolean;
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    /**
     *
     */
    get subscriptionRequired(): boolean;
    /**
     *
     */
    get subscriptionsLimit(): number;
    /**
     *
     */
    get terms(): string;
    private _timeouts?;
    /**
     *
     */
    get timeouts(): DataAzurermApiManagementProductTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: DataAzurermApiManagementProductTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
