import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface DataAzurermApiManagementUserConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly apiManagementName: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly userId: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermApiManagementUserTimeouts;
}
/**
 *
 */
export interface DataAzurermApiManagementUserTimeouts {
    /**
     *
     */
    readonly read?: string;
}
/**
 *
 */
export declare class DataAzurermApiManagementUser extends TerraformDataSource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: DataAzurermApiManagementUserConfig);
    private _apiManagementName;
    /**
     *
     */
    get apiManagementName(): string;
    /**
     *
     */
    set apiManagementName(value: string);
    /**
     *
     */
    get email(): string;
    /**
     *
     */
    get firstName(): string;
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    /**
     *
     */
    get lastName(): string;
    /**
     *
     */
    get note(): string;
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    /**
     *
     */
    get state(): string;
    private _userId;
    /**
     *
     */
    get userId(): string;
    /**
     *
     */
    set userId(value: string);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): DataAzurermApiManagementUserTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: DataAzurermApiManagementUserTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
