import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
import { ComplexComputedList } from "cdktf";
/**
 *
 */
export interface DataAzurermApiManagementConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermApiManagementTimeouts;
}
/**
 *
 */
export declare class DataAzurermApiManagementAdditionalLocation extends ComplexComputedList {
    /**
     *
     */
    get gatewayRegionalUrl(): string;
    /**
     *
     */
    get location(): string;
    /**
     *
     */
    get publicIpAddresses(): string[];
}
/**
 *
 */
export declare class DataAzurermApiManagementHostnameConfigurationManagement extends ComplexComputedList {
    /**
     *
     */
    get hostName(): string;
    /**
     *
     */
    get keyVaultId(): string;
    /**
     *
     */
    get negotiateClientCertificate(): boolean;
}
/**
 *
 */
export declare class DataAzurermApiManagementHostnameConfigurationPortal extends ComplexComputedList {
    /**
     *
     */
    get hostName(): string;
    /**
     *
     */
    get keyVaultId(): string;
    /**
     *
     */
    get negotiateClientCertificate(): boolean;
}
/**
 *
 */
export declare class DataAzurermApiManagementHostnameConfigurationProxy extends ComplexComputedList {
    /**
     *
     */
    get defaultSslBinding(): boolean;
    /**
     *
     */
    get hostName(): string;
    /**
     *
     */
    get keyVaultId(): string;
    /**
     *
     */
    get negotiateClientCertificate(): boolean;
}
/**
 *
 */
export declare class DataAzurermApiManagementHostnameConfigurationScm extends ComplexComputedList {
    /**
     *
     */
    get hostName(): string;
    /**
     *
     */
    get keyVaultId(): string;
    /**
     *
     */
    get negotiateClientCertificate(): boolean;
}
/**
 *
 */
export declare class DataAzurermApiManagementHostnameConfiguration extends ComplexComputedList {
    /**
     *
     */
    get management(): any;
    /**
     *
     */
    get portal(): any;
    /**
     *
     */
    get proxy(): any;
    /**
     *
     */
    get scm(): any;
}
/**
 *
 */
export interface DataAzurermApiManagementTimeouts {
    /**
     *
     */
    readonly read?: string;
}
/**
 *
 */
export declare class DataAzurermApiManagement extends TerraformDataSource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: DataAzurermApiManagementConfig);
    /**
     *
     */
    additionalLocation(index: string): DataAzurermApiManagementAdditionalLocation;
    /**
     *
     */
    get gatewayRegionalUrl(): string;
    /**
     *
     */
    get gatewayUrl(): string;
    /**
     *
     */
    hostnameConfiguration(index: string): DataAzurermApiManagementHostnameConfiguration;
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    /**
     *
     */
    get location(): string;
    /**
     *
     */
    get managementApiUrl(): string;
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    /**
     *
     */
    get notificationSenderEmail(): string;
    /**
     *
     */
    get portalUrl(): string;
    /**
     *
     */
    get publicIpAddresses(): string[];
    /**
     *
     */
    get publisherEmail(): string;
    /**
     *
     */
    get publisherName(): string;
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    /**
     *
     */
    get scmUrl(): string;
    /**
     *
     */
    get skuName(): string;
    /**
     *
     */
    tags(key: string): string;
    private _timeouts?;
    /**
     *
     */
    get timeouts(): DataAzurermApiManagementTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: DataAzurermApiManagementTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
