import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface DataAzurermAppServiceCertificateConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermAppServiceCertificateTimeouts;
}
/**
 *
 */
export interface DataAzurermAppServiceCertificateTimeouts {
    /**
     *
     */
    readonly read?: string;
}
/**
 *
 */
export declare class DataAzurermAppServiceCertificate extends TerraformDataSource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: DataAzurermAppServiceCertificateConfig);
    /**
     *
     */
    get expirationDate(): string;
    /**
     *
     */
    get friendlyName(): string;
    /**
     *
     */
    get hostNames(): string[];
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    /**
     *
     */
    get issueDate(): string;
    /**
     *
     */
    get issuer(): string;
    /**
     *
     */
    get location(): string;
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    /**
     *
     */
    get subjectName(): string;
    private _tags?;
    /**
     *
     */
    get tags(): {
        [key: string]: string;
    } | undefined;
    /**
     *
     */
    set tags(value: {
        [key: string]: string;
    } | undefined);
    /**
     *
     */
    get thumbprint(): string;
    private _timeouts?;
    /**
     *
     */
    get timeouts(): DataAzurermAppServiceCertificateTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: DataAzurermAppServiceCertificateTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
