import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface DataAzurermAppServiceEnvironmentConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermAppServiceEnvironmentTimeouts;
}
/**
 *
 */
export interface DataAzurermAppServiceEnvironmentTimeouts {
    /**
     *
     */
    readonly read?: string;
}
/**
 *
 */
export declare class DataAzurermAppServiceEnvironment extends TerraformDataSource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: DataAzurermAppServiceEnvironmentConfig);
    /**
     *
     */
    get frontEndScaleFactor(): number;
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    /**
     *
     */
    get pricingTier(): string;
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    /**
     *
     */
    tags(key: string): string;
    private _timeouts?;
    /**
     *
     */
    get timeouts(): DataAzurermAppServiceEnvironmentTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: DataAzurermAppServiceEnvironmentTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
