import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
import { ComplexComputedList } from "cdktf";
/**
 *
 */
export interface DataAzurermAppServicePlanConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermAppServicePlanTimeouts;
}
/**
 *
 */
export declare class DataAzurermAppServicePlanSku extends ComplexComputedList {
    /**
     *
     */
    get capacity(): number;
    /**
     *
     */
    get size(): string;
    /**
     *
     */
    get tier(): string;
}
/**
 *
 */
export interface DataAzurermAppServicePlanTimeouts {
    /**
     *
     */
    readonly read?: string;
}
/**
 *
 */
export declare class DataAzurermAppServicePlan extends TerraformDataSource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: DataAzurermAppServicePlanConfig);
    /**
     *
     */
    get appServiceEnvironmentId(): string;
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    /**
     *
     */
    get isXenon(): boolean;
    /**
     *
     */
    get kind(): string;
    /**
     *
     */
    get location(): string;
    /**
     *
     */
    get maximumElasticWorkerCount(): number;
    /**
     *
     */
    get maximumNumberOfWorkers(): number;
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    /**
     *
     */
    get perSiteScaling(): boolean;
    /**
     *
     */
    get reserved(): boolean;
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    /**
     *
     */
    sku(index: string): DataAzurermAppServicePlanSku;
    /**
     *
     */
    tags(key: string): string;
    private _timeouts?;
    /**
     *
     */
    get timeouts(): DataAzurermAppServicePlanTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: DataAzurermAppServicePlanTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
