import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
import { ComplexComputedList } from "cdktf";
/**
 *
 */
export interface DataAzurermAppServiceConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermAppServiceTimeouts;
}
/**
 *
 */
export declare class DataAzurermAppServiceConnectionString extends ComplexComputedList {
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    get type(): string;
    /**
     *
     */
    get value(): string;
}
/**
 *
 */
export declare class DataAzurermAppServiceSiteConfigCors extends ComplexComputedList {
    /**
     *
     */
    get allowedOrigins(): string[];
    /**
     *
     */
    get supportCredentials(): boolean;
}
/**
 *
 */
export declare class DataAzurermAppServiceSiteConfigIpRestriction extends ComplexComputedList {
    /**
     *
     */
    get ipAddress(): string;
    /**
     *
     */
    get virtualNetworkSubnetId(): string;
}
/**
 *
 */
export declare class DataAzurermAppServiceSiteConfig extends ComplexComputedList {
    /**
     *
     */
    get alwaysOn(): boolean;
    /**
     *
     */
    get appCommandLine(): string;
    /**
     *
     */
    get cors(): any;
    /**
     *
     */
    get defaultDocuments(): string[];
    /**
     *
     */
    get dotnetFrameworkVersion(): string;
    /**
     *
     */
    get ftpsState(): string;
    /**
     *
     */
    get http2Enabled(): boolean;
    /**
     *
     */
    get ipRestriction(): any;
    /**
     *
     */
    get javaContainer(): string;
    /**
     *
     */
    get javaContainerVersion(): string;
    /**
     *
     */
    get javaVersion(): string;
    /**
     *
     */
    get linuxFxVersion(): string;
    /**
     *
     */
    get localMysqlEnabled(): boolean;
    /**
     *
     */
    get managedPipelineMode(): string;
    /**
     *
     */
    get minTlsVersion(): string;
    /**
     *
     */
    get phpVersion(): string;
    /**
     *
     */
    get pythonVersion(): string;
    /**
     *
     */
    get remoteDebuggingEnabled(): boolean;
    /**
     *
     */
    get remoteDebuggingVersion(): string;
    /**
     *
     */
    get scmType(): string;
    /**
     *
     */
    get use32BitWorkerProcess(): boolean;
    /**
     *
     */
    get websocketsEnabled(): boolean;
    /**
     *
     */
    get windowsFxVersion(): string;
}
/**
 *
 */
export declare class DataAzurermAppServiceSiteCredential extends ComplexComputedList {
    /**
     *
     */
    get password(): string;
    /**
     *
     */
    get username(): string;
}
/**
 *
 */
export declare class DataAzurermAppServiceSourceControl extends ComplexComputedList {
    /**
     *
     */
    get branch(): string;
    /**
     *
     */
    get repoUrl(): string;
}
/**
 *
 */
export interface DataAzurermAppServiceTimeouts {
    /**
     *
     */
    readonly read?: string;
}
/**
 *
 */
export declare class DataAzurermAppService extends TerraformDataSource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: DataAzurermAppServiceConfig);
    /**
     *
     */
    get appServicePlanId(): string;
    /**
     *
     */
    appSettings(key: string): string;
    /**
     *
     */
    get clientAffinityEnabled(): boolean;
    /**
     *
     */
    get clientCertEnabled(): boolean;
    /**
     *
     */
    connectionString(index: string): DataAzurermAppServiceConnectionString;
    /**
     *
     */
    get defaultSiteHostname(): string;
    /**
     *
     */
    get enabled(): boolean;
    /**
     *
     */
    get httpsOnly(): boolean;
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    /**
     *
     */
    get location(): string;
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    /**
     *
     */
    get outboundIpAddresses(): string;
    /**
     *
     */
    get possibleOutboundIpAddresses(): string;
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    /**
     *
     */
    siteConfig(index: string): DataAzurermAppServiceSiteConfig;
    /**
     *
     */
    siteCredential(index: string): DataAzurermAppServiceSiteCredential;
    /**
     *
     */
    sourceControl(index: string): DataAzurermAppServiceSourceControl;
    /**
     *
     */
    tags(key: string): string;
    private _timeouts?;
    /**
     *
     */
    get timeouts(): DataAzurermAppServiceTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: DataAzurermAppServiceTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
