import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
import { ComplexComputedList } from "cdktf";
/**
 *
 */
export interface DataAzurermBatchPoolConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly accountName: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     * certificate block.
     */
    readonly certificate?: DataAzurermBatchPoolCertificate[];
    /**
     * network_configuration block.
     */
    readonly networkConfiguration?: DataAzurermBatchPoolNetworkConfiguration[];
    /**
     * start_task block.
     */
    readonly startTask?: DataAzurermBatchPoolStartTask[];
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermBatchPoolTimeouts;
}
/**
 *
 */
export declare class DataAzurermBatchPoolAutoScale extends ComplexComputedList {
    /**
     *
     */
    get evaluationInterval(): string;
    /**
     *
     */
    get formula(): string;
}
/**
 *
 */
export declare class DataAzurermBatchPoolContainerConfigurationContainerRegistries extends ComplexComputedList {
    /**
     *
     */
    get password(): string;
    /**
     *
     */
    get registryServer(): string;
    /**
     *
     */
    get userName(): string;
}
/**
 *
 */
export declare class DataAzurermBatchPoolContainerConfiguration extends ComplexComputedList {
    /**
     *
     */
    get containerRegistries(): any;
    /**
     *
     */
    get type(): string;
}
/**
 *
 */
export declare class DataAzurermBatchPoolFixedScale extends ComplexComputedList {
    /**
     *
     */
    get resizeTimeout(): string;
    /**
     *
     */
    get targetDedicatedNodes(): number;
    /**
     *
     */
    get targetLowPriorityNodes(): number;
}
/**
 *
 */
export declare class DataAzurermBatchPoolStorageImageReference extends ComplexComputedList {
    /**
     *
     */
    get id(): string;
    /**
     *
     */
    get offer(): string;
    /**
     *
     */
    get publisher(): string;
    /**
     *
     */
    get sku(): string;
    /**
     *
     */
    get version(): string;
}
/**
 *
 */
export interface DataAzurermBatchPoolCertificate {
    /**
     *
     */
    readonly id: string;
    /**
     *
     */
    readonly storeLocation: string;
    /**
     *
     */
    readonly storeName?: string;
    /**
     *
     */
    readonly visibility?: string[];
}
/**
 *
 */
export interface DataAzurermBatchPoolNetworkConfigurationEndpointConfigurationNetworkSecurityGroupRules {
}
/**
 *
 */
export interface DataAzurermBatchPoolNetworkConfigurationEndpointConfiguration {
    /**
     * network_security_group_rules block.
     */
    readonly networkSecurityGroupRules?: DataAzurermBatchPoolNetworkConfigurationEndpointConfigurationNetworkSecurityGroupRules[];
}
/**
 *
 */
export interface DataAzurermBatchPoolNetworkConfiguration {
    /**
     *
     */
    readonly subnetId?: string;
    /**
     * endpoint_configuration block.
     */
    readonly endpointConfiguration?: DataAzurermBatchPoolNetworkConfigurationEndpointConfiguration[];
}
/**
 *
 */
export interface DataAzurermBatchPoolStartTask {
    /**
     *
     */
    readonly commandLine: string;
    /**
     *
     */
    readonly environment?: {
        [key: string]: string;
    };
    /**
     *
     */
    readonly maxTaskRetryCount?: number;
    /**
     *
     */
    readonly waitForSuccess?: boolean;
}
/**
 *
 */
export interface DataAzurermBatchPoolTimeouts {
    /**
     *
     */
    readonly read?: string;
}
/**
 *
 */
export declare class DataAzurermBatchPool extends TerraformDataSource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: DataAzurermBatchPoolConfig);
    private _accountName;
    /**
     *
     */
    get accountName(): string;
    /**
     *
     */
    set accountName(value: string);
    /**
     *
     */
    autoScale(index: string): DataAzurermBatchPoolAutoScale;
    /**
     *
     */
    containerConfiguration(index: string): DataAzurermBatchPoolContainerConfiguration;
    /**
     *
     */
    get displayName(): string;
    /**
     *
     */
    fixedScale(index: string): DataAzurermBatchPoolFixedScale;
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    /**
     *
     */
    get maxTasksPerNode(): number;
    /**
     *
     */
    metadata(key: string): string;
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    /**
     *
     */
    get nodeAgentSkuId(): string;
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    /**
     *
     */
    storageImageReference(index: string): DataAzurermBatchPoolStorageImageReference;
    /**
     *
     */
    get vmSize(): string;
    private _certificate?;
    /**
     *
     */
    get certificate(): DataAzurermBatchPoolCertificate[] | undefined;
    /**
     *
     */
    set certificate(value: DataAzurermBatchPoolCertificate[] | undefined);
    private _networkConfiguration?;
    /**
     *
     */
    get networkConfiguration(): DataAzurermBatchPoolNetworkConfiguration[] | undefined;
    /**
     *
     */
    set networkConfiguration(value: DataAzurermBatchPoolNetworkConfiguration[] | undefined);
    private _startTask?;
    /**
     *
     */
    get startTask(): DataAzurermBatchPoolStartTask[] | undefined;
    /**
     *
     */
    set startTask(value: DataAzurermBatchPoolStartTask[] | undefined);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): DataAzurermBatchPoolTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: DataAzurermBatchPoolTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
