import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface DataAzurermContainerRegistryConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermContainerRegistryTimeouts;
}
/**
 *
 */
export interface DataAzurermContainerRegistryTimeouts {
    /**
     *
     */
    readonly read?: string;
}
/**
 *
 */
export declare class DataAzurermContainerRegistry extends TerraformDataSource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: DataAzurermContainerRegistryConfig);
    /**
     *
     */
    get adminEnabled(): boolean;
    /**
     *
     */
    get adminPassword(): string;
    /**
     *
     */
    get adminUsername(): string;
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    /**
     *
     */
    get location(): string;
    /**
     *
     */
    get loginServer(): string;
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    /**
     *
     */
    get sku(): string;
    /**
     *
     */
    get storageAccountId(): string;
    /**
     *
     */
    tags(key: string): string;
    private _timeouts?;
    /**
     *
     */
    get timeouts(): DataAzurermContainerRegistryTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: DataAzurermContainerRegistryTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
