import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
import { ComplexComputedList } from "cdktf";
/**
 *
 */
export interface DataAzurermCosmosdbAccountConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermCosmosdbAccountTimeouts;
}
/**
 *
 */
export declare class DataAzurermCosmosdbAccountCapabilities extends ComplexComputedList {
    /**
     *
     */
    get name(): string;
}
/**
 *
 */
export declare class DataAzurermCosmosdbAccountConsistencyPolicy extends ComplexComputedList {
    /**
     *
     */
    get consistencyLevel(): string;
    /**
     *
     */
    get maxIntervalInSeconds(): number;
    /**
     *
     */
    get maxStalenessPrefix(): number;
}
/**
 *
 */
export declare class DataAzurermCosmosdbAccountGeoLocation extends ComplexComputedList {
    /**
     *
     */
    get failoverPriority(): number;
    /**
     *
     */
    get id(): string;
    /**
     *
     */
    get location(): string;
}
/**
 *
 */
export declare class DataAzurermCosmosdbAccountVirtualNetworkRule extends ComplexComputedList {
    /**
     *
     */
    get id(): string;
}
/**
 *
 */
export interface DataAzurermCosmosdbAccountTimeouts {
    /**
     *
     */
    readonly read?: string;
}
/**
 *
 */
export declare class DataAzurermCosmosdbAccount extends TerraformDataSource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: DataAzurermCosmosdbAccountConfig);
    /**
     *
     */
    capabilities(index: string): DataAzurermCosmosdbAccountCapabilities;
    /**
     *
     */
    consistencyPolicy(index: string): DataAzurermCosmosdbAccountConsistencyPolicy;
    /**
     *
     */
    get enableAutomaticFailover(): boolean;
    /**
     *
     */
    get enableMultipleWriteLocations(): boolean;
    /**
     *
     */
    get endpoint(): string;
    /**
     *
     */
    geoLocation(index: string): DataAzurermCosmosdbAccountGeoLocation;
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    /**
     *
     */
    get ipRangeFilter(): string;
    /**
     *
     */
    get isVirtualNetworkFilterEnabled(): boolean;
    /**
     *
     */
    get kind(): string;
    /**
     *
     */
    get location(): string;
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    /**
     *
     */
    get offerType(): string;
    /**
     *
     */
    get primaryMasterKey(): string;
    /**
     *
     */
    get primaryReadonlyMasterKey(): string;
    /**
     *
     */
    get readEndpoints(): string[];
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    /**
     *
     */
    get secondaryMasterKey(): string;
    /**
     *
     */
    get secondaryReadonlyMasterKey(): string;
    /**
     *
     */
    tags(key: string): string;
    /**
     *
     */
    virtualNetworkRule(index: string): DataAzurermCosmosdbAccountVirtualNetworkRule;
    /**
     *
     */
    get writeEndpoints(): string[];
    private _timeouts?;
    /**
     *
     */
    get timeouts(): DataAzurermCosmosdbAccountTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: DataAzurermCosmosdbAccountTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
