import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
import { ComplexComputedList } from "cdktf";
/**
 *
 */
export interface DataAzurermDataFactoryConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermDataFactoryTimeouts;
}
/**
 *
 */
export declare class DataAzurermDataFactoryGithubConfiguration extends ComplexComputedList {
    /**
     *
     */
    get accountName(): string;
    /**
     *
     */
    get branchName(): string;
    /**
     *
     */
    get gitUrl(): string;
    /**
     *
     */
    get repositoryName(): string;
    /**
     *
     */
    get rootFolder(): string;
}
/**
 *
 */
export declare class DataAzurermDataFactoryIdentity extends ComplexComputedList {
    /**
     *
     */
    get principalId(): string;
    /**
     *
     */
    get tenantId(): string;
    /**
     *
     */
    get type(): string;
}
/**
 *
 */
export declare class DataAzurermDataFactoryVstsConfiguration extends ComplexComputedList {
    /**
     *
     */
    get accountName(): string;
    /**
     *
     */
    get branchName(): string;
    /**
     *
     */
    get projectName(): string;
    /**
     *
     */
    get repositoryName(): string;
    /**
     *
     */
    get rootFolder(): string;
    /**
     *
     */
    get tenantId(): string;
}
/**
 *
 */
export interface DataAzurermDataFactoryTimeouts {
    /**
     *
     */
    readonly read?: string;
}
/**
 *
 */
export declare class DataAzurermDataFactory extends TerraformDataSource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: DataAzurermDataFactoryConfig);
    /**
     *
     */
    githubConfiguration(index: string): DataAzurermDataFactoryGithubConfiguration;
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    /**
     *
     */
    identity(index: string): DataAzurermDataFactoryIdentity;
    /**
     *
     */
    get location(): string;
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    /**
     *
     */
    tags(key: string): string;
    /**
     *
     */
    vstsConfiguration(index: string): DataAzurermDataFactoryVstsConfiguration;
    private _timeouts?;
    /**
     *
     */
    get timeouts(): DataAzurermDataFactoryTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: DataAzurermDataFactoryTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
