import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface DataAzurermDevTestLabConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermDevTestLabTimeouts;
}
/**
 *
 */
export interface DataAzurermDevTestLabTimeouts {
    /**
     *
     */
    readonly read?: string;
}
/**
 *
 */
export declare class DataAzurermDevTestLab extends TerraformDataSource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: DataAzurermDevTestLabConfig);
    /**
     *
     */
    get artifactsStorageAccountId(): string;
    /**
     *
     */
    get defaultPremiumStorageAccountId(): string;
    /**
     *
     */
    get defaultStorageAccountId(): string;
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    /**
     *
     */
    get keyVaultId(): string;
    /**
     *
     */
    get location(): string;
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    /**
     *
     */
    get premiumDataDiskStorageAccountId(): string;
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    /**
     *
     */
    get storageType(): string;
    /**
     *
     */
    tags(key: string): string;
    /**
     *
     */
    get uniqueIdentifier(): string;
    private _timeouts?;
    /**
     *
     */
    get timeouts(): DataAzurermDevTestLabTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: DataAzurermDevTestLabTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
