import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
import { ComplexComputedList } from "cdktf";
/**
 *
 */
export interface DataAzurermDevTestVirtualNetworkConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly labName: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermDevTestVirtualNetworkTimeouts;
}
/**
 *
 */
export declare class DataAzurermDevTestVirtualNetworkAllowedSubnets extends ComplexComputedList {
    /**
     *
     */
    get allowPublicIp(): string;
    /**
     *
     */
    get labSubnetName(): string;
    /**
     *
     */
    get resourceId(): string;
}
/**
 *
 */
export declare class DataAzurermDevTestVirtualNetworkSubnetOverrides extends ComplexComputedList {
    /**
     *
     */
    get labSubnetName(): string;
    /**
     *
     */
    get resourceId(): string;
    /**
     *
     */
    get useInVmCreationPermission(): string;
    /**
     *
     */
    get usePublicIpAddressPermission(): string;
    /**
     *
     */
    get virtualNetworkPoolName(): string;
}
/**
 *
 */
export interface DataAzurermDevTestVirtualNetworkTimeouts {
    /**
     *
     */
    readonly read?: string;
}
/**
 *
 */
export declare class DataAzurermDevTestVirtualNetwork extends TerraformDataSource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: DataAzurermDevTestVirtualNetworkConfig);
    /**
     *
     */
    allowedSubnets(index: string): DataAzurermDevTestVirtualNetworkAllowedSubnets;
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _labName;
    /**
     *
     */
    get labName(): string;
    /**
     *
     */
    set labName(value: string);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    /**
     *
     */
    subnetOverrides(index: string): DataAzurermDevTestVirtualNetworkSubnetOverrides;
    /**
     *
     */
    get uniqueIdentifier(): string;
    private _timeouts?;
    /**
     *
     */
    get timeouts(): DataAzurermDevTestVirtualNetworkTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: DataAzurermDevTestVirtualNetworkTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
