import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface DataAzurermEventhubAuthorizationRuleConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly eventhubName: string;
    /**
     *
     */
    readonly listen?: boolean;
    /**
     *
     */
    readonly manage?: boolean;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly namespaceName: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly send?: boolean;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermEventhubAuthorizationRuleTimeouts;
}
/**
 *
 */
export interface DataAzurermEventhubAuthorizationRuleTimeouts {
    /**
     *
     */
    readonly read?: string;
}
/**
 *
 */
export declare class DataAzurermEventhubAuthorizationRule extends TerraformDataSource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: DataAzurermEventhubAuthorizationRuleConfig);
    private _eventhubName;
    /**
     *
     */
    get eventhubName(): string;
    /**
     *
     */
    set eventhubName(value: string);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _listen?;
    /**
     *
     */
    get listen(): boolean | undefined;
    /**
     *
     */
    set listen(value: boolean | undefined);
    /**
     *
     */
    get location(): string;
    private _manage?;
    /**
     *
     */
    get manage(): boolean | undefined;
    /**
     *
     */
    set manage(value: boolean | undefined);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _namespaceName;
    /**
     *
     */
    get namespaceName(): string;
    /**
     *
     */
    set namespaceName(value: string);
    /**
     *
     */
    get primaryConnectionString(): string;
    /**
     *
     */
    get primaryKey(): string;
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    /**
     *
     */
    get secondaryConnectionString(): string;
    /**
     *
     */
    get secondaryKey(): string;
    private _send?;
    /**
     *
     */
    get send(): boolean | undefined;
    /**
     *
     */
    set send(value: boolean | undefined);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): DataAzurermEventhubAuthorizationRuleTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: DataAzurermEventhubAuthorizationRuleTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
