import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
import { ComplexComputedList } from "cdktf";
/**
 *
 */
export interface DataAzurermExpressRouteCircuitConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermExpressRouteCircuitTimeouts;
}
/**
 *
 */
export declare class DataAzurermExpressRouteCircuitPeerings extends ComplexComputedList {
    /**
     *
     */
    get azureAsn(): number;
    /**
     *
     */
    get peerAsn(): number;
    /**
     *
     */
    get peeringType(): string;
    /**
     *
     */
    get primaryPeerAddressPrefix(): string;
    /**
     *
     */
    get secondaryPeerAddressPrefix(): string;
    /**
     *
     */
    get sharedKey(): string;
    /**
     *
     */
    get vlanId(): number;
}
/**
 *
 */
export declare class DataAzurermExpressRouteCircuitServiceProviderProperties extends ComplexComputedList {
    /**
     *
     */
    get bandwidthInMbps(): number;
    /**
     *
     */
    get peeringLocation(): string;
    /**
     *
     */
    get serviceProviderName(): string;
}
/**
 *
 */
export declare class DataAzurermExpressRouteCircuitSku extends ComplexComputedList {
    /**
     *
     */
    get family(): string;
    /**
     *
     */
    get tier(): string;
}
/**
 *
 */
export interface DataAzurermExpressRouteCircuitTimeouts {
    /**
     *
     */
    readonly read?: string;
}
/**
 *
 */
export declare class DataAzurermExpressRouteCircuit extends TerraformDataSource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: DataAzurermExpressRouteCircuitConfig);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    /**
     *
     */
    get location(): string;
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    /**
     *
     */
    peerings(index: string): DataAzurermExpressRouteCircuitPeerings;
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    /**
     *
     */
    get serviceKey(): string;
    /**
     *
     */
    serviceProviderProperties(index: string): DataAzurermExpressRouteCircuitServiceProviderProperties;
    /**
     *
     */
    get serviceProviderProvisioningState(): string;
    /**
     *
     */
    sku(index: string): DataAzurermExpressRouteCircuitSku;
    private _timeouts?;
    /**
     *
     */
    get timeouts(): DataAzurermExpressRouteCircuitTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: DataAzurermExpressRouteCircuitTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
