import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
import { ComplexComputedList } from "cdktf";
/**
 *
 */
export interface DataAzurermFunctionAppConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermFunctionAppTimeouts;
}
/**
 *
 */
export declare class DataAzurermFunctionAppConnectionString extends ComplexComputedList {
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    get type(): string;
    /**
     *
     */
    get value(): string;
}
/**
 *
 */
export declare class DataAzurermFunctionAppSiteCredential extends ComplexComputedList {
    /**
     *
     */
    get password(): string;
    /**
     *
     */
    get username(): string;
}
/**
 *
 */
export interface DataAzurermFunctionAppTimeouts {
    /**
     *
     */
    readonly read?: string;
}
/**
 *
 */
export declare class DataAzurermFunctionApp extends TerraformDataSource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: DataAzurermFunctionAppConfig);
    /**
     *
     */
    get appServicePlanId(): string;
    /**
     *
     */
    appSettings(key: string): string;
    /**
     *
     */
    connectionString(index: string): DataAzurermFunctionAppConnectionString;
    /**
     *
     */
    get defaultHostname(): string;
    /**
     *
     */
    get enabled(): boolean;
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    /**
     *
     */
    get location(): string;
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    /**
     *
     */
    get outboundIpAddresses(): string;
    /**
     *
     */
    get possibleOutboundIpAddresses(): string;
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    /**
     *
     */
    siteCredential(index: string): DataAzurermFunctionAppSiteCredential;
    private _tags?;
    /**
     *
     */
    get tags(): {
        [key: string]: string;
    } | undefined;
    /**
     *
     */
    set tags(value: {
        [key: string]: string;
    } | undefined);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): DataAzurermFunctionAppTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: DataAzurermFunctionAppTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
