import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
import { ComplexComputedList } from "cdktf";
/**
 *
 */
export interface DataAzurermHdinsightClusterConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermHdinsightClusterTimeouts;
}
/**
 *
 */
export declare class DataAzurermHdinsightClusterGateway extends ComplexComputedList {
    /**
     *
     */
    get enabled(): boolean;
    /**
     *
     */
    get password(): string;
    /**
     *
     */
    get username(): string;
}
/**
 *
 */
export interface DataAzurermHdinsightClusterTimeouts {
    /**
     *
     */
    readonly read?: string;
}
/**
 *
 */
export declare class DataAzurermHdinsightCluster extends TerraformDataSource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: DataAzurermHdinsightClusterConfig);
    /**
     *
     */
    get clusterVersion(): string;
    /**
     *
     */
    componentVersions(key: string): string;
    /**
     *
     */
    get edgeSshEndpoint(): string;
    /**
     *
     */
    gateway(index: string): DataAzurermHdinsightClusterGateway;
    /**
     *
     */
    get httpsEndpoint(): string;
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    /**
     *
     */
    get kind(): string;
    /**
     *
     */
    get location(): string;
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    /**
     *
     */
    get sshEndpoint(): string;
    /**
     *
     */
    tags(key: string): string;
    /**
     *
     */
    get tier(): string;
    private _timeouts?;
    /**
     *
     */
    get timeouts(): DataAzurermHdinsightClusterTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: DataAzurermHdinsightClusterTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
