import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
import { ComplexComputedList } from "cdktf";
/**
 *
 */
export interface DataAzurermHealthcareServiceConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly location: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermHealthcareServiceTimeouts;
}
/**
 *
 */
export declare class DataAzurermHealthcareServiceAuthenticationConfiguration extends ComplexComputedList {
    /**
     *
     */
    get audience(): string;
    /**
     *
     */
    get authority(): string;
    /**
     *
     */
    get smartProxyEnabled(): boolean;
}
/**
 *
 */
export declare class DataAzurermHealthcareServiceCorsConfiguration extends ComplexComputedList {
    /**
     *
     */
    get allowCredentials(): boolean;
    /**
     *
     */
    get allowedHeaders(): string[];
    /**
     *
     */
    get allowedMethods(): string[];
    /**
     *
     */
    get allowedOrigins(): string[];
    /**
     *
     */
    get maxAgeInSeconds(): number;
}
/**
 *
 */
export interface DataAzurermHealthcareServiceTimeouts {
    /**
     *
     */
    readonly read?: string;
}
/**
 *
 */
export declare class DataAzurermHealthcareService extends TerraformDataSource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: DataAzurermHealthcareServiceConfig);
    /**
     *
     */
    get accessPolicyObjectIds(): string[];
    /**
     *
     */
    authenticationConfiguration(index: string): DataAzurermHealthcareServiceAuthenticationConfiguration;
    /**
     *
     */
    corsConfiguration(index: string): DataAzurermHealthcareServiceCorsConfiguration;
    /**
     *
     */
    get cosmosdbThroughput(): number;
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    /**
     *
     */
    get kind(): string;
    private _location;
    /**
     *
     */
    get location(): string;
    /**
     *
     */
    set location(value: string);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    /**
     *
     */
    tags(key: string): string;
    private _timeouts?;
    /**
     *
     */
    get timeouts(): DataAzurermHealthcareServiceTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: DataAzurermHealthcareServiceTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
