import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
import { ComplexComputedList } from "cdktf";
/**
 *
 */
export interface DataAzurermImageConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly name?: string;
    /**
     *
     */
    readonly nameRegex?: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly sortDescending?: boolean;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermImageTimeouts;
}
/**
 *
 */
export declare class DataAzurermImageDataDisk extends ComplexComputedList {
    /**
     *
     */
    get blobUri(): string;
    /**
     *
     */
    get caching(): string;
    /**
     *
     */
    get lun(): number;
    /**
     *
     */
    get managedDiskId(): string;
    /**
     *
     */
    get sizeGb(): number;
}
/**
 *
 */
export declare class DataAzurermImageOsDisk extends ComplexComputedList {
    /**
     *
     */
    get blobUri(): string;
    /**
     *
     */
    get caching(): string;
    /**
     *
     */
    get managedDiskId(): string;
    /**
     *
     */
    get osState(): string;
    /**
     *
     */
    get osType(): string;
    /**
     *
     */
    get sizeGb(): number;
}
/**
 *
 */
export interface DataAzurermImageTimeouts {
    /**
     *
     */
    readonly read?: string;
}
/**
 *
 */
export declare class DataAzurermImage extends TerraformDataSource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: DataAzurermImageConfig);
    /**
     *
     */
    dataDisk(index: string): DataAzurermImageDataDisk;
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    /**
     *
     */
    get location(): string;
    private _name?;
    /**
     *
     */
    get name(): string | undefined;
    /**
     *
     */
    set name(value: string | undefined);
    private _nameRegex?;
    /**
     *
     */
    get nameRegex(): string | undefined;
    /**
     *
     */
    set nameRegex(value: string | undefined);
    /**
     *
     */
    osDisk(index: string): DataAzurermImageOsDisk;
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _sortDescending?;
    /**
     *
     */
    get sortDescending(): boolean | undefined;
    /**
     *
     */
    set sortDescending(value: boolean | undefined);
    /**
     *
     */
    tags(key: string): string;
    /**
     *
     */
    get zoneResilient(): boolean;
    private _timeouts?;
    /**
     *
     */
    get timeouts(): DataAzurermImageTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: DataAzurermImageTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
