import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface DataAzurermKeyVaultSecretConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly keyVaultId: string;
    /**
     *
     */
    readonly name: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermKeyVaultSecretTimeouts;
}
/**
 *
 */
export interface DataAzurermKeyVaultSecretTimeouts {
    /**
     *
     */
    readonly read?: string;
}
/**
 *
 */
export declare class DataAzurermKeyVaultSecret extends TerraformDataSource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: DataAzurermKeyVaultSecretConfig);
    /**
     *
     */
    get contentType(): string;
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _keyVaultId;
    /**
     *
     */
    get keyVaultId(): string;
    /**
     *
     */
    set keyVaultId(value: string);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    /**
     *
     */
    tags(key: string): string;
    /**
     *
     */
    get value(): string;
    /**
     *
     */
    get version(): string;
    private _timeouts?;
    /**
     *
     */
    get timeouts(): DataAzurermKeyVaultSecretTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: DataAzurermKeyVaultSecretTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
