import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
import { ComplexComputedList } from "cdktf";
/**
 *
 */
export interface DataAzurermKeyVaultConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermKeyVaultTimeouts;
}
/**
 *
 */
export declare class DataAzurermKeyVaultAccessPolicy extends ComplexComputedList {
    /**
     *
     */
    get applicationId(): string;
    /**
     *
     */
    get certificatePermissions(): string[];
    /**
     *
     */
    get keyPermissions(): string[];
    /**
     *
     */
    get objectId(): string;
    /**
     *
     */
    get secretPermissions(): string[];
    /**
     *
     */
    get storagePermissions(): string[];
    /**
     *
     */
    get tenantId(): string;
}
/**
 *
 */
export declare class DataAzurermKeyVaultNetworkAcls extends ComplexComputedList {
    /**
     *
     */
    get bypass(): string;
    /**
     *
     */
    get defaultAction(): string;
    /**
     *
     */
    get ipRules(): string[];
    /**
     *
     */
    get virtualNetworkSubnetIds(): string[];
}
/**
 *
 */
export interface DataAzurermKeyVaultTimeouts {
    /**
     *
     */
    readonly read?: string;
}
/**
 *
 */
export declare class DataAzurermKeyVault extends TerraformDataSource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: DataAzurermKeyVaultConfig);
    /**
     *
     */
    accessPolicy(index: string): DataAzurermKeyVaultAccessPolicy;
    /**
     *
     */
    get enabledForDeployment(): boolean;
    /**
     *
     */
    get enabledForDiskEncryption(): boolean;
    /**
     *
     */
    get enabledForTemplateDeployment(): boolean;
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    /**
     *
     */
    get location(): string;
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    /**
     *
     */
    networkAcls(index: string): DataAzurermKeyVaultNetworkAcls;
    /**
     *
     */
    get purgeProtectionEnabled(): boolean;
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    /**
     *
     */
    get skuName(): string;
    /**
     *
     */
    get softDeleteEnabled(): boolean;
    /**
     *
     */
    tags(key: string): string;
    /**
     *
     */
    get tenantId(): string;
    /**
     *
     */
    get vaultUri(): string;
    private _timeouts?;
    /**
     *
     */
    get timeouts(): DataAzurermKeyVaultTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: DataAzurermKeyVaultTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
