import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
import { ComplexComputedList } from "cdktf";
/**
 *
 */
export interface DataAzurermKubernetesClusterConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermKubernetesClusterTimeouts;
}
/**
 *
 */
export declare class DataAzurermKubernetesClusterAddonProfileAzurePolicy extends ComplexComputedList {
    /**
     *
     */
    get enabled(): boolean;
}
/**
 *
 */
export declare class DataAzurermKubernetesClusterAddonProfileHttpApplicationRouting extends ComplexComputedList {
    /**
     *
     */
    get enabled(): boolean;
    /**
     *
     */
    get httpApplicationRoutingZoneName(): string;
}
/**
 *
 */
export declare class DataAzurermKubernetesClusterAddonProfileKubeDashboard extends ComplexComputedList {
    /**
     *
     */
    get enabled(): boolean;
}
/**
 *
 */
export declare class DataAzurermKubernetesClusterAddonProfileOmsAgent extends ComplexComputedList {
    /**
     *
     */
    get enabled(): boolean;
    /**
     *
     */
    get logAnalyticsWorkspaceId(): string;
}
/**
 *
 */
export declare class DataAzurermKubernetesClusterAddonProfile extends ComplexComputedList {
    /**
     *
     */
    get azurePolicy(): any;
    /**
     *
     */
    get httpApplicationRouting(): any;
    /**
     *
     */
    get kubeDashboard(): any;
    /**
     *
     */
    get omsAgent(): any;
}
/**
 *
 */
export declare class DataAzurermKubernetesClusterAgentPoolProfile extends ComplexComputedList {
    /**
     *
     */
    get availabilityZones(): string[];
    /**
     *
     */
    get count(): number;
    /**
     *
     */
    get enableAutoScaling(): boolean;
    /**
     *
     */
    get enableNodePublicIp(): boolean;
    /**
     *
     */
    get maxCount(): number;
    /**
     *
     */
    get maxPods(): number;
    /**
     *
     */
    get minCount(): number;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    get nodeTaints(): string[];
    /**
     *
     */
    get osDiskSizeGb(): number;
    /**
     *
     */
    get osType(): string;
    /**
     *
     */
    get type(): string;
    /**
     *
     */
    get vmSize(): string;
    /**
     *
     */
    get vnetSubnetId(): string;
}
/**
 *
 */
export declare class DataAzurermKubernetesClusterKubeAdminConfig extends ComplexComputedList {
    /**
     *
     */
    get clientCertificate(): string;
    /**
     *
     */
    get clientKey(): string;
    /**
     *
     */
    get clusterCaCertificate(): string;
    /**
     *
     */
    get host(): string;
    /**
     *
     */
    get password(): string;
    /**
     *
     */
    get username(): string;
}
/**
 *
 */
export declare class DataAzurermKubernetesClusterKubeConfig extends ComplexComputedList {
    /**
     *
     */
    get clientCertificate(): string;
    /**
     *
     */
    get clientKey(): string;
    /**
     *
     */
    get clusterCaCertificate(): string;
    /**
     *
     */
    get host(): string;
    /**
     *
     */
    get password(): string;
    /**
     *
     */
    get username(): string;
}
/**
 *
 */
export declare class DataAzurermKubernetesClusterLinuxProfileSshKey extends ComplexComputedList {
    /**
     *
     */
    get keyData(): string;
}
/**
 *
 */
export declare class DataAzurermKubernetesClusterLinuxProfile extends ComplexComputedList {
    /**
     *
     */
    get adminUsername(): string;
    /**
     *
     */
    get sshKey(): any;
}
/**
 *
 */
export declare class DataAzurermKubernetesClusterNetworkProfile extends ComplexComputedList {
    /**
     *
     */
    get dnsServiceIp(): string;
    /**
     *
     */
    get dockerBridgeCidr(): string;
    /**
     *
     */
    get loadBalancerSku(): string;
    /**
     *
     */
    get networkPlugin(): string;
    /**
     *
     */
    get networkPolicy(): string;
    /**
     *
     */
    get podCidr(): string;
    /**
     *
     */
    get serviceCidr(): string;
}
/**
 *
 */
export declare class DataAzurermKubernetesClusterRoleBasedAccessControlAzureActiveDirectory extends ComplexComputedList {
    /**
     *
     */
    get clientAppId(): string;
    /**
     *
     */
    get serverAppId(): string;
    /**
     *
     */
    get tenantId(): string;
}
/**
 *
 */
export declare class DataAzurermKubernetesClusterRoleBasedAccessControl extends ComplexComputedList {
    /**
     *
     */
    get azureActiveDirectory(): any;
    /**
     *
     */
    get enabled(): boolean;
}
/**
 *
 */
export declare class DataAzurermKubernetesClusterServicePrincipal extends ComplexComputedList {
    /**
     *
     */
    get clientId(): string;
}
/**
 *
 */
export declare class DataAzurermKubernetesClusterWindowsProfile extends ComplexComputedList {
    /**
     *
     */
    get adminUsername(): string;
}
/**
 *
 */
export interface DataAzurermKubernetesClusterTimeouts {
    /**
     *
     */
    readonly read?: string;
}
/**
 *
 */
export declare class DataAzurermKubernetesCluster extends TerraformDataSource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: DataAzurermKubernetesClusterConfig);
    /**
     *
     */
    addonProfile(index: string): DataAzurermKubernetesClusterAddonProfile;
    /**
     *
     */
    agentPoolProfile(index: string): DataAzurermKubernetesClusterAgentPoolProfile;
    /**
     *
     */
    get apiServerAuthorizedIpRanges(): string[];
    /**
     *
     */
    get dnsPrefix(): string;
    /**
     *
     */
    get fqdn(): string;
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    /**
     *
     */
    kubeAdminConfig(index: string): DataAzurermKubernetesClusterKubeAdminConfig;
    /**
     *
     */
    get kubeAdminConfigRaw(): string;
    /**
     *
     */
    kubeConfig(index: string): DataAzurermKubernetesClusterKubeConfig;
    /**
     *
     */
    get kubeConfigRaw(): string;
    /**
     *
     */
    get kubernetesVersion(): string;
    /**
     *
     */
    linuxProfile(index: string): DataAzurermKubernetesClusterLinuxProfile;
    /**
     *
     */
    get location(): string;
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    /**
     *
     */
    networkProfile(index: string): DataAzurermKubernetesClusterNetworkProfile;
    /**
     *
     */
    get nodeResourceGroup(): string;
    /**
     *
     */
    get privateFqdn(): string;
    /**
     *
     */
    get privateLinkEnabled(): boolean;
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    /**
     *
     */
    roleBasedAccessControl(index: string): DataAzurermKubernetesClusterRoleBasedAccessControl;
    /**
     *
     */
    servicePrincipal(index: string): DataAzurermKubernetesClusterServicePrincipal;
    /**
     *
     */
    tags(key: string): string;
    /**
     *
     */
    windowsProfile(index: string): DataAzurermKubernetesClusterWindowsProfile;
    private _timeouts?;
    /**
     *
     */
    get timeouts(): DataAzurermKubernetesClusterTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: DataAzurermKubernetesClusterTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
