import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
import { ComplexComputedList } from "cdktf";
/**
 *
 */
export interface DataAzurermLbConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermLbTimeouts;
}
/**
 *
 */
export declare class DataAzurermLbFrontendIpConfiguration extends ComplexComputedList {
    /**
     *
     */
    get id(): string;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    get privateIpAddress(): string;
    /**
     *
     */
    get privateIpAddressAllocation(): string;
    /**
     *
     */
    get publicIpAddressId(): string;
    /**
     *
     */
    get subnetId(): string;
    /**
     *
     */
    get zones(): string[];
}
/**
 *
 */
export interface DataAzurermLbTimeouts {
    /**
     *
     */
    readonly read?: string;
}
/**
 *
 */
export declare class DataAzurermLb extends TerraformDataSource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: DataAzurermLbConfig);
    /**
     *
     */
    frontendIpConfiguration(index: string): DataAzurermLbFrontendIpConfiguration;
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    /**
     *
     */
    get location(): string;
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    /**
     *
     */
    get privateIpAddress(): string;
    /**
     *
     */
    get privateIpAddresses(): string[];
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    /**
     *
     */
    get sku(): string;
    /**
     *
     */
    tags(key: string): string;
    private _timeouts?;
    /**
     *
     */
    get timeouts(): DataAzurermLbTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: DataAzurermLbTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
