import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface DataAzurermLogAnalyticsWorkspaceConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermLogAnalyticsWorkspaceTimeouts;
}
/**
 *
 */
export interface DataAzurermLogAnalyticsWorkspaceTimeouts {
    /**
     *
     */
    readonly read?: string;
}
/**
 *
 */
export declare class DataAzurermLogAnalyticsWorkspace extends TerraformDataSource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: DataAzurermLogAnalyticsWorkspaceConfig);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    /**
     *
     */
    get location(): string;
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    /**
     *
     */
    get portalUrl(): string;
    /**
     *
     */
    get primarySharedKey(): string;
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    /**
     *
     */
    get retentionInDays(): number;
    /**
     *
     */
    get secondarySharedKey(): string;
    /**
     *
     */
    get sku(): string;
    /**
     *
     */
    tags(key: string): string;
    /**
     *
     */
    get workspaceId(): string;
    private _timeouts?;
    /**
     *
     */
    get timeouts(): DataAzurermLogAnalyticsWorkspaceTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: DataAzurermLogAnalyticsWorkspaceTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
