import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface DataAzurermManagedDiskConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     *
     */
    readonly zones?: string[];
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermManagedDiskTimeouts;
}
/**
 *
 */
export interface DataAzurermManagedDiskTimeouts {
    /**
     *
     */
    readonly read?: string;
}
/**
 *
 */
export declare class DataAzurermManagedDisk extends TerraformDataSource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: DataAzurermManagedDiskConfig);
    /**
     *
     */
    get createOption(): string;
    /**
     *
     */
    get diskEncryptionSetId(): string;
    /**
     *
     */
    get diskIopsReadWrite(): number;
    /**
     *
     */
    get diskMbpsReadWrite(): number;
    /**
     *
     */
    get diskSizeGb(): number;
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    /**
     *
     */
    get osType(): string;
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    /**
     *
     */
    get sourceResourceId(): string;
    /**
     *
     */
    get sourceUri(): string;
    /**
     *
     */
    get storageAccountId(): string;
    /**
     *
     */
    get storageAccountType(): string;
    private _tags?;
    /**
     *
     */
    get tags(): {
        [key: string]: string;
    } | undefined;
    /**
     *
     */
    set tags(value: {
        [key: string]: string;
    } | undefined);
    private _zones?;
    /**
     *
     */
    get zones(): string[] | undefined;
    /**
     *
     */
    set zones(value: string[] | undefined);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): DataAzurermManagedDiskTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: DataAzurermManagedDiskTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
