import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
import { ComplexComputedList } from "cdktf";
/**
 *
 */
export interface DataAzurermMariadbServerConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermMariadbServerTimeouts;
}
/**
 *
 */
export declare class DataAzurermMariadbServerStorageProfile extends ComplexComputedList {
    /**
     *
     */
    get autoGrow(): string;
    /**
     *
     */
    get backupRetentionDays(): number;
    /**
     *
     */
    get geoRedundantBackup(): string;
    /**
     *
     */
    get storageMb(): number;
}
/**
 *
 */
export interface DataAzurermMariadbServerTimeouts {
    /**
     *
     */
    readonly read?: string;
}
/**
 *
 */
export declare class DataAzurermMariadbServer extends TerraformDataSource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: DataAzurermMariadbServerConfig);
    /**
     *
     */
    get administratorLogin(): string;
    /**
     *
     */
    get administratorLoginPassword(): string;
    /**
     *
     */
    get fqdn(): string;
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    /**
     *
     */
    get location(): string;
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    /**
     *
     */
    get skuName(): string;
    /**
     *
     */
    get sslEnforcement(): string;
    /**
     *
     */
    storageProfile(index: string): DataAzurermMariadbServerStorageProfile;
    /**
     *
     */
    tags(key: string): string;
    /**
     *
     */
    get version(): string;
    private _timeouts?;
    /**
     *
     */
    get timeouts(): DataAzurermMariadbServerTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: DataAzurermMariadbServerTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
