import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
import { ComplexComputedList } from "cdktf";
/**
 *
 */
export interface DataAzurermMonitorActionGroupConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermMonitorActionGroupTimeouts;
}
/**
 *
 */
export declare class DataAzurermMonitorActionGroupArmRoleReceiver extends ComplexComputedList {
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    get roleId(): string;
    /**
     *
     */
    get useCommonAlertSchema(): boolean;
}
/**
 *
 */
export declare class DataAzurermMonitorActionGroupAutomationRunbookReceiver extends ComplexComputedList {
    /**
     *
     */
    get automationAccountId(): string;
    /**
     *
     */
    get isGlobalRunbook(): boolean;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    get runbookName(): string;
    /**
     *
     */
    get serviceUri(): string;
    /**
     *
     */
    get useCommonAlertSchema(): boolean;
    /**
     *
     */
    get webhookResourceId(): string;
}
/**
 *
 */
export declare class DataAzurermMonitorActionGroupAzureAppPushReceiver extends ComplexComputedList {
    /**
     *
     */
    get emailAddress(): string;
    /**
     *
     */
    get name(): string;
}
/**
 *
 */
export declare class DataAzurermMonitorActionGroupAzureFunctionReceiver extends ComplexComputedList {
    /**
     *
     */
    get functionAppResourceId(): string;
    /**
     *
     */
    get functionName(): string;
    /**
     *
     */
    get httpTriggerUrl(): string;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    get useCommonAlertSchema(): boolean;
}
/**
 *
 */
export declare class DataAzurermMonitorActionGroupEmailReceiver extends ComplexComputedList {
    /**
     *
     */
    get emailAddress(): string;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    get useCommonAlertSchema(): boolean;
}
/**
 *
 */
export declare class DataAzurermMonitorActionGroupItsmReceiver extends ComplexComputedList {
    /**
     *
     */
    get connectionId(): string;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    get region(): string;
    /**
     *
     */
    get ticketConfiguration(): string;
    /**
     *
     */
    get workspaceId(): string;
}
/**
 *
 */
export declare class DataAzurermMonitorActionGroupLogicAppReceiver extends ComplexComputedList {
    /**
     *
     */
    get callbackUrl(): string;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    get resourceId(): string;
    /**
     *
     */
    get useCommonAlertSchema(): boolean;
}
/**
 *
 */
export declare class DataAzurermMonitorActionGroupSmsReceiver extends ComplexComputedList {
    /**
     *
     */
    get countryCode(): string;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    get phoneNumber(): string;
}
/**
 *
 */
export declare class DataAzurermMonitorActionGroupVoiceReceiver extends ComplexComputedList {
    /**
     *
     */
    get countryCode(): string;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    get phoneNumber(): string;
}
/**
 *
 */
export declare class DataAzurermMonitorActionGroupWebhookReceiver extends ComplexComputedList {
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    get serviceUri(): string;
    /**
     *
     */
    get useCommonAlertSchema(): boolean;
}
/**
 *
 */
export interface DataAzurermMonitorActionGroupTimeouts {
    /**
     *
     */
    readonly read?: string;
}
/**
 *
 */
export declare class DataAzurermMonitorActionGroup extends TerraformDataSource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: DataAzurermMonitorActionGroupConfig);
    /**
     *
     */
    armRoleReceiver(index: string): DataAzurermMonitorActionGroupArmRoleReceiver;
    /**
     *
     */
    automationRunbookReceiver(index: string): DataAzurermMonitorActionGroupAutomationRunbookReceiver;
    /**
     *
     */
    azureAppPushReceiver(index: string): DataAzurermMonitorActionGroupAzureAppPushReceiver;
    /**
     *
     */
    azureFunctionReceiver(index: string): DataAzurermMonitorActionGroupAzureFunctionReceiver;
    /**
     *
     */
    emailReceiver(index: string): DataAzurermMonitorActionGroupEmailReceiver;
    /**
     *
     */
    get enabled(): boolean;
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    /**
     *
     */
    itsmReceiver(index: string): DataAzurermMonitorActionGroupItsmReceiver;
    /**
     *
     */
    logicAppReceiver(index: string): DataAzurermMonitorActionGroupLogicAppReceiver;
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    /**
     *
     */
    get shortName(): string;
    /**
     *
     */
    smsReceiver(index: string): DataAzurermMonitorActionGroupSmsReceiver;
    /**
     *
     */
    voiceReceiver(index: string): DataAzurermMonitorActionGroupVoiceReceiver;
    /**
     *
     */
    webhookReceiver(index: string): DataAzurermMonitorActionGroupWebhookReceiver;
    private _timeouts?;
    /**
     *
     */
    get timeouts(): DataAzurermMonitorActionGroupTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: DataAzurermMonitorActionGroupTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
