import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
import { ComplexComputedList } from "cdktf";
/**
 *
 */
export interface DataAzurermMonitorLogProfileConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly name: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermMonitorLogProfileTimeouts;
}
/**
 *
 */
export declare class DataAzurermMonitorLogProfileRetentionPolicy extends ComplexComputedList {
    /**
     *
     */
    get days(): number;
    /**
     *
     */
    get enabled(): boolean;
}
/**
 *
 */
export interface DataAzurermMonitorLogProfileTimeouts {
    /**
     *
     */
    readonly read?: string;
}
/**
 *
 */
export declare class DataAzurermMonitorLogProfile extends TerraformDataSource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: DataAzurermMonitorLogProfileConfig);
    /**
     *
     */
    get categories(): string[];
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    /**
     *
     */
    get locations(): string[];
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    /**
     *
     */
    retentionPolicy(index: string): DataAzurermMonitorLogProfileRetentionPolicy;
    /**
     *
     */
    get servicebusRuleId(): string;
    /**
     *
     */
    get storageAccountId(): string;
    private _timeouts?;
    /**
     *
     */
    get timeouts(): DataAzurermMonitorLogProfileTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: DataAzurermMonitorLogProfileTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
