import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface DataAzurermNatGatewayConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly publicIpAddressIds?: string[];
    /**
     *
     */
    readonly publicIpPrefixIds?: string[];
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermNatGatewayTimeouts;
}
/**
 *
 */
export interface DataAzurermNatGatewayTimeouts {
    /**
     *
     */
    readonly read?: string;
}
/**
 *
 */
export declare class DataAzurermNatGateway extends TerraformDataSource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: DataAzurermNatGatewayConfig);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    /**
     *
     */
    get idleTimeoutInMinutes(): number;
    /**
     *
     */
    get location(): string;
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _publicIpAddressIds?;
    /**
     *
     */
    get publicIpAddressIds(): string[] | undefined;
    /**
     *
     */
    set publicIpAddressIds(value: string[] | undefined);
    private _publicIpPrefixIds?;
    /**
     *
     */
    get publicIpPrefixIds(): string[] | undefined;
    /**
     *
     */
    set publicIpPrefixIds(value: string[] | undefined);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    /**
     *
     */
    get resourceGuid(): string;
    /**
     *
     */
    get skuName(): string;
    /**
     *
     */
    tags(key: string): string;
    /**
     *
     */
    get zones(): string[];
    private _timeouts?;
    /**
     *
     */
    get timeouts(): DataAzurermNatGatewayTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: DataAzurermNatGatewayTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
