import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface DataAzurermNetappSnapshotConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly accountName: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly poolName: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly volumeName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermNetappSnapshotTimeouts;
}
/**
 *
 */
export interface DataAzurermNetappSnapshotTimeouts {
    /**
     *
     */
    readonly read?: string;
}
/**
 *
 */
export declare class DataAzurermNetappSnapshot extends TerraformDataSource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: DataAzurermNetappSnapshotConfig);
    private _accountName;
    /**
     *
     */
    get accountName(): string;
    /**
     *
     */
    set accountName(value: string);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    /**
     *
     */
    get location(): string;
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _poolName;
    /**
     *
     */
    get poolName(): string;
    /**
     *
     */
    set poolName(value: string);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _volumeName;
    /**
     *
     */
    get volumeName(): string;
    /**
     *
     */
    set volumeName(value: string);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): DataAzurermNetappSnapshotTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: DataAzurermNetappSnapshotTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
