import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
import { ComplexComputedList } from "cdktf";
/**
 *
 */
export interface DataAzurermNetworkSecurityGroupConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermNetworkSecurityGroupTimeouts;
}
/**
 *
 */
export declare class DataAzurermNetworkSecurityGroupSecurityRule extends ComplexComputedList {
    /**
     *
     */
    get access(): string;
    /**
     *
     */
    get description(): string;
    /**
     *
     */
    get destinationAddressPrefix(): string;
    /**
     *
     */
    get destinationAddressPrefixes(): string[];
    /**
     *
     */
    get destinationApplicationSecurityGroupIds(): string[];
    /**
     *
     */
    get destinationPortRange(): string;
    /**
     *
     */
    get destinationPortRanges(): string[];
    /**
     *
     */
    get direction(): string;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    get priority(): number;
    /**
     *
     */
    get protocol(): string;
    /**
     *
     */
    get sourceAddressPrefix(): string;
    /**
     *
     */
    get sourceAddressPrefixes(): string[];
    /**
     *
     */
    get sourceApplicationSecurityGroupIds(): string[];
    /**
     *
     */
    get sourcePortRange(): string;
    /**
     *
     */
    get sourcePortRanges(): string[];
}
/**
 *
 */
export interface DataAzurermNetworkSecurityGroupTimeouts {
    /**
     *
     */
    readonly read?: string;
}
/**
 *
 */
export declare class DataAzurermNetworkSecurityGroup extends TerraformDataSource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: DataAzurermNetworkSecurityGroupConfig);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    /**
     *
     */
    get location(): string;
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    /**
     *
     */
    securityRule(index: string): DataAzurermNetworkSecurityGroupSecurityRule;
    /**
     *
     */
    tags(key: string): string;
    private _timeouts?;
    /**
     *
     */
    get timeouts(): DataAzurermNetworkSecurityGroupTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: DataAzurermNetworkSecurityGroupTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
