import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
import { ComplexComputedList } from "cdktf";
/**
 *
 */
export interface DataAzurermPrivateEndpointConnectionConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermPrivateEndpointConnectionTimeouts;
}
/**
 *
 */
export declare class DataAzurermPrivateEndpointConnectionPrivateServiceConnection extends ComplexComputedList {
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    get privateIpAddress(): string;
    /**
     *
     */
    get requestResponse(): string;
    /**
     *
     */
    get status(): string;
}
/**
 *
 */
export interface DataAzurermPrivateEndpointConnectionTimeouts {
    /**
     *
     */
    readonly read?: string;
}
/**
 *
 */
export declare class DataAzurermPrivateEndpointConnection extends TerraformDataSource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: DataAzurermPrivateEndpointConnectionConfig);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    /**
     *
     */
    get location(): string;
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    /**
     *
     */
    privateServiceConnection(index: string): DataAzurermPrivateEndpointConnectionPrivateServiceConnection;
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): DataAzurermPrivateEndpointConnectionTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: DataAzurermPrivateEndpointConnectionTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
