import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
import { ComplexComputedList } from "cdktf";
/**
 *
 */
export interface DataAzurermPrivateLinkServiceEndpointConnectionsConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly serviceId: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermPrivateLinkServiceEndpointConnectionsTimeouts;
}
/**
 *
 */
export declare class DataAzurermPrivateLinkServiceEndpointConnectionsPrivateEndpointConnections extends ComplexComputedList {
    /**
     *
     */
    get actionRequired(): string;
    /**
     *
     */
    get connectionId(): string;
    /**
     *
     */
    get connectionName(): string;
    /**
     *
     */
    get description(): string;
    /**
     *
     */
    get privateEndpointId(): string;
    /**
     *
     */
    get privateEndpointName(): string;
    /**
     *
     */
    get status(): string;
}
/**
 *
 */
export interface DataAzurermPrivateLinkServiceEndpointConnectionsTimeouts {
    /**
     *
     */
    readonly read?: string;
}
/**
 *
 */
export declare class DataAzurermPrivateLinkServiceEndpointConnections extends TerraformDataSource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: DataAzurermPrivateLinkServiceEndpointConnectionsConfig);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    /**
     *
     */
    get location(): string;
    /**
     *
     */
    privateEndpointConnections(index: string): DataAzurermPrivateLinkServiceEndpointConnectionsPrivateEndpointConnections;
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _serviceId;
    /**
     *
     */
    get serviceId(): string;
    /**
     *
     */
    set serviceId(value: string);
    /**
     *
     */
    get serviceName(): string;
    private _timeouts?;
    /**
     *
     */
    get timeouts(): DataAzurermPrivateLinkServiceEndpointConnectionsTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: DataAzurermPrivateLinkServiceEndpointConnectionsTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
