import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
import { ComplexComputedList } from "cdktf";
/**
 *
 */
export interface DataAzurermPrivateLinkServiceConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermPrivateLinkServiceTimeouts;
}
/**
 *
 */
export declare class DataAzurermPrivateLinkServiceNatIpConfiguration extends ComplexComputedList {
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    get primary(): boolean;
    /**
     *
     */
    get privateIpAddress(): string;
    /**
     *
     */
    get privateIpAddressVersion(): string;
    /**
     *
     */
    get subnetId(): string;
}
/**
 *
 */
export interface DataAzurermPrivateLinkServiceTimeouts {
    /**
     *
     */
    readonly read?: string;
}
/**
 *
 */
export declare class DataAzurermPrivateLinkService extends TerraformDataSource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: DataAzurermPrivateLinkServiceConfig);
    /**
     *
     */
    get alias(): string;
    /**
     *
     */
    get autoApprovalSubscriptionIds(): string[];
    /**
     *
     */
    get enableProxyProtocol(): boolean;
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    /**
     *
     */
    get loadBalancerFrontendIpConfigurationIds(): string[];
    /**
     *
     */
    get location(): string;
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    /**
     *
     */
    natIpConfiguration(index: string): DataAzurermPrivateLinkServiceNatIpConfiguration;
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    /**
     *
     */
    tags(key: string): string;
    /**
     *
     */
    get visibilitySubscriptionIds(): string[];
    private _timeouts?;
    /**
     *
     */
    get timeouts(): DataAzurermPrivateLinkServiceTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: DataAzurermPrivateLinkServiceTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
