import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface DataAzurermPublicIpPrefixConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly zones?: string[];
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermPublicIpPrefixTimeouts;
}
/**
 *
 */
export interface DataAzurermPublicIpPrefixTimeouts {
    /**
     *
     */
    readonly read?: string;
}
/**
 *
 */
export declare class DataAzurermPublicIpPrefix extends TerraformDataSource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: DataAzurermPublicIpPrefixConfig);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    /**
     *
     */
    get ipPrefix(): string;
    /**
     *
     */
    get location(): string;
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    /**
     *
     */
    get prefixLength(): number;
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    /**
     *
     */
    get sku(): string;
    /**
     *
     */
    tags(key: string): string;
    private _zones?;
    /**
     *
     */
    get zones(): string[] | undefined;
    /**
     *
     */
    set zones(value: string[] | undefined);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): DataAzurermPublicIpPrefixTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: DataAzurermPublicIpPrefixTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
