import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface DataAzurermPublicIpConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     *
     */
    readonly zones?: string[];
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermPublicIpTimeouts;
}
/**
 *
 */
export interface DataAzurermPublicIpTimeouts {
    /**
     *
     */
    readonly read?: string;
}
/**
 *
 */
export declare class DataAzurermPublicIp extends TerraformDataSource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: DataAzurermPublicIpConfig);
    /**
     *
     */
    get allocationMethod(): string;
    /**
     *
     */
    get domainNameLabel(): string;
    /**
     *
     */
    get fqdn(): string;
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    /**
     *
     */
    get idleTimeoutInMinutes(): number;
    /**
     *
     */
    get ipAddress(): string;
    /**
     *
     */
    get ipVersion(): string;
    /**
     *
     */
    get location(): string;
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    /**
     *
     */
    get reverseFqdn(): string;
    /**
     *
     */
    get sku(): string;
    private _tags?;
    /**
     *
     */
    get tags(): {
        [key: string]: string;
    } | undefined;
    /**
     *
     */
    set tags(value: {
        [key: string]: string;
    } | undefined);
    private _zones?;
    /**
     *
     */
    get zones(): string[] | undefined;
    /**
     *
     */
    set zones(value: string[] | undefined);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): DataAzurermPublicIpTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: DataAzurermPublicIpTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
