import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
import { ComplexComputedList } from "cdktf";
/**
 *
 */
export interface DataAzurermPublicIpsConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly allocationType?: string;
    /**
     *
     */
    readonly attached?: boolean;
    /**
     *
     */
    readonly namePrefix?: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermPublicIpsTimeouts;
}
/**
 *
 */
export declare class DataAzurermPublicIpsPublicIps extends ComplexComputedList {
    /**
     *
     */
    get domainNameLabel(): string;
    /**
     *
     */
    get fqdn(): string;
    /**
     *
     */
    get id(): string;
    /**
     *
     */
    get ipAddress(): string;
    /**
     *
     */
    get name(): string;
}
/**
 *
 */
export interface DataAzurermPublicIpsTimeouts {
    /**
     *
     */
    readonly read?: string;
}
/**
 *
 */
export declare class DataAzurermPublicIps extends TerraformDataSource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: DataAzurermPublicIpsConfig);
    private _allocationType?;
    /**
     *
     */
    get allocationType(): string | undefined;
    /**
     *
     */
    set allocationType(value: string | undefined);
    private _attached?;
    /**
     *
     */
    get attached(): boolean | undefined;
    /**
     *
     */
    set attached(value: boolean | undefined);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _namePrefix?;
    /**
     *
     */
    get namePrefix(): string | undefined;
    /**
     *
     */
    set namePrefix(value: string | undefined);
    /**
     *
     */
    publicIps(index: string): DataAzurermPublicIpsPublicIps;
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): DataAzurermPublicIpsTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: DataAzurermPublicIpsTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
