import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
import { ComplexComputedList } from "cdktf";
/**
 *
 */
export interface DataAzurermRedisCacheConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly zones?: string[];
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermRedisCacheTimeouts;
}
/**
 *
 */
export declare class DataAzurermRedisCachePatchSchedule extends ComplexComputedList {
    /**
     *
     */
    get dayOfWeek(): string;
    /**
     *
     */
    get startHourUtc(): number;
}
/**
 *
 */
export declare class DataAzurermRedisCacheRedisConfiguration extends ComplexComputedList {
    /**
     *
     */
    get aofBackupEnabled(): boolean;
    /**
     *
     */
    get aofStorageConnectionString0(): string;
    /**
     *
     */
    get aofStorageConnectionString1(): string;
    /**
     *
     */
    get enableAuthentication(): boolean;
    /**
     *
     */
    get maxclients(): number;
    /**
     *
     */
    get maxfragmentationmemoryReserved(): number;
    /**
     *
     */
    get maxmemoryDelta(): number;
    /**
     *
     */
    get maxmemoryPolicy(): string;
    /**
     *
     */
    get maxmemoryReserved(): number;
    /**
     *
     */
    get notifyKeyspaceEvents(): string;
    /**
     *
     */
    get rdbBackupEnabled(): boolean;
    /**
     *
     */
    get rdbBackupFrequency(): number;
    /**
     *
     */
    get rdbBackupMaxSnapshotCount(): number;
    /**
     *
     */
    get rdbStorageConnectionString(): string;
}
/**
 *
 */
export interface DataAzurermRedisCacheTimeouts {
    /**
     *
     */
    readonly read?: string;
}
/**
 *
 */
export declare class DataAzurermRedisCache extends TerraformDataSource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: DataAzurermRedisCacheConfig);
    /**
     *
     */
    get capacity(): number;
    /**
     *
     */
    get enableNonSslPort(): boolean;
    /**
     *
     */
    get family(): string;
    /**
     *
     */
    get hostname(): string;
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    /**
     *
     */
    get location(): string;
    /**
     *
     */
    get minimumTlsVersion(): string;
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    /**
     *
     */
    patchSchedule(index: string): DataAzurermRedisCachePatchSchedule;
    /**
     *
     */
    get port(): number;
    /**
     *
     */
    get primaryAccessKey(): string;
    /**
     *
     */
    get privateStaticIpAddress(): string;
    /**
     *
     */
    redisConfiguration(index: string): DataAzurermRedisCacheRedisConfiguration;
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    /**
     *
     */
    get secondaryAccessKey(): string;
    /**
     *
     */
    get shardCount(): number;
    /**
     *
     */
    get skuName(): string;
    /**
     *
     */
    get sslPort(): number;
    /**
     *
     */
    get subnetId(): string;
    /**
     *
     */
    tags(key: string): string;
    private _zones?;
    /**
     *
     */
    get zones(): string[] | undefined;
    /**
     *
     */
    set zones(value: string[] | undefined);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): DataAzurermRedisCacheTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: DataAzurermRedisCacheTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
