import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
import { ComplexComputedList } from "cdktf";
/**
 *
 */
export interface DataAzurermResourcesConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly name?: string;
    /**
     *
     */
    readonly requiredTags?: {
        [key: string]: string;
    };
    /**
     *
     */
    readonly resourceGroupName?: string;
    /**
     *
     */
    readonly type?: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermResourcesTimeouts;
}
/**
 *
 */
export declare class DataAzurermResourcesResources extends ComplexComputedList {
    /**
     *
     */
    get id(): string;
    /**
     *
     */
    get location(): string;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    get tags(): any;
    /**
     *
     */
    get type(): string;
}
/**
 *
 */
export interface DataAzurermResourcesTimeouts {
    /**
     *
     */
    readonly read?: string;
}
/**
 *
 */
export declare class DataAzurermResources extends TerraformDataSource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config?: DataAzurermResourcesConfig);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _name?;
    /**
     *
     */
    get name(): string | undefined;
    /**
     *
     */
    set name(value: string | undefined);
    private _requiredTags?;
    /**
     *
     */
    get requiredTags(): {
        [key: string]: string;
    } | undefined;
    /**
     *
     */
    set requiredTags(value: {
        [key: string]: string;
    } | undefined);
    private _resourceGroupName?;
    /**
     *
     */
    get resourceGroupName(): string | undefined;
    /**
     *
     */
    set resourceGroupName(value: string | undefined);
    /**
     *
     */
    resources(index: string): DataAzurermResourcesResources;
    private _type?;
    /**
     *
     */
    get type(): string | undefined;
    /**
     *
     */
    set type(value: string | undefined);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): DataAzurermResourcesTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: DataAzurermResourcesTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
