import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
import { ComplexComputedList } from "cdktf";
/**
 *
 */
export interface DataAzurermRoleDefinitionConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly name?: string;
    /**
     *
     */
    readonly roleDefinitionId?: string;
    /**
     *
     */
    readonly scope?: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermRoleDefinitionTimeouts;
}
/**
 *
 */
export declare class DataAzurermRoleDefinitionPermissions extends ComplexComputedList {
    /**
     *
     */
    get actions(): string[];
    /**
     *
     */
    get dataActions(): string[];
    /**
     *
     */
    get notActions(): string[];
    /**
     *
     */
    get notDataActions(): string[];
}
/**
 *
 */
export interface DataAzurermRoleDefinitionTimeouts {
    /**
     *
     */
    readonly read?: string;
}
/**
 *
 */
export declare class DataAzurermRoleDefinition extends TerraformDataSource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config?: DataAzurermRoleDefinitionConfig);
    /**
     *
     */
    get assignableScopes(): string[];
    /**
     *
     */
    get description(): string;
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _name?;
    /**
     *
     */
    get name(): string | undefined;
    /**
     *
     */
    set name(value: string | undefined);
    /**
     *
     */
    permissions(index: string): DataAzurermRoleDefinitionPermissions;
    private _roleDefinitionId?;
    /**
     *
     */
    get roleDefinitionId(): string | undefined;
    /**
     *
     */
    set roleDefinitionId(value: string | undefined);
    private _scope?;
    /**
     *
     */
    get scope(): string | undefined;
    /**
     *
     */
    set scope(value: string | undefined);
    /**
     *
     */
    get type(): string;
    private _timeouts?;
    /**
     *
     */
    get timeouts(): DataAzurermRoleDefinitionTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: DataAzurermRoleDefinitionTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
