import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
import { ComplexComputedList } from "cdktf";
/**
 *
 */
export interface DataAzurermRouteTableConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermRouteTableTimeouts;
}
/**
 *
 */
export declare class DataAzurermRouteTableRoute extends ComplexComputedList {
    /**
     *
     */
    get addressPrefix(): string;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    get nextHopInIpAddress(): string;
    /**
     *
     */
    get nextHopType(): string;
}
/**
 *
 */
export interface DataAzurermRouteTableTimeouts {
    /**
     *
     */
    readonly read?: string;
}
/**
 *
 */
export declare class DataAzurermRouteTable extends TerraformDataSource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: DataAzurermRouteTableConfig);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    /**
     *
     */
    get location(): string;
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    /**
     *
     */
    route(index: string): DataAzurermRouteTableRoute;
    /**
     *
     */
    get subnets(): string[];
    /**
     *
     */
    tags(key: string): string;
    private _timeouts?;
    /**
     *
     */
    get timeouts(): DataAzurermRouteTableTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: DataAzurermRouteTableTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
