import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface DataAzurermServicebusNamespaceConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermServicebusNamespaceTimeouts;
}
/**
 *
 */
export interface DataAzurermServicebusNamespaceTimeouts {
    /**
     *
     */
    readonly read?: string;
}
/**
 *
 */
export declare class DataAzurermServicebusNamespace extends TerraformDataSource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: DataAzurermServicebusNamespaceConfig);
    /**
     *
     */
    get capacity(): number;
    /**
     *
     */
    get defaultPrimaryConnectionString(): string;
    /**
     *
     */
    get defaultPrimaryKey(): string;
    /**
     *
     */
    get defaultSecondaryConnectionString(): string;
    /**
     *
     */
    get defaultSecondaryKey(): string;
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    /**
     *
     */
    get location(): string;
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    /**
     *
     */
    get sku(): string;
    /**
     *
     */
    tags(key: string): string;
    /**
     *
     */
    get zoneRedundant(): boolean;
    private _timeouts?;
    /**
     *
     */
    get timeouts(): DataAzurermServicebusNamespaceTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: DataAzurermServicebusNamespaceTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
