import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
import { ComplexComputedList } from "cdktf";
/**
 *
 */
export interface DataAzurermSharedImageVersionConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly galleryName: string;
    /**
     *
     */
    readonly imageName: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermSharedImageVersionTimeouts;
}
/**
 *
 */
export declare class DataAzurermSharedImageVersionTargetRegion extends ComplexComputedList {
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    get regionalReplicaCount(): number;
    /**
     *
     */
    get storageAccountType(): string;
}
/**
 *
 */
export interface DataAzurermSharedImageVersionTimeouts {
    /**
     *
     */
    readonly read?: string;
}
/**
 *
 */
export declare class DataAzurermSharedImageVersion extends TerraformDataSource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: DataAzurermSharedImageVersionConfig);
    /**
     *
     */
    get excludeFromLatest(): boolean;
    private _galleryName;
    /**
     *
     */
    get galleryName(): string;
    /**
     *
     */
    set galleryName(value: string);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _imageName;
    /**
     *
     */
    get imageName(): string;
    /**
     *
     */
    set imageName(value: string);
    /**
     *
     */
    get location(): string;
    /**
     *
     */
    get managedImageId(): string;
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    /**
     *
     */
    tags(key: string): string;
    /**
     *
     */
    targetRegion(index: string): DataAzurermSharedImageVersionTargetRegion;
    private _timeouts?;
    /**
     *
     */
    get timeouts(): DataAzurermSharedImageVersionTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: DataAzurermSharedImageVersionTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
