import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
import { ComplexComputedList } from "cdktf";
/**
 *
 */
export interface DataAzurermSharedImageConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly galleryName: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermSharedImageTimeouts;
}
/**
 *
 */
export declare class DataAzurermSharedImageIdentifier extends ComplexComputedList {
    /**
     *
     */
    get offer(): string;
    /**
     *
     */
    get publisher(): string;
    /**
     *
     */
    get sku(): string;
}
/**
 *
 */
export interface DataAzurermSharedImageTimeouts {
    /**
     *
     */
    readonly read?: string;
}
/**
 *
 */
export declare class DataAzurermSharedImage extends TerraformDataSource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: DataAzurermSharedImageConfig);
    /**
     *
     */
    get description(): string;
    /**
     *
     */
    get eula(): string;
    private _galleryName;
    /**
     *
     */
    get galleryName(): string;
    /**
     *
     */
    set galleryName(value: string);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    /**
     *
     */
    identifier(index: string): DataAzurermSharedImageIdentifier;
    /**
     *
     */
    get location(): string;
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    /**
     *
     */
    get osType(): string;
    /**
     *
     */
    get privacyStatementUri(): string;
    /**
     *
     */
    get releaseNoteUri(): string;
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    /**
     *
     */
    tags(key: string): string;
    private _timeouts?;
    /**
     *
     */
    get timeouts(): DataAzurermSharedImageTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: DataAzurermSharedImageTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
