import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
import { ComplexComputedList } from "cdktf";
/**
 *
 */
export interface DataAzurermSnapshotConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermSnapshotTimeouts;
}
/**
 *
 */
export declare class DataAzurermSnapshotEncryptionSettingsDiskEncryptionKey extends ComplexComputedList {
    /**
     *
     */
    get secretUrl(): string;
    /**
     *
     */
    get sourceVaultId(): string;
}
/**
 *
 */
export declare class DataAzurermSnapshotEncryptionSettingsKeyEncryptionKey extends ComplexComputedList {
    /**
     *
     */
    get keyUrl(): string;
    /**
     *
     */
    get sourceVaultId(): string;
}
/**
 *
 */
export declare class DataAzurermSnapshotEncryptionSettings extends ComplexComputedList {
    /**
     *
     */
    get diskEncryptionKey(): any;
    /**
     *
     */
    get enabled(): boolean;
    /**
     *
     */
    get keyEncryptionKey(): any;
}
/**
 *
 */
export interface DataAzurermSnapshotTimeouts {
    /**
     *
     */
    readonly read?: string;
}
/**
 *
 */
export declare class DataAzurermSnapshot extends TerraformDataSource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: DataAzurermSnapshotConfig);
    /**
     *
     */
    get creationOption(): string;
    /**
     *
     */
    get diskSizeGb(): number;
    /**
     *
     */
    encryptionSettings(index: string): DataAzurermSnapshotEncryptionSettings;
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    /**
     *
     */
    get osType(): string;
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    /**
     *
     */
    get sourceResourceId(): string;
    /**
     *
     */
    get sourceUri(): string;
    /**
     *
     */
    get storageAccountId(): string;
    /**
     *
     */
    get timeCreated(): string;
    private _timeouts?;
    /**
     *
     */
    get timeouts(): DataAzurermSnapshotTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: DataAzurermSnapshotTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
