import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface DataAzurermStorageAccountBlobContainerSasConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly cacheControl?: string;
    /**
     *
     */
    readonly connectionString: string;
    /**
     *
     */
    readonly containerName: string;
    /**
     *
     */
    readonly contentDisposition?: string;
    /**
     *
     */
    readonly contentEncoding?: string;
    /**
     *
     */
    readonly contentLanguage?: string;
    /**
     *
     */
    readonly contentType?: string;
    /**
     *
     */
    readonly expiry: string;
    /**
     *
     */
    readonly httpsOnly?: boolean;
    /**
     *
     */
    readonly ipAddress?: string;
    /**
     *
     */
    readonly start: string;
    /**
     * permissions block.
     */
    readonly permissions: DataAzurermStorageAccountBlobContainerSasPermissions[];
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermStorageAccountBlobContainerSasTimeouts;
}
/**
 *
 */
export interface DataAzurermStorageAccountBlobContainerSasPermissions {
    /**
     *
     */
    readonly add: boolean;
    /**
     *
     */
    readonly create: boolean;
    /**
     *
     */
    readonly delete: boolean;
    /**
     *
     */
    readonly list: boolean;
    /**
     *
     */
    readonly read: boolean;
    /**
     *
     */
    readonly write: boolean;
}
/**
 *
 */
export interface DataAzurermStorageAccountBlobContainerSasTimeouts {
    /**
     *
     */
    readonly read?: string;
}
/**
 *
 */
export declare class DataAzurermStorageAccountBlobContainerSas extends TerraformDataSource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: DataAzurermStorageAccountBlobContainerSasConfig);
    private _cacheControl?;
    /**
     *
     */
    get cacheControl(): string | undefined;
    /**
     *
     */
    set cacheControl(value: string | undefined);
    private _connectionString;
    /**
     *
     */
    get connectionString(): string;
    /**
     *
     */
    set connectionString(value: string);
    private _containerName;
    /**
     *
     */
    get containerName(): string;
    /**
     *
     */
    set containerName(value: string);
    private _contentDisposition?;
    /**
     *
     */
    get contentDisposition(): string | undefined;
    /**
     *
     */
    set contentDisposition(value: string | undefined);
    private _contentEncoding?;
    /**
     *
     */
    get contentEncoding(): string | undefined;
    /**
     *
     */
    set contentEncoding(value: string | undefined);
    private _contentLanguage?;
    /**
     *
     */
    get contentLanguage(): string | undefined;
    /**
     *
     */
    set contentLanguage(value: string | undefined);
    private _contentType?;
    /**
     *
     */
    get contentType(): string | undefined;
    /**
     *
     */
    set contentType(value: string | undefined);
    private _expiry;
    /**
     *
     */
    get expiry(): string;
    /**
     *
     */
    set expiry(value: string);
    private _httpsOnly?;
    /**
     *
     */
    get httpsOnly(): boolean | undefined;
    /**
     *
     */
    set httpsOnly(value: boolean | undefined);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _ipAddress?;
    /**
     *
     */
    get ipAddress(): string | undefined;
    /**
     *
     */
    set ipAddress(value: string | undefined);
    /**
     *
     */
    get sas(): string;
    private _start;
    /**
     *
     */
    get start(): string;
    /**
     *
     */
    set start(value: string);
    private _permissions;
    /**
     *
     */
    get permissions(): DataAzurermStorageAccountBlobContainerSasPermissions[];
    /**
     *
     */
    set permissions(value: DataAzurermStorageAccountBlobContainerSasPermissions[]);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): DataAzurermStorageAccountBlobContainerSasTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: DataAzurermStorageAccountBlobContainerSasTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
