import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface DataAzurermStorageAccountSasConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly connectionString: string;
    /**
     *
     */
    readonly expiry: string;
    /**
     *
     */
    readonly httpsOnly?: boolean;
    /**
     *
     */
    readonly start: string;
    /**
     * permissions block.
     */
    readonly permissions: DataAzurermStorageAccountSasPermissions[];
    /**
     * resource_types block.
     */
    readonly resourceTypes: DataAzurermStorageAccountSasResourceTypes[];
    /**
     * services block.
     */
    readonly services: DataAzurermStorageAccountSasServices[];
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermStorageAccountSasTimeouts;
}
/**
 *
 */
export interface DataAzurermStorageAccountSasPermissions {
    /**
     *
     */
    readonly add: boolean;
    /**
     *
     */
    readonly create: boolean;
    /**
     *
     */
    readonly delete: boolean;
    /**
     *
     */
    readonly list: boolean;
    /**
     *
     */
    readonly process: boolean;
    /**
     *
     */
    readonly read: boolean;
    /**
     *
     */
    readonly update: boolean;
    /**
     *
     */
    readonly write: boolean;
}
/**
 *
 */
export interface DataAzurermStorageAccountSasResourceTypes {
    /**
     *
     */
    readonly container: boolean;
    /**
     *
     */
    readonly object: boolean;
    /**
     *
     */
    readonly service: boolean;
}
/**
 *
 */
export interface DataAzurermStorageAccountSasServices {
    /**
     *
     */
    readonly blob: boolean;
    /**
     *
     */
    readonly file: boolean;
    /**
     *
     */
    readonly queue: boolean;
    /**
     *
     */
    readonly table: boolean;
}
/**
 *
 */
export interface DataAzurermStorageAccountSasTimeouts {
    /**
     *
     */
    readonly read?: string;
}
/**
 *
 */
export declare class DataAzurermStorageAccountSas extends TerraformDataSource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: DataAzurermStorageAccountSasConfig);
    private _connectionString;
    /**
     *
     */
    get connectionString(): string;
    /**
     *
     */
    set connectionString(value: string);
    private _expiry;
    /**
     *
     */
    get expiry(): string;
    /**
     *
     */
    set expiry(value: string);
    private _httpsOnly?;
    /**
     *
     */
    get httpsOnly(): boolean | undefined;
    /**
     *
     */
    set httpsOnly(value: boolean | undefined);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    /**
     *
     */
    get sas(): string;
    private _start;
    /**
     *
     */
    get start(): string;
    /**
     *
     */
    set start(value: string);
    private _permissions;
    /**
     *
     */
    get permissions(): DataAzurermStorageAccountSasPermissions[];
    /**
     *
     */
    set permissions(value: DataAzurermStorageAccountSasPermissions[]);
    private _resourceTypes;
    /**
     *
     */
    get resourceTypes(): DataAzurermStorageAccountSasResourceTypes[];
    /**
     *
     */
    set resourceTypes(value: DataAzurermStorageAccountSasResourceTypes[]);
    private _services;
    /**
     *
     */
    get services(): DataAzurermStorageAccountSasServices[];
    /**
     *
     */
    set services(value: DataAzurermStorageAccountSasServices[]);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): DataAzurermStorageAccountSasTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: DataAzurermStorageAccountSasTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
