import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
import { ComplexComputedList } from "cdktf";
/**
 *
 */
export interface DataAzurermStorageAccountConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermStorageAccountTimeouts;
}
/**
 *
 */
export declare class DataAzurermStorageAccountCustomDomain extends ComplexComputedList {
    /**
     *
     */
    get name(): string;
}
/**
 *
 */
export interface DataAzurermStorageAccountTimeouts {
    /**
     *
     */
    readonly read?: string;
}
/**
 *
 */
export declare class DataAzurermStorageAccount extends TerraformDataSource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: DataAzurermStorageAccountConfig);
    /**
     *
     */
    get accessTier(): string;
    /**
     *
     */
    get accountKind(): string;
    /**
     *
     */
    get accountReplicationType(): string;
    /**
     *
     */
    get accountTier(): string;
    /**
     *
     */
    customDomain(index: string): DataAzurermStorageAccountCustomDomain;
    /**
     *
     */
    get enableHttpsTrafficOnly(): boolean;
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    /**
     *
     */
    get isHnsEnabled(): boolean;
    /**
     *
     */
    get location(): string;
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    /**
     *
     */
    get primaryAccessKey(): string;
    /**
     *
     */
    get primaryBlobConnectionString(): string;
    /**
     *
     */
    get primaryBlobEndpoint(): string;
    /**
     *
     */
    get primaryBlobHost(): string;
    /**
     *
     */
    get primaryConnectionString(): string;
    /**
     *
     */
    get primaryDfsEndpoint(): string;
    /**
     *
     */
    get primaryDfsHost(): string;
    /**
     *
     */
    get primaryFileEndpoint(): string;
    /**
     *
     */
    get primaryFileHost(): string;
    /**
     *
     */
    get primaryLocation(): string;
    /**
     *
     */
    get primaryQueueEndpoint(): string;
    /**
     *
     */
    get primaryQueueHost(): string;
    /**
     *
     */
    get primaryTableEndpoint(): string;
    /**
     *
     */
    get primaryTableHost(): string;
    /**
     *
     */
    get primaryWebEndpoint(): string;
    /**
     *
     */
    get primaryWebHost(): string;
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    /**
     *
     */
    get secondaryAccessKey(): string;
    /**
     *
     */
    get secondaryBlobConnectionString(): string;
    /**
     *
     */
    get secondaryBlobEndpoint(): string;
    /**
     *
     */
    get secondaryBlobHost(): string;
    /**
     *
     */
    get secondaryConnectionString(): string;
    /**
     *
     */
    get secondaryDfsEndpoint(): string;
    /**
     *
     */
    get secondaryDfsHost(): string;
    /**
     *
     */
    get secondaryFileEndpoint(): string;
    /**
     *
     */
    get secondaryFileHost(): string;
    /**
     *
     */
    get secondaryLocation(): string;
    /**
     *
     */
    get secondaryQueueEndpoint(): string;
    /**
     *
     */
    get secondaryQueueHost(): string;
    /**
     *
     */
    get secondaryTableEndpoint(): string;
    /**
     *
     */
    get secondaryTableHost(): string;
    /**
     *
     */
    get secondaryWebEndpoint(): string;
    /**
     *
     */
    get secondaryWebHost(): string;
    /**
     *
     */
    tags(key: string): string;
    private _timeouts?;
    /**
     *
     */
    get timeouts(): DataAzurermStorageAccountTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: DataAzurermStorageAccountTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
