import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface DataAzurermStorageContainerConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly metadata?: {
        [key: string]: string;
    };
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly storageAccountName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermStorageContainerTimeouts;
}
/**
 *
 */
export interface DataAzurermStorageContainerTimeouts {
    /**
     *
     */
    readonly read?: string;
}
/**
 *
 */
export declare class DataAzurermStorageContainer extends TerraformDataSource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: DataAzurermStorageContainerConfig);
    /**
     *
     */
    get containerAccessType(): string;
    /**
     *
     */
    get hasImmutabilityPolicy(): boolean;
    /**
     *
     */
    get hasLegalHold(): boolean;
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _metadata?;
    /**
     *
     */
    get metadata(): {
        [key: string]: string;
    } | undefined;
    /**
     *
     */
    set metadata(value: {
        [key: string]: string;
    } | undefined);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _storageAccountName;
    /**
     *
     */
    get storageAccountName(): string;
    /**
     *
     */
    set storageAccountName(value: string);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): DataAzurermStorageContainerTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: DataAzurermStorageContainerTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
