import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface DataAzurermStreamAnalyticsJobConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermStreamAnalyticsJobTimeouts;
}
/**
 *
 */
export interface DataAzurermStreamAnalyticsJobTimeouts {
    /**
     *
     */
    readonly read?: string;
}
/**
 *
 */
export declare class DataAzurermStreamAnalyticsJob extends TerraformDataSource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: DataAzurermStreamAnalyticsJobConfig);
    /**
     *
     */
    get compatibilityLevel(): string;
    /**
     *
     */
    get dataLocale(): string;
    /**
     *
     */
    get eventsLateArrivalMaxDelayInSeconds(): number;
    /**
     *
     */
    get eventsOutOfOrderMaxDelayInSeconds(): number;
    /**
     *
     */
    get eventsOutOfOrderPolicy(): string;
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    /**
     *
     */
    get jobId(): string;
    /**
     *
     */
    get location(): string;
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    /**
     *
     */
    get outputErrorPolicy(): string;
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    /**
     *
     */
    get streamingUnits(): number;
    /**
     *
     */
    get transformationQuery(): string;
    private _timeouts?;
    /**
     *
     */
    get timeouts(): DataAzurermStreamAnalyticsJobTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: DataAzurermStreamAnalyticsJobTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
