import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface DataAzurermSubnetConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly virtualNetworkName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermSubnetTimeouts;
}
/**
 *
 */
export interface DataAzurermSubnetTimeouts {
    /**
     *
     */
    readonly read?: string;
}
/**
 *
 */
export declare class DataAzurermSubnet extends TerraformDataSource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: DataAzurermSubnetConfig);
    /**
     *
     */
    get addressPrefix(): string;
    /**
     *
     */
    get enforcePrivateLinkEndpointNetworkPolicies(): boolean;
    /**
     *
     */
    get enforcePrivateLinkServiceNetworkPolicies(): boolean;
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    /**
     *
     */
    get networkSecurityGroupId(): string;
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    /**
     *
     */
    get routeTableId(): string;
    /**
     *
     */
    get serviceEndpoints(): string[];
    private _virtualNetworkName;
    /**
     *
     */
    get virtualNetworkName(): string;
    /**
     *
     */
    set virtualNetworkName(value: string);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): DataAzurermSubnetTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: DataAzurermSubnetTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
