import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface DataAzurermSubscriptionConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly subscriptionId?: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermSubscriptionTimeouts;
}
/**
 *
 */
export interface DataAzurermSubscriptionTimeouts {
    /**
     *
     */
    readonly read?: string;
}
/**
 *
 */
export declare class DataAzurermSubscription extends TerraformDataSource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config?: DataAzurermSubscriptionConfig);
    /**
     *
     */
    get displayName(): string;
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    /**
     *
     */
    get locationPlacementId(): string;
    /**
     *
     */
    get quotaId(): string;
    /**
     *
     */
    get spendingLimit(): string;
    /**
     *
     */
    get state(): string;
    private _subscriptionId?;
    /**
     *
     */
    get subscriptionId(): string | undefined;
    /**
     *
     */
    set subscriptionId(value: string | undefined);
    /**
     *
     */
    get tenantId(): string;
    private _timeouts?;
    /**
     *
     */
    get timeouts(): DataAzurermSubscriptionTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: DataAzurermSubscriptionTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
