import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
import { ComplexComputedList } from "cdktf";
/**
 *
 */
export interface DataAzurermSubscriptionsConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly displayNameContains?: string;
    /**
     *
     */
    readonly displayNamePrefix?: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermSubscriptionsTimeouts;
}
/**
 *
 */
export declare class DataAzurermSubscriptionsSubscriptions extends ComplexComputedList {
    /**
     *
     */
    get displayName(): string;
    /**
     *
     */
    get locationPlacementId(): string;
    /**
     *
     */
    get quotaId(): string;
    /**
     *
     */
    get spendingLimit(): string;
    /**
     *
     */
    get state(): string;
    /**
     *
     */
    get subscriptionId(): string;
    /**
     *
     */
    get tenantId(): string;
}
/**
 *
 */
export interface DataAzurermSubscriptionsTimeouts {
    /**
     *
     */
    readonly read?: string;
}
/**
 *
 */
export declare class DataAzurermSubscriptions extends TerraformDataSource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config?: DataAzurermSubscriptionsConfig);
    private _displayNameContains?;
    /**
     *
     */
    get displayNameContains(): string | undefined;
    /**
     *
     */
    set displayNameContains(value: string | undefined);
    private _displayNamePrefix?;
    /**
     *
     */
    get displayNamePrefix(): string | undefined;
    /**
     *
     */
    set displayNamePrefix(value: string | undefined);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    /**
     *
     */
    subscriptions(index: string): DataAzurermSubscriptionsSubscriptions;
    private _timeouts?;
    /**
     *
     */
    get timeouts(): DataAzurermSubscriptionsTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: DataAzurermSubscriptionsTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
