import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
import { ComplexComputedList } from "cdktf";
/**
 *
 */
export interface DataAzurermVirtualNetworkGatewayConnectionConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermVirtualNetworkGatewayConnectionTimeouts;
}
/**
 *
 */
export declare class DataAzurermVirtualNetworkGatewayConnectionIpsecPolicy extends ComplexComputedList {
    /**
     *
     */
    get dhGroup(): string;
    /**
     *
     */
    get ikeEncryption(): string;
    /**
     *
     */
    get ikeIntegrity(): string;
    /**
     *
     */
    get ipsecEncryption(): string;
    /**
     *
     */
    get ipsecIntegrity(): string;
    /**
     *
     */
    get pfsGroup(): string;
    /**
     *
     */
    get saDatasize(): number;
    /**
     *
     */
    get saLifetime(): number;
}
/**
 *
 */
export interface DataAzurermVirtualNetworkGatewayConnectionTimeouts {
    /**
     *
     */
    readonly read?: string;
}
/**
 *
 */
export declare class DataAzurermVirtualNetworkGatewayConnection extends TerraformDataSource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: DataAzurermVirtualNetworkGatewayConnectionConfig);
    /**
     *
     */
    get authorizationKey(): string;
    /**
     *
     */
    get connectionProtocol(): string;
    /**
     *
     */
    get egressBytesTransferred(): number;
    /**
     *
     */
    get enableBgp(): boolean;
    /**
     *
     */
    get expressRouteCircuitId(): string;
    /**
     *
     */
    get expressRouteGatewayBypass(): boolean;
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    /**
     *
     */
    get ingressBytesTransferred(): number;
    /**
     *
     */
    ipsecPolicy(index: string): DataAzurermVirtualNetworkGatewayConnectionIpsecPolicy;
    /**
     *
     */
    get localNetworkGatewayId(): string;
    /**
     *
     */
    get location(): string;
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    /**
     *
     */
    get peerVirtualNetworkGatewayId(): string;
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    /**
     *
     */
    get resourceGuid(): string;
    /**
     *
     */
    get routingWeight(): number;
    /**
     *
     */
    get sharedKey(): string;
    /**
     *
     */
    tags(key: string): string;
    /**
     *
     */
    get type(): string;
    /**
     *
     */
    get usePolicyBasedTrafficSelectors(): boolean;
    /**
     *
     */
    get virtualNetworkGatewayId(): string;
    private _timeouts?;
    /**
     *
     */
    get timeouts(): DataAzurermVirtualNetworkGatewayConnectionTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: DataAzurermVirtualNetworkGatewayConnectionTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
