import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
import { ComplexComputedList } from "cdktf";
/**
 *
 */
export interface DataAzurermVirtualNetworkGatewayConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermVirtualNetworkGatewayTimeouts;
}
/**
 *
 */
export declare class DataAzurermVirtualNetworkGatewayBgpSettings extends ComplexComputedList {
    /**
     *
     */
    get asn(): number;
    /**
     *
     */
    get peerWeight(): number;
    /**
     *
     */
    get peeringAddress(): string;
}
/**
 *
 */
export declare class DataAzurermVirtualNetworkGatewayIpConfiguration extends ComplexComputedList {
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    get privateIpAddressAllocation(): string;
    /**
     *
     */
    get publicIpAddressId(): string;
    /**
     *
     */
    get subnetId(): string;
}
/**
 *
 */
export declare class DataAzurermVirtualNetworkGatewayVpnClientConfigurationRevokedCertificate extends ComplexComputedList {
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    get thumbprint(): string;
}
/**
 *
 */
export declare class DataAzurermVirtualNetworkGatewayVpnClientConfigurationRootCertificate extends ComplexComputedList {
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    get publicCertData(): string;
}
/**
 *
 */
export declare class DataAzurermVirtualNetworkGatewayVpnClientConfiguration extends ComplexComputedList {
    /**
     *
     */
    get addressSpace(): string[];
    /**
     *
     */
    get radiusServerAddress(): string;
    /**
     *
     */
    get radiusServerSecret(): string;
    /**
     *
     */
    get revokedCertificate(): any;
    /**
     *
     */
    get rootCertificate(): any;
    /**
     *
     */
    get vpnClientProtocols(): string[];
}
/**
 *
 */
export interface DataAzurermVirtualNetworkGatewayTimeouts {
    /**
     *
     */
    readonly read?: string;
}
/**
 *
 */
export declare class DataAzurermVirtualNetworkGateway extends TerraformDataSource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: DataAzurermVirtualNetworkGatewayConfig);
    /**
     *
     */
    get activeActive(): boolean;
    /**
     *
     */
    bgpSettings(index: string): DataAzurermVirtualNetworkGatewayBgpSettings;
    /**
     *
     */
    get defaultLocalNetworkGatewayId(): string;
    /**
     *
     */
    get enableBgp(): boolean;
    /**
     *
     */
    get generation(): string;
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    /**
     *
     */
    ipConfiguration(index: string): DataAzurermVirtualNetworkGatewayIpConfiguration;
    /**
     *
     */
    get location(): string;
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    /**
     *
     */
    get sku(): string;
    /**
     *
     */
    tags(key: string): string;
    /**
     *
     */
    get type(): string;
    /**
     *
     */
    vpnClientConfiguration(index: string): DataAzurermVirtualNetworkGatewayVpnClientConfiguration;
    /**
     *
     */
    get vpnType(): string;
    private _timeouts?;
    /**
     *
     */
    get timeouts(): DataAzurermVirtualNetworkGatewayTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: DataAzurermVirtualNetworkGatewayTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
