import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface DataFactoryDatasetPostgresqlConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly additionalProperties?: {
        [key: string]: string;
    };
    /**
     *
     */
    readonly annotations?: string[];
    /**
     *
     */
    readonly dataFactoryName: string;
    /**
     *
     */
    readonly description?: string;
    /**
     *
     */
    readonly folder?: string;
    /**
     *
     */
    readonly linkedServiceName: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly parameters?: {
        [key: string]: string;
    };
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly tableName?: string;
    /**
     * schema_column block.
     */
    readonly schemaColumn?: DataFactoryDatasetPostgresqlSchemaColumn[];
    /**
     * timeouts block.
     */
    readonly timeouts?: DataFactoryDatasetPostgresqlTimeouts;
}
/**
 *
 */
export interface DataFactoryDatasetPostgresqlSchemaColumn {
    /**
     *
     */
    readonly description?: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly type?: string;
}
/**
 *
 */
export interface DataFactoryDatasetPostgresqlTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class DataFactoryDatasetPostgresql extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: DataFactoryDatasetPostgresqlConfig);
    private _additionalProperties?;
    /**
     *
     */
    get additionalProperties(): {
        [key: string]: string;
    } | undefined;
    /**
     *
     */
    set additionalProperties(value: {
        [key: string]: string;
    } | undefined);
    private _annotations?;
    /**
     *
     */
    get annotations(): string[] | undefined;
    /**
     *
     */
    set annotations(value: string[] | undefined);
    private _dataFactoryName;
    /**
     *
     */
    get dataFactoryName(): string;
    /**
     *
     */
    set dataFactoryName(value: string);
    private _description?;
    /**
     *
     */
    get description(): string | undefined;
    /**
     *
     */
    set description(value: string | undefined);
    private _folder?;
    /**
     *
     */
    get folder(): string | undefined;
    /**
     *
     */
    set folder(value: string | undefined);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _linkedServiceName;
    /**
     *
     */
    get linkedServiceName(): string;
    /**
     *
     */
    set linkedServiceName(value: string);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _parameters?;
    /**
     *
     */
    get parameters(): {
        [key: string]: string;
    } | undefined;
    /**
     *
     */
    set parameters(value: {
        [key: string]: string;
    } | undefined);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _tableName?;
    /**
     *
     */
    get tableName(): string | undefined;
    /**
     *
     */
    set tableName(value: string | undefined);
    private _schemaColumn?;
    /**
     *
     */
    get schemaColumn(): DataFactoryDatasetPostgresqlSchemaColumn[] | undefined;
    /**
     *
     */
    set schemaColumn(value: DataFactoryDatasetPostgresqlSchemaColumn[] | undefined);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): DataFactoryDatasetPostgresqlTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: DataFactoryDatasetPostgresqlTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
