import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface DataFactoryDatasetSqlServerTableConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly additionalProperties?: {
        [key: string]: string;
    };
    /**
     *
     */
    readonly annotations?: string[];
    /**
     *
     */
    readonly dataFactoryName: string;
    /**
     *
     */
    readonly description?: string;
    /**
     *
     */
    readonly folder?: string;
    /**
     *
     */
    readonly linkedServiceName: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly parameters?: {
        [key: string]: string;
    };
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly tableName?: string;
    /**
     * schema_column block.
     */
    readonly schemaColumn?: DataFactoryDatasetSqlServerTableSchemaColumn[];
    /**
     * timeouts block.
     */
    readonly timeouts?: DataFactoryDatasetSqlServerTableTimeouts;
}
/**
 *
 */
export interface DataFactoryDatasetSqlServerTableSchemaColumn {
    /**
     *
     */
    readonly description?: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly type?: string;
}
/**
 *
 */
export interface DataFactoryDatasetSqlServerTableTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class DataFactoryDatasetSqlServerTable extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: DataFactoryDatasetSqlServerTableConfig);
    private _additionalProperties?;
    /**
     *
     */
    get additionalProperties(): {
        [key: string]: string;
    } | undefined;
    /**
     *
     */
    set additionalProperties(value: {
        [key: string]: string;
    } | undefined);
    private _annotations?;
    /**
     *
     */
    get annotations(): string[] | undefined;
    /**
     *
     */
    set annotations(value: string[] | undefined);
    private _dataFactoryName;
    /**
     *
     */
    get dataFactoryName(): string;
    /**
     *
     */
    set dataFactoryName(value: string);
    private _description?;
    /**
     *
     */
    get description(): string | undefined;
    /**
     *
     */
    set description(value: string | undefined);
    private _folder?;
    /**
     *
     */
    get folder(): string | undefined;
    /**
     *
     */
    set folder(value: string | undefined);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _linkedServiceName;
    /**
     *
     */
    get linkedServiceName(): string;
    /**
     *
     */
    set linkedServiceName(value: string);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _parameters?;
    /**
     *
     */
    get parameters(): {
        [key: string]: string;
    } | undefined;
    /**
     *
     */
    set parameters(value: {
        [key: string]: string;
    } | undefined);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _tableName?;
    /**
     *
     */
    get tableName(): string | undefined;
    /**
     *
     */
    set tableName(value: string | undefined);
    private _schemaColumn?;
    /**
     *
     */
    get schemaColumn(): DataFactoryDatasetSqlServerTableSchemaColumn[] | undefined;
    /**
     *
     */
    set schemaColumn(value: DataFactoryDatasetSqlServerTableSchemaColumn[] | undefined);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): DataFactoryDatasetSqlServerTableTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: DataFactoryDatasetSqlServerTableTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
