import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface DataFactoryIntegrationRuntimeManagedConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly dataFactoryName: string;
    /**
     *
     */
    readonly description?: string;
    /**
     *
     */
    readonly edition?: string;
    /**
     *
     */
    readonly licenseType?: string;
    /**
     *
     */
    readonly location: string;
    /**
     *
     */
    readonly maxParallelExecutionsPerNode?: number;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly nodeSize: string;
    /**
     *
     */
    readonly numberOfNodes?: number;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     * catalog_info block.
     */
    readonly catalogInfo?: DataFactoryIntegrationRuntimeManagedCatalogInfo[];
    /**
     * custom_setup_script block.
     */
    readonly customSetupScript?: DataFactoryIntegrationRuntimeManagedCustomSetupScript[];
    /**
     * timeouts block.
     */
    readonly timeouts?: DataFactoryIntegrationRuntimeManagedTimeouts;
    /**
     * vnet_integration block.
     */
    readonly vnetIntegration?: DataFactoryIntegrationRuntimeManagedVnetIntegration[];
}
/**
 *
 */
export interface DataFactoryIntegrationRuntimeManagedCatalogInfo {
    /**
     *
     */
    readonly administratorLogin: string;
    /**
     *
     */
    readonly administratorPassword: string;
    /**
     *
     */
    readonly pricingTier?: string;
    /**
     *
     */
    readonly serverEndpoint: string;
}
/**
 *
 */
export interface DataFactoryIntegrationRuntimeManagedCustomSetupScript {
    /**
     *
     */
    readonly blobContainerUri: string;
    /**
     *
     */
    readonly sasToken: string;
}
/**
 *
 */
export interface DataFactoryIntegrationRuntimeManagedTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export interface DataFactoryIntegrationRuntimeManagedVnetIntegration {
    /**
     *
     */
    readonly subnetName: string;
    /**
     *
     */
    readonly vnetId: string;
}
/**
 *
 */
export declare class DataFactoryIntegrationRuntimeManaged extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: DataFactoryIntegrationRuntimeManagedConfig);
    private _dataFactoryName;
    /**
     *
     */
    get dataFactoryName(): string;
    /**
     *
     */
    set dataFactoryName(value: string);
    private _description?;
    /**
     *
     */
    get description(): string | undefined;
    /**
     *
     */
    set description(value: string | undefined);
    private _edition?;
    /**
     *
     */
    get edition(): string | undefined;
    /**
     *
     */
    set edition(value: string | undefined);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _licenseType?;
    /**
     *
     */
    get licenseType(): string | undefined;
    /**
     *
     */
    set licenseType(value: string | undefined);
    private _location;
    /**
     *
     */
    get location(): string;
    /**
     *
     */
    set location(value: string);
    private _maxParallelExecutionsPerNode?;
    /**
     *
     */
    get maxParallelExecutionsPerNode(): number | undefined;
    /**
     *
     */
    set maxParallelExecutionsPerNode(value: number | undefined);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _nodeSize;
    /**
     *
     */
    get nodeSize(): string;
    /**
     *
     */
    set nodeSize(value: string);
    private _numberOfNodes?;
    /**
     *
     */
    get numberOfNodes(): number | undefined;
    /**
     *
     */
    set numberOfNodes(value: number | undefined);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _catalogInfo?;
    /**
     *
     */
    get catalogInfo(): DataFactoryIntegrationRuntimeManagedCatalogInfo[] | undefined;
    /**
     *
     */
    set catalogInfo(value: DataFactoryIntegrationRuntimeManagedCatalogInfo[] | undefined);
    private _customSetupScript?;
    /**
     *
     */
    get customSetupScript(): DataFactoryIntegrationRuntimeManagedCustomSetupScript[] | undefined;
    /**
     *
     */
    set customSetupScript(value: DataFactoryIntegrationRuntimeManagedCustomSetupScript[] | undefined);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): DataFactoryIntegrationRuntimeManagedTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: DataFactoryIntegrationRuntimeManagedTimeouts | undefined);
    private _vnetIntegration?;
    /**
     *
     */
    get vnetIntegration(): DataFactoryIntegrationRuntimeManagedVnetIntegration[] | undefined;
    /**
     *
     */
    set vnetIntegration(value: DataFactoryIntegrationRuntimeManagedVnetIntegration[] | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
