import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface DataFactoryLinkedServicePostgresqlConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly additionalProperties?: {
        [key: string]: string;
    };
    /**
     *
     */
    readonly annotations?: string[];
    /**
     *
     */
    readonly connectionString: string;
    /**
     *
     */
    readonly dataFactoryName: string;
    /**
     *
     */
    readonly description?: string;
    /**
     *
     */
    readonly integrationRuntimeName?: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly parameters?: {
        [key: string]: string;
    };
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataFactoryLinkedServicePostgresqlTimeouts;
}
/**
 *
 */
export interface DataFactoryLinkedServicePostgresqlTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class DataFactoryLinkedServicePostgresql extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: DataFactoryLinkedServicePostgresqlConfig);
    private _additionalProperties?;
    /**
     *
     */
    get additionalProperties(): {
        [key: string]: string;
    } | undefined;
    /**
     *
     */
    set additionalProperties(value: {
        [key: string]: string;
    } | undefined);
    private _annotations?;
    /**
     *
     */
    get annotations(): string[] | undefined;
    /**
     *
     */
    set annotations(value: string[] | undefined);
    private _connectionString;
    /**
     *
     */
    get connectionString(): string;
    /**
     *
     */
    set connectionString(value: string);
    private _dataFactoryName;
    /**
     *
     */
    get dataFactoryName(): string;
    /**
     *
     */
    set dataFactoryName(value: string);
    private _description?;
    /**
     *
     */
    get description(): string | undefined;
    /**
     *
     */
    set description(value: string | undefined);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _integrationRuntimeName?;
    /**
     *
     */
    get integrationRuntimeName(): string | undefined;
    /**
     *
     */
    set integrationRuntimeName(value: string | undefined);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _parameters?;
    /**
     *
     */
    get parameters(): {
        [key: string]: string;
    } | undefined;
    /**
     *
     */
    set parameters(value: {
        [key: string]: string;
    } | undefined);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): DataFactoryLinkedServicePostgresqlTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: DataFactoryLinkedServicePostgresqlTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
