import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface DataFactoryTriggerScheduleConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly annotations?: string[];
    /**
     *
     */
    readonly dataFactoryName: string;
    /**
     *
     */
    readonly endTime?: string;
    /**
     *
     */
    readonly frequency?: string;
    /**
     *
     */
    readonly interval?: number;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly pipelineName: string;
    /**
     *
     */
    readonly pipelineParameters?: {
        [key: string]: string;
    };
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly startTime?: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataFactoryTriggerScheduleTimeouts;
}
/**
 *
 */
export interface DataFactoryTriggerScheduleTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class DataFactoryTriggerSchedule extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: DataFactoryTriggerScheduleConfig);
    private _annotations?;
    /**
     *
     */
    get annotations(): string[] | undefined;
    /**
     *
     */
    set annotations(value: string[] | undefined);
    private _dataFactoryName;
    /**
     *
     */
    get dataFactoryName(): string;
    /**
     *
     */
    set dataFactoryName(value: string);
    private _endTime?;
    /**
     *
     */
    get endTime(): string | undefined;
    /**
     *
     */
    set endTime(value: string | undefined);
    private _frequency?;
    /**
     *
     */
    get frequency(): string | undefined;
    /**
     *
     */
    set frequency(value: string | undefined);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _interval?;
    /**
     *
     */
    get interval(): number | undefined;
    /**
     *
     */
    set interval(value: number | undefined);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _pipelineName;
    /**
     *
     */
    get pipelineName(): string;
    /**
     *
     */
    set pipelineName(value: string);
    private _pipelineParameters?;
    /**
     *
     */
    get pipelineParameters(): {
        [key: string]: string;
    } | undefined;
    /**
     *
     */
    set pipelineParameters(value: {
        [key: string]: string;
    } | undefined);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _startTime?;
    /**
     *
     */
    get startTime(): string | undefined;
    /**
     *
     */
    set startTime(value: string | undefined);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): DataFactoryTriggerScheduleTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: DataFactoryTriggerScheduleTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
