import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface DataFactoryConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly location: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * github_configuration block.
     */
    readonly githubConfiguration?: DataFactoryGithubConfiguration[];
    /**
     * identity block.
     */
    readonly identity?: DataFactoryIdentity[];
    /**
     * timeouts block.
     */
    readonly timeouts?: DataFactoryTimeouts;
    /**
     * vsts_configuration block.
     */
    readonly vstsConfiguration?: DataFactoryVstsConfiguration[];
}
/**
 *
 */
export interface DataFactoryGithubConfiguration {
    /**
     *
     */
    readonly accountName: string;
    /**
     *
     */
    readonly branchName: string;
    /**
     *
     */
    readonly gitUrl: string;
    /**
     *
     */
    readonly repositoryName: string;
    /**
     *
     */
    readonly rootFolder: string;
}
/**
 *
 */
export interface DataFactoryIdentity {
    /**
     *
     */
    readonly type: string;
}
/**
 *
 */
export interface DataFactoryTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export interface DataFactoryVstsConfiguration {
    /**
     *
     */
    readonly accountName: string;
    /**
     *
     */
    readonly branchName: string;
    /**
     *
     */
    readonly projectName: string;
    /**
     *
     */
    readonly repositoryName: string;
    /**
     *
     */
    readonly rootFolder: string;
    /**
     *
     */
    readonly tenantId: string;
}
/**
 *
 */
export declare class DataFactory extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: DataFactoryConfig);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _location;
    /**
     *
     */
    get location(): string;
    /**
     *
     */
    set location(value: string);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _tags?;
    /**
     *
     */
    get tags(): {
        [key: string]: string;
    } | undefined;
    /**
     *
     */
    set tags(value: {
        [key: string]: string;
    } | undefined);
    private _githubConfiguration?;
    /**
     *
     */
    get githubConfiguration(): DataFactoryGithubConfiguration[] | undefined;
    /**
     *
     */
    set githubConfiguration(value: DataFactoryGithubConfiguration[] | undefined);
    private _identity?;
    /**
     *
     */
    get identity(): DataFactoryIdentity[] | undefined;
    /**
     *
     */
    set identity(value: DataFactoryIdentity[] | undefined);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): DataFactoryTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: DataFactoryTimeouts | undefined);
    private _vstsConfiguration?;
    /**
     *
     */
    get vstsConfiguration(): DataFactoryVstsConfiguration[] | undefined;
    /**
     *
     */
    set vstsConfiguration(value: DataFactoryVstsConfiguration[] | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
