import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface DataLakeStoreFileConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly accountName: string;
    /**
     *
     */
    readonly localFilePath: string;
    /**
     *
     */
    readonly remoteFilePath: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataLakeStoreFileTimeouts;
}
/**
 *
 */
export interface DataLakeStoreFileTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class DataLakeStoreFile extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: DataLakeStoreFileConfig);
    private _accountName;
    /**
     *
     */
    get accountName(): string;
    /**
     *
     */
    set accountName(value: string);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _localFilePath;
    /**
     *
     */
    get localFilePath(): string;
    /**
     *
     */
    set localFilePath(value: string);
    private _remoteFilePath;
    /**
     *
     */
    get remoteFilePath(): string;
    /**
     *
     */
    set remoteFilePath(value: string);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): DataLakeStoreFileTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: DataLakeStoreFileTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
