import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface DataLakeStoreFirewallRuleConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly accountName: string;
    /**
     *
     */
    readonly endIpAddress: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly startIpAddress: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataLakeStoreFirewallRuleTimeouts;
}
/**
 *
 */
export interface DataLakeStoreFirewallRuleTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class DataLakeStoreFirewallRule extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: DataLakeStoreFirewallRuleConfig);
    private _accountName;
    /**
     *
     */
    get accountName(): string;
    /**
     *
     */
    set accountName(value: string);
    private _endIpAddress;
    /**
     *
     */
    get endIpAddress(): string;
    /**
     *
     */
    set endIpAddress(value: string);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _startIpAddress;
    /**
     *
     */
    get startIpAddress(): string;
    /**
     *
     */
    set startIpAddress(value: string);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): DataLakeStoreFirewallRuleTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: DataLakeStoreFirewallRuleTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
