import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface DataLakeStoreConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly encryptionState?: string;
    /**
     *
     */
    readonly encryptionType?: string;
    /**
     *
     */
    readonly firewallAllowAzureIps?: string;
    /**
     *
     */
    readonly firewallState?: string;
    /**
     *
     */
    readonly location: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     *
     */
    readonly tier?: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataLakeStoreTimeouts;
}
/**
 *
 */
export interface DataLakeStoreTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class DataLakeStore extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: DataLakeStoreConfig);
    private _encryptionState?;
    /**
     *
     */
    get encryptionState(): string | undefined;
    /**
     *
     */
    set encryptionState(value: string | undefined);
    private _encryptionType?;
    /**
     *
     */
    get encryptionType(): string | undefined;
    /**
     *
     */
    set encryptionType(value: string | undefined);
    /**
     *
     */
    get endpoint(): string;
    private _firewallAllowAzureIps?;
    /**
     *
     */
    get firewallAllowAzureIps(): string | undefined;
    /**
     *
     */
    set firewallAllowAzureIps(value: string | undefined);
    private _firewallState?;
    /**
     *
     */
    get firewallState(): string | undefined;
    /**
     *
     */
    set firewallState(value: string | undefined);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _location;
    /**
     *
     */
    get location(): string;
    /**
     *
     */
    set location(value: string);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _tags?;
    /**
     *
     */
    get tags(): {
        [key: string]: string;
    } | undefined;
    /**
     *
     */
    set tags(value: {
        [key: string]: string;
    } | undefined);
    private _tier?;
    /**
     *
     */
    get tier(): string | undefined;
    /**
     *
     */
    set tier(value: string | undefined);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): DataLakeStoreTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: DataLakeStoreTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
