import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface DatabricksWorkspaceConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly location: string;
    /**
     *
     */
    readonly managedResourceGroupName?: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly sku: string;
    /**
     *
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * custom_parameters block.
     */
    readonly customParameters?: DatabricksWorkspaceCustomParameters[];
    /**
     * timeouts block.
     */
    readonly timeouts?: DatabricksWorkspaceTimeouts;
}
/**
 *
 */
export interface DatabricksWorkspaceCustomParameters {
    /**
     *
     */
    readonly noPublicIp?: boolean;
    /**
     *
     */
    readonly privateSubnetName?: string;
    /**
     *
     */
    readonly publicSubnetName?: string;
    /**
     *
     */
    readonly virtualNetworkId?: string;
}
/**
 *
 */
export interface DatabricksWorkspaceTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class DatabricksWorkspace extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: DatabricksWorkspaceConfig);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _location;
    /**
     *
     */
    get location(): string;
    /**
     *
     */
    set location(value: string);
    /**
     *
     */
    get managedResourceGroupId(): string;
    private _managedResourceGroupName?;
    /**
     *
     */
    get managedResourceGroupName(): string | undefined;
    /**
     *
     */
    set managedResourceGroupName(value: string | undefined);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _sku;
    /**
     *
     */
    get sku(): string;
    /**
     *
     */
    set sku(value: string);
    private _tags?;
    /**
     *
     */
    get tags(): {
        [key: string]: string;
    } | undefined;
    /**
     *
     */
    set tags(value: {
        [key: string]: string;
    } | undefined);
    private _customParameters?;
    /**
     *
     */
    get customParameters(): DatabricksWorkspaceCustomParameters[] | undefined;
    /**
     *
     */
    set customParameters(value: DatabricksWorkspaceCustomParameters[] | undefined);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): DatabricksWorkspaceTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: DatabricksWorkspaceTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
