import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface DedicatedHostConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly autoReplaceOnFailure?: boolean;
    /**
     *
     */
    readonly dedicatedHostGroupId: string;
    /**
     *
     */
    readonly licenseType?: string;
    /**
     *
     */
    readonly location: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly platformFaultDomain: number;
    /**
     *
     */
    readonly skuName: string;
    /**
     *
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * timeouts block.
     */
    readonly timeouts?: DedicatedHostTimeouts;
}
/**
 *
 */
export interface DedicatedHostTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class DedicatedHost extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: DedicatedHostConfig);
    private _autoReplaceOnFailure?;
    /**
     *
     */
    get autoReplaceOnFailure(): boolean | undefined;
    /**
     *
     */
    set autoReplaceOnFailure(value: boolean | undefined);
    private _dedicatedHostGroupId;
    /**
     *
     */
    get dedicatedHostGroupId(): string;
    /**
     *
     */
    set dedicatedHostGroupId(value: string);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _licenseType?;
    /**
     *
     */
    get licenseType(): string | undefined;
    /**
     *
     */
    set licenseType(value: string | undefined);
    private _location;
    /**
     *
     */
    get location(): string;
    /**
     *
     */
    set location(value: string);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _platformFaultDomain;
    /**
     *
     */
    get platformFaultDomain(): number;
    /**
     *
     */
    set platformFaultDomain(value: number);
    private _skuName;
    /**
     *
     */
    get skuName(): string;
    /**
     *
     */
    set skuName(value: string);
    private _tags?;
    /**
     *
     */
    get tags(): {
        [key: string]: string;
    } | undefined;
    /**
     *
     */
    set tags(value: {
        [key: string]: string;
    } | undefined);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): DedicatedHostTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: DedicatedHostTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
