import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface DevTestLabConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly location: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly storageType?: string;
    /**
     *
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * timeouts block.
     */
    readonly timeouts?: DevTestLabTimeouts;
}
/**
 *
 */
export interface DevTestLabTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class DevTestLab extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: DevTestLabConfig);
    /**
     *
     */
    get artifactsStorageAccountId(): string;
    /**
     *
     */
    get defaultPremiumStorageAccountId(): string;
    /**
     *
     */
    get defaultStorageAccountId(): string;
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    /**
     *
     */
    get keyVaultId(): string;
    private _location;
    /**
     *
     */
    get location(): string;
    /**
     *
     */
    set location(value: string);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    /**
     *
     */
    get premiumDataDiskStorageAccountId(): string;
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _storageType?;
    /**
     *
     */
    get storageType(): string | undefined;
    /**
     *
     */
    set storageType(value: string | undefined);
    private _tags?;
    /**
     *
     */
    get tags(): {
        [key: string]: string;
    } | undefined;
    /**
     *
     */
    set tags(value: {
        [key: string]: string;
    } | undefined);
    /**
     *
     */
    get uniqueIdentifier(): string;
    private _timeouts?;
    /**
     *
     */
    get timeouts(): DevTestLabTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: DevTestLabTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
