import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface DevTestLinuxVirtualMachineConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly allowClaim?: boolean;
    /**
     *
     */
    readonly disallowPublicIpAddress?: boolean;
    /**
     *
     */
    readonly labName: string;
    /**
     *
     */
    readonly labSubnetName: string;
    /**
     *
     */
    readonly labVirtualNetworkId: string;
    /**
     *
     */
    readonly location: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly notes?: string;
    /**
     *
     */
    readonly password?: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly size: string;
    /**
     *
     */
    readonly sshKey?: string;
    /**
     *
     */
    readonly storageType: string;
    /**
     *
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     *
     */
    readonly username: string;
    /**
     * gallery_image_reference block.
     */
    readonly galleryImageReference: DevTestLinuxVirtualMachineGalleryImageReference[];
    /**
     * inbound_nat_rule block.
     */
    readonly inboundNatRule?: DevTestLinuxVirtualMachineInboundNatRule[];
    /**
     * timeouts block.
     */
    readonly timeouts?: DevTestLinuxVirtualMachineTimeouts;
}
/**
 *
 */
export interface DevTestLinuxVirtualMachineGalleryImageReference {
    /**
     *
     */
    readonly offer: string;
    /**
     *
     */
    readonly publisher: string;
    /**
     *
     */
    readonly sku: string;
    /**
     *
     */
    readonly version: string;
}
/**
 *
 */
export interface DevTestLinuxVirtualMachineInboundNatRule {
    /**
     *
     */
    readonly backendPort: number;
    /**
     *
     */
    readonly protocol: string;
}
/**
 *
 */
export interface DevTestLinuxVirtualMachineTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class DevTestLinuxVirtualMachine extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: DevTestLinuxVirtualMachineConfig);
    private _allowClaim?;
    /**
     *
     */
    get allowClaim(): boolean | undefined;
    /**
     *
     */
    set allowClaim(value: boolean | undefined);
    private _disallowPublicIpAddress?;
    /**
     *
     */
    get disallowPublicIpAddress(): boolean | undefined;
    /**
     *
     */
    set disallowPublicIpAddress(value: boolean | undefined);
    /**
     *
     */
    get fqdn(): string;
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _labName;
    /**
     *
     */
    get labName(): string;
    /**
     *
     */
    set labName(value: string);
    private _labSubnetName;
    /**
     *
     */
    get labSubnetName(): string;
    /**
     *
     */
    set labSubnetName(value: string);
    private _labVirtualNetworkId;
    /**
     *
     */
    get labVirtualNetworkId(): string;
    /**
     *
     */
    set labVirtualNetworkId(value: string);
    private _location;
    /**
     *
     */
    get location(): string;
    /**
     *
     */
    set location(value: string);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _notes?;
    /**
     *
     */
    get notes(): string | undefined;
    /**
     *
     */
    set notes(value: string | undefined);
    private _password?;
    /**
     *
     */
    get password(): string | undefined;
    /**
     *
     */
    set password(value: string | undefined);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _size;
    /**
     *
     */
    get size(): string;
    /**
     *
     */
    set size(value: string);
    private _sshKey?;
    /**
     *
     */
    get sshKey(): string | undefined;
    /**
     *
     */
    set sshKey(value: string | undefined);
    private _storageType;
    /**
     *
     */
    get storageType(): string;
    /**
     *
     */
    set storageType(value: string);
    private _tags?;
    /**
     *
     */
    get tags(): {
        [key: string]: string;
    } | undefined;
    /**
     *
     */
    set tags(value: {
        [key: string]: string;
    } | undefined);
    /**
     *
     */
    get uniqueIdentifier(): string;
    private _username;
    /**
     *
     */
    get username(): string;
    /**
     *
     */
    set username(value: string);
    private _galleryImageReference;
    /**
     *
     */
    get galleryImageReference(): DevTestLinuxVirtualMachineGalleryImageReference[];
    /**
     *
     */
    set galleryImageReference(value: DevTestLinuxVirtualMachineGalleryImageReference[]);
    private _inboundNatRule?;
    /**
     *
     */
    get inboundNatRule(): DevTestLinuxVirtualMachineInboundNatRule[] | undefined;
    /**
     *
     */
    set inboundNatRule(value: DevTestLinuxVirtualMachineInboundNatRule[] | undefined);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): DevTestLinuxVirtualMachineTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: DevTestLinuxVirtualMachineTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
