import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface DevTestPolicyConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly description?: string;
    /**
     *
     */
    readonly evaluatorType: string;
    /**
     *
     */
    readonly factData?: string;
    /**
     *
     */
    readonly labName: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly policySetName: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     *
     */
    readonly threshold: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DevTestPolicyTimeouts;
}
/**
 *
 */
export interface DevTestPolicyTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class DevTestPolicy extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: DevTestPolicyConfig);
    private _description?;
    /**
     *
     */
    get description(): string | undefined;
    /**
     *
     */
    set description(value: string | undefined);
    private _evaluatorType;
    /**
     *
     */
    get evaluatorType(): string;
    /**
     *
     */
    set evaluatorType(value: string);
    private _factData?;
    /**
     *
     */
    get factData(): string | undefined;
    /**
     *
     */
    set factData(value: string | undefined);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _labName;
    /**
     *
     */
    get labName(): string;
    /**
     *
     */
    set labName(value: string);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _policySetName;
    /**
     *
     */
    get policySetName(): string;
    /**
     *
     */
    set policySetName(value: string);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _tags?;
    /**
     *
     */
    get tags(): {
        [key: string]: string;
    } | undefined;
    /**
     *
     */
    set tags(value: {
        [key: string]: string;
    } | undefined);
    private _threshold;
    /**
     *
     */
    get threshold(): string;
    /**
     *
     */
    set threshold(value: string);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): DevTestPolicyTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: DevTestPolicyTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
