import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface DevTestScheduleConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly labName: string;
    /**
     *
     */
    readonly location: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly status?: string;
    /**
     *
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     *
     */
    readonly taskType: string;
    /**
     *
     */
    readonly timeZoneId: string;
    /**
     * daily_recurrence block.
     */
    readonly dailyRecurrence?: DevTestScheduleDailyRecurrence[];
    /**
     * hourly_recurrence block.
     */
    readonly hourlyRecurrence?: DevTestScheduleHourlyRecurrence[];
    /**
     * notification_settings block.
     */
    readonly notificationSettings: DevTestScheduleNotificationSettings[];
    /**
     * timeouts block.
     */
    readonly timeouts?: DevTestScheduleTimeouts;
    /**
     * weekly_recurrence block.
     */
    readonly weeklyRecurrence?: DevTestScheduleWeeklyRecurrence[];
}
/**
 *
 */
export interface DevTestScheduleDailyRecurrence {
    /**
     *
     */
    readonly time: string;
}
/**
 *
 */
export interface DevTestScheduleHourlyRecurrence {
    /**
     *
     */
    readonly minute: number;
}
/**
 *
 */
export interface DevTestScheduleNotificationSettings {
    /**
     *
     */
    readonly status?: string;
    /**
     *
     */
    readonly timeInMinutes?: number;
    /**
     *
     */
    readonly webhookUrl?: string;
}
/**
 *
 */
export interface DevTestScheduleTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export interface DevTestScheduleWeeklyRecurrence {
    /**
     *
     */
    readonly time: string;
    /**
     *
     */
    readonly weekDays?: string[];
}
/**
 *
 */
export declare class DevTestSchedule extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: DevTestScheduleConfig);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _labName;
    /**
     *
     */
    get labName(): string;
    /**
     *
     */
    set labName(value: string);
    private _location;
    /**
     *
     */
    get location(): string;
    /**
     *
     */
    set location(value: string);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _status?;
    /**
     *
     */
    get status(): string | undefined;
    /**
     *
     */
    set status(value: string | undefined);
    private _tags?;
    /**
     *
     */
    get tags(): {
        [key: string]: string;
    } | undefined;
    /**
     *
     */
    set tags(value: {
        [key: string]: string;
    } | undefined);
    private _taskType;
    /**
     *
     */
    get taskType(): string;
    /**
     *
     */
    set taskType(value: string);
    private _timeZoneId;
    /**
     *
     */
    get timeZoneId(): string;
    /**
     *
     */
    set timeZoneId(value: string);
    private _dailyRecurrence?;
    /**
     *
     */
    get dailyRecurrence(): DevTestScheduleDailyRecurrence[] | undefined;
    /**
     *
     */
    set dailyRecurrence(value: DevTestScheduleDailyRecurrence[] | undefined);
    private _hourlyRecurrence?;
    /**
     *
     */
    get hourlyRecurrence(): DevTestScheduleHourlyRecurrence[] | undefined;
    /**
     *
     */
    set hourlyRecurrence(value: DevTestScheduleHourlyRecurrence[] | undefined);
    private _notificationSettings;
    /**
     *
     */
    get notificationSettings(): DevTestScheduleNotificationSettings[];
    /**
     *
     */
    set notificationSettings(value: DevTestScheduleNotificationSettings[]);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): DevTestScheduleTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: DevTestScheduleTimeouts | undefined);
    private _weeklyRecurrence?;
    /**
     *
     */
    get weeklyRecurrence(): DevTestScheduleWeeklyRecurrence[] | undefined;
    /**
     *
     */
    set weeklyRecurrence(value: DevTestScheduleWeeklyRecurrence[] | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
