import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface DevTestVirtualNetworkConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly description?: string;
    /**
     *
     */
    readonly labName: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * subnet block.
     */
    readonly subnet?: DevTestVirtualNetworkSubnet[];
    /**
     * timeouts block.
     */
    readonly timeouts?: DevTestVirtualNetworkTimeouts;
}
/**
 *
 */
export interface DevTestVirtualNetworkSubnet {
    /**
     *
     */
    readonly useInVirtualMachineCreation?: string;
    /**
     *
     */
    readonly usePublicIpAddress?: string;
}
/**
 *
 */
export interface DevTestVirtualNetworkTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class DevTestVirtualNetwork extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: DevTestVirtualNetworkConfig);
    private _description?;
    /**
     *
     */
    get description(): string | undefined;
    /**
     *
     */
    set description(value: string | undefined);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _labName;
    /**
     *
     */
    get labName(): string;
    /**
     *
     */
    set labName(value: string);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _tags?;
    /**
     *
     */
    get tags(): {
        [key: string]: string;
    } | undefined;
    /**
     *
     */
    set tags(value: {
        [key: string]: string;
    } | undefined);
    /**
     *
     */
    get uniqueIdentifier(): string;
    private _subnet?;
    /**
     *
     */
    get subnet(): DevTestVirtualNetworkSubnet[] | undefined;
    /**
     *
     */
    set subnet(value: DevTestVirtualNetworkSubnet[] | undefined);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): DevTestVirtualNetworkTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: DevTestVirtualNetworkTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
