import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface DevspaceControllerConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly location: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly skuName: string;
    /**
     *
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     *
     */
    readonly targetContainerHostCredentialsBase64: string;
    /**
     *
     */
    readonly targetContainerHostResourceId: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DevspaceControllerTimeouts;
}
/**
 *
 */
export interface DevspaceControllerTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class DevspaceController extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: DevspaceControllerConfig);
    /**
     *
     */
    get dataPlaneFqdn(): string;
    /**
     *
     */
    get hostSuffix(): string;
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _location;
    /**
     *
     */
    get location(): string;
    /**
     *
     */
    set location(value: string);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _skuName;
    /**
     *
     */
    get skuName(): string;
    /**
     *
     */
    set skuName(value: string);
    private _tags?;
    /**
     *
     */
    get tags(): {
        [key: string]: string;
    } | undefined;
    /**
     *
     */
    set tags(value: {
        [key: string]: string;
    } | undefined);
    private _targetContainerHostCredentialsBase64;
    /**
     *
     */
    get targetContainerHostCredentialsBase64(): string;
    /**
     *
     */
    set targetContainerHostCredentialsBase64(value: string);
    private _targetContainerHostResourceId;
    /**
     *
     */
    get targetContainerHostResourceId(): string;
    /**
     *
     */
    set targetContainerHostResourceId(value: string);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): DevspaceControllerTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: DevspaceControllerTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
