import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface DiskEncryptionSetConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly keyVaultKeyId: string;
    /**
     *
     */
    readonly location: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * identity block.
     */
    readonly identity: DiskEncryptionSetIdentity[];
    /**
     * timeouts block.
     */
    readonly timeouts?: DiskEncryptionSetTimeouts;
}
/**
 *
 */
export interface DiskEncryptionSetIdentity {
    /**
     *
     */
    readonly type: string;
}
/**
 *
 */
export interface DiskEncryptionSetTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class DiskEncryptionSet extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: DiskEncryptionSetConfig);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _keyVaultKeyId;
    /**
     *
     */
    get keyVaultKeyId(): string;
    /**
     *
     */
    set keyVaultKeyId(value: string);
    private _location;
    /**
     *
     */
    get location(): string;
    /**
     *
     */
    set location(value: string);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _tags?;
    /**
     *
     */
    get tags(): {
        [key: string]: string;
    } | undefined;
    /**
     *
     */
    set tags(value: {
        [key: string]: string;
    } | undefined);
    private _identity;
    /**
     *
     */
    get identity(): DiskEncryptionSetIdentity[];
    /**
     *
     */
    set identity(value: DiskEncryptionSetIdentity[]);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): DiskEncryptionSetTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: DiskEncryptionSetTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
