import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface DnsCnameRecordConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly record?: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     *
     */
    readonly targetResourceId?: string;
    /**
     *
     */
    readonly ttl: number;
    /**
     *
     */
    readonly zoneName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DnsCnameRecordTimeouts;
}
/**
 *
 */
export interface DnsCnameRecordTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class DnsCnameRecord extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: DnsCnameRecordConfig);
    /**
     *
     */
    get fqdn(): string;
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _record?;
    /**
     *
     */
    get record(): string | undefined;
    /**
     *
     */
    set record(value: string | undefined);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _tags?;
    /**
     *
     */
    get tags(): {
        [key: string]: string;
    } | undefined;
    /**
     *
     */
    set tags(value: {
        [key: string]: string;
    } | undefined);
    private _targetResourceId?;
    /**
     *
     */
    get targetResourceId(): string | undefined;
    /**
     *
     */
    set targetResourceId(value: string | undefined);
    private _ttl;
    /**
     *
     */
    get ttl(): number;
    /**
     *
     */
    set ttl(value: number);
    private _zoneName;
    /**
     *
     */
    get zoneName(): string;
    /**
     *
     */
    set zoneName(value: string);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): DnsCnameRecordTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: DnsCnameRecordTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
