import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface DnsSrvRecordConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     *
     */
    readonly ttl: number;
    /**
     *
     */
    readonly zoneName: string;
    /**
     * record block.
     */
    readonly record: DnsSrvRecordRecord[];
    /**
     * timeouts block.
     */
    readonly timeouts?: DnsSrvRecordTimeouts;
}
/**
 *
 */
export interface DnsSrvRecordRecord {
    /**
     *
     */
    readonly port: number;
    /**
     *
     */
    readonly priority: number;
    /**
     *
     */
    readonly target: string;
    /**
     *
     */
    readonly weight: number;
}
/**
 *
 */
export interface DnsSrvRecordTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class DnsSrvRecord extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: DnsSrvRecordConfig);
    /**
     *
     */
    get fqdn(): string;
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _tags?;
    /**
     *
     */
    get tags(): {
        [key: string]: string;
    } | undefined;
    /**
     *
     */
    set tags(value: {
        [key: string]: string;
    } | undefined);
    private _ttl;
    /**
     *
     */
    get ttl(): number;
    /**
     *
     */
    set ttl(value: number);
    private _zoneName;
    /**
     *
     */
    get zoneName(): string;
    /**
     *
     */
    set zoneName(value: string);
    private _record;
    /**
     *
     */
    get record(): DnsSrvRecordRecord[];
    /**
     *
     */
    set record(value: DnsSrvRecordRecord[]);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): DnsSrvRecordTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: DnsSrvRecordTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
