import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface EventgridDomainConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly inputSchema?: string;
    /**
     *
     */
    readonly location: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * input_mapping_default_values block.
     */
    readonly inputMappingDefaultValues?: EventgridDomainInputMappingDefaultValues[];
    /**
     * input_mapping_fields block.
     */
    readonly inputMappingFields?: EventgridDomainInputMappingFields[];
    /**
     * timeouts block.
     */
    readonly timeouts?: EventgridDomainTimeouts;
}
/**
 *
 */
export interface EventgridDomainInputMappingDefaultValues {
    /**
     *
     */
    readonly dataVersion?: string;
    /**
     *
     */
    readonly eventType?: string;
    /**
     *
     */
    readonly subject?: string;
}
/**
 *
 */
export interface EventgridDomainInputMappingFields {
    /**
     *
     */
    readonly dataVersion?: string;
    /**
     *
     */
    readonly eventTime?: string;
    /**
     *
     */
    readonly eventType?: string;
    /**
     *
     */
    readonly id?: string;
    /**
     *
     */
    readonly subject?: string;
    /**
     *
     */
    readonly topic?: string;
}
/**
 *
 */
export interface EventgridDomainTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class EventgridDomain extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: EventgridDomainConfig);
    /**
     *
     */
    get endpoint(): string;
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _inputSchema?;
    /**
     *
     */
    get inputSchema(): string | undefined;
    /**
     *
     */
    set inputSchema(value: string | undefined);
    private _location;
    /**
     *
     */
    get location(): string;
    /**
     *
     */
    set location(value: string);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    /**
     *
     */
    get primaryAccessKey(): string;
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    /**
     *
     */
    get secondaryAccessKey(): string;
    private _tags?;
    /**
     *
     */
    get tags(): {
        [key: string]: string;
    } | undefined;
    /**
     *
     */
    set tags(value: {
        [key: string]: string;
    } | undefined);
    private _inputMappingDefaultValues?;
    /**
     *
     */
    get inputMappingDefaultValues(): EventgridDomainInputMappingDefaultValues[] | undefined;
    /**
     *
     */
    set inputMappingDefaultValues(value: EventgridDomainInputMappingDefaultValues[] | undefined);
    private _inputMappingFields?;
    /**
     *
     */
    get inputMappingFields(): EventgridDomainInputMappingFields[] | undefined;
    /**
     *
     */
    set inputMappingFields(value: EventgridDomainInputMappingFields[] | undefined);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): EventgridDomainTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: EventgridDomainTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
