import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface EventgridEventSubscriptionConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly eventDeliverySchema?: string;
    /**
     *
     */
    readonly includedEventTypes?: string[];
    /**
     *
     */
    readonly labels?: string[];
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly scope: string;
    /**
     *
     */
    readonly topicName?: string;
    /**
     * eventhub_endpoint block.
     */
    readonly eventhubEndpoint?: EventgridEventSubscriptionEventhubEndpoint[];
    /**
     * hybrid_connection_endpoint block.
     */
    readonly hybridConnectionEndpoint?: EventgridEventSubscriptionHybridConnectionEndpoint[];
    /**
     * retry_policy block.
     */
    readonly retryPolicy?: EventgridEventSubscriptionRetryPolicy[];
    /**
     * storage_blob_dead_letter_destination block.
     */
    readonly storageBlobDeadLetterDestination?: EventgridEventSubscriptionStorageBlobDeadLetterDestination[];
    /**
     * storage_queue_endpoint block.
     */
    readonly storageQueueEndpoint?: EventgridEventSubscriptionStorageQueueEndpoint[];
    /**
     * subject_filter block.
     */
    readonly subjectFilter?: EventgridEventSubscriptionSubjectFilter[];
    /**
     * timeouts block.
     */
    readonly timeouts?: EventgridEventSubscriptionTimeouts;
    /**
     * webhook_endpoint block.
     */
    readonly webhookEndpoint?: EventgridEventSubscriptionWebhookEndpoint[];
}
/**
 *
 */
export interface EventgridEventSubscriptionEventhubEndpoint {
    /**
     *
     */
    readonly eventhubId: string;
}
/**
 *
 */
export interface EventgridEventSubscriptionHybridConnectionEndpoint {
    /**
     *
     */
    readonly hybridConnectionId: string;
}
/**
 *
 */
export interface EventgridEventSubscriptionRetryPolicy {
    /**
     *
     */
    readonly eventTimeToLive: number;
    /**
     *
     */
    readonly maxDeliveryAttempts: number;
}
/**
 *
 */
export interface EventgridEventSubscriptionStorageBlobDeadLetterDestination {
    /**
     *
     */
    readonly storageAccountId: string;
    /**
     *
     */
    readonly storageBlobContainerName: string;
}
/**
 *
 */
export interface EventgridEventSubscriptionStorageQueueEndpoint {
    /**
     *
     */
    readonly queueName: string;
    /**
     *
     */
    readonly storageAccountId: string;
}
/**
 *
 */
export interface EventgridEventSubscriptionSubjectFilter {
    /**
     *
     */
    readonly caseSensitive?: boolean;
    /**
     *
     */
    readonly subjectBeginsWith?: string;
    /**
     *
     */
    readonly subjectEndsWith?: string;
}
/**
 *
 */
export interface EventgridEventSubscriptionTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export interface EventgridEventSubscriptionWebhookEndpoint {
    /**
     *
     */
    readonly url: string;
}
/**
 *
 */
export declare class EventgridEventSubscription extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: EventgridEventSubscriptionConfig);
    private _eventDeliverySchema?;
    /**
     *
     */
    get eventDeliverySchema(): string | undefined;
    /**
     *
     */
    set eventDeliverySchema(value: string | undefined);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _includedEventTypes?;
    /**
     *
     */
    get includedEventTypes(): string[] | undefined;
    /**
     *
     */
    set includedEventTypes(value: string[] | undefined);
    private _labels?;
    /**
     *
     */
    get labels(): string[] | undefined;
    /**
     *
     */
    set labels(value: string[] | undefined);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _scope;
    /**
     *
     */
    get scope(): string;
    /**
     *
     */
    set scope(value: string);
    private _topicName?;
    /**
     *
     */
    get topicName(): string | undefined;
    /**
     *
     */
    set topicName(value: string | undefined);
    private _eventhubEndpoint?;
    /**
     *
     */
    get eventhubEndpoint(): EventgridEventSubscriptionEventhubEndpoint[] | undefined;
    /**
     *
     */
    set eventhubEndpoint(value: EventgridEventSubscriptionEventhubEndpoint[] | undefined);
    private _hybridConnectionEndpoint?;
    /**
     *
     */
    get hybridConnectionEndpoint(): EventgridEventSubscriptionHybridConnectionEndpoint[] | undefined;
    /**
     *
     */
    set hybridConnectionEndpoint(value: EventgridEventSubscriptionHybridConnectionEndpoint[] | undefined);
    private _retryPolicy?;
    /**
     *
     */
    get retryPolicy(): EventgridEventSubscriptionRetryPolicy[] | undefined;
    /**
     *
     */
    set retryPolicy(value: EventgridEventSubscriptionRetryPolicy[] | undefined);
    private _storageBlobDeadLetterDestination?;
    /**
     *
     */
    get storageBlobDeadLetterDestination(): EventgridEventSubscriptionStorageBlobDeadLetterDestination[] | undefined;
    /**
     *
     */
    set storageBlobDeadLetterDestination(value: EventgridEventSubscriptionStorageBlobDeadLetterDestination[] | undefined);
    private _storageQueueEndpoint?;
    /**
     *
     */
    get storageQueueEndpoint(): EventgridEventSubscriptionStorageQueueEndpoint[] | undefined;
    /**
     *
     */
    set storageQueueEndpoint(value: EventgridEventSubscriptionStorageQueueEndpoint[] | undefined);
    private _subjectFilter?;
    /**
     *
     */
    get subjectFilter(): EventgridEventSubscriptionSubjectFilter[] | undefined;
    /**
     *
     */
    set subjectFilter(value: EventgridEventSubscriptionSubjectFilter[] | undefined);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): EventgridEventSubscriptionTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: EventgridEventSubscriptionTimeouts | undefined);
    private _webhookEndpoint?;
    /**
     *
     */
    get webhookEndpoint(): EventgridEventSubscriptionWebhookEndpoint[] | undefined;
    /**
     *
     */
    set webhookEndpoint(value: EventgridEventSubscriptionWebhookEndpoint[] | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
