import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface EventhubAuthorizationRuleConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly eventhubName: string;
    /**
     *
     */
    readonly listen?: boolean;
    /**
     *
     */
    readonly manage?: boolean;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly namespaceName: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly send?: boolean;
    /**
     * timeouts block.
     */
    readonly timeouts?: EventhubAuthorizationRuleTimeouts;
}
/**
 *
 */
export interface EventhubAuthorizationRuleTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class EventhubAuthorizationRule extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: EventhubAuthorizationRuleConfig);
    private _eventhubName;
    /**
     *
     */
    get eventhubName(): string;
    /**
     *
     */
    set eventhubName(value: string);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _listen?;
    /**
     *
     */
    get listen(): boolean | undefined;
    /**
     *
     */
    set listen(value: boolean | undefined);
    private _manage?;
    /**
     *
     */
    get manage(): boolean | undefined;
    /**
     *
     */
    set manage(value: boolean | undefined);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _namespaceName;
    /**
     *
     */
    get namespaceName(): string;
    /**
     *
     */
    set namespaceName(value: string);
    /**
     *
     */
    get primaryConnectionString(): string;
    /**
     *
     */
    get primaryKey(): string;
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    /**
     *
     */
    get secondaryConnectionString(): string;
    /**
     *
     */
    get secondaryKey(): string;
    private _send?;
    /**
     *
     */
    get send(): boolean | undefined;
    /**
     *
     */
    set send(value: boolean | undefined);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): EventhubAuthorizationRuleTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: EventhubAuthorizationRuleTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
