import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface EventhubConsumerGroupConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly eventhubName: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly namespaceName: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly userMetadata?: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: EventhubConsumerGroupTimeouts;
}
/**
 *
 */
export interface EventhubConsumerGroupTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class EventhubConsumerGroup extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: EventhubConsumerGroupConfig);
    private _eventhubName;
    /**
     *
     */
    get eventhubName(): string;
    /**
     *
     */
    set eventhubName(value: string);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _namespaceName;
    /**
     *
     */
    get namespaceName(): string;
    /**
     *
     */
    set namespaceName(value: string);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _userMetadata?;
    /**
     *
     */
    get userMetadata(): string | undefined;
    /**
     *
     */
    set userMetadata(value: string | undefined);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): EventhubConsumerGroupTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: EventhubConsumerGroupTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
