import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface EventhubNamespaceConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly autoInflateEnabled?: boolean;
    /**
     *
     */
    readonly capacity?: number;
    /**
     *
     */
    readonly location: string;
    /**
     *
     */
    readonly maximumThroughputUnits?: number;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly networkRulesets?: EventhubNamespaceNetworkRulesets[];
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly sku: string;
    /**
     *
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * timeouts block.
     */
    readonly timeouts?: EventhubNamespaceTimeouts;
}
/**
 *
 */
export interface EventhubNamespaceNetworkRulesetsIpRule {
    /**
     *
     */
    readonly action?: string;
    /**
     *
     */
    readonly ipMask?: string;
}
/**
 *
 */
export interface EventhubNamespaceNetworkRulesetsVirtualNetworkRule {
    /**
     *
     */
    readonly ignoreMissingVirtualNetworkServiceEndpoint?: boolean;
    /**
     *
     */
    readonly subnetId?: string;
}
/**
 *
 */
export interface EventhubNamespaceNetworkRulesets {
    /**
     *
     */
    readonly defaultAction?: string;
    /**
     *
     */
    readonly ipRule?: EventhubNamespaceNetworkRulesetsIpRule[];
    /**
     *
     */
    readonly virtualNetworkRule?: EventhubNamespaceNetworkRulesetsVirtualNetworkRule[];
}
/**
 *
 */
export interface EventhubNamespaceTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class EventhubNamespace extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: EventhubNamespaceConfig);
    private _autoInflateEnabled?;
    /**
     *
     */
    get autoInflateEnabled(): boolean | undefined;
    /**
     *
     */
    set autoInflateEnabled(value: boolean | undefined);
    private _capacity?;
    /**
     *
     */
    get capacity(): number | undefined;
    /**
     *
     */
    set capacity(value: number | undefined);
    /**
     *
     */
    get defaultPrimaryConnectionString(): string;
    /**
     *
     */
    get defaultPrimaryKey(): string;
    /**
     *
     */
    get defaultSecondaryConnectionString(): string;
    /**
     *
     */
    get defaultSecondaryKey(): string;
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _location;
    /**
     *
     */
    get location(): string;
    /**
     *
     */
    set location(value: string);
    private _maximumThroughputUnits?;
    /**
     *
     */
    get maximumThroughputUnits(): number | undefined;
    /**
     *
     */
    set maximumThroughputUnits(value: number | undefined);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _networkRulesets?;
    /**
     *
     */
    get networkRulesets(): EventhubNamespaceNetworkRulesets[] | undefined;
    /**
     *
     */
    set networkRulesets(value: EventhubNamespaceNetworkRulesets[] | undefined);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _sku;
    /**
     *
     */
    get sku(): string;
    /**
     *
     */
    set sku(value: string);
    private _tags?;
    /**
     *
     */
    get tags(): {
        [key: string]: string;
    } | undefined;
    /**
     *
     */
    set tags(value: {
        [key: string]: string;
    } | undefined);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): EventhubNamespaceTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: EventhubNamespaceTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
