import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface EventhubConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly messageRetention: number;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly namespaceName: string;
    /**
     *
     */
    readonly partitionCount: number;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     * capture_description block.
     */
    readonly captureDescription?: EventhubCaptureDescription[];
    /**
     * timeouts block.
     */
    readonly timeouts?: EventhubTimeouts;
}
/**
 *
 */
export interface EventhubCaptureDescriptionDestination {
    /**
     *
     */
    readonly archiveNameFormat: string;
    /**
     *
     */
    readonly blobContainerName: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly storageAccountId: string;
}
/**
 *
 */
export interface EventhubCaptureDescription {
    /**
     *
     */
    readonly enabled: boolean;
    /**
     *
     */
    readonly encoding: string;
    /**
     *
     */
    readonly intervalInSeconds?: number;
    /**
     *
     */
    readonly sizeLimitInBytes?: number;
    /**
     *
     */
    readonly skipEmptyArchives?: boolean;
    /**
     * destination block.
     */
    readonly destination: EventhubCaptureDescriptionDestination[];
}
/**
 *
 */
export interface EventhubTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class Eventhub extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: EventhubConfig);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _messageRetention;
    /**
     *
     */
    get messageRetention(): number;
    /**
     *
     */
    set messageRetention(value: number);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _namespaceName;
    /**
     *
     */
    get namespaceName(): string;
    /**
     *
     */
    set namespaceName(value: string);
    private _partitionCount;
    /**
     *
     */
    get partitionCount(): number;
    /**
     *
     */
    set partitionCount(value: number);
    /**
     *
     */
    get partitionIds(): string[];
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _captureDescription?;
    /**
     *
     */
    get captureDescription(): EventhubCaptureDescription[] | undefined;
    /**
     *
     */
    set captureDescription(value: EventhubCaptureDescription[] | undefined);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): EventhubTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: EventhubTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
