import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface ExpressRouteCircuitAuthorizationConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly expressRouteCircuitName: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: ExpressRouteCircuitAuthorizationTimeouts;
}
/**
 *
 */
export interface ExpressRouteCircuitAuthorizationTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class ExpressRouteCircuitAuthorization extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: ExpressRouteCircuitAuthorizationConfig);
    /**
     *
     */
    get authorizationKey(): string;
    /**
     *
     */
    get authorizationUseStatus(): string;
    private _expressRouteCircuitName;
    /**
     *
     */
    get expressRouteCircuitName(): string;
    /**
     *
     */
    set expressRouteCircuitName(value: string);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): ExpressRouteCircuitAuthorizationTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: ExpressRouteCircuitAuthorizationTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
