import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface ExpressRouteCircuitConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly allowClassicOperations?: boolean;
    /**
     *
     */
    readonly bandwidthInMbps: number;
    /**
     *
     */
    readonly location: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly peeringLocation: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly serviceProviderName: string;
    /**
     *
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * sku block.
     */
    readonly sku: ExpressRouteCircuitSku[];
    /**
     * timeouts block.
     */
    readonly timeouts?: ExpressRouteCircuitTimeouts;
}
/**
 *
 */
export interface ExpressRouteCircuitSku {
    /**
     *
     */
    readonly family: string;
    /**
     *
     */
    readonly tier: string;
}
/**
 *
 */
export interface ExpressRouteCircuitTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class ExpressRouteCircuit extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: ExpressRouteCircuitConfig);
    private _allowClassicOperations?;
    /**
     *
     */
    get allowClassicOperations(): boolean | undefined;
    /**
     *
     */
    set allowClassicOperations(value: boolean | undefined);
    private _bandwidthInMbps;
    /**
     *
     */
    get bandwidthInMbps(): number;
    /**
     *
     */
    set bandwidthInMbps(value: number);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _location;
    /**
     *
     */
    get location(): string;
    /**
     *
     */
    set location(value: string);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _peeringLocation;
    /**
     *
     */
    get peeringLocation(): string;
    /**
     *
     */
    set peeringLocation(value: string);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    /**
     *
     */
    get serviceKey(): string;
    private _serviceProviderName;
    /**
     *
     */
    get serviceProviderName(): string;
    /**
     *
     */
    set serviceProviderName(value: string);
    /**
     *
     */
    get serviceProviderProvisioningState(): string;
    private _tags?;
    /**
     *
     */
    get tags(): {
        [key: string]: string;
    } | undefined;
    /**
     *
     */
    set tags(value: {
        [key: string]: string;
    } | undefined);
    private _sku;
    /**
     *
     */
    get sku(): ExpressRouteCircuitSku[];
    /**
     *
     */
    set sku(value: ExpressRouteCircuitSku[]);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): ExpressRouteCircuitTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: ExpressRouteCircuitTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
