import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface ExpressRouteGatewayConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly location: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly scaleUnits: number;
    /**
     *
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     *
     */
    readonly virtualHubId: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: ExpressRouteGatewayTimeouts;
}
/**
 *
 */
export interface ExpressRouteGatewayTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class ExpressRouteGateway extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: ExpressRouteGatewayConfig);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _location;
    /**
     *
     */
    get location(): string;
    /**
     *
     */
    set location(value: string);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _scaleUnits;
    /**
     *
     */
    get scaleUnits(): number;
    /**
     *
     */
    set scaleUnits(value: number);
    private _tags?;
    /**
     *
     */
    get tags(): {
        [key: string]: string;
    } | undefined;
    /**
     *
     */
    set tags(value: {
        [key: string]: string;
    } | undefined);
    private _virtualHubId;
    /**
     *
     */
    get virtualHubId(): string;
    /**
     *
     */
    set virtualHubId(value: string);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): ExpressRouteGatewayTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: ExpressRouteGatewayTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
