import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface FirewallNetworkRuleCollectionConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly action: string;
    /**
     *
     */
    readonly azureFirewallName: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly priority: number;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     * rule block.
     */
    readonly rule: FirewallNetworkRuleCollectionRule[];
    /**
     * timeouts block.
     */
    readonly timeouts?: FirewallNetworkRuleCollectionTimeouts;
}
/**
 *
 */
export interface FirewallNetworkRuleCollectionRule {
    /**
     *
     */
    readonly description?: string;
    /**
     *
     */
    readonly destinationAddresses: string[];
    /**
     *
     */
    readonly destinationPorts: string[];
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly protocols: string[];
    /**
     *
     */
    readonly sourceAddresses: string[];
}
/**
 *
 */
export interface FirewallNetworkRuleCollectionTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class FirewallNetworkRuleCollection extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: FirewallNetworkRuleCollectionConfig);
    private _action;
    /**
     *
     */
    get action(): string;
    /**
     *
     */
    set action(value: string);
    private _azureFirewallName;
    /**
     *
     */
    get azureFirewallName(): string;
    /**
     *
     */
    set azureFirewallName(value: string);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _priority;
    /**
     *
     */
    get priority(): number;
    /**
     *
     */
    set priority(value: number);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _rule;
    /**
     *
     */
    get rule(): FirewallNetworkRuleCollectionRule[];
    /**
     *
     */
    set rule(value: FirewallNetworkRuleCollectionRule[]);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): FirewallNetworkRuleCollectionTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: FirewallNetworkRuleCollectionTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
