import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface FrontdoorFirewallPolicyConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly customBlockResponseBody?: string;
    /**
     *
     */
    readonly customBlockResponseStatusCode?: number;
    /**
     *
     */
    readonly enabled?: boolean;
    /**
     *
     */
    readonly mode?: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly redirectUrl?: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * custom_rule block.
     */
    readonly customRule?: FrontdoorFirewallPolicyCustomRule[];
    /**
     * managed_rule block.
     */
    readonly managedRule?: FrontdoorFirewallPolicyManagedRule[];
    /**
     * timeouts block.
     */
    readonly timeouts?: FrontdoorFirewallPolicyTimeouts;
}
/**
 *
 */
export interface FrontdoorFirewallPolicyCustomRuleMatchCondition {
    /**
     *
     */
    readonly matchValues: string[];
    /**
     *
     */
    readonly matchVariable: string;
    /**
     *
     */
    readonly negationCondition?: boolean;
    /**
     *
     */
    readonly operator: string;
    /**
     *
     */
    readonly selector?: string;
    /**
     *
     */
    readonly transforms?: string[];
}
/**
 *
 */
export interface FrontdoorFirewallPolicyCustomRule {
    /**
     *
     */
    readonly action: string;
    /**
     *
     */
    readonly enabled?: boolean;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly priority?: number;
    /**
     *
     */
    readonly rateLimitDurationInMinutes?: number;
    /**
     *
     */
    readonly rateLimitThreshold?: number;
    /**
     *
     */
    readonly type: string;
    /**
     * match_condition block.
     */
    readonly matchCondition?: FrontdoorFirewallPolicyCustomRuleMatchCondition[];
}
/**
 *
 */
export interface FrontdoorFirewallPolicyManagedRuleExclusion {
    /**
     *
     */
    readonly matchVariable: string;
    /**
     *
     */
    readonly operator: string;
    /**
     *
     */
    readonly selector: string;
}
/**
 *
 */
export interface FrontdoorFirewallPolicyManagedRuleOverrideExclusion {
    /**
     *
     */
    readonly matchVariable: string;
    /**
     *
     */
    readonly operator: string;
    /**
     *
     */
    readonly selector: string;
}
/**
 *
 */
export interface FrontdoorFirewallPolicyManagedRuleOverrideRuleExclusion {
    /**
     *
     */
    readonly matchVariable: string;
    /**
     *
     */
    readonly operator: string;
    /**
     *
     */
    readonly selector: string;
}
/**
 *
 */
export interface FrontdoorFirewallPolicyManagedRuleOverrideRule {
    /**
     *
     */
    readonly action: string;
    /**
     *
     */
    readonly enabled?: boolean;
    /**
     *
     */
    readonly ruleId: string;
    /**
     * exclusion block.
     */
    readonly exclusion?: FrontdoorFirewallPolicyManagedRuleOverrideRuleExclusion[];
}
/**
 *
 */
export interface FrontdoorFirewallPolicyManagedRuleOverride {
    /**
     *
     */
    readonly ruleGroupName: string;
    /**
     * exclusion block.
     */
    readonly exclusion?: FrontdoorFirewallPolicyManagedRuleOverrideExclusion[];
    /**
     * rule block.
     */
    readonly rule?: FrontdoorFirewallPolicyManagedRuleOverrideRule[];
}
/**
 *
 */
export interface FrontdoorFirewallPolicyManagedRule {
    /**
     *
     */
    readonly type: string;
    /**
     *
     */
    readonly version: string;
    /**
     * exclusion block.
     */
    readonly exclusion?: FrontdoorFirewallPolicyManagedRuleExclusion[];
    /**
     * override block.
     */
    readonly override?: FrontdoorFirewallPolicyManagedRuleOverride[];
}
/**
 *
 */
export interface FrontdoorFirewallPolicyTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class FrontdoorFirewallPolicy extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: FrontdoorFirewallPolicyConfig);
    private _customBlockResponseBody?;
    /**
     *
     */
    get customBlockResponseBody(): string | undefined;
    /**
     *
     */
    set customBlockResponseBody(value: string | undefined);
    private _customBlockResponseStatusCode?;
    /**
     *
     */
    get customBlockResponseStatusCode(): number | undefined;
    /**
     *
     */
    set customBlockResponseStatusCode(value: number | undefined);
    private _enabled?;
    /**
     *
     */
    get enabled(): boolean | undefined;
    /**
     *
     */
    set enabled(value: boolean | undefined);
    /**
     *
     */
    get frontendEndpointIds(): string[];
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    /**
     *
     */
    get location(): string;
    private _mode?;
    /**
     *
     */
    get mode(): string | undefined;
    /**
     *
     */
    set mode(value: string | undefined);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _redirectUrl?;
    /**
     *
     */
    get redirectUrl(): string | undefined;
    /**
     *
     */
    set redirectUrl(value: string | undefined);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _tags?;
    /**
     *
     */
    get tags(): {
        [key: string]: string;
    } | undefined;
    /**
     *
     */
    set tags(value: {
        [key: string]: string;
    } | undefined);
    private _customRule?;
    /**
     *
     */
    get customRule(): FrontdoorFirewallPolicyCustomRule[] | undefined;
    /**
     *
     */
    set customRule(value: FrontdoorFirewallPolicyCustomRule[] | undefined);
    private _managedRule?;
    /**
     *
     */
    get managedRule(): FrontdoorFirewallPolicyManagedRule[] | undefined;
    /**
     *
     */
    set managedRule(value: FrontdoorFirewallPolicyManagedRule[] | undefined);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): FrontdoorFirewallPolicyTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: FrontdoorFirewallPolicyTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
