import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface HdinsightHadoopClusterConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly clusterVersion: string;
    /**
     *
     */
    readonly location: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     *
     */
    readonly tier: string;
    /**
     * component_version block.
     */
    readonly componentVersion: HdinsightHadoopClusterComponentVersion[];
    /**
     * gateway block.
     */
    readonly gateway: HdinsightHadoopClusterGateway[];
    /**
     * roles block.
     */
    readonly roles: HdinsightHadoopClusterRoles[];
    /**
     * storage_account block.
     */
    readonly storageAccount?: HdinsightHadoopClusterStorageAccount[];
    /**
     * storage_account_gen2 block.
     */
    readonly storageAccountGen2?: HdinsightHadoopClusterStorageAccountGen2[];
    /**
     * timeouts block.
     */
    readonly timeouts?: HdinsightHadoopClusterTimeouts;
}
/**
 *
 */
export interface HdinsightHadoopClusterComponentVersion {
    /**
     *
     */
    readonly hadoop: string;
}
/**
 *
 */
export interface HdinsightHadoopClusterGateway {
    /**
     *
     */
    readonly enabled: boolean;
    /**
     *
     */
    readonly password: string;
    /**
     *
     */
    readonly username: string;
}
/**
 *
 */
export interface HdinsightHadoopClusterRolesEdgeNodeInstallScriptAction {
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly uri: string;
}
/**
 *
 */
export interface HdinsightHadoopClusterRolesEdgeNode {
    /**
     *
     */
    readonly targetInstanceCount: number;
    /**
     *
     */
    readonly vmSize: string;
    /**
     * install_script_action block.
     */
    readonly installScriptAction: HdinsightHadoopClusterRolesEdgeNodeInstallScriptAction[];
}
/**
 *
 */
export interface HdinsightHadoopClusterRolesHeadNode {
    /**
     *
     */
    readonly password?: string;
    /**
     *
     */
    readonly sshKeys?: string[];
    /**
     *
     */
    readonly subnetId?: string;
    /**
     *
     */
    readonly username: string;
    /**
     *
     */
    readonly virtualNetworkId?: string;
    /**
     *
     */
    readonly vmSize: string;
}
/**
 *
 */
export interface HdinsightHadoopClusterRolesWorkerNode {
    /**
     *
     */
    readonly minInstanceCount?: number;
    /**
     *
     */
    readonly password?: string;
    /**
     *
     */
    readonly sshKeys?: string[];
    /**
     *
     */
    readonly subnetId?: string;
    /**
     *
     */
    readonly targetInstanceCount: number;
    /**
     *
     */
    readonly username: string;
    /**
     *
     */
    readonly virtualNetworkId?: string;
    /**
     *
     */
    readonly vmSize: string;
}
/**
 *
 */
export interface HdinsightHadoopClusterRolesZookeeperNode {
    /**
     *
     */
    readonly password?: string;
    /**
     *
     */
    readonly sshKeys?: string[];
    /**
     *
     */
    readonly subnetId?: string;
    /**
     *
     */
    readonly username: string;
    /**
     *
     */
    readonly virtualNetworkId?: string;
    /**
     *
     */
    readonly vmSize: string;
}
/**
 *
 */
export interface HdinsightHadoopClusterRoles {
    /**
     * edge_node block.
     */
    readonly edgeNode?: HdinsightHadoopClusterRolesEdgeNode[];
    /**
     * head_node block.
     */
    readonly headNode: HdinsightHadoopClusterRolesHeadNode[];
    /**
     * worker_node block.
     */
    readonly workerNode: HdinsightHadoopClusterRolesWorkerNode[];
    /**
     * zookeeper_node block.
     */
    readonly zookeeperNode: HdinsightHadoopClusterRolesZookeeperNode[];
}
/**
 *
 */
export interface HdinsightHadoopClusterStorageAccount {
    /**
     *
     */
    readonly isDefault: boolean;
    /**
     *
     */
    readonly storageAccountKey: string;
    /**
     *
     */
    readonly storageContainerId: string;
}
/**
 *
 */
export interface HdinsightHadoopClusterStorageAccountGen2 {
    /**
     *
     */
    readonly filesystemId: string;
    /**
     *
     */
    readonly isDefault: boolean;
    /**
     *
     */
    readonly managedIdentityResourceId: string;
    /**
     *
     */
    readonly storageResourceId: string;
}
/**
 *
 */
export interface HdinsightHadoopClusterTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class HdinsightHadoopCluster extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: HdinsightHadoopClusterConfig);
    private _clusterVersion;
    /**
     *
     */
    get clusterVersion(): string;
    /**
     *
     */
    set clusterVersion(value: string);
    /**
     *
     */
    get httpsEndpoint(): string;
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _location;
    /**
     *
     */
    get location(): string;
    /**
     *
     */
    set location(value: string);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    /**
     *
     */
    get sshEndpoint(): string;
    private _tags?;
    /**
     *
     */
    get tags(): {
        [key: string]: string;
    } | undefined;
    /**
     *
     */
    set tags(value: {
        [key: string]: string;
    } | undefined);
    private _tier;
    /**
     *
     */
    get tier(): string;
    /**
     *
     */
    set tier(value: string);
    private _componentVersion;
    /**
     *
     */
    get componentVersion(): HdinsightHadoopClusterComponentVersion[];
    /**
     *
     */
    set componentVersion(value: HdinsightHadoopClusterComponentVersion[]);
    private _gateway;
    /**
     *
     */
    get gateway(): HdinsightHadoopClusterGateway[];
    /**
     *
     */
    set gateway(value: HdinsightHadoopClusterGateway[]);
    private _roles;
    /**
     *
     */
    get roles(): HdinsightHadoopClusterRoles[];
    /**
     *
     */
    set roles(value: HdinsightHadoopClusterRoles[]);
    private _storageAccount?;
    /**
     *
     */
    get storageAccount(): HdinsightHadoopClusterStorageAccount[] | undefined;
    /**
     *
     */
    set storageAccount(value: HdinsightHadoopClusterStorageAccount[] | undefined);
    private _storageAccountGen2?;
    /**
     *
     */
    get storageAccountGen2(): HdinsightHadoopClusterStorageAccountGen2[] | undefined;
    /**
     *
     */
    set storageAccountGen2(value: HdinsightHadoopClusterStorageAccountGen2[] | undefined);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): HdinsightHadoopClusterTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: HdinsightHadoopClusterTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
