import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface HdinsightHbaseClusterConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly clusterVersion: string;
    /**
     *
     */
    readonly location: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     *
     */
    readonly tier: string;
    /**
     * component_version block.
     */
    readonly componentVersion: HdinsightHbaseClusterComponentVersion[];
    /**
     * gateway block.
     */
    readonly gateway: HdinsightHbaseClusterGateway[];
    /**
     * roles block.
     */
    readonly roles: HdinsightHbaseClusterRoles[];
    /**
     * storage_account block.
     */
    readonly storageAccount?: HdinsightHbaseClusterStorageAccount[];
    /**
     * storage_account_gen2 block.
     */
    readonly storageAccountGen2?: HdinsightHbaseClusterStorageAccountGen2[];
    /**
     * timeouts block.
     */
    readonly timeouts?: HdinsightHbaseClusterTimeouts;
}
/**
 *
 */
export interface HdinsightHbaseClusterComponentVersion {
    /**
     *
     */
    readonly hbase: string;
}
/**
 *
 */
export interface HdinsightHbaseClusterGateway {
    /**
     *
     */
    readonly enabled: boolean;
    /**
     *
     */
    readonly password: string;
    /**
     *
     */
    readonly username: string;
}
/**
 *
 */
export interface HdinsightHbaseClusterRolesHeadNode {
    /**
     *
     */
    readonly password?: string;
    /**
     *
     */
    readonly sshKeys?: string[];
    /**
     *
     */
    readonly subnetId?: string;
    /**
     *
     */
    readonly username: string;
    /**
     *
     */
    readonly virtualNetworkId?: string;
    /**
     *
     */
    readonly vmSize: string;
}
/**
 *
 */
export interface HdinsightHbaseClusterRolesWorkerNode {
    /**
     *
     */
    readonly minInstanceCount?: number;
    /**
     *
     */
    readonly password?: string;
    /**
     *
     */
    readonly sshKeys?: string[];
    /**
     *
     */
    readonly subnetId?: string;
    /**
     *
     */
    readonly targetInstanceCount: number;
    /**
     *
     */
    readonly username: string;
    /**
     *
     */
    readonly virtualNetworkId?: string;
    /**
     *
     */
    readonly vmSize: string;
}
/**
 *
 */
export interface HdinsightHbaseClusterRolesZookeeperNode {
    /**
     *
     */
    readonly password?: string;
    /**
     *
     */
    readonly sshKeys?: string[];
    /**
     *
     */
    readonly subnetId?: string;
    /**
     *
     */
    readonly username: string;
    /**
     *
     */
    readonly virtualNetworkId?: string;
    /**
     *
     */
    readonly vmSize: string;
}
/**
 *
 */
export interface HdinsightHbaseClusterRoles {
    /**
     * head_node block.
     */
    readonly headNode: HdinsightHbaseClusterRolesHeadNode[];
    /**
     * worker_node block.
     */
    readonly workerNode: HdinsightHbaseClusterRolesWorkerNode[];
    /**
     * zookeeper_node block.
     */
    readonly zookeeperNode: HdinsightHbaseClusterRolesZookeeperNode[];
}
/**
 *
 */
export interface HdinsightHbaseClusterStorageAccount {
    /**
     *
     */
    readonly isDefault: boolean;
    /**
     *
     */
    readonly storageAccountKey: string;
    /**
     *
     */
    readonly storageContainerId: string;
}
/**
 *
 */
export interface HdinsightHbaseClusterStorageAccountGen2 {
    /**
     *
     */
    readonly filesystemId: string;
    /**
     *
     */
    readonly isDefault: boolean;
    /**
     *
     */
    readonly managedIdentityResourceId: string;
    /**
     *
     */
    readonly storageResourceId: string;
}
/**
 *
 */
export interface HdinsightHbaseClusterTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class HdinsightHbaseCluster extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: HdinsightHbaseClusterConfig);
    private _clusterVersion;
    /**
     *
     */
    get clusterVersion(): string;
    /**
     *
     */
    set clusterVersion(value: string);
    /**
     *
     */
    get httpsEndpoint(): string;
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _location;
    /**
     *
     */
    get location(): string;
    /**
     *
     */
    set location(value: string);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    /**
     *
     */
    get sshEndpoint(): string;
    private _tags?;
    /**
     *
     */
    get tags(): {
        [key: string]: string;
    } | undefined;
    /**
     *
     */
    set tags(value: {
        [key: string]: string;
    } | undefined);
    private _tier;
    /**
     *
     */
    get tier(): string;
    /**
     *
     */
    set tier(value: string);
    private _componentVersion;
    /**
     *
     */
    get componentVersion(): HdinsightHbaseClusterComponentVersion[];
    /**
     *
     */
    set componentVersion(value: HdinsightHbaseClusterComponentVersion[]);
    private _gateway;
    /**
     *
     */
    get gateway(): HdinsightHbaseClusterGateway[];
    /**
     *
     */
    set gateway(value: HdinsightHbaseClusterGateway[]);
    private _roles;
    /**
     *
     */
    get roles(): HdinsightHbaseClusterRoles[];
    /**
     *
     */
    set roles(value: HdinsightHbaseClusterRoles[]);
    private _storageAccount?;
    /**
     *
     */
    get storageAccount(): HdinsightHbaseClusterStorageAccount[] | undefined;
    /**
     *
     */
    set storageAccount(value: HdinsightHbaseClusterStorageAccount[] | undefined);
    private _storageAccountGen2?;
    /**
     *
     */
    get storageAccountGen2(): HdinsightHbaseClusterStorageAccountGen2[] | undefined;
    /**
     *
     */
    set storageAccountGen2(value: HdinsightHbaseClusterStorageAccountGen2[] | undefined);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): HdinsightHbaseClusterTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: HdinsightHbaseClusterTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
