import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface HdinsightInteractiveQueryClusterConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly clusterVersion: string;
    /**
     *
     */
    readonly location: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     *
     */
    readonly tier: string;
    /**
     * component_version block.
     */
    readonly componentVersion: HdinsightInteractiveQueryClusterComponentVersion[];
    /**
     * gateway block.
     */
    readonly gateway: HdinsightInteractiveQueryClusterGateway[];
    /**
     * roles block.
     */
    readonly roles: HdinsightInteractiveQueryClusterRoles[];
    /**
     * storage_account block.
     */
    readonly storageAccount?: HdinsightInteractiveQueryClusterStorageAccount[];
    /**
     * storage_account_gen2 block.
     */
    readonly storageAccountGen2?: HdinsightInteractiveQueryClusterStorageAccountGen2[];
    /**
     * timeouts block.
     */
    readonly timeouts?: HdinsightInteractiveQueryClusterTimeouts;
}
/**
 *
 */
export interface HdinsightInteractiveQueryClusterComponentVersion {
    /**
     *
     */
    readonly interactiveHive: string;
}
/**
 *
 */
export interface HdinsightInteractiveQueryClusterGateway {
    /**
     *
     */
    readonly enabled: boolean;
    /**
     *
     */
    readonly password: string;
    /**
     *
     */
    readonly username: string;
}
/**
 *
 */
export interface HdinsightInteractiveQueryClusterRolesHeadNode {
    /**
     *
     */
    readonly password?: string;
    /**
     *
     */
    readonly sshKeys?: string[];
    /**
     *
     */
    readonly subnetId?: string;
    /**
     *
     */
    readonly username: string;
    /**
     *
     */
    readonly virtualNetworkId?: string;
    /**
     *
     */
    readonly vmSize: string;
}
/**
 *
 */
export interface HdinsightInteractiveQueryClusterRolesWorkerNode {
    /**
     *
     */
    readonly minInstanceCount?: number;
    /**
     *
     */
    readonly password?: string;
    /**
     *
     */
    readonly sshKeys?: string[];
    /**
     *
     */
    readonly subnetId?: string;
    /**
     *
     */
    readonly targetInstanceCount: number;
    /**
     *
     */
    readonly username: string;
    /**
     *
     */
    readonly virtualNetworkId?: string;
    /**
     *
     */
    readonly vmSize: string;
}
/**
 *
 */
export interface HdinsightInteractiveQueryClusterRolesZookeeperNode {
    /**
     *
     */
    readonly password?: string;
    /**
     *
     */
    readonly sshKeys?: string[];
    /**
     *
     */
    readonly subnetId?: string;
    /**
     *
     */
    readonly username: string;
    /**
     *
     */
    readonly virtualNetworkId?: string;
    /**
     *
     */
    readonly vmSize: string;
}
/**
 *
 */
export interface HdinsightInteractiveQueryClusterRoles {
    /**
     * head_node block.
     */
    readonly headNode: HdinsightInteractiveQueryClusterRolesHeadNode[];
    /**
     * worker_node block.
     */
    readonly workerNode: HdinsightInteractiveQueryClusterRolesWorkerNode[];
    /**
     * zookeeper_node block.
     */
    readonly zookeeperNode: HdinsightInteractiveQueryClusterRolesZookeeperNode[];
}
/**
 *
 */
export interface HdinsightInteractiveQueryClusterStorageAccount {
    /**
     *
     */
    readonly isDefault: boolean;
    /**
     *
     */
    readonly storageAccountKey: string;
    /**
     *
     */
    readonly storageContainerId: string;
}
/**
 *
 */
export interface HdinsightInteractiveQueryClusterStorageAccountGen2 {
    /**
     *
     */
    readonly filesystemId: string;
    /**
     *
     */
    readonly isDefault: boolean;
    /**
     *
     */
    readonly managedIdentityResourceId: string;
    /**
     *
     */
    readonly storageResourceId: string;
}
/**
 *
 */
export interface HdinsightInteractiveQueryClusterTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class HdinsightInteractiveQueryCluster extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: HdinsightInteractiveQueryClusterConfig);
    private _clusterVersion;
    /**
     *
     */
    get clusterVersion(): string;
    /**
     *
     */
    set clusterVersion(value: string);
    /**
     *
     */
    get httpsEndpoint(): string;
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _location;
    /**
     *
     */
    get location(): string;
    /**
     *
     */
    set location(value: string);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    /**
     *
     */
    get sshEndpoint(): string;
    private _tags?;
    /**
     *
     */
    get tags(): {
        [key: string]: string;
    } | undefined;
    /**
     *
     */
    set tags(value: {
        [key: string]: string;
    } | undefined);
    private _tier;
    /**
     *
     */
    get tier(): string;
    /**
     *
     */
    set tier(value: string);
    private _componentVersion;
    /**
     *
     */
    get componentVersion(): HdinsightInteractiveQueryClusterComponentVersion[];
    /**
     *
     */
    set componentVersion(value: HdinsightInteractiveQueryClusterComponentVersion[]);
    private _gateway;
    /**
     *
     */
    get gateway(): HdinsightInteractiveQueryClusterGateway[];
    /**
     *
     */
    set gateway(value: HdinsightInteractiveQueryClusterGateway[]);
    private _roles;
    /**
     *
     */
    get roles(): HdinsightInteractiveQueryClusterRoles[];
    /**
     *
     */
    set roles(value: HdinsightInteractiveQueryClusterRoles[]);
    private _storageAccount?;
    /**
     *
     */
    get storageAccount(): HdinsightInteractiveQueryClusterStorageAccount[] | undefined;
    /**
     *
     */
    set storageAccount(value: HdinsightInteractiveQueryClusterStorageAccount[] | undefined);
    private _storageAccountGen2?;
    /**
     *
     */
    get storageAccountGen2(): HdinsightInteractiveQueryClusterStorageAccountGen2[] | undefined;
    /**
     *
     */
    set storageAccountGen2(value: HdinsightInteractiveQueryClusterStorageAccountGen2[] | undefined);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): HdinsightInteractiveQueryClusterTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: HdinsightInteractiveQueryClusterTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
