import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface HdinsightKafkaClusterConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly clusterVersion: string;
    /**
     *
     */
    readonly location: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     *
     */
    readonly tier: string;
    /**
     * component_version block.
     */
    readonly componentVersion: HdinsightKafkaClusterComponentVersion[];
    /**
     * gateway block.
     */
    readonly gateway: HdinsightKafkaClusterGateway[];
    /**
     * roles block.
     */
    readonly roles: HdinsightKafkaClusterRoles[];
    /**
     * storage_account block.
     */
    readonly storageAccount?: HdinsightKafkaClusterStorageAccount[];
    /**
     * storage_account_gen2 block.
     */
    readonly storageAccountGen2?: HdinsightKafkaClusterStorageAccountGen2[];
    /**
     * timeouts block.
     */
    readonly timeouts?: HdinsightKafkaClusterTimeouts;
}
/**
 *
 */
export interface HdinsightKafkaClusterComponentVersion {
    /**
     *
     */
    readonly kafka: string;
}
/**
 *
 */
export interface HdinsightKafkaClusterGateway {
    /**
     *
     */
    readonly enabled: boolean;
    /**
     *
     */
    readonly password: string;
    /**
     *
     */
    readonly username: string;
}
/**
 *
 */
export interface HdinsightKafkaClusterRolesHeadNode {
    /**
     *
     */
    readonly password?: string;
    /**
     *
     */
    readonly sshKeys?: string[];
    /**
     *
     */
    readonly subnetId?: string;
    /**
     *
     */
    readonly username: string;
    /**
     *
     */
    readonly virtualNetworkId?: string;
    /**
     *
     */
    readonly vmSize: string;
}
/**
 *
 */
export interface HdinsightKafkaClusterRolesWorkerNode {
    /**
     *
     */
    readonly minInstanceCount?: number;
    /**
     *
     */
    readonly numberOfDisksPerNode: number;
    /**
     *
     */
    readonly password?: string;
    /**
     *
     */
    readonly sshKeys?: string[];
    /**
     *
     */
    readonly subnetId?: string;
    /**
     *
     */
    readonly targetInstanceCount: number;
    /**
     *
     */
    readonly username: string;
    /**
     *
     */
    readonly virtualNetworkId?: string;
    /**
     *
     */
    readonly vmSize: string;
}
/**
 *
 */
export interface HdinsightKafkaClusterRolesZookeeperNode {
    /**
     *
     */
    readonly password?: string;
    /**
     *
     */
    readonly sshKeys?: string[];
    /**
     *
     */
    readonly subnetId?: string;
    /**
     *
     */
    readonly username: string;
    /**
     *
     */
    readonly virtualNetworkId?: string;
    /**
     *
     */
    readonly vmSize: string;
}
/**
 *
 */
export interface HdinsightKafkaClusterRoles {
    /**
     * head_node block.
     */
    readonly headNode: HdinsightKafkaClusterRolesHeadNode[];
    /**
     * worker_node block.
     */
    readonly workerNode: HdinsightKafkaClusterRolesWorkerNode[];
    /**
     * zookeeper_node block.
     */
    readonly zookeeperNode: HdinsightKafkaClusterRolesZookeeperNode[];
}
/**
 *
 */
export interface HdinsightKafkaClusterStorageAccount {
    /**
     *
     */
    readonly isDefault: boolean;
    /**
     *
     */
    readonly storageAccountKey: string;
    /**
     *
     */
    readonly storageContainerId: string;
}
/**
 *
 */
export interface HdinsightKafkaClusterStorageAccountGen2 {
    /**
     *
     */
    readonly filesystemId: string;
    /**
     *
     */
    readonly isDefault: boolean;
    /**
     *
     */
    readonly managedIdentityResourceId: string;
    /**
     *
     */
    readonly storageResourceId: string;
}
/**
 *
 */
export interface HdinsightKafkaClusterTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class HdinsightKafkaCluster extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: HdinsightKafkaClusterConfig);
    private _clusterVersion;
    /**
     *
     */
    get clusterVersion(): string;
    /**
     *
     */
    set clusterVersion(value: string);
    /**
     *
     */
    get httpsEndpoint(): string;
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _location;
    /**
     *
     */
    get location(): string;
    /**
     *
     */
    set location(value: string);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    /**
     *
     */
    get sshEndpoint(): string;
    private _tags?;
    /**
     *
     */
    get tags(): {
        [key: string]: string;
    } | undefined;
    /**
     *
     */
    set tags(value: {
        [key: string]: string;
    } | undefined);
    private _tier;
    /**
     *
     */
    get tier(): string;
    /**
     *
     */
    set tier(value: string);
    private _componentVersion;
    /**
     *
     */
    get componentVersion(): HdinsightKafkaClusterComponentVersion[];
    /**
     *
     */
    set componentVersion(value: HdinsightKafkaClusterComponentVersion[]);
    private _gateway;
    /**
     *
     */
    get gateway(): HdinsightKafkaClusterGateway[];
    /**
     *
     */
    set gateway(value: HdinsightKafkaClusterGateway[]);
    private _roles;
    /**
     *
     */
    get roles(): HdinsightKafkaClusterRoles[];
    /**
     *
     */
    set roles(value: HdinsightKafkaClusterRoles[]);
    private _storageAccount?;
    /**
     *
     */
    get storageAccount(): HdinsightKafkaClusterStorageAccount[] | undefined;
    /**
     *
     */
    set storageAccount(value: HdinsightKafkaClusterStorageAccount[] | undefined);
    private _storageAccountGen2?;
    /**
     *
     */
    get storageAccountGen2(): HdinsightKafkaClusterStorageAccountGen2[] | undefined;
    /**
     *
     */
    set storageAccountGen2(value: HdinsightKafkaClusterStorageAccountGen2[] | undefined);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): HdinsightKafkaClusterTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: HdinsightKafkaClusterTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
