import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface HdinsightMlServicesClusterConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly clusterVersion: string;
    /**
     *
     */
    readonly location: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly rstudio: boolean;
    /**
     *
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     *
     */
    readonly tier: string;
    /**
     * gateway block.
     */
    readonly gateway: HdinsightMlServicesClusterGateway[];
    /**
     * roles block.
     */
    readonly roles: HdinsightMlServicesClusterRoles[];
    /**
     * storage_account block.
     */
    readonly storageAccount?: HdinsightMlServicesClusterStorageAccount[];
    /**
     * timeouts block.
     */
    readonly timeouts?: HdinsightMlServicesClusterTimeouts;
}
/**
 *
 */
export interface HdinsightMlServicesClusterGateway {
    /**
     *
     */
    readonly enabled: boolean;
    /**
     *
     */
    readonly password: string;
    /**
     *
     */
    readonly username: string;
}
/**
 *
 */
export interface HdinsightMlServicesClusterRolesEdgeNode {
    /**
     *
     */
    readonly password?: string;
    /**
     *
     */
    readonly sshKeys?: string[];
    /**
     *
     */
    readonly subnetId?: string;
    /**
     *
     */
    readonly username: string;
    /**
     *
     */
    readonly virtualNetworkId?: string;
    /**
     *
     */
    readonly vmSize: string;
}
/**
 *
 */
export interface HdinsightMlServicesClusterRolesHeadNode {
    /**
     *
     */
    readonly password?: string;
    /**
     *
     */
    readonly sshKeys?: string[];
    /**
     *
     */
    readonly subnetId?: string;
    /**
     *
     */
    readonly username: string;
    /**
     *
     */
    readonly virtualNetworkId?: string;
    /**
     *
     */
    readonly vmSize: string;
}
/**
 *
 */
export interface HdinsightMlServicesClusterRolesWorkerNode {
    /**
     *
     */
    readonly minInstanceCount?: number;
    /**
     *
     */
    readonly password?: string;
    /**
     *
     */
    readonly sshKeys?: string[];
    /**
     *
     */
    readonly subnetId?: string;
    /**
     *
     */
    readonly targetInstanceCount: number;
    /**
     *
     */
    readonly username: string;
    /**
     *
     */
    readonly virtualNetworkId?: string;
    /**
     *
     */
    readonly vmSize: string;
}
/**
 *
 */
export interface HdinsightMlServicesClusterRolesZookeeperNode {
    /**
     *
     */
    readonly password?: string;
    /**
     *
     */
    readonly sshKeys?: string[];
    /**
     *
     */
    readonly subnetId?: string;
    /**
     *
     */
    readonly username: string;
    /**
     *
     */
    readonly virtualNetworkId?: string;
    /**
     *
     */
    readonly vmSize: string;
}
/**
 *
 */
export interface HdinsightMlServicesClusterRoles {
    /**
     * edge_node block.
     */
    readonly edgeNode: HdinsightMlServicesClusterRolesEdgeNode[];
    /**
     * head_node block.
     */
    readonly headNode: HdinsightMlServicesClusterRolesHeadNode[];
    /**
     * worker_node block.
     */
    readonly workerNode: HdinsightMlServicesClusterRolesWorkerNode[];
    /**
     * zookeeper_node block.
     */
    readonly zookeeperNode: HdinsightMlServicesClusterRolesZookeeperNode[];
}
/**
 *
 */
export interface HdinsightMlServicesClusterStorageAccount {
    /**
     *
     */
    readonly isDefault: boolean;
    /**
     *
     */
    readonly storageAccountKey: string;
    /**
     *
     */
    readonly storageContainerId: string;
}
/**
 *
 */
export interface HdinsightMlServicesClusterTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class HdinsightMlServicesCluster extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: HdinsightMlServicesClusterConfig);
    private _clusterVersion;
    /**
     *
     */
    get clusterVersion(): string;
    /**
     *
     */
    set clusterVersion(value: string);
    /**
     *
     */
    get edgeSshEndpoint(): string;
    /**
     *
     */
    get httpsEndpoint(): string;
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _location;
    /**
     *
     */
    get location(): string;
    /**
     *
     */
    set location(value: string);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _rstudio;
    /**
     *
     */
    get rstudio(): boolean;
    /**
     *
     */
    set rstudio(value: boolean);
    /**
     *
     */
    get sshEndpoint(): string;
    private _tags?;
    /**
     *
     */
    get tags(): {
        [key: string]: string;
    } | undefined;
    /**
     *
     */
    set tags(value: {
        [key: string]: string;
    } | undefined);
    private _tier;
    /**
     *
     */
    get tier(): string;
    /**
     *
     */
    set tier(value: string);
    private _gateway;
    /**
     *
     */
    get gateway(): HdinsightMlServicesClusterGateway[];
    /**
     *
     */
    set gateway(value: HdinsightMlServicesClusterGateway[]);
    private _roles;
    /**
     *
     */
    get roles(): HdinsightMlServicesClusterRoles[];
    /**
     *
     */
    set roles(value: HdinsightMlServicesClusterRoles[]);
    private _storageAccount?;
    /**
     *
     */
    get storageAccount(): HdinsightMlServicesClusterStorageAccount[] | undefined;
    /**
     *
     */
    set storageAccount(value: HdinsightMlServicesClusterStorageAccount[] | undefined);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): HdinsightMlServicesClusterTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: HdinsightMlServicesClusterTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
