import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface HdinsightRserverClusterConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly clusterVersion: string;
    /**
     *
     */
    readonly location: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly rstudio: boolean;
    /**
     *
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     *
     */
    readonly tier: string;
    /**
     * gateway block.
     */
    readonly gateway: HdinsightRserverClusterGateway[];
    /**
     * roles block.
     */
    readonly roles: HdinsightRserverClusterRoles[];
    /**
     * storage_account block.
     */
    readonly storageAccount?: HdinsightRserverClusterStorageAccount[];
    /**
     * timeouts block.
     */
    readonly timeouts?: HdinsightRserverClusterTimeouts;
}
/**
 *
 */
export interface HdinsightRserverClusterGateway {
    /**
     *
     */
    readonly enabled: boolean;
    /**
     *
     */
    readonly password: string;
    /**
     *
     */
    readonly username: string;
}
/**
 *
 */
export interface HdinsightRserverClusterRolesEdgeNode {
    /**
     *
     */
    readonly password?: string;
    /**
     *
     */
    readonly sshKeys?: string[];
    /**
     *
     */
    readonly subnetId?: string;
    /**
     *
     */
    readonly username: string;
    /**
     *
     */
    readonly virtualNetworkId?: string;
    /**
     *
     */
    readonly vmSize: string;
}
/**
 *
 */
export interface HdinsightRserverClusterRolesHeadNode {
    /**
     *
     */
    readonly password?: string;
    /**
     *
     */
    readonly sshKeys?: string[];
    /**
     *
     */
    readonly subnetId?: string;
    /**
     *
     */
    readonly username: string;
    /**
     *
     */
    readonly virtualNetworkId?: string;
    /**
     *
     */
    readonly vmSize: string;
}
/**
 *
 */
export interface HdinsightRserverClusterRolesWorkerNode {
    /**
     *
     */
    readonly minInstanceCount?: number;
    /**
     *
     */
    readonly password?: string;
    /**
     *
     */
    readonly sshKeys?: string[];
    /**
     *
     */
    readonly subnetId?: string;
    /**
     *
     */
    readonly targetInstanceCount: number;
    /**
     *
     */
    readonly username: string;
    /**
     *
     */
    readonly virtualNetworkId?: string;
    /**
     *
     */
    readonly vmSize: string;
}
/**
 *
 */
export interface HdinsightRserverClusterRolesZookeeperNode {
    /**
     *
     */
    readonly password?: string;
    /**
     *
     */
    readonly sshKeys?: string[];
    /**
     *
     */
    readonly subnetId?: string;
    /**
     *
     */
    readonly username: string;
    /**
     *
     */
    readonly virtualNetworkId?: string;
    /**
     *
     */
    readonly vmSize: string;
}
/**
 *
 */
export interface HdinsightRserverClusterRoles {
    /**
     * edge_node block.
     */
    readonly edgeNode: HdinsightRserverClusterRolesEdgeNode[];
    /**
     * head_node block.
     */
    readonly headNode: HdinsightRserverClusterRolesHeadNode[];
    /**
     * worker_node block.
     */
    readonly workerNode: HdinsightRserverClusterRolesWorkerNode[];
    /**
     * zookeeper_node block.
     */
    readonly zookeeperNode: HdinsightRserverClusterRolesZookeeperNode[];
}
/**
 *
 */
export interface HdinsightRserverClusterStorageAccount {
    /**
     *
     */
    readonly isDefault: boolean;
    /**
     *
     */
    readonly storageAccountKey: string;
    /**
     *
     */
    readonly storageContainerId: string;
}
/**
 *
 */
export interface HdinsightRserverClusterTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class HdinsightRserverCluster extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: HdinsightRserverClusterConfig);
    private _clusterVersion;
    /**
     *
     */
    get clusterVersion(): string;
    /**
     *
     */
    set clusterVersion(value: string);
    /**
     *
     */
    get edgeSshEndpoint(): string;
    /**
     *
     */
    get httpsEndpoint(): string;
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _location;
    /**
     *
     */
    get location(): string;
    /**
     *
     */
    set location(value: string);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _rstudio;
    /**
     *
     */
    get rstudio(): boolean;
    /**
     *
     */
    set rstudio(value: boolean);
    /**
     *
     */
    get sshEndpoint(): string;
    private _tags?;
    /**
     *
     */
    get tags(): {
        [key: string]: string;
    } | undefined;
    /**
     *
     */
    set tags(value: {
        [key: string]: string;
    } | undefined);
    private _tier;
    /**
     *
     */
    get tier(): string;
    /**
     *
     */
    set tier(value: string);
    private _gateway;
    /**
     *
     */
    get gateway(): HdinsightRserverClusterGateway[];
    /**
     *
     */
    set gateway(value: HdinsightRserverClusterGateway[]);
    private _roles;
    /**
     *
     */
    get roles(): HdinsightRserverClusterRoles[];
    /**
     *
     */
    set roles(value: HdinsightRserverClusterRoles[]);
    private _storageAccount?;
    /**
     *
     */
    get storageAccount(): HdinsightRserverClusterStorageAccount[] | undefined;
    /**
     *
     */
    set storageAccount(value: HdinsightRserverClusterStorageAccount[] | undefined);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): HdinsightRserverClusterTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: HdinsightRserverClusterTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
