import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface HdinsightSparkClusterConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly clusterVersion: string;
    /**
     *
     */
    readonly location: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     *
     */
    readonly tier: string;
    /**
     * component_version block.
     */
    readonly componentVersion: HdinsightSparkClusterComponentVersion[];
    /**
     * gateway block.
     */
    readonly gateway: HdinsightSparkClusterGateway[];
    /**
     * roles block.
     */
    readonly roles: HdinsightSparkClusterRoles[];
    /**
     * storage_account block.
     */
    readonly storageAccount?: HdinsightSparkClusterStorageAccount[];
    /**
     * storage_account_gen2 block.
     */
    readonly storageAccountGen2?: HdinsightSparkClusterStorageAccountGen2[];
    /**
     * timeouts block.
     */
    readonly timeouts?: HdinsightSparkClusterTimeouts;
}
/**
 *
 */
export interface HdinsightSparkClusterComponentVersion {
    /**
     *
     */
    readonly spark: string;
}
/**
 *
 */
export interface HdinsightSparkClusterGateway {
    /**
     *
     */
    readonly enabled: boolean;
    /**
     *
     */
    readonly password: string;
    /**
     *
     */
    readonly username: string;
}
/**
 *
 */
export interface HdinsightSparkClusterRolesHeadNode {
    /**
     *
     */
    readonly password?: string;
    /**
     *
     */
    readonly sshKeys?: string[];
    /**
     *
     */
    readonly subnetId?: string;
    /**
     *
     */
    readonly username: string;
    /**
     *
     */
    readonly virtualNetworkId?: string;
    /**
     *
     */
    readonly vmSize: string;
}
/**
 *
 */
export interface HdinsightSparkClusterRolesWorkerNode {
    /**
     *
     */
    readonly minInstanceCount?: number;
    /**
     *
     */
    readonly password?: string;
    /**
     *
     */
    readonly sshKeys?: string[];
    /**
     *
     */
    readonly subnetId?: string;
    /**
     *
     */
    readonly targetInstanceCount: number;
    /**
     *
     */
    readonly username: string;
    /**
     *
     */
    readonly virtualNetworkId?: string;
    /**
     *
     */
    readonly vmSize: string;
}
/**
 *
 */
export interface HdinsightSparkClusterRolesZookeeperNode {
    /**
     *
     */
    readonly password?: string;
    /**
     *
     */
    readonly sshKeys?: string[];
    /**
     *
     */
    readonly subnetId?: string;
    /**
     *
     */
    readonly username: string;
    /**
     *
     */
    readonly virtualNetworkId?: string;
    /**
     *
     */
    readonly vmSize: string;
}
/**
 *
 */
export interface HdinsightSparkClusterRoles {
    /**
     * head_node block.
     */
    readonly headNode: HdinsightSparkClusterRolesHeadNode[];
    /**
     * worker_node block.
     */
    readonly workerNode: HdinsightSparkClusterRolesWorkerNode[];
    /**
     * zookeeper_node block.
     */
    readonly zookeeperNode: HdinsightSparkClusterRolesZookeeperNode[];
}
/**
 *
 */
export interface HdinsightSparkClusterStorageAccount {
    /**
     *
     */
    readonly isDefault: boolean;
    /**
     *
     */
    readonly storageAccountKey: string;
    /**
     *
     */
    readonly storageContainerId: string;
}
/**
 *
 */
export interface HdinsightSparkClusterStorageAccountGen2 {
    /**
     *
     */
    readonly filesystemId: string;
    /**
     *
     */
    readonly isDefault: boolean;
    /**
     *
     */
    readonly managedIdentityResourceId: string;
    /**
     *
     */
    readonly storageResourceId: string;
}
/**
 *
 */
export interface HdinsightSparkClusterTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class HdinsightSparkCluster extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: HdinsightSparkClusterConfig);
    private _clusterVersion;
    /**
     *
     */
    get clusterVersion(): string;
    /**
     *
     */
    set clusterVersion(value: string);
    /**
     *
     */
    get httpsEndpoint(): string;
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _location;
    /**
     *
     */
    get location(): string;
    /**
     *
     */
    set location(value: string);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    /**
     *
     */
    get sshEndpoint(): string;
    private _tags?;
    /**
     *
     */
    get tags(): {
        [key: string]: string;
    } | undefined;
    /**
     *
     */
    set tags(value: {
        [key: string]: string;
    } | undefined);
    private _tier;
    /**
     *
     */
    get tier(): string;
    /**
     *
     */
    set tier(value: string);
    private _componentVersion;
    /**
     *
     */
    get componentVersion(): HdinsightSparkClusterComponentVersion[];
    /**
     *
     */
    set componentVersion(value: HdinsightSparkClusterComponentVersion[]);
    private _gateway;
    /**
     *
     */
    get gateway(): HdinsightSparkClusterGateway[];
    /**
     *
     */
    set gateway(value: HdinsightSparkClusterGateway[]);
    private _roles;
    /**
     *
     */
    get roles(): HdinsightSparkClusterRoles[];
    /**
     *
     */
    set roles(value: HdinsightSparkClusterRoles[]);
    private _storageAccount?;
    /**
     *
     */
    get storageAccount(): HdinsightSparkClusterStorageAccount[] | undefined;
    /**
     *
     */
    set storageAccount(value: HdinsightSparkClusterStorageAccount[] | undefined);
    private _storageAccountGen2?;
    /**
     *
     */
    get storageAccountGen2(): HdinsightSparkClusterStorageAccountGen2[] | undefined;
    /**
     *
     */
    set storageAccountGen2(value: HdinsightSparkClusterStorageAccountGen2[] | undefined);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): HdinsightSparkClusterTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: HdinsightSparkClusterTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
