import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface HealthcareServiceConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly accessPolicyObjectIds: string[];
    /**
     *
     */
    readonly cosmosdbThroughput?: number;
    /**
     *
     */
    readonly kind?: string;
    /**
     *
     */
    readonly location: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * authentication_configuration block.
     */
    readonly authenticationConfiguration?: HealthcareServiceAuthenticationConfiguration[];
    /**
     * cors_configuration block.
     */
    readonly corsConfiguration?: HealthcareServiceCorsConfiguration[];
    /**
     * timeouts block.
     */
    readonly timeouts?: HealthcareServiceTimeouts;
}
/**
 *
 */
export interface HealthcareServiceAuthenticationConfiguration {
    /**
     *
     */
    readonly audience?: string;
    /**
     *
     */
    readonly authority?: string;
    /**
     *
     */
    readonly smartProxyEnabled?: boolean;
}
/**
 *
 */
export interface HealthcareServiceCorsConfiguration {
    /**
     *
     */
    readonly allowCredentials?: boolean;
    /**
     *
     */
    readonly allowedHeaders?: string[];
    /**
     *
     */
    readonly allowedMethods?: string[];
    /**
     *
     */
    readonly allowedOrigins?: string[];
    /**
     *
     */
    readonly maxAgeInSeconds?: number;
}
/**
 *
 */
export interface HealthcareServiceTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class HealthcareService extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: HealthcareServiceConfig);
    private _accessPolicyObjectIds;
    /**
     *
     */
    get accessPolicyObjectIds(): string[];
    /**
     *
     */
    set accessPolicyObjectIds(value: string[]);
    private _cosmosdbThroughput?;
    /**
     *
     */
    get cosmosdbThroughput(): number | undefined;
    /**
     *
     */
    set cosmosdbThroughput(value: number | undefined);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _kind?;
    /**
     *
     */
    get kind(): string | undefined;
    /**
     *
     */
    set kind(value: string | undefined);
    private _location;
    /**
     *
     */
    get location(): string;
    /**
     *
     */
    set location(value: string);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _tags?;
    /**
     *
     */
    get tags(): {
        [key: string]: string;
    } | undefined;
    /**
     *
     */
    set tags(value: {
        [key: string]: string;
    } | undefined);
    private _authenticationConfiguration?;
    /**
     *
     */
    get authenticationConfiguration(): HealthcareServiceAuthenticationConfiguration[] | undefined;
    /**
     *
     */
    set authenticationConfiguration(value: HealthcareServiceAuthenticationConfiguration[] | undefined);
    private _corsConfiguration?;
    /**
     *
     */
    get corsConfiguration(): HealthcareServiceCorsConfiguration[] | undefined;
    /**
     *
     */
    set corsConfiguration(value: HealthcareServiceCorsConfiguration[] | undefined);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): HealthcareServiceTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: HealthcareServiceTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
