import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface ImageConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly hyperVGeneration?: string;
    /**
     *
     */
    readonly location: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly sourceVirtualMachineId?: string;
    /**
     *
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     *
     */
    readonly zoneResilient?: boolean;
    /**
     * data_disk block.
     */
    readonly dataDisk?: ImageDataDisk[];
    /**
     * os_disk block.
     */
    readonly osDisk?: ImageOsDisk[];
    /**
     * timeouts block.
     */
    readonly timeouts?: ImageTimeouts;
}
/**
 *
 */
export interface ImageDataDisk {
    /**
     *
     */
    readonly blobUri?: string;
    /**
     *
     */
    readonly caching?: string;
    /**
     *
     */
    readonly lun?: number;
    /**
     *
     */
    readonly managedDiskId?: string;
    /**
     *
     */
    readonly sizeGb?: number;
}
/**
 *
 */
export interface ImageOsDisk {
    /**
     *
     */
    readonly blobUri?: string;
    /**
     *
     */
    readonly caching?: string;
    /**
     *
     */
    readonly managedDiskId?: string;
    /**
     *
     */
    readonly osState?: string;
    /**
     *
     */
    readonly osType?: string;
    /**
     *
     */
    readonly sizeGb?: number;
}
/**
 *
 */
export interface ImageTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class Image extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: ImageConfig);
    private _hyperVGeneration?;
    /**
     *
     */
    get hyperVGeneration(): string | undefined;
    /**
     *
     */
    set hyperVGeneration(value: string | undefined);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _location;
    /**
     *
     */
    get location(): string;
    /**
     *
     */
    set location(value: string);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _sourceVirtualMachineId?;
    /**
     *
     */
    get sourceVirtualMachineId(): string | undefined;
    /**
     *
     */
    set sourceVirtualMachineId(value: string | undefined);
    private _tags?;
    /**
     *
     */
    get tags(): {
        [key: string]: string;
    } | undefined;
    /**
     *
     */
    set tags(value: {
        [key: string]: string;
    } | undefined);
    private _zoneResilient?;
    /**
     *
     */
    get zoneResilient(): boolean | undefined;
    /**
     *
     */
    set zoneResilient(value: boolean | undefined);
    private _dataDisk?;
    /**
     *
     */
    get dataDisk(): ImageDataDisk[] | undefined;
    /**
     *
     */
    set dataDisk(value: ImageDataDisk[] | undefined);
    private _osDisk?;
    /**
     *
     */
    get osDisk(): ImageOsDisk[] | undefined;
    /**
     *
     */
    set osDisk(value: ImageOsDisk[] | undefined);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): ImageTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: ImageTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
