import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface IothubConsumerGroupConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly eventhubEndpointName: string;
    /**
     *
     */
    readonly iothubName: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: IothubConsumerGroupTimeouts;
}
/**
 *
 */
export interface IothubConsumerGroupTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class IothubConsumerGroup extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: IothubConsumerGroupConfig);
    private _eventhubEndpointName;
    /**
     *
     */
    get eventhubEndpointName(): string;
    /**
     *
     */
    set eventhubEndpointName(value: string);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _iothubName;
    /**
     *
     */
    get iothubName(): string;
    /**
     *
     */
    set iothubName(value: string);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): IothubConsumerGroupTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: IothubConsumerGroupTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
