import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface IothubDpsCertificateConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly certificateContent: string;
    /**
     *
     */
    readonly iotDpsName: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: IothubDpsCertificateTimeouts;
}
/**
 *
 */
export interface IothubDpsCertificateTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class IothubDpsCertificate extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: IothubDpsCertificateConfig);
    private _certificateContent;
    /**
     *
     */
    get certificateContent(): string;
    /**
     *
     */
    set certificateContent(value: string);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _iotDpsName;
    /**
     *
     */
    get iotDpsName(): string;
    /**
     *
     */
    set iotDpsName(value: string);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): IothubDpsCertificateTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: IothubDpsCertificateTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
