import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface IothubDpsSharedAccessPolicyConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly enrollmentRead?: boolean;
    /**
     *
     */
    readonly enrollmentWrite?: boolean;
    /**
     *
     */
    readonly iothubDpsName: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly registrationRead?: boolean;
    /**
     *
     */
    readonly registrationWrite?: boolean;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly serviceConfig?: boolean;
    /**
     * timeouts block.
     */
    readonly timeouts?: IothubDpsSharedAccessPolicyTimeouts;
}
/**
 *
 */
export interface IothubDpsSharedAccessPolicyTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class IothubDpsSharedAccessPolicy extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: IothubDpsSharedAccessPolicyConfig);
    private _enrollmentRead?;
    /**
     *
     */
    get enrollmentRead(): boolean | undefined;
    /**
     *
     */
    set enrollmentRead(value: boolean | undefined);
    private _enrollmentWrite?;
    /**
     *
     */
    get enrollmentWrite(): boolean | undefined;
    /**
     *
     */
    set enrollmentWrite(value: boolean | undefined);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _iothubDpsName;
    /**
     *
     */
    get iothubDpsName(): string;
    /**
     *
     */
    set iothubDpsName(value: string);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    /**
     *
     */
    get primaryConnectionString(): string;
    /**
     *
     */
    get primaryKey(): string;
    private _registrationRead?;
    /**
     *
     */
    get registrationRead(): boolean | undefined;
    /**
     *
     */
    set registrationRead(value: boolean | undefined);
    private _registrationWrite?;
    /**
     *
     */
    get registrationWrite(): boolean | undefined;
    /**
     *
     */
    set registrationWrite(value: boolean | undefined);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    /**
     *
     */
    get secondaryConnectionString(): string;
    /**
     *
     */
    get secondaryKey(): string;
    private _serviceConfig?;
    /**
     *
     */
    get serviceConfig(): boolean | undefined;
    /**
     *
     */
    set serviceConfig(value: boolean | undefined);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): IothubDpsSharedAccessPolicyTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: IothubDpsSharedAccessPolicyTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
