import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface IothubDpsConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly location: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * linked_hub block.
     */
    readonly linkedHub?: IothubDpsLinkedHub[];
    /**
     * sku block.
     */
    readonly sku: IothubDpsSku[];
    /**
     * timeouts block.
     */
    readonly timeouts?: IothubDpsTimeouts;
}
/**
 *
 */
export interface IothubDpsLinkedHub {
    /**
     *
     */
    readonly allocationWeight?: number;
    /**
     *
     */
    readonly applyAllocationPolicy?: boolean;
    /**
     *
     */
    readonly connectionString: string;
    /**
     *
     */
    readonly location: string;
}
/**
 *
 */
export interface IothubDpsSku {
    /**
     *
     */
    readonly capacity: number;
    /**
     *
     */
    readonly name: string;
}
/**
 *
 */
export interface IothubDpsTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class IothubDps extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: IothubDpsConfig);
    /**
     *
     */
    get allocationPolicy(): string;
    /**
     *
     */
    get deviceProvisioningHostName(): string;
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    /**
     *
     */
    get idScope(): string;
    private _location;
    /**
     *
     */
    get location(): string;
    /**
     *
     */
    set location(value: string);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    /**
     *
     */
    get serviceOperationsHostName(): string;
    private _tags?;
    /**
     *
     */
    get tags(): {
        [key: string]: string;
    } | undefined;
    /**
     *
     */
    set tags(value: {
        [key: string]: string;
    } | undefined);
    private _linkedHub?;
    /**
     *
     */
    get linkedHub(): IothubDpsLinkedHub[] | undefined;
    /**
     *
     */
    set linkedHub(value: IothubDpsLinkedHub[] | undefined);
    private _sku;
    /**
     *
     */
    get sku(): IothubDpsSku[];
    /**
     *
     */
    set sku(value: IothubDpsSku[]);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): IothubDpsTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: IothubDpsTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
