import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface IothubEndpointEventhubConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly connectionString: string;
    /**
     *
     */
    readonly iothubName: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: IothubEndpointEventhubTimeouts;
}
/**
 *
 */
export interface IothubEndpointEventhubTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class IothubEndpointEventhub extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: IothubEndpointEventhubConfig);
    private _connectionString;
    /**
     *
     */
    get connectionString(): string;
    /**
     *
     */
    set connectionString(value: string);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _iothubName;
    /**
     *
     */
    get iothubName(): string;
    /**
     *
     */
    set iothubName(value: string);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): IothubEndpointEventhubTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: IothubEndpointEventhubTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
