import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface IothubEndpointStorageContainerConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly batchFrequencyInSeconds?: number;
    /**
     *
     */
    readonly connectionString: string;
    /**
     *
     */
    readonly containerName: string;
    /**
     *
     */
    readonly encoding?: string;
    /**
     *
     */
    readonly fileNameFormat?: string;
    /**
     *
     */
    readonly iothubName: string;
    /**
     *
     */
    readonly maxChunkSizeInBytes?: number;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: IothubEndpointStorageContainerTimeouts;
}
/**
 *
 */
export interface IothubEndpointStorageContainerTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class IothubEndpointStorageContainer extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: IothubEndpointStorageContainerConfig);
    private _batchFrequencyInSeconds?;
    /**
     *
     */
    get batchFrequencyInSeconds(): number | undefined;
    /**
     *
     */
    set batchFrequencyInSeconds(value: number | undefined);
    private _connectionString;
    /**
     *
     */
    get connectionString(): string;
    /**
     *
     */
    set connectionString(value: string);
    private _containerName;
    /**
     *
     */
    get containerName(): string;
    /**
     *
     */
    set containerName(value: string);
    private _encoding?;
    /**
     *
     */
    get encoding(): string | undefined;
    /**
     *
     */
    set encoding(value: string | undefined);
    private _fileNameFormat?;
    /**
     *
     */
    get fileNameFormat(): string | undefined;
    /**
     *
     */
    set fileNameFormat(value: string | undefined);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _iothubName;
    /**
     *
     */
    get iothubName(): string;
    /**
     *
     */
    set iothubName(value: string);
    private _maxChunkSizeInBytes?;
    /**
     *
     */
    get maxChunkSizeInBytes(): number | undefined;
    /**
     *
     */
    set maxChunkSizeInBytes(value: number | undefined);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): IothubEndpointStorageContainerTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: IothubEndpointStorageContainerTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
