import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface IothubRouteAConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly condition?: string;
    /**
     *
     */
    readonly enabled: boolean;
    /**
     *
     */
    readonly endpointNames: string[];
    /**
     *
     */
    readonly iothubName: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly source: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: IothubRouteTimeouts;
}
/**
 *
 */
export interface IothubRouteTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class IothubRouteA extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: IothubRouteAConfig);
    private _condition?;
    /**
     *
     */
    get condition(): string | undefined;
    /**
     *
     */
    set condition(value: string | undefined);
    private _enabled;
    /**
     *
     */
    get enabled(): boolean;
    /**
     *
     */
    set enabled(value: boolean);
    private _endpointNames;
    /**
     *
     */
    get endpointNames(): string[];
    /**
     *
     */
    set endpointNames(value: string[]);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _iothubName;
    /**
     *
     */
    get iothubName(): string;
    /**
     *
     */
    set iothubName(value: string);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _source;
    /**
     *
     */
    get source(): string;
    /**
     *
     */
    set source(value: string);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): IothubRouteTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: IothubRouteTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
