import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface IothubSharedAccessPolicyAConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly deviceConnect?: boolean;
    /**
     *
     */
    readonly iothubName: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly registryRead?: boolean;
    /**
     *
     */
    readonly registryWrite?: boolean;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly serviceConnect?: boolean;
    /**
     * timeouts block.
     */
    readonly timeouts?: IothubSharedAccessPolicyTimeouts;
}
/**
 *
 */
export interface IothubSharedAccessPolicyTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class IothubSharedAccessPolicyA extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: IothubSharedAccessPolicyAConfig);
    private _deviceConnect?;
    /**
     *
     */
    get deviceConnect(): boolean | undefined;
    /**
     *
     */
    set deviceConnect(value: boolean | undefined);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _iothubName;
    /**
     *
     */
    get iothubName(): string;
    /**
     *
     */
    set iothubName(value: string);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    /**
     *
     */
    get primaryConnectionString(): string;
    /**
     *
     */
    get primaryKey(): string;
    private _registryRead?;
    /**
     *
     */
    get registryRead(): boolean | undefined;
    /**
     *
     */
    set registryRead(value: boolean | undefined);
    private _registryWrite?;
    /**
     *
     */
    get registryWrite(): boolean | undefined;
    /**
     *
     */
    set registryWrite(value: boolean | undefined);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    /**
     *
     */
    get secondaryConnectionString(): string;
    /**
     *
     */
    get secondaryKey(): string;
    private _serviceConnect?;
    /**
     *
     */
    get serviceConnect(): boolean | undefined;
    /**
     *
     */
    set serviceConnect(value: boolean | undefined);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): IothubSharedAccessPolicyTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: IothubSharedAccessPolicyTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
