import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface KeyVaultAccessPolicyAConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly applicationId?: string;
    /**
     *
     */
    readonly certificatePermissions?: string[];
    /**
     *
     */
    readonly keyPermissions?: string[];
    /**
     *
     */
    readonly keyVaultId: string;
    /**
     *
     */
    readonly objectId: string;
    /**
     *
     */
    readonly secretPermissions?: string[];
    /**
     *
     */
    readonly storagePermissions?: string[];
    /**
     *
     */
    readonly tenantId: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: KeyVaultAccessPolicyTimeouts;
}
/**
 *
 */
export interface KeyVaultAccessPolicyTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class KeyVaultAccessPolicyA extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: KeyVaultAccessPolicyAConfig);
    private _applicationId?;
    /**
     *
     */
    get applicationId(): string | undefined;
    /**
     *
     */
    set applicationId(value: string | undefined);
    private _certificatePermissions?;
    /**
     *
     */
    get certificatePermissions(): string[] | undefined;
    /**
     *
     */
    set certificatePermissions(value: string[] | undefined);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _keyPermissions?;
    /**
     *
     */
    get keyPermissions(): string[] | undefined;
    /**
     *
     */
    set keyPermissions(value: string[] | undefined);
    private _keyVaultId;
    /**
     *
     */
    get keyVaultId(): string;
    /**
     *
     */
    set keyVaultId(value: string);
    private _objectId;
    /**
     *
     */
    get objectId(): string;
    /**
     *
     */
    set objectId(value: string);
    private _secretPermissions?;
    /**
     *
     */
    get secretPermissions(): string[] | undefined;
    /**
     *
     */
    set secretPermissions(value: string[] | undefined);
    private _storagePermissions?;
    /**
     *
     */
    get storagePermissions(): string[] | undefined;
    /**
     *
     */
    set storagePermissions(value: string[] | undefined);
    private _tenantId;
    /**
     *
     */
    get tenantId(): string;
    /**
     *
     */
    set tenantId(value: string);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): KeyVaultAccessPolicyTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: KeyVaultAccessPolicyTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
