import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface KeyVaultCertificateConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly keyVaultId: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * certificate block.
     */
    readonly certificate?: KeyVaultCertificateCertificate[];
    /**
     * certificate_policy block.
     */
    readonly certificatePolicy: KeyVaultCertificateCertificatePolicy[];
    /**
     * timeouts block.
     */
    readonly timeouts?: KeyVaultCertificateTimeouts;
}
/**
 *
 */
export interface KeyVaultCertificateCertificate {
    /**
     *
     */
    readonly contents: string;
    /**
     *
     */
    readonly password?: string;
}
/**
 *
 */
export interface KeyVaultCertificateCertificatePolicyIssuerParameters {
    /**
     *
     */
    readonly name: string;
}
/**
 *
 */
export interface KeyVaultCertificateCertificatePolicyKeyProperties {
    /**
     *
     */
    readonly exportable: boolean;
    /**
     *
     */
    readonly keySize: number;
    /**
     *
     */
    readonly keyType: string;
    /**
     *
     */
    readonly reuseKey: boolean;
}
/**
 *
 */
export interface KeyVaultCertificateCertificatePolicyLifetimeActionAction {
    /**
     *
     */
    readonly actionType: string;
}
/**
 *
 */
export interface KeyVaultCertificateCertificatePolicyLifetimeActionTrigger {
    /**
     *
     */
    readonly daysBeforeExpiry?: number;
    /**
     *
     */
    readonly lifetimePercentage?: number;
}
/**
 *
 */
export interface KeyVaultCertificateCertificatePolicyLifetimeAction {
    /**
     * action block.
     */
    readonly action: KeyVaultCertificateCertificatePolicyLifetimeActionAction[];
    /**
     * trigger block.
     */
    readonly trigger: KeyVaultCertificateCertificatePolicyLifetimeActionTrigger[];
}
/**
 *
 */
export interface KeyVaultCertificateCertificatePolicySecretProperties {
    /**
     *
     */
    readonly contentType: string;
}
/**
 *
 */
export interface KeyVaultCertificateCertificatePolicyX509CertificatePropertiesSubjectAlternativeNames {
    /**
     *
     */
    readonly dnsNames?: string[];
    /**
     *
     */
    readonly emails?: string[];
    /**
     *
     */
    readonly upns?: string[];
}
/**
 *
 */
export interface KeyVaultCertificateCertificatePolicyX509CertificateProperties {
    /**
     *
     */
    readonly extendedKeyUsage?: string[];
    /**
     *
     */
    readonly keyUsage: string[];
    /**
     *
     */
    readonly subject: string;
    /**
     *
     */
    readonly validityInMonths: number;
    /**
     * subject_alternative_names block.
     */
    readonly subjectAlternativeNames?: KeyVaultCertificateCertificatePolicyX509CertificatePropertiesSubjectAlternativeNames[];
}
/**
 *
 */
export interface KeyVaultCertificateCertificatePolicy {
    /**
     * issuer_parameters block.
     */
    readonly issuerParameters: KeyVaultCertificateCertificatePolicyIssuerParameters[];
    /**
     * key_properties block.
     */
    readonly keyProperties: KeyVaultCertificateCertificatePolicyKeyProperties[];
    /**
     * lifetime_action block.
     */
    readonly lifetimeAction?: KeyVaultCertificateCertificatePolicyLifetimeAction[];
    /**
     * secret_properties block.
     */
    readonly secretProperties: KeyVaultCertificateCertificatePolicySecretProperties[];
    /**
     * x509_certificate_properties block.
     */
    readonly x509CertificateProperties?: KeyVaultCertificateCertificatePolicyX509CertificateProperties[];
}
/**
 *
 */
export interface KeyVaultCertificateTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
}
/**
 *
 */
export declare class KeyVaultCertificate extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: KeyVaultCertificateConfig);
    /**
     *
     */
    get certificateData(): string;
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _keyVaultId;
    /**
     *
     */
    get keyVaultId(): string;
    /**
     *
     */
    set keyVaultId(value: string);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    /**
     *
     */
    get secretId(): string;
    private _tags?;
    /**
     *
     */
    get tags(): {
        [key: string]: string;
    } | undefined;
    /**
     *
     */
    set tags(value: {
        [key: string]: string;
    } | undefined);
    /**
     *
     */
    get thumbprint(): string;
    /**
     *
     */
    get version(): string;
    private _certificate?;
    /**
     *
     */
    get certificate(): KeyVaultCertificateCertificate[] | undefined;
    /**
     *
     */
    set certificate(value: KeyVaultCertificateCertificate[] | undefined);
    private _certificatePolicy;
    /**
     *
     */
    get certificatePolicy(): KeyVaultCertificateCertificatePolicy[];
    /**
     *
     */
    set certificatePolicy(value: KeyVaultCertificateCertificatePolicy[]);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): KeyVaultCertificateTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: KeyVaultCertificateTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
