import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface KeyVaultKeyConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly curve?: string;
    /**
     *
     */
    readonly expirationDate?: string;
    /**
     *
     */
    readonly keyOpts: string[];
    /**
     *
     */
    readonly keySize?: number;
    /**
     *
     */
    readonly keyType: string;
    /**
     *
     */
    readonly keyVaultId: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly notBeforeDate?: string;
    /**
     *
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * timeouts block.
     */
    readonly timeouts?: KeyVaultKeyTimeouts;
}
/**
 *
 */
export interface KeyVaultKeyTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class KeyVaultKey extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: KeyVaultKeyConfig);
    private _curve?;
    /**
     *
     */
    get curve(): string | undefined;
    /**
     *
     */
    set curve(value: string | undefined);
    /**
     *
     */
    get e(): string;
    private _expirationDate?;
    /**
     *
     */
    get expirationDate(): string | undefined;
    /**
     *
     */
    set expirationDate(value: string | undefined);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _keyOpts;
    /**
     *
     */
    get keyOpts(): string[];
    /**
     *
     */
    set keyOpts(value: string[]);
    private _keySize?;
    /**
     *
     */
    get keySize(): number | undefined;
    /**
     *
     */
    set keySize(value: number | undefined);
    private _keyType;
    /**
     *
     */
    get keyType(): string;
    /**
     *
     */
    set keyType(value: string);
    private _keyVaultId;
    /**
     *
     */
    get keyVaultId(): string;
    /**
     *
     */
    set keyVaultId(value: string);
    /**
     *
     */
    get n(): string;
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _notBeforeDate?;
    /**
     *
     */
    get notBeforeDate(): string | undefined;
    /**
     *
     */
    set notBeforeDate(value: string | undefined);
    private _tags?;
    /**
     *
     */
    get tags(): {
        [key: string]: string;
    } | undefined;
    /**
     *
     */
    set tags(value: {
        [key: string]: string;
    } | undefined);
    /**
     *
     */
    get version(): string;
    /**
     *
     */
    get x(): string;
    /**
     *
     */
    get y(): string;
    private _timeouts?;
    /**
     *
     */
    get timeouts(): KeyVaultKeyTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: KeyVaultKeyTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
