import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface KeyVaultSecretConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly contentType?: string;
    /**
     *
     */
    readonly expirationDate?: string;
    /**
     *
     */
    readonly keyVaultId: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly notBeforeDate?: string;
    /**
     *
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     *
     */
    readonly value: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: KeyVaultSecretTimeouts;
}
/**
 *
 */
export interface KeyVaultSecretTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class KeyVaultSecret extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: KeyVaultSecretConfig);
    private _contentType?;
    /**
     *
     */
    get contentType(): string | undefined;
    /**
     *
     */
    set contentType(value: string | undefined);
    private _expirationDate?;
    /**
     *
     */
    get expirationDate(): string | undefined;
    /**
     *
     */
    set expirationDate(value: string | undefined);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _keyVaultId;
    /**
     *
     */
    get keyVaultId(): string;
    /**
     *
     */
    set keyVaultId(value: string);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _notBeforeDate?;
    /**
     *
     */
    get notBeforeDate(): string | undefined;
    /**
     *
     */
    set notBeforeDate(value: string | undefined);
    private _tags?;
    /**
     *
     */
    get tags(): {
        [key: string]: string;
    } | undefined;
    /**
     *
     */
    set tags(value: {
        [key: string]: string;
    } | undefined);
    private _value;
    /**
     *
     */
    get value(): string;
    /**
     *
     */
    set value(value: string);
    /**
     *
     */
    get version(): string;
    private _timeouts?;
    /**
     *
     */
    get timeouts(): KeyVaultSecretTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: KeyVaultSecretTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
