import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface KubernetesClusterNodePoolConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly availabilityZones?: string[];
    /**
     *
     */
    readonly enableAutoScaling?: boolean;
    /**
     *
     */
    readonly enableNodePublicIp?: boolean;
    /**
     *
     */
    readonly kubernetesClusterId: string;
    /**
     *
     */
    readonly maxCount?: number;
    /**
     *
     */
    readonly maxPods?: number;
    /**
     *
     */
    readonly minCount?: number;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly nodeCount?: number;
    /**
     *
     */
    readonly nodeTaints?: string[];
    /**
     *
     */
    readonly osDiskSizeGb?: number;
    /**
     *
     */
    readonly osType?: string;
    /**
     *
     */
    readonly vmSize: string;
    /**
     *
     */
    readonly vnetSubnetId?: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: KubernetesClusterNodePoolTimeouts;
}
/**
 *
 */
export interface KubernetesClusterNodePoolTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class KubernetesClusterNodePool extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: KubernetesClusterNodePoolConfig);
    private _availabilityZones?;
    /**
     *
     */
    get availabilityZones(): string[] | undefined;
    /**
     *
     */
    set availabilityZones(value: string[] | undefined);
    private _enableAutoScaling?;
    /**
     *
     */
    get enableAutoScaling(): boolean | undefined;
    /**
     *
     */
    set enableAutoScaling(value: boolean | undefined);
    private _enableNodePublicIp?;
    /**
     *
     */
    get enableNodePublicIp(): boolean | undefined;
    /**
     *
     */
    set enableNodePublicIp(value: boolean | undefined);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _kubernetesClusterId;
    /**
     *
     */
    get kubernetesClusterId(): string;
    /**
     *
     */
    set kubernetesClusterId(value: string);
    private _maxCount?;
    /**
     *
     */
    get maxCount(): number | undefined;
    /**
     *
     */
    set maxCount(value: number | undefined);
    private _maxPods?;
    /**
     *
     */
    get maxPods(): number | undefined;
    /**
     *
     */
    set maxPods(value: number | undefined);
    private _minCount?;
    /**
     *
     */
    get minCount(): number | undefined;
    /**
     *
     */
    set minCount(value: number | undefined);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _nodeCount?;
    /**
     *
     */
    get nodeCount(): number | undefined;
    /**
     *
     */
    set nodeCount(value: number | undefined);
    private _nodeTaints?;
    /**
     *
     */
    get nodeTaints(): string[] | undefined;
    /**
     *
     */
    set nodeTaints(value: string[] | undefined);
    private _osDiskSizeGb?;
    /**
     *
     */
    get osDiskSizeGb(): number | undefined;
    /**
     *
     */
    set osDiskSizeGb(value: number | undefined);
    private _osType?;
    /**
     *
     */
    get osType(): string | undefined;
    /**
     *
     */
    set osType(value: string | undefined);
    private _vmSize;
    /**
     *
     */
    get vmSize(): string;
    /**
     *
     */
    set vmSize(value: string);
    private _vnetSubnetId?;
    /**
     *
     */
    get vnetSubnetId(): string | undefined;
    /**
     *
     */
    set vnetSubnetId(value: string | undefined);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): KubernetesClusterNodePoolTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: KubernetesClusterNodePoolTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
