import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface KustoDatabasePrincipalConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly clientId: string;
    /**
     *
     */
    readonly clusterName: string;
    /**
     *
     */
    readonly databaseName: string;
    /**
     *
     */
    readonly objectId: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly role: string;
    /**
     *
     */
    readonly type: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: KustoDatabasePrincipalTimeouts;
}
/**
 *
 */
export interface KustoDatabasePrincipalTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class KustoDatabasePrincipal extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: KustoDatabasePrincipalConfig);
    /**
     *
     */
    get appId(): string;
    private _clientId;
    /**
     *
     */
    get clientId(): string;
    /**
     *
     */
    set clientId(value: string);
    private _clusterName;
    /**
     *
     */
    get clusterName(): string;
    /**
     *
     */
    set clusterName(value: string);
    private _databaseName;
    /**
     *
     */
    get databaseName(): string;
    /**
     *
     */
    set databaseName(value: string);
    /**
     *
     */
    get email(): string;
    /**
     *
     */
    get fullyQualifiedName(): string;
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    /**
     *
     */
    get name(): string;
    private _objectId;
    /**
     *
     */
    get objectId(): string;
    /**
     *
     */
    set objectId(value: string);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _role;
    /**
     *
     */
    get role(): string;
    /**
     *
     */
    set role(value: string);
    private _type;
    /**
     *
     */
    get type(): string;
    /**
     *
     */
    set type(value: string);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): KustoDatabasePrincipalTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: KustoDatabasePrincipalTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
