import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface KustoDatabaseConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly clusterName: string;
    /**
     *
     */
    readonly hotCachePeriod?: string;
    /**
     *
     */
    readonly location: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly softDeletePeriod?: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: KustoDatabaseTimeouts;
}
/**
 *
 */
export interface KustoDatabaseTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class KustoDatabase extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: KustoDatabaseConfig);
    private _clusterName;
    /**
     *
     */
    get clusterName(): string;
    /**
     *
     */
    set clusterName(value: string);
    private _hotCachePeriod?;
    /**
     *
     */
    get hotCachePeriod(): string | undefined;
    /**
     *
     */
    set hotCachePeriod(value: string | undefined);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _location;
    /**
     *
     */
    get location(): string;
    /**
     *
     */
    set location(value: string);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    /**
     *
     */
    get size(): number;
    private _softDeletePeriod?;
    /**
     *
     */
    get softDeletePeriod(): string | undefined;
    /**
     *
     */
    set softDeletePeriod(value: string | undefined);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): KustoDatabaseTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: KustoDatabaseTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
