import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface KustoEventhubDataConnectionConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly clusterName: string;
    /**
     *
     */
    readonly consumerGroup: string;
    /**
     *
     */
    readonly dataFormat?: string;
    /**
     *
     */
    readonly databaseName: string;
    /**
     *
     */
    readonly eventhubId: string;
    /**
     *
     */
    readonly location: string;
    /**
     *
     */
    readonly mappingRuleName?: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly tableName?: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: KustoEventhubDataConnectionTimeouts;
}
/**
 *
 */
export interface KustoEventhubDataConnectionTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class KustoEventhubDataConnection extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: KustoEventhubDataConnectionConfig);
    private _clusterName;
    /**
     *
     */
    get clusterName(): string;
    /**
     *
     */
    set clusterName(value: string);
    private _consumerGroup;
    /**
     *
     */
    get consumerGroup(): string;
    /**
     *
     */
    set consumerGroup(value: string);
    private _dataFormat?;
    /**
     *
     */
    get dataFormat(): string | undefined;
    /**
     *
     */
    set dataFormat(value: string | undefined);
    private _databaseName;
    /**
     *
     */
    get databaseName(): string;
    /**
     *
     */
    set databaseName(value: string);
    private _eventhubId;
    /**
     *
     */
    get eventhubId(): string;
    /**
     *
     */
    set eventhubId(value: string);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _location;
    /**
     *
     */
    get location(): string;
    /**
     *
     */
    set location(value: string);
    private _mappingRuleName?;
    /**
     *
     */
    get mappingRuleName(): string | undefined;
    /**
     *
     */
    set mappingRuleName(value: string | undefined);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _tableName?;
    /**
     *
     */
    get tableName(): string | undefined;
    /**
     *
     */
    set tableName(value: string | undefined);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): KustoEventhubDataConnectionTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: KustoEventhubDataConnectionTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
