import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface LbBackendAddressPoolConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly loadbalancerId: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: LbBackendAddressPoolTimeouts;
}
/**
 *
 */
export interface LbBackendAddressPoolTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class LbBackendAddressPool extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: LbBackendAddressPoolConfig);
    /**
     *
     */
    get backendIpConfigurations(): string[];
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    /**
     *
     */
    get loadBalancingRules(): string[];
    private _loadbalancerId;
    /**
     *
     */
    get loadbalancerId(): string;
    /**
     *
     */
    set loadbalancerId(value: string);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): LbBackendAddressPoolTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: LbBackendAddressPoolTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
