import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface LbNatPoolConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly backendPort: number;
    /**
     *
     */
    readonly frontendIpConfigurationName: string;
    /**
     *
     */
    readonly frontendPortEnd: number;
    /**
     *
     */
    readonly frontendPortStart: number;
    /**
     *
     */
    readonly loadbalancerId: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly protocol: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: LbNatPoolTimeouts;
}
/**
 *
 */
export interface LbNatPoolTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class LbNatPool extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: LbNatPoolConfig);
    private _backendPort;
    /**
     *
     */
    get backendPort(): number;
    /**
     *
     */
    set backendPort(value: number);
    /**
     *
     */
    get frontendIpConfigurationId(): string;
    private _frontendIpConfigurationName;
    /**
     *
     */
    get frontendIpConfigurationName(): string;
    /**
     *
     */
    set frontendIpConfigurationName(value: string);
    private _frontendPortEnd;
    /**
     *
     */
    get frontendPortEnd(): number;
    /**
     *
     */
    set frontendPortEnd(value: number);
    private _frontendPortStart;
    /**
     *
     */
    get frontendPortStart(): number;
    /**
     *
     */
    set frontendPortStart(value: number);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _loadbalancerId;
    /**
     *
     */
    get loadbalancerId(): string;
    /**
     *
     */
    set loadbalancerId(value: string);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _protocol;
    /**
     *
     */
    get protocol(): string;
    /**
     *
     */
    set protocol(value: string);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): LbNatPoolTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: LbNatPoolTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
