import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface LbOutboundRuleConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly allocatedOutboundPorts?: number;
    /**
     *
     */
    readonly backendAddressPoolId: string;
    /**
     *
     */
    readonly enableTcpReset?: boolean;
    /**
     *
     */
    readonly idleTimeoutInMinutes?: number;
    /**
     *
     */
    readonly loadbalancerId: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly protocol: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     * frontend_ip_configuration block.
     */
    readonly frontendIpConfiguration?: LbOutboundRuleFrontendIpConfiguration[];
    /**
     * timeouts block.
     */
    readonly timeouts?: LbOutboundRuleTimeouts;
}
/**
 *
 */
export interface LbOutboundRuleFrontendIpConfiguration {
    /**
     *
     */
    readonly name: string;
}
/**
 *
 */
export interface LbOutboundRuleTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class LbOutboundRule extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: LbOutboundRuleConfig);
    private _allocatedOutboundPorts?;
    /**
     *
     */
    get allocatedOutboundPorts(): number | undefined;
    /**
     *
     */
    set allocatedOutboundPorts(value: number | undefined);
    private _backendAddressPoolId;
    /**
     *
     */
    get backendAddressPoolId(): string;
    /**
     *
     */
    set backendAddressPoolId(value: string);
    private _enableTcpReset?;
    /**
     *
     */
    get enableTcpReset(): boolean | undefined;
    /**
     *
     */
    set enableTcpReset(value: boolean | undefined);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _idleTimeoutInMinutes?;
    /**
     *
     */
    get idleTimeoutInMinutes(): number | undefined;
    /**
     *
     */
    set idleTimeoutInMinutes(value: number | undefined);
    private _loadbalancerId;
    /**
     *
     */
    get loadbalancerId(): string;
    /**
     *
     */
    set loadbalancerId(value: string);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _protocol;
    /**
     *
     */
    get protocol(): string;
    /**
     *
     */
    set protocol(value: string);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _frontendIpConfiguration?;
    /**
     *
     */
    get frontendIpConfiguration(): LbOutboundRuleFrontendIpConfiguration[] | undefined;
    /**
     *
     */
    set frontendIpConfiguration(value: LbOutboundRuleFrontendIpConfiguration[] | undefined);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): LbOutboundRuleTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: LbOutboundRuleTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
