import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface LbProbeConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly intervalInSeconds?: number;
    /**
     *
     */
    readonly loadbalancerId: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly numberOfProbes?: number;
    /**
     *
     */
    readonly port: number;
    /**
     *
     */
    readonly protocol?: string;
    /**
     *
     */
    readonly requestPath?: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: LbProbeTimeouts;
}
/**
 *
 */
export interface LbProbeTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class LbProbe extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: LbProbeConfig);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _intervalInSeconds?;
    /**
     *
     */
    get intervalInSeconds(): number | undefined;
    /**
     *
     */
    set intervalInSeconds(value: number | undefined);
    /**
     *
     */
    get loadBalancerRules(): string[];
    private _loadbalancerId;
    /**
     *
     */
    get loadbalancerId(): string;
    /**
     *
     */
    set loadbalancerId(value: string);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _numberOfProbes?;
    /**
     *
     */
    get numberOfProbes(): number | undefined;
    /**
     *
     */
    set numberOfProbes(value: number | undefined);
    private _port;
    /**
     *
     */
    get port(): number;
    /**
     *
     */
    set port(value: number);
    private _protocol?;
    /**
     *
     */
    get protocol(): string | undefined;
    /**
     *
     */
    set protocol(value: string | undefined);
    private _requestPath?;
    /**
     *
     */
    get requestPath(): string | undefined;
    /**
     *
     */
    set requestPath(value: string | undefined);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): LbProbeTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: LbProbeTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
