import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface LbRuleConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly backendAddressPoolId?: string;
    /**
     *
     */
    readonly backendPort: number;
    /**
     *
     */
    readonly disableOutboundSnat?: boolean;
    /**
     *
     */
    readonly enableFloatingIp?: boolean;
    /**
     *
     */
    readonly enableTcpReset?: boolean;
    /**
     *
     */
    readonly frontendIpConfigurationName: string;
    /**
     *
     */
    readonly frontendPort: number;
    /**
     *
     */
    readonly idleTimeoutInMinutes?: number;
    /**
     *
     */
    readonly loadDistribution?: string;
    /**
     *
     */
    readonly loadbalancerId: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly probeId?: string;
    /**
     *
     */
    readonly protocol: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: LbRuleTimeouts;
}
/**
 *
 */
export interface LbRuleTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class LbRule extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: LbRuleConfig);
    private _backendAddressPoolId?;
    /**
     *
     */
    get backendAddressPoolId(): string | undefined;
    /**
     *
     */
    set backendAddressPoolId(value: string | undefined);
    private _backendPort;
    /**
     *
     */
    get backendPort(): number;
    /**
     *
     */
    set backendPort(value: number);
    private _disableOutboundSnat?;
    /**
     *
     */
    get disableOutboundSnat(): boolean | undefined;
    /**
     *
     */
    set disableOutboundSnat(value: boolean | undefined);
    private _enableFloatingIp?;
    /**
     *
     */
    get enableFloatingIp(): boolean | undefined;
    /**
     *
     */
    set enableFloatingIp(value: boolean | undefined);
    private _enableTcpReset?;
    /**
     *
     */
    get enableTcpReset(): boolean | undefined;
    /**
     *
     */
    set enableTcpReset(value: boolean | undefined);
    /**
     *
     */
    get frontendIpConfigurationId(): string;
    private _frontendIpConfigurationName;
    /**
     *
     */
    get frontendIpConfigurationName(): string;
    /**
     *
     */
    set frontendIpConfigurationName(value: string);
    private _frontendPort;
    /**
     *
     */
    get frontendPort(): number;
    /**
     *
     */
    set frontendPort(value: number);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _idleTimeoutInMinutes?;
    /**
     *
     */
    get idleTimeoutInMinutes(): number | undefined;
    /**
     *
     */
    set idleTimeoutInMinutes(value: number | undefined);
    private _loadDistribution?;
    /**
     *
     */
    get loadDistribution(): string | undefined;
    /**
     *
     */
    set loadDistribution(value: string | undefined);
    private _loadbalancerId;
    /**
     *
     */
    get loadbalancerId(): string;
    /**
     *
     */
    set loadbalancerId(value: string);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _probeId?;
    /**
     *
     */
    get probeId(): string | undefined;
    /**
     *
     */
    set probeId(value: string | undefined);
    private _protocol;
    /**
     *
     */
    get protocol(): string;
    /**
     *
     */
    set protocol(value: string);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): LbRuleTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: LbRuleTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
