import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface LbConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly location: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly sku?: string;
    /**
     *
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * frontend_ip_configuration block.
     */
    readonly frontendIpConfiguration?: LbFrontendIpConfiguration[];
    /**
     * timeouts block.
     */
    readonly timeouts?: LbTimeouts;
}
/**
 *
 */
export interface LbFrontendIpConfiguration {
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly privateIpAddress?: string;
    /**
     *
     */
    readonly privateIpAddressAllocation?: string;
    /**
     *
     */
    readonly publicIpAddressId?: string;
    /**
     *
     */
    readonly publicIpPrefixId?: string;
    /**
     *
     */
    readonly subnetId?: string;
    /**
     *
     */
    readonly zones?: string[];
}
/**
 *
 */
export interface LbTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class Lb extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: LbConfig);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _location;
    /**
     *
     */
    get location(): string;
    /**
     *
     */
    set location(value: string);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    /**
     *
     */
    get privateIpAddress(): string;
    /**
     *
     */
    get privateIpAddresses(): string[];
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _sku?;
    /**
     *
     */
    get sku(): string | undefined;
    /**
     *
     */
    set sku(value: string | undefined);
    private _tags?;
    /**
     *
     */
    get tags(): {
        [key: string]: string;
    } | undefined;
    /**
     *
     */
    set tags(value: {
        [key: string]: string;
    } | undefined);
    private _frontendIpConfiguration?;
    /**
     *
     */
    get frontendIpConfiguration(): LbFrontendIpConfiguration[] | undefined;
    /**
     *
     */
    set frontendIpConfiguration(value: LbFrontendIpConfiguration[] | undefined);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): LbTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: LbTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
