import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface LinuxVirtualMachineScaleSetConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly adminPassword?: string;
    /**
     *
     */
    readonly adminUsername: string;
    /**
     *
     */
    readonly computerNamePrefix?: string;
    /**
     *
     */
    readonly customData?: string;
    /**
     *
     */
    readonly disablePasswordAuthentication?: boolean;
    /**
     *
     */
    readonly doNotRunExtensionsOnOverprovisionedMachines?: boolean;
    /**
     *
     */
    readonly evictionPolicy?: string;
    /**
     *
     */
    readonly healthProbeId?: string;
    /**
     *
     */
    readonly instances: number;
    /**
     *
     */
    readonly location: string;
    /**
     *
     */
    readonly maxBidPrice?: number;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly overprovision?: boolean;
    /**
     *
     */
    readonly priority?: string;
    /**
     *
     */
    readonly provisionVmAgent?: boolean;
    /**
     *
     */
    readonly proximityPlacementGroupId?: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly singlePlacementGroup?: boolean;
    /**
     *
     */
    readonly sku: string;
    /**
     *
     */
    readonly sourceImageId?: string;
    /**
     *
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     *
     */
    readonly upgradeMode?: string;
    /**
     *
     */
    readonly zoneBalance?: boolean;
    /**
     *
     */
    readonly zones?: string[];
    /**
     * additional_capabilities block.
     */
    readonly additionalCapabilities?: LinuxVirtualMachineScaleSetAdditionalCapabilities[];
    /**
     * admin_ssh_key block.
     */
    readonly adminSshKey?: LinuxVirtualMachineScaleSetAdminSshKey[];
    /**
     * automatic_os_upgrade_policy block.
     */
    readonly automaticOsUpgradePolicy?: LinuxVirtualMachineScaleSetAutomaticOsUpgradePolicy[];
    /**
     * boot_diagnostics block.
     */
    readonly bootDiagnostics?: LinuxVirtualMachineScaleSetBootDiagnostics[];
    /**
     * data_disk block.
     */
    readonly dataDisk?: LinuxVirtualMachineScaleSetDataDisk[];
    /**
     * identity block.
     */
    readonly identity?: LinuxVirtualMachineScaleSetIdentity[];
    /**
     * network_interface block.
     */
    readonly networkInterface: LinuxVirtualMachineScaleSetNetworkInterface[];
    /**
     * os_disk block.
     */
    readonly osDisk: LinuxVirtualMachineScaleSetOsDisk[];
    /**
     * plan block.
     */
    readonly plan?: LinuxVirtualMachineScaleSetPlan[];
    /**
     * rolling_upgrade_policy block.
     */
    readonly rollingUpgradePolicy?: LinuxVirtualMachineScaleSetRollingUpgradePolicy[];
    /**
     * secret block.
     */
    readonly secret?: LinuxVirtualMachineScaleSetSecret[];
    /**
     * source_image_reference block.
     */
    readonly sourceImageReference?: LinuxVirtualMachineScaleSetSourceImageReference[];
    /**
     * timeouts block.
     */
    readonly timeouts?: LinuxVirtualMachineScaleSetTimeouts;
}
/**
 *
 */
export interface LinuxVirtualMachineScaleSetAdditionalCapabilities {
    /**
     *
     */
    readonly ultraSsdEnabled?: boolean;
}
/**
 *
 */
export interface LinuxVirtualMachineScaleSetAdminSshKey {
    /**
     *
     */
    readonly publicKey: string;
    /**
     *
     */
    readonly username: string;
}
/**
 *
 */
export interface LinuxVirtualMachineScaleSetAutomaticOsUpgradePolicy {
    /**
     *
     */
    readonly disableAutomaticRollback: boolean;
    /**
     *
     */
    readonly enableAutomaticOsUpgrade: boolean;
}
/**
 *
 */
export interface LinuxVirtualMachineScaleSetBootDiagnostics {
    /**
     *
     */
    readonly storageAccountUri: string;
}
/**
 *
 */
export interface LinuxVirtualMachineScaleSetDataDisk {
    /**
     *
     */
    readonly caching: string;
    /**
     *
     */
    readonly diskEncryptionSetId?: string;
    /**
     *
     */
    readonly diskSizeGb: number;
    /**
     *
     */
    readonly lun: number;
    /**
     *
     */
    readonly storageAccountType: string;
    /**
     *
     */
    readonly writeAcceleratorEnabled?: boolean;
}
/**
 *
 */
export interface LinuxVirtualMachineScaleSetIdentity {
    /**
     *
     */
    readonly identityIds?: string[];
    /**
     *
     */
    readonly type: string;
}
/**
 *
 */
export interface LinuxVirtualMachineScaleSetNetworkInterfaceIpConfigurationPublicIpAddressIpTag {
    /**
     *
     */
    readonly tag: string;
    /**
     *
     */
    readonly type: string;
}
/**
 *
 */
export interface LinuxVirtualMachineScaleSetNetworkInterfaceIpConfigurationPublicIpAddress {
    /**
     *
     */
    readonly domainNameLabel?: string;
    /**
     *
     */
    readonly idleTimeoutInMinutes?: number;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly publicIpPrefixId?: string;
    /**
     * ip_tag block.
     */
    readonly ipTag?: LinuxVirtualMachineScaleSetNetworkInterfaceIpConfigurationPublicIpAddressIpTag[];
}
/**
 *
 */
export interface LinuxVirtualMachineScaleSetNetworkInterfaceIpConfiguration {
    /**
     *
     */
    readonly applicationGatewayBackendAddressPoolIds?: string[];
    /**
     *
     */
    readonly applicationSecurityGroupIds?: string[];
    /**
     *
     */
    readonly loadBalancerBackendAddressPoolIds?: string[];
    /**
     *
     */
    readonly loadBalancerInboundNatRulesIds?: string[];
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly primary?: boolean;
    /**
     *
     */
    readonly subnetId?: string;
    /**
     *
     */
    readonly version?: string;
    /**
     * public_ip_address block.
     */
    readonly publicIpAddress?: LinuxVirtualMachineScaleSetNetworkInterfaceIpConfigurationPublicIpAddress[];
}
/**
 *
 */
export interface LinuxVirtualMachineScaleSetNetworkInterface {
    /**
     *
     */
    readonly dnsServers?: string[];
    /**
     *
     */
    readonly enableAcceleratedNetworking?: boolean;
    /**
     *
     */
    readonly enableIpForwarding?: boolean;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly networkSecurityGroupId?: string;
    /**
     *
     */
    readonly primary?: boolean;
    /**
     * ip_configuration block.
     */
    readonly ipConfiguration: LinuxVirtualMachineScaleSetNetworkInterfaceIpConfiguration[];
}
/**
 *
 */
export interface LinuxVirtualMachineScaleSetOsDiskDiffDiskSettings {
    /**
     *
     */
    readonly option: string;
}
/**
 *
 */
export interface LinuxVirtualMachineScaleSetOsDisk {
    /**
     *
     */
    readonly caching: string;
    /**
     *
     */
    readonly diskEncryptionSetId?: string;
    /**
     *
     */
    readonly diskSizeGb?: number;
    /**
     *
     */
    readonly storageAccountType: string;
    /**
     *
     */
    readonly writeAcceleratorEnabled?: boolean;
    /**
     * diff_disk_settings block.
     */
    readonly diffDiskSettings?: LinuxVirtualMachineScaleSetOsDiskDiffDiskSettings[];
}
/**
 *
 */
export interface LinuxVirtualMachineScaleSetPlan {
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly product: string;
    /**
     *
     */
    readonly publisher: string;
}
/**
 *
 */
export interface LinuxVirtualMachineScaleSetRollingUpgradePolicy {
    /**
     *
     */
    readonly maxBatchInstancePercent: number;
    /**
     *
     */
    readonly maxUnhealthyInstancePercent: number;
    /**
     *
     */
    readonly maxUnhealthyUpgradedInstancePercent: number;
    /**
     *
     */
    readonly pauseTimeBetweenBatches: string;
}
/**
 *
 */
export interface LinuxVirtualMachineScaleSetSecretCertificate {
    /**
     *
     */
    readonly url: string;
}
/**
 *
 */
export interface LinuxVirtualMachineScaleSetSecret {
    /**
     *
     */
    readonly keyVaultId: string;
    /**
     * certificate block.
     */
    readonly certificate: LinuxVirtualMachineScaleSetSecretCertificate[];
}
/**
 *
 */
export interface LinuxVirtualMachineScaleSetSourceImageReference {
    /**
     *
     */
    readonly offer: string;
    /**
     *
     */
    readonly publisher: string;
    /**
     *
     */
    readonly sku: string;
    /**
     *
     */
    readonly version: string;
}
/**
 *
 */
export interface LinuxVirtualMachineScaleSetTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class LinuxVirtualMachineScaleSet extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: LinuxVirtualMachineScaleSetConfig);
    private _adminPassword?;
    /**
     *
     */
    get adminPassword(): string | undefined;
    /**
     *
     */
    set adminPassword(value: string | undefined);
    private _adminUsername;
    /**
     *
     */
    get adminUsername(): string;
    /**
     *
     */
    set adminUsername(value: string);
    private _computerNamePrefix?;
    /**
     *
     */
    get computerNamePrefix(): string | undefined;
    /**
     *
     */
    set computerNamePrefix(value: string | undefined);
    private _customData?;
    /**
     *
     */
    get customData(): string | undefined;
    /**
     *
     */
    set customData(value: string | undefined);
    private _disablePasswordAuthentication?;
    /**
     *
     */
    get disablePasswordAuthentication(): boolean | undefined;
    /**
     *
     */
    set disablePasswordAuthentication(value: boolean | undefined);
    private _doNotRunExtensionsOnOverprovisionedMachines?;
    /**
     *
     */
    get doNotRunExtensionsOnOverprovisionedMachines(): boolean | undefined;
    /**
     *
     */
    set doNotRunExtensionsOnOverprovisionedMachines(value: boolean | undefined);
    private _evictionPolicy?;
    /**
     *
     */
    get evictionPolicy(): string | undefined;
    /**
     *
     */
    set evictionPolicy(value: string | undefined);
    private _healthProbeId?;
    /**
     *
     */
    get healthProbeId(): string | undefined;
    /**
     *
     */
    set healthProbeId(value: string | undefined);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _instances;
    /**
     *
     */
    get instances(): number;
    /**
     *
     */
    set instances(value: number);
    private _location;
    /**
     *
     */
    get location(): string;
    /**
     *
     */
    set location(value: string);
    private _maxBidPrice?;
    /**
     *
     */
    get maxBidPrice(): number | undefined;
    /**
     *
     */
    set maxBidPrice(value: number | undefined);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _overprovision?;
    /**
     *
     */
    get overprovision(): boolean | undefined;
    /**
     *
     */
    set overprovision(value: boolean | undefined);
    private _priority?;
    /**
     *
     */
    get priority(): string | undefined;
    /**
     *
     */
    set priority(value: string | undefined);
    private _provisionVmAgent?;
    /**
     *
     */
    get provisionVmAgent(): boolean | undefined;
    /**
     *
     */
    set provisionVmAgent(value: boolean | undefined);
    private _proximityPlacementGroupId?;
    /**
     *
     */
    get proximityPlacementGroupId(): string | undefined;
    /**
     *
     */
    set proximityPlacementGroupId(value: string | undefined);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _singlePlacementGroup?;
    /**
     *
     */
    get singlePlacementGroup(): boolean | undefined;
    /**
     *
     */
    set singlePlacementGroup(value: boolean | undefined);
    private _sku;
    /**
     *
     */
    get sku(): string;
    /**
     *
     */
    set sku(value: string);
    private _sourceImageId?;
    /**
     *
     */
    get sourceImageId(): string | undefined;
    /**
     *
     */
    set sourceImageId(value: string | undefined);
    private _tags?;
    /**
     *
     */
    get tags(): {
        [key: string]: string;
    } | undefined;
    /**
     *
     */
    set tags(value: {
        [key: string]: string;
    } | undefined);
    /**
     *
     */
    get uniqueId(): string;
    private _upgradeMode?;
    /**
     *
     */
    get upgradeMode(): string | undefined;
    /**
     *
     */
    set upgradeMode(value: string | undefined);
    private _zoneBalance?;
    /**
     *
     */
    get zoneBalance(): boolean | undefined;
    /**
     *
     */
    set zoneBalance(value: boolean | undefined);
    private _zones?;
    /**
     *
     */
    get zones(): string[] | undefined;
    /**
     *
     */
    set zones(value: string[] | undefined);
    private _additionalCapabilities?;
    /**
     *
     */
    get additionalCapabilities(): LinuxVirtualMachineScaleSetAdditionalCapabilities[] | undefined;
    /**
     *
     */
    set additionalCapabilities(value: LinuxVirtualMachineScaleSetAdditionalCapabilities[] | undefined);
    private _adminSshKey?;
    /**
     *
     */
    get adminSshKey(): LinuxVirtualMachineScaleSetAdminSshKey[] | undefined;
    /**
     *
     */
    set adminSshKey(value: LinuxVirtualMachineScaleSetAdminSshKey[] | undefined);
    private _automaticOsUpgradePolicy?;
    /**
     *
     */
    get automaticOsUpgradePolicy(): LinuxVirtualMachineScaleSetAutomaticOsUpgradePolicy[] | undefined;
    /**
     *
     */
    set automaticOsUpgradePolicy(value: LinuxVirtualMachineScaleSetAutomaticOsUpgradePolicy[] | undefined);
    private _bootDiagnostics?;
    /**
     *
     */
    get bootDiagnostics(): LinuxVirtualMachineScaleSetBootDiagnostics[] | undefined;
    /**
     *
     */
    set bootDiagnostics(value: LinuxVirtualMachineScaleSetBootDiagnostics[] | undefined);
    private _dataDisk?;
    /**
     *
     */
    get dataDisk(): LinuxVirtualMachineScaleSetDataDisk[] | undefined;
    /**
     *
     */
    set dataDisk(value: LinuxVirtualMachineScaleSetDataDisk[] | undefined);
    private _identity?;
    /**
     *
     */
    get identity(): LinuxVirtualMachineScaleSetIdentity[] | undefined;
    /**
     *
     */
    set identity(value: LinuxVirtualMachineScaleSetIdentity[] | undefined);
    private _networkInterface;
    /**
     *
     */
    get networkInterface(): LinuxVirtualMachineScaleSetNetworkInterface[];
    /**
     *
     */
    set networkInterface(value: LinuxVirtualMachineScaleSetNetworkInterface[]);
    private _osDisk;
    /**
     *
     */
    get osDisk(): LinuxVirtualMachineScaleSetOsDisk[];
    /**
     *
     */
    set osDisk(value: LinuxVirtualMachineScaleSetOsDisk[]);
    private _plan?;
    /**
     *
     */
    get plan(): LinuxVirtualMachineScaleSetPlan[] | undefined;
    /**
     *
     */
    set plan(value: LinuxVirtualMachineScaleSetPlan[] | undefined);
    private _rollingUpgradePolicy?;
    /**
     *
     */
    get rollingUpgradePolicy(): LinuxVirtualMachineScaleSetRollingUpgradePolicy[] | undefined;
    /**
     *
     */
    set rollingUpgradePolicy(value: LinuxVirtualMachineScaleSetRollingUpgradePolicy[] | undefined);
    private _secret?;
    /**
     *
     */
    get secret(): LinuxVirtualMachineScaleSetSecret[] | undefined;
    /**
     *
     */
    set secret(value: LinuxVirtualMachineScaleSetSecret[] | undefined);
    private _sourceImageReference?;
    /**
     *
     */
    get sourceImageReference(): LinuxVirtualMachineScaleSetSourceImageReference[] | undefined;
    /**
     *
     */
    set sourceImageReference(value: LinuxVirtualMachineScaleSetSourceImageReference[] | undefined);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): LinuxVirtualMachineScaleSetTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: LinuxVirtualMachineScaleSetTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
