import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface LinuxVirtualMachineConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly adminPassword?: string;
    /**
     *
     */
    readonly adminUsername: string;
    /**
     *
     */
    readonly allowExtensionOperations?: boolean;
    /**
     *
     */
    readonly availabilitySetId?: string;
    /**
     *
     */
    readonly computerName?: string;
    /**
     *
     */
    readonly customData?: string;
    /**
     *
     */
    readonly dedicatedHostId?: string;
    /**
     *
     */
    readonly disablePasswordAuthentication?: boolean;
    /**
     *
     */
    readonly evictionPolicy?: string;
    /**
     *
     */
    readonly location: string;
    /**
     *
     */
    readonly maxBidPrice?: number;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly networkInterfaceIds: string[];
    /**
     *
     */
    readonly priority?: string;
    /**
     *
     */
    readonly provisionVmAgent?: boolean;
    /**
     *
     */
    readonly proximityPlacementGroupId?: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly size: string;
    /**
     *
     */
    readonly sourceImageId?: string;
    /**
     *
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     *
     */
    readonly zone?: string;
    /**
     * additional_capabilities block.
     */
    readonly additionalCapabilities?: LinuxVirtualMachineAdditionalCapabilities[];
    /**
     * admin_ssh_key block.
     */
    readonly adminSshKey?: LinuxVirtualMachineAdminSshKey[];
    /**
     * boot_diagnostics block.
     */
    readonly bootDiagnostics?: LinuxVirtualMachineBootDiagnostics[];
    /**
     * identity block.
     */
    readonly identity?: LinuxVirtualMachineIdentity[];
    /**
     * os_disk block.
     */
    readonly osDisk: LinuxVirtualMachineOsDisk[];
    /**
     * plan block.
     */
    readonly plan?: LinuxVirtualMachinePlan[];
    /**
     * secret block.
     */
    readonly secret?: LinuxVirtualMachineSecret[];
    /**
     * source_image_reference block.
     */
    readonly sourceImageReference?: LinuxVirtualMachineSourceImageReference[];
    /**
     * timeouts block.
     */
    readonly timeouts?: LinuxVirtualMachineTimeouts;
}
/**
 *
 */
export interface LinuxVirtualMachineAdditionalCapabilities {
    /**
     *
     */
    readonly ultraSsdEnabled?: boolean;
}
/**
 *
 */
export interface LinuxVirtualMachineAdminSshKey {
    /**
     *
     */
    readonly publicKey: string;
    /**
     *
     */
    readonly username: string;
}
/**
 *
 */
export interface LinuxVirtualMachineBootDiagnostics {
    /**
     *
     */
    readonly storageAccountUri: string;
}
/**
 *
 */
export interface LinuxVirtualMachineIdentity {
    /**
     *
     */
    readonly identityIds?: string[];
    /**
     *
     */
    readonly type: string;
}
/**
 *
 */
export interface LinuxVirtualMachineOsDiskDiffDiskSettings {
    /**
     *
     */
    readonly option: string;
}
/**
 *
 */
export interface LinuxVirtualMachineOsDisk {
    /**
     *
     */
    readonly caching: string;
    /**
     *
     */
    readonly diskEncryptionSetId?: string;
    /**
     *
     */
    readonly diskSizeGb?: number;
    /**
     *
     */
    readonly name?: string;
    /**
     *
     */
    readonly storageAccountType: string;
    /**
     *
     */
    readonly writeAcceleratorEnabled?: boolean;
    /**
     * diff_disk_settings block.
     */
    readonly diffDiskSettings?: LinuxVirtualMachineOsDiskDiffDiskSettings[];
}
/**
 *
 */
export interface LinuxVirtualMachinePlan {
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly product: string;
    /**
     *
     */
    readonly publisher: string;
}
/**
 *
 */
export interface LinuxVirtualMachineSecretCertificate {
    /**
     *
     */
    readonly url: string;
}
/**
 *
 */
export interface LinuxVirtualMachineSecret {
    /**
     *
     */
    readonly keyVaultId: string;
    /**
     * certificate block.
     */
    readonly certificate: LinuxVirtualMachineSecretCertificate[];
}
/**
 *
 */
export interface LinuxVirtualMachineSourceImageReference {
    /**
     *
     */
    readonly offer: string;
    /**
     *
     */
    readonly publisher: string;
    /**
     *
     */
    readonly sku: string;
    /**
     *
     */
    readonly version: string;
}
/**
 *
 */
export interface LinuxVirtualMachineTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class LinuxVirtualMachine extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: LinuxVirtualMachineConfig);
    private _adminPassword?;
    /**
     *
     */
    get adminPassword(): string | undefined;
    /**
     *
     */
    set adminPassword(value: string | undefined);
    private _adminUsername;
    /**
     *
     */
    get adminUsername(): string;
    /**
     *
     */
    set adminUsername(value: string);
    private _allowExtensionOperations?;
    /**
     *
     */
    get allowExtensionOperations(): boolean | undefined;
    /**
     *
     */
    set allowExtensionOperations(value: boolean | undefined);
    private _availabilitySetId?;
    /**
     *
     */
    get availabilitySetId(): string | undefined;
    /**
     *
     */
    set availabilitySetId(value: string | undefined);
    private _computerName?;
    /**
     *
     */
    get computerName(): string | undefined;
    /**
     *
     */
    set computerName(value: string | undefined);
    private _customData?;
    /**
     *
     */
    get customData(): string | undefined;
    /**
     *
     */
    set customData(value: string | undefined);
    private _dedicatedHostId?;
    /**
     *
     */
    get dedicatedHostId(): string | undefined;
    /**
     *
     */
    set dedicatedHostId(value: string | undefined);
    private _disablePasswordAuthentication?;
    /**
     *
     */
    get disablePasswordAuthentication(): boolean | undefined;
    /**
     *
     */
    set disablePasswordAuthentication(value: boolean | undefined);
    private _evictionPolicy?;
    /**
     *
     */
    get evictionPolicy(): string | undefined;
    /**
     *
     */
    set evictionPolicy(value: string | undefined);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _location;
    /**
     *
     */
    get location(): string;
    /**
     *
     */
    set location(value: string);
    private _maxBidPrice?;
    /**
     *
     */
    get maxBidPrice(): number | undefined;
    /**
     *
     */
    set maxBidPrice(value: number | undefined);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _networkInterfaceIds;
    /**
     *
     */
    get networkInterfaceIds(): string[];
    /**
     *
     */
    set networkInterfaceIds(value: string[]);
    private _priority?;
    /**
     *
     */
    get priority(): string | undefined;
    /**
     *
     */
    set priority(value: string | undefined);
    /**
     *
     */
    get privateIpAddress(): string;
    /**
     *
     */
    get privateIpAddresses(): string[];
    private _provisionVmAgent?;
    /**
     *
     */
    get provisionVmAgent(): boolean | undefined;
    /**
     *
     */
    set provisionVmAgent(value: boolean | undefined);
    private _proximityPlacementGroupId?;
    /**
     *
     */
    get proximityPlacementGroupId(): string | undefined;
    /**
     *
     */
    set proximityPlacementGroupId(value: string | undefined);
    /**
     *
     */
    get publicIpAddress(): string;
    /**
     *
     */
    get publicIpAddresses(): string[];
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _size;
    /**
     *
     */
    get size(): string;
    /**
     *
     */
    set size(value: string);
    private _sourceImageId?;
    /**
     *
     */
    get sourceImageId(): string | undefined;
    /**
     *
     */
    set sourceImageId(value: string | undefined);
    private _tags?;
    /**
     *
     */
    get tags(): {
        [key: string]: string;
    } | undefined;
    /**
     *
     */
    set tags(value: {
        [key: string]: string;
    } | undefined);
    /**
     *
     */
    get virtualMachineId(): string;
    private _zone?;
    /**
     *
     */
    get zone(): string | undefined;
    /**
     *
     */
    set zone(value: string | undefined);
    private _additionalCapabilities?;
    /**
     *
     */
    get additionalCapabilities(): LinuxVirtualMachineAdditionalCapabilities[] | undefined;
    /**
     *
     */
    set additionalCapabilities(value: LinuxVirtualMachineAdditionalCapabilities[] | undefined);
    private _adminSshKey?;
    /**
     *
     */
    get adminSshKey(): LinuxVirtualMachineAdminSshKey[] | undefined;
    /**
     *
     */
    set adminSshKey(value: LinuxVirtualMachineAdminSshKey[] | undefined);
    private _bootDiagnostics?;
    /**
     *
     */
    get bootDiagnostics(): LinuxVirtualMachineBootDiagnostics[] | undefined;
    /**
     *
     */
    set bootDiagnostics(value: LinuxVirtualMachineBootDiagnostics[] | undefined);
    private _identity?;
    /**
     *
     */
    get identity(): LinuxVirtualMachineIdentity[] | undefined;
    /**
     *
     */
    set identity(value: LinuxVirtualMachineIdentity[] | undefined);
    private _osDisk;
    /**
     *
     */
    get osDisk(): LinuxVirtualMachineOsDisk[];
    /**
     *
     */
    set osDisk(value: LinuxVirtualMachineOsDisk[]);
    private _plan?;
    /**
     *
     */
    get plan(): LinuxVirtualMachinePlan[] | undefined;
    /**
     *
     */
    set plan(value: LinuxVirtualMachinePlan[] | undefined);
    private _secret?;
    /**
     *
     */
    get secret(): LinuxVirtualMachineSecret[] | undefined;
    /**
     *
     */
    set secret(value: LinuxVirtualMachineSecret[] | undefined);
    private _sourceImageReference?;
    /**
     *
     */
    get sourceImageReference(): LinuxVirtualMachineSourceImageReference[] | undefined;
    /**
     *
     */
    set sourceImageReference(value: LinuxVirtualMachineSourceImageReference[] | undefined);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): LinuxVirtualMachineTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: LinuxVirtualMachineTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
