import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface LocalNetworkGatewayConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly addressSpace: string[];
    /**
     *
     */
    readonly gatewayAddress: string;
    /**
     *
     */
    readonly location: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * bgp_settings block.
     */
    readonly bgpSettings?: LocalNetworkGatewayBgpSettings[];
    /**
     * timeouts block.
     */
    readonly timeouts?: LocalNetworkGatewayTimeouts;
}
/**
 *
 */
export interface LocalNetworkGatewayBgpSettings {
    /**
     *
     */
    readonly asn: number;
    /**
     *
     */
    readonly bgpPeeringAddress: string;
    /**
     *
     */
    readonly peerWeight?: number;
}
/**
 *
 */
export interface LocalNetworkGatewayTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class LocalNetworkGateway extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: LocalNetworkGatewayConfig);
    private _addressSpace;
    /**
     *
     */
    get addressSpace(): string[];
    /**
     *
     */
    set addressSpace(value: string[]);
    private _gatewayAddress;
    /**
     *
     */
    get gatewayAddress(): string;
    /**
     *
     */
    set gatewayAddress(value: string);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _location;
    /**
     *
     */
    get location(): string;
    /**
     *
     */
    set location(value: string);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _tags?;
    /**
     *
     */
    get tags(): {
        [key: string]: string;
    } | undefined;
    /**
     *
     */
    set tags(value: {
        [key: string]: string;
    } | undefined);
    private _bgpSettings?;
    /**
     *
     */
    get bgpSettings(): LocalNetworkGatewayBgpSettings[] | undefined;
    /**
     *
     */
    set bgpSettings(value: LocalNetworkGatewayBgpSettings[] | undefined);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): LocalNetworkGatewayTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: LocalNetworkGatewayTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
