import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface LogAnalyticsLinkedServiceConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly linkedServiceName?: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly resourceId: string;
    /**
     *
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     *
     */
    readonly workspaceName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: LogAnalyticsLinkedServiceTimeouts;
}
/**
 *
 */
export interface LogAnalyticsLinkedServiceTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class LogAnalyticsLinkedService extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: LogAnalyticsLinkedServiceConfig);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _linkedServiceName?;
    /**
     *
     */
    get linkedServiceName(): string | undefined;
    /**
     *
     */
    set linkedServiceName(value: string | undefined);
    /**
     *
     */
    get name(): string;
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _resourceId;
    /**
     *
     */
    get resourceId(): string;
    /**
     *
     */
    set resourceId(value: string);
    private _tags?;
    /**
     *
     */
    get tags(): {
        [key: string]: string;
    } | undefined;
    /**
     *
     */
    set tags(value: {
        [key: string]: string;
    } | undefined);
    private _workspaceName;
    /**
     *
     */
    get workspaceName(): string;
    /**
     *
     */
    set workspaceName(value: string);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): LogAnalyticsLinkedServiceTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: LogAnalyticsLinkedServiceTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
