import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface LogAnalyticsSolutionConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly location: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly solutionName: string;
    /**
     *
     */
    readonly workspaceName: string;
    /**
     *
     */
    readonly workspaceResourceId: string;
    /**
     * plan block.
     */
    readonly plan: LogAnalyticsSolutionPlan[];
    /**
     * timeouts block.
     */
    readonly timeouts?: LogAnalyticsSolutionTimeouts;
}
/**
 *
 */
export interface LogAnalyticsSolutionPlan {
    /**
     *
     */
    readonly product: string;
    /**
     *
     */
    readonly promotionCode?: string;
    /**
     *
     */
    readonly publisher: string;
}
/**
 *
 */
export interface LogAnalyticsSolutionTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class LogAnalyticsSolution extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: LogAnalyticsSolutionConfig);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _location;
    /**
     *
     */
    get location(): string;
    /**
     *
     */
    set location(value: string);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _solutionName;
    /**
     *
     */
    get solutionName(): string;
    /**
     *
     */
    set solutionName(value: string);
    private _workspaceName;
    /**
     *
     */
    get workspaceName(): string;
    /**
     *
     */
    set workspaceName(value: string);
    private _workspaceResourceId;
    /**
     *
     */
    get workspaceResourceId(): string;
    /**
     *
     */
    set workspaceResourceId(value: string);
    private _plan;
    /**
     *
     */
    get plan(): LogAnalyticsSolutionPlan[];
    /**
     *
     */
    set plan(value: LogAnalyticsSolutionPlan[]);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): LogAnalyticsSolutionTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: LogAnalyticsSolutionTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
