import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface LogAnalyticsWorkspaceConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly location: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly retentionInDays?: number;
    /**
     *
     */
    readonly sku: string;
    /**
     *
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * timeouts block.
     */
    readonly timeouts?: LogAnalyticsWorkspaceTimeouts;
}
/**
 *
 */
export interface LogAnalyticsWorkspaceTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class LogAnalyticsWorkspace extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: LogAnalyticsWorkspaceConfig);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _location;
    /**
     *
     */
    get location(): string;
    /**
     *
     */
    set location(value: string);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    /**
     *
     */
    get portalUrl(): string;
    /**
     *
     */
    get primarySharedKey(): string;
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _retentionInDays?;
    /**
     *
     */
    get retentionInDays(): number | undefined;
    /**
     *
     */
    set retentionInDays(value: number | undefined);
    /**
     *
     */
    get secondarySharedKey(): string;
    private _sku;
    /**
     *
     */
    get sku(): string;
    /**
     *
     */
    set sku(value: string);
    private _tags?;
    /**
     *
     */
    get tags(): {
        [key: string]: string;
    } | undefined;
    /**
     *
     */
    set tags(value: {
        [key: string]: string;
    } | undefined);
    /**
     *
     */
    get workspaceId(): string;
    private _timeouts?;
    /**
     *
     */
    get timeouts(): LogAnalyticsWorkspaceTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: LogAnalyticsWorkspaceTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
