import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface LogicAppActionHttpConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly body?: string;
    /**
     *
     */
    readonly headers?: {
        [key: string]: string;
    };
    /**
     *
     */
    readonly logicAppId: string;
    /**
     *
     */
    readonly method: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly uri: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: LogicAppActionHttpTimeouts;
}
/**
 *
 */
export interface LogicAppActionHttpTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class LogicAppActionHttp extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: LogicAppActionHttpConfig);
    private _body?;
    /**
     *
     */
    get body(): string | undefined;
    /**
     *
     */
    set body(value: string | undefined);
    private _headers?;
    /**
     *
     */
    get headers(): {
        [key: string]: string;
    } | undefined;
    /**
     *
     */
    set headers(value: {
        [key: string]: string;
    } | undefined);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _logicAppId;
    /**
     *
     */
    get logicAppId(): string;
    /**
     *
     */
    set logicAppId(value: string);
    private _method;
    /**
     *
     */
    get method(): string;
    /**
     *
     */
    set method(value: string);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _uri;
    /**
     *
     */
    get uri(): string;
    /**
     *
     */
    set uri(value: string);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): LogicAppActionHttpTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: LogicAppActionHttpTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
