import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface LogicAppTriggerRecurrenceConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly frequency: string;
    /**
     *
     */
    readonly interval: number;
    /**
     *
     */
    readonly logicAppId: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly startTime?: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: LogicAppTriggerRecurrenceTimeouts;
}
/**
 *
 */
export interface LogicAppTriggerRecurrenceTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class LogicAppTriggerRecurrence extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: LogicAppTriggerRecurrenceConfig);
    private _frequency;
    /**
     *
     */
    get frequency(): string;
    /**
     *
     */
    set frequency(value: string);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _interval;
    /**
     *
     */
    get interval(): number;
    /**
     *
     */
    set interval(value: number);
    private _logicAppId;
    /**
     *
     */
    get logicAppId(): string;
    /**
     *
     */
    set logicAppId(value: string);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _startTime?;
    /**
     *
     */
    get startTime(): string | undefined;
    /**
     *
     */
    set startTime(value: string | undefined);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): LogicAppTriggerRecurrenceTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: LogicAppTriggerRecurrenceTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
