import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface LogicAppWorkflowConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly location: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly parameters?: {
        [key: string]: string;
    };
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     *
     */
    readonly workflowSchema?: string;
    /**
     *
     */
    readonly workflowVersion?: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: LogicAppWorkflowTimeouts;
}
/**
 *
 */
export interface LogicAppWorkflowTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class LogicAppWorkflow extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: LogicAppWorkflowConfig);
    /**
     *
     */
    get accessEndpoint(): string;
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _location;
    /**
     *
     */
    get location(): string;
    /**
     *
     */
    set location(value: string);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _parameters?;
    /**
     *
     */
    get parameters(): {
        [key: string]: string;
    } | undefined;
    /**
     *
     */
    set parameters(value: {
        [key: string]: string;
    } | undefined);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _tags?;
    /**
     *
     */
    get tags(): {
        [key: string]: string;
    } | undefined;
    /**
     *
     */
    set tags(value: {
        [key: string]: string;
    } | undefined);
    private _workflowSchema?;
    /**
     *
     */
    get workflowSchema(): string | undefined;
    /**
     *
     */
    set workflowSchema(value: string | undefined);
    private _workflowVersion?;
    /**
     *
     */
    get workflowVersion(): string | undefined;
    /**
     *
     */
    set workflowVersion(value: string | undefined);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): LogicAppWorkflowTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: LogicAppWorkflowTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
