import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface ManagedDiskConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly createOption: string;
    /**
     *
     */
    readonly diskEncryptionSetId?: string;
    /**
     *
     */
    readonly diskIopsReadWrite?: number;
    /**
     *
     */
    readonly diskMbpsReadWrite?: number;
    /**
     *
     */
    readonly diskSizeGb?: number;
    /**
     *
     */
    readonly imageReferenceId?: string;
    /**
     *
     */
    readonly location: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly osType?: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly sourceResourceId?: string;
    /**
     *
     */
    readonly sourceUri?: string;
    /**
     *
     */
    readonly storageAccountId?: string;
    /**
     *
     */
    readonly storageAccountType: string;
    /**
     *
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     *
     */
    readonly zones?: string[];
    /**
     * encryption_settings block.
     */
    readonly encryptionSettings?: ManagedDiskEncryptionSettings[];
    /**
     * timeouts block.
     */
    readonly timeouts?: ManagedDiskTimeouts;
}
/**
 *
 */
export interface ManagedDiskEncryptionSettingsDiskEncryptionKey {
    /**
     *
     */
    readonly secretUrl: string;
    /**
     *
     */
    readonly sourceVaultId: string;
}
/**
 *
 */
export interface ManagedDiskEncryptionSettingsKeyEncryptionKey {
    /**
     *
     */
    readonly keyUrl: string;
    /**
     *
     */
    readonly sourceVaultId: string;
}
/**
 *
 */
export interface ManagedDiskEncryptionSettings {
    /**
     *
     */
    readonly enabled: boolean;
    /**
     * disk_encryption_key block.
     */
    readonly diskEncryptionKey?: ManagedDiskEncryptionSettingsDiskEncryptionKey[];
    /**
     * key_encryption_key block.
     */
    readonly keyEncryptionKey?: ManagedDiskEncryptionSettingsKeyEncryptionKey[];
}
/**
 *
 */
export interface ManagedDiskTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class ManagedDisk extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: ManagedDiskConfig);
    private _createOption;
    /**
     *
     */
    get createOption(): string;
    /**
     *
     */
    set createOption(value: string);
    private _diskEncryptionSetId?;
    /**
     *
     */
    get diskEncryptionSetId(): string | undefined;
    /**
     *
     */
    set diskEncryptionSetId(value: string | undefined);
    private _diskIopsReadWrite?;
    /**
     *
     */
    get diskIopsReadWrite(): number | undefined;
    /**
     *
     */
    set diskIopsReadWrite(value: number | undefined);
    private _diskMbpsReadWrite?;
    /**
     *
     */
    get diskMbpsReadWrite(): number | undefined;
    /**
     *
     */
    set diskMbpsReadWrite(value: number | undefined);
    private _diskSizeGb?;
    /**
     *
     */
    get diskSizeGb(): number | undefined;
    /**
     *
     */
    set diskSizeGb(value: number | undefined);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _imageReferenceId?;
    /**
     *
     */
    get imageReferenceId(): string | undefined;
    /**
     *
     */
    set imageReferenceId(value: string | undefined);
    private _location;
    /**
     *
     */
    get location(): string;
    /**
     *
     */
    set location(value: string);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _osType?;
    /**
     *
     */
    get osType(): string | undefined;
    /**
     *
     */
    set osType(value: string | undefined);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _sourceResourceId?;
    /**
     *
     */
    get sourceResourceId(): string | undefined;
    /**
     *
     */
    set sourceResourceId(value: string | undefined);
    private _sourceUri?;
    /**
     *
     */
    get sourceUri(): string | undefined;
    /**
     *
     */
    set sourceUri(value: string | undefined);
    private _storageAccountId?;
    /**
     *
     */
    get storageAccountId(): string | undefined;
    /**
     *
     */
    set storageAccountId(value: string | undefined);
    private _storageAccountType;
    /**
     *
     */
    get storageAccountType(): string;
    /**
     *
     */
    set storageAccountType(value: string);
    private _tags?;
    /**
     *
     */
    get tags(): {
        [key: string]: string;
    } | undefined;
    /**
     *
     */
    set tags(value: {
        [key: string]: string;
    } | undefined);
    private _zones?;
    /**
     *
     */
    get zones(): string[] | undefined;
    /**
     *
     */
    set zones(value: string[] | undefined);
    private _encryptionSettings?;
    /**
     *
     */
    get encryptionSettings(): ManagedDiskEncryptionSettings[] | undefined;
    /**
     *
     */
    set encryptionSettings(value: ManagedDiskEncryptionSettings[] | undefined);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): ManagedDiskTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: ManagedDiskTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
