import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface ManagementGroupConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly displayName?: string;
    /**
     *
     */
    readonly groupId?: string;
    /**
     *
     */
    readonly parentManagementGroupId?: string;
    /**
     *
     */
    readonly subscriptionIds?: string[];
    /**
     * timeouts block.
     */
    readonly timeouts?: ManagementGroupTimeouts;
}
/**
 *
 */
export interface ManagementGroupTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class ManagementGroup extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config?: ManagementGroupConfig);
    private _displayName?;
    /**
     *
     */
    get displayName(): string | undefined;
    /**
     *
     */
    set displayName(value: string | undefined);
    private _groupId?;
    /**
     *
     */
    get groupId(): string | undefined;
    /**
     *
     */
    set groupId(value: string | undefined);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _parentManagementGroupId?;
    /**
     *
     */
    get parentManagementGroupId(): string | undefined;
    /**
     *
     */
    set parentManagementGroupId(value: string | undefined);
    private _subscriptionIds?;
    /**
     *
     */
    get subscriptionIds(): string[] | undefined;
    /**
     *
     */
    set subscriptionIds(value: string[] | undefined);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): ManagementGroupTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: ManagementGroupTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
