import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface ManagementLockConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly lockLevel: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly notes?: string;
    /**
     *
     */
    readonly scope: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: ManagementLockTimeouts;
}
/**
 *
 */
export interface ManagementLockTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class ManagementLock extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: ManagementLockConfig);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _lockLevel;
    /**
     *
     */
    get lockLevel(): string;
    /**
     *
     */
    set lockLevel(value: string);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _notes?;
    /**
     *
     */
    get notes(): string | undefined;
    /**
     *
     */
    set notes(value: string | undefined);
    private _scope;
    /**
     *
     */
    get scope(): string;
    /**
     *
     */
    set scope(value: string);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): ManagementLockTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: ManagementLockTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
