import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface MarketplaceAgreementConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly offer: string;
    /**
     *
     */
    readonly plan: string;
    /**
     *
     */
    readonly publisher: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: MarketplaceAgreementTimeouts;
}
/**
 *
 */
export interface MarketplaceAgreementTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class MarketplaceAgreement extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: MarketplaceAgreementConfig);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    /**
     *
     */
    get licenseTextLink(): string;
    private _offer;
    /**
     *
     */
    get offer(): string;
    /**
     *
     */
    set offer(value: string);
    private _plan;
    /**
     *
     */
    get plan(): string;
    /**
     *
     */
    set plan(value: string);
    /**
     *
     */
    get privacyPolicyLink(): string;
    private _publisher;
    /**
     *
     */
    get publisher(): string;
    /**
     *
     */
    set publisher(value: string);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): MarketplaceAgreementTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: MarketplaceAgreementTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
