import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface MediaServicesAccountConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly location: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     * storage_account block.
     */
    readonly storageAccount: MediaServicesAccountStorageAccount[];
    /**
     * timeouts block.
     */
    readonly timeouts?: MediaServicesAccountTimeouts;
}
/**
 *
 */
export interface MediaServicesAccountStorageAccount {
    /**
     *
     */
    readonly id: string;
    /**
     *
     */
    readonly isPrimary?: boolean;
}
/**
 *
 */
export interface MediaServicesAccountTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class MediaServicesAccount extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: MediaServicesAccountConfig);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _location;
    /**
     *
     */
    get location(): string;
    /**
     *
     */
    set location(value: string);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _storageAccount;
    /**
     *
     */
    get storageAccount(): MediaServicesAccountStorageAccount[];
    /**
     *
     */
    set storageAccount(value: MediaServicesAccountStorageAccount[]);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): MediaServicesAccountTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: MediaServicesAccountTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
