import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface MonitorActionGroupConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly enabled?: boolean;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly shortName: string;
    /**
     *
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * arm_role_receiver block.
     */
    readonly armRoleReceiver?: MonitorActionGroupArmRoleReceiver[];
    /**
     * automation_runbook_receiver block.
     */
    readonly automationRunbookReceiver?: MonitorActionGroupAutomationRunbookReceiver[];
    /**
     * azure_app_push_receiver block.
     */
    readonly azureAppPushReceiver?: MonitorActionGroupAzureAppPushReceiver[];
    /**
     * azure_function_receiver block.
     */
    readonly azureFunctionReceiver?: MonitorActionGroupAzureFunctionReceiver[];
    /**
     * email_receiver block.
     */
    readonly emailReceiver?: MonitorActionGroupEmailReceiver[];
    /**
     * itsm_receiver block.
     */
    readonly itsmReceiver?: MonitorActionGroupItsmReceiver[];
    /**
     * logic_app_receiver block.
     */
    readonly logicAppReceiver?: MonitorActionGroupLogicAppReceiver[];
    /**
     * sms_receiver block.
     */
    readonly smsReceiver?: MonitorActionGroupSmsReceiver[];
    /**
     * timeouts block.
     */
    readonly timeouts?: MonitorActionGroupTimeouts;
    /**
     * voice_receiver block.
     */
    readonly voiceReceiver?: MonitorActionGroupVoiceReceiver[];
    /**
     * webhook_receiver block.
     */
    readonly webhookReceiver?: MonitorActionGroupWebhookReceiver[];
}
/**
 *
 */
export interface MonitorActionGroupArmRoleReceiver {
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly roleId: string;
    /**
     *
     */
    readonly useCommonAlertSchema?: boolean;
}
/**
 *
 */
export interface MonitorActionGroupAutomationRunbookReceiver {
    /**
     *
     */
    readonly automationAccountId: string;
    /**
     *
     */
    readonly isGlobalRunbook: boolean;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly runbookName: string;
    /**
     *
     */
    readonly serviceUri: string;
    /**
     *
     */
    readonly useCommonAlertSchema?: boolean;
    /**
     *
     */
    readonly webhookResourceId: string;
}
/**
 *
 */
export interface MonitorActionGroupAzureAppPushReceiver {
    /**
     *
     */
    readonly emailAddress: string;
    /**
     *
     */
    readonly name: string;
}
/**
 *
 */
export interface MonitorActionGroupAzureFunctionReceiver {
    /**
     *
     */
    readonly functionAppResourceId: string;
    /**
     *
     */
    readonly functionName: string;
    /**
     *
     */
    readonly httpTriggerUrl: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly useCommonAlertSchema?: boolean;
}
/**
 *
 */
export interface MonitorActionGroupEmailReceiver {
    /**
     *
     */
    readonly emailAddress: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly useCommonAlertSchema?: boolean;
}
/**
 *
 */
export interface MonitorActionGroupItsmReceiver {
    /**
     *
     */
    readonly connectionId: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly region: string;
    /**
     *
     */
    readonly ticketConfiguration: string;
    /**
     *
     */
    readonly workspaceId: string;
}
/**
 *
 */
export interface MonitorActionGroupLogicAppReceiver {
    /**
     *
     */
    readonly callbackUrl: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly resourceId: string;
    /**
     *
     */
    readonly useCommonAlertSchema?: boolean;
}
/**
 *
 */
export interface MonitorActionGroupSmsReceiver {
    /**
     *
     */
    readonly countryCode: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly phoneNumber: string;
}
/**
 *
 */
export interface MonitorActionGroupTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export interface MonitorActionGroupVoiceReceiver {
    /**
     *
     */
    readonly countryCode: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly phoneNumber: string;
}
/**
 *
 */
export interface MonitorActionGroupWebhookReceiver {
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly serviceUri: string;
    /**
     *
     */
    readonly useCommonAlertSchema?: boolean;
}
/**
 *
 */
export declare class MonitorActionGroup extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: MonitorActionGroupConfig);
    private _enabled?;
    /**
     *
     */
    get enabled(): boolean | undefined;
    /**
     *
     */
    set enabled(value: boolean | undefined);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _shortName;
    /**
     *
     */
    get shortName(): string;
    /**
     *
     */
    set shortName(value: string);
    private _tags?;
    /**
     *
     */
    get tags(): {
        [key: string]: string;
    } | undefined;
    /**
     *
     */
    set tags(value: {
        [key: string]: string;
    } | undefined);
    private _armRoleReceiver?;
    /**
     *
     */
    get armRoleReceiver(): MonitorActionGroupArmRoleReceiver[] | undefined;
    /**
     *
     */
    set armRoleReceiver(value: MonitorActionGroupArmRoleReceiver[] | undefined);
    private _automationRunbookReceiver?;
    /**
     *
     */
    get automationRunbookReceiver(): MonitorActionGroupAutomationRunbookReceiver[] | undefined;
    /**
     *
     */
    set automationRunbookReceiver(value: MonitorActionGroupAutomationRunbookReceiver[] | undefined);
    private _azureAppPushReceiver?;
    /**
     *
     */
    get azureAppPushReceiver(): MonitorActionGroupAzureAppPushReceiver[] | undefined;
    /**
     *
     */
    set azureAppPushReceiver(value: MonitorActionGroupAzureAppPushReceiver[] | undefined);
    private _azureFunctionReceiver?;
    /**
     *
     */
    get azureFunctionReceiver(): MonitorActionGroupAzureFunctionReceiver[] | undefined;
    /**
     *
     */
    set azureFunctionReceiver(value: MonitorActionGroupAzureFunctionReceiver[] | undefined);
    private _emailReceiver?;
    /**
     *
     */
    get emailReceiver(): MonitorActionGroupEmailReceiver[] | undefined;
    /**
     *
     */
    set emailReceiver(value: MonitorActionGroupEmailReceiver[] | undefined);
    private _itsmReceiver?;
    /**
     *
     */
    get itsmReceiver(): MonitorActionGroupItsmReceiver[] | undefined;
    /**
     *
     */
    set itsmReceiver(value: MonitorActionGroupItsmReceiver[] | undefined);
    private _logicAppReceiver?;
    /**
     *
     */
    get logicAppReceiver(): MonitorActionGroupLogicAppReceiver[] | undefined;
    /**
     *
     */
    set logicAppReceiver(value: MonitorActionGroupLogicAppReceiver[] | undefined);
    private _smsReceiver?;
    /**
     *
     */
    get smsReceiver(): MonitorActionGroupSmsReceiver[] | undefined;
    /**
     *
     */
    set smsReceiver(value: MonitorActionGroupSmsReceiver[] | undefined);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): MonitorActionGroupTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: MonitorActionGroupTimeouts | undefined);
    private _voiceReceiver?;
    /**
     *
     */
    get voiceReceiver(): MonitorActionGroupVoiceReceiver[] | undefined;
    /**
     *
     */
    set voiceReceiver(value: MonitorActionGroupVoiceReceiver[] | undefined);
    private _webhookReceiver?;
    /**
     *
     */
    get webhookReceiver(): MonitorActionGroupWebhookReceiver[] | undefined;
    /**
     *
     */
    set webhookReceiver(value: MonitorActionGroupWebhookReceiver[] | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
