import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface MonitorActivityLogAlertConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly description?: string;
    /**
     *
     */
    readonly enabled?: boolean;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly scopes: string[];
    /**
     *
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * action block.
     */
    readonly action?: MonitorActivityLogAlertAction[];
    /**
     * criteria block.
     */
    readonly criteria: MonitorActivityLogAlertCriteria[];
    /**
     * timeouts block.
     */
    readonly timeouts?: MonitorActivityLogAlertTimeouts;
}
/**
 *
 */
export interface MonitorActivityLogAlertAction {
    /**
     *
     */
    readonly actionGroupId: string;
    /**
     *
     */
    readonly webhookProperties?: {
        [key: string]: string;
    };
}
/**
 *
 */
export interface MonitorActivityLogAlertCriteria {
    /**
     *
     */
    readonly caller?: string;
    /**
     *
     */
    readonly category: string;
    /**
     *
     */
    readonly level?: string;
    /**
     *
     */
    readonly operationName?: string;
    /**
     *
     */
    readonly resourceGroup?: string;
    /**
     *
     */
    readonly resourceId?: string;
    /**
     *
     */
    readonly resourceProvider?: string;
    /**
     *
     */
    readonly resourceType?: string;
    /**
     *
     */
    readonly status?: string;
    /**
     *
     */
    readonly subStatus?: string;
}
/**
 *
 */
export interface MonitorActivityLogAlertTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class MonitorActivityLogAlert extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: MonitorActivityLogAlertConfig);
    private _description?;
    /**
     *
     */
    get description(): string | undefined;
    /**
     *
     */
    set description(value: string | undefined);
    private _enabled?;
    /**
     *
     */
    get enabled(): boolean | undefined;
    /**
     *
     */
    set enabled(value: boolean | undefined);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _scopes;
    /**
     *
     */
    get scopes(): string[];
    /**
     *
     */
    set scopes(value: string[]);
    private _tags?;
    /**
     *
     */
    get tags(): {
        [key: string]: string;
    } | undefined;
    /**
     *
     */
    set tags(value: {
        [key: string]: string;
    } | undefined);
    private _action?;
    /**
     *
     */
    get action(): MonitorActivityLogAlertAction[] | undefined;
    /**
     *
     */
    set action(value: MonitorActivityLogAlertAction[] | undefined);
    private _criteria;
    /**
     *
     */
    get criteria(): MonitorActivityLogAlertCriteria[];
    /**
     *
     */
    set criteria(value: MonitorActivityLogAlertCriteria[]);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): MonitorActivityLogAlertTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: MonitorActivityLogAlertTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
