import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface MonitorDiagnosticSettingConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly eventhubAuthorizationRuleId?: string;
    /**
     *
     */
    readonly eventhubName?: string;
    /**
     *
     */
    readonly logAnalyticsDestinationType?: string;
    /**
     *
     */
    readonly logAnalyticsWorkspaceId?: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly storageAccountId?: string;
    /**
     *
     */
    readonly targetResourceId: string;
    /**
     * log block.
     */
    readonly log?: MonitorDiagnosticSettingLog[];
    /**
     * metric block.
     */
    readonly metric?: MonitorDiagnosticSettingMetric[];
    /**
     * timeouts block.
     */
    readonly timeouts?: MonitorDiagnosticSettingTimeouts;
}
/**
 *
 */
export interface MonitorDiagnosticSettingLogRetentionPolicy {
    /**
     *
     */
    readonly days?: number;
    /**
     *
     */
    readonly enabled: boolean;
}
/**
 *
 */
export interface MonitorDiagnosticSettingLog {
    /**
     *
     */
    readonly category: string;
    /**
     *
     */
    readonly enabled?: boolean;
    /**
     * retention_policy block.
     */
    readonly retentionPolicy: MonitorDiagnosticSettingLogRetentionPolicy[];
}
/**
 *
 */
export interface MonitorDiagnosticSettingMetricRetentionPolicy {
    /**
     *
     */
    readonly days?: number;
    /**
     *
     */
    readonly enabled: boolean;
}
/**
 *
 */
export interface MonitorDiagnosticSettingMetric {
    /**
     *
     */
    readonly category: string;
    /**
     *
     */
    readonly enabled?: boolean;
    /**
     * retention_policy block.
     */
    readonly retentionPolicy: MonitorDiagnosticSettingMetricRetentionPolicy[];
}
/**
 *
 */
export interface MonitorDiagnosticSettingTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class MonitorDiagnosticSetting extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: MonitorDiagnosticSettingConfig);
    private _eventhubAuthorizationRuleId?;
    /**
     *
     */
    get eventhubAuthorizationRuleId(): string | undefined;
    /**
     *
     */
    set eventhubAuthorizationRuleId(value: string | undefined);
    private _eventhubName?;
    /**
     *
     */
    get eventhubName(): string | undefined;
    /**
     *
     */
    set eventhubName(value: string | undefined);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _logAnalyticsDestinationType?;
    /**
     *
     */
    get logAnalyticsDestinationType(): string | undefined;
    /**
     *
     */
    set logAnalyticsDestinationType(value: string | undefined);
    private _logAnalyticsWorkspaceId?;
    /**
     *
     */
    get logAnalyticsWorkspaceId(): string | undefined;
    /**
     *
     */
    set logAnalyticsWorkspaceId(value: string | undefined);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _storageAccountId?;
    /**
     *
     */
    get storageAccountId(): string | undefined;
    /**
     *
     */
    set storageAccountId(value: string | undefined);
    private _targetResourceId;
    /**
     *
     */
    get targetResourceId(): string;
    /**
     *
     */
    set targetResourceId(value: string);
    private _log?;
    /**
     *
     */
    get log(): MonitorDiagnosticSettingLog[] | undefined;
    /**
     *
     */
    set log(value: MonitorDiagnosticSettingLog[] | undefined);
    private _metric?;
    /**
     *
     */
    get metric(): MonitorDiagnosticSettingMetric[] | undefined;
    /**
     *
     */
    set metric(value: MonitorDiagnosticSettingMetric[] | undefined);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): MonitorDiagnosticSettingTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: MonitorDiagnosticSettingTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
