import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface MonitorLogProfileConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly categories: string[];
    /**
     *
     */
    readonly locations: string[];
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly servicebusRuleId?: string;
    /**
     *
     */
    readonly storageAccountId?: string;
    /**
     * retention_policy block.
     */
    readonly retentionPolicy: MonitorLogProfileRetentionPolicy[];
    /**
     * timeouts block.
     */
    readonly timeouts?: MonitorLogProfileTimeouts;
}
/**
 *
 */
export interface MonitorLogProfileRetentionPolicy {
    /**
     *
     */
    readonly days?: number;
    /**
     *
     */
    readonly enabled: boolean;
}
/**
 *
 */
export interface MonitorLogProfileTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class MonitorLogProfile extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: MonitorLogProfileConfig);
    private _categories;
    /**
     *
     */
    get categories(): string[];
    /**
     *
     */
    set categories(value: string[]);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _locations;
    /**
     *
     */
    get locations(): string[];
    /**
     *
     */
    set locations(value: string[]);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _servicebusRuleId?;
    /**
     *
     */
    get servicebusRuleId(): string | undefined;
    /**
     *
     */
    set servicebusRuleId(value: string | undefined);
    private _storageAccountId?;
    /**
     *
     */
    get storageAccountId(): string | undefined;
    /**
     *
     */
    set storageAccountId(value: string | undefined);
    private _retentionPolicy;
    /**
     *
     */
    get retentionPolicy(): MonitorLogProfileRetentionPolicy[];
    /**
     *
     */
    set retentionPolicy(value: MonitorLogProfileRetentionPolicy[]);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): MonitorLogProfileTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: MonitorLogProfileTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
