import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface MonitorMetricAlertConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly autoMitigate?: boolean;
    /**
     *
     */
    readonly description?: string;
    /**
     *
     */
    readonly enabled?: boolean;
    /**
     *
     */
    readonly frequency?: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly scopes: string[];
    /**
     *
     */
    readonly severity?: number;
    /**
     *
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     *
     */
    readonly windowSize?: string;
    /**
     * action block.
     */
    readonly action?: MonitorMetricAlertAction[];
    /**
     * criteria block.
     */
    readonly criteria: MonitorMetricAlertCriteria[];
    /**
     * timeouts block.
     */
    readonly timeouts?: MonitorMetricAlertTimeouts;
}
/**
 *
 */
export interface MonitorMetricAlertAction {
    /**
     *
     */
    readonly actionGroupId: string;
    /**
     *
     */
    readonly webhookProperties?: {
        [key: string]: string;
    };
}
/**
 *
 */
export interface MonitorMetricAlertCriteriaDimension {
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly operator: string;
    /**
     *
     */
    readonly values: string[];
}
/**
 *
 */
export interface MonitorMetricAlertCriteria {
    /**
     *
     */
    readonly aggregation: string;
    /**
     *
     */
    readonly metricName: string;
    /**
     *
     */
    readonly metricNamespace: string;
    /**
     *
     */
    readonly operator: string;
    /**
     *
     */
    readonly threshold: number;
    /**
     * dimension block.
     */
    readonly dimension?: MonitorMetricAlertCriteriaDimension[];
}
/**
 *
 */
export interface MonitorMetricAlertTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class MonitorMetricAlert extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: MonitorMetricAlertConfig);
    private _autoMitigate?;
    /**
     *
     */
    get autoMitigate(): boolean | undefined;
    /**
     *
     */
    set autoMitigate(value: boolean | undefined);
    private _description?;
    /**
     *
     */
    get description(): string | undefined;
    /**
     *
     */
    set description(value: string | undefined);
    private _enabled?;
    /**
     *
     */
    get enabled(): boolean | undefined;
    /**
     *
     */
    set enabled(value: boolean | undefined);
    private _frequency?;
    /**
     *
     */
    get frequency(): string | undefined;
    /**
     *
     */
    set frequency(value: string | undefined);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _scopes;
    /**
     *
     */
    get scopes(): string[];
    /**
     *
     */
    set scopes(value: string[]);
    private _severity?;
    /**
     *
     */
    get severity(): number | undefined;
    /**
     *
     */
    set severity(value: number | undefined);
    private _tags?;
    /**
     *
     */
    get tags(): {
        [key: string]: string;
    } | undefined;
    /**
     *
     */
    set tags(value: {
        [key: string]: string;
    } | undefined);
    private _windowSize?;
    /**
     *
     */
    get windowSize(): string | undefined;
    /**
     *
     */
    set windowSize(value: string | undefined);
    private _action?;
    /**
     *
     */
    get action(): MonitorMetricAlertAction[] | undefined;
    /**
     *
     */
    set action(value: MonitorMetricAlertAction[] | undefined);
    private _criteria;
    /**
     *
     */
    get criteria(): MonitorMetricAlertCriteria[];
    /**
     *
     */
    set criteria(value: MonitorMetricAlertCriteria[]);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): MonitorMetricAlertTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: MonitorMetricAlertTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
