import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface MssqlElasticpoolConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly location: string;
    /**
     *
     */
    readonly maxSizeBytes?: number;
    /**
     *
     */
    readonly maxSizeGb?: number;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly serverName: string;
    /**
     *
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     *
     */
    readonly zoneRedundant?: boolean;
    /**
     * per_database_settings block.
     */
    readonly perDatabaseSettings: MssqlElasticpoolPerDatabaseSettings[];
    /**
     * sku block.
     */
    readonly sku: MssqlElasticpoolSku[];
    /**
     * timeouts block.
     */
    readonly timeouts?: MssqlElasticpoolTimeouts;
}
/**
 *
 */
export interface MssqlElasticpoolPerDatabaseSettings {
    /**
     *
     */
    readonly maxCapacity: number;
    /**
     *
     */
    readonly minCapacity: number;
}
/**
 *
 */
export interface MssqlElasticpoolSku {
    /**
     *
     */
    readonly capacity: number;
    /**
     *
     */
    readonly family?: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly tier: string;
}
/**
 *
 */
export interface MssqlElasticpoolTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class MssqlElasticpool extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: MssqlElasticpoolConfig);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _location;
    /**
     *
     */
    get location(): string;
    /**
     *
     */
    set location(value: string);
    private _maxSizeBytes?;
    /**
     *
     */
    get maxSizeBytes(): number | undefined;
    /**
     *
     */
    set maxSizeBytes(value: number | undefined);
    private _maxSizeGb?;
    /**
     *
     */
    get maxSizeGb(): number | undefined;
    /**
     *
     */
    set maxSizeGb(value: number | undefined);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _serverName;
    /**
     *
     */
    get serverName(): string;
    /**
     *
     */
    set serverName(value: string);
    private _tags?;
    /**
     *
     */
    get tags(): {
        [key: string]: string;
    } | undefined;
    /**
     *
     */
    set tags(value: {
        [key: string]: string;
    } | undefined);
    private _zoneRedundant?;
    /**
     *
     */
    get zoneRedundant(): boolean | undefined;
    /**
     *
     */
    set zoneRedundant(value: boolean | undefined);
    private _perDatabaseSettings;
    /**
     *
     */
    get perDatabaseSettings(): MssqlElasticpoolPerDatabaseSettings[];
    /**
     *
     */
    set perDatabaseSettings(value: MssqlElasticpoolPerDatabaseSettings[]);
    private _sku;
    /**
     *
     */
    get sku(): MssqlElasticpoolSku[];
    /**
     *
     */
    set sku(value: MssqlElasticpoolSku[]);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): MssqlElasticpoolTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: MssqlElasticpoolTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
