import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface MssqlServerSecurityAlertPolicyConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly disabledAlerts?: string[];
    /**
     *
     */
    readonly emailAccountAdmins?: boolean;
    /**
     *
     */
    readonly emailAddresses?: string[];
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly retentionDays?: number;
    /**
     *
     */
    readonly serverName: string;
    /**
     *
     */
    readonly state: string;
    /**
     *
     */
    readonly storageAccountAccessKey?: string;
    /**
     *
     */
    readonly storageEndpoint?: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: MssqlServerSecurityAlertPolicyTimeouts;
}
/**
 *
 */
export interface MssqlServerSecurityAlertPolicyTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class MssqlServerSecurityAlertPolicy extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: MssqlServerSecurityAlertPolicyConfig);
    private _disabledAlerts?;
    /**
     *
     */
    get disabledAlerts(): string[] | undefined;
    /**
     *
     */
    set disabledAlerts(value: string[] | undefined);
    private _emailAccountAdmins?;
    /**
     *
     */
    get emailAccountAdmins(): boolean | undefined;
    /**
     *
     */
    set emailAccountAdmins(value: boolean | undefined);
    private _emailAddresses?;
    /**
     *
     */
    get emailAddresses(): string[] | undefined;
    /**
     *
     */
    set emailAddresses(value: string[] | undefined);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _retentionDays?;
    /**
     *
     */
    get retentionDays(): number | undefined;
    /**
     *
     */
    set retentionDays(value: number | undefined);
    private _serverName;
    /**
     *
     */
    get serverName(): string;
    /**
     *
     */
    set serverName(value: string);
    private _state;
    /**
     *
     */
    get state(): string;
    /**
     *
     */
    set state(value: string);
    private _storageAccountAccessKey?;
    /**
     *
     */
    get storageAccountAccessKey(): string | undefined;
    /**
     *
     */
    set storageAccountAccessKey(value: string | undefined);
    private _storageEndpoint?;
    /**
     *
     */
    get storageEndpoint(): string | undefined;
    /**
     *
     */
    set storageEndpoint(value: string | undefined);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): MssqlServerSecurityAlertPolicyTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: MssqlServerSecurityAlertPolicyTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
