import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface MysqlFirewallRuleConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly endIpAddress: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly serverName: string;
    /**
     *
     */
    readonly startIpAddress: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: MysqlFirewallRuleTimeouts;
}
/**
 *
 */
export interface MysqlFirewallRuleTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class MysqlFirewallRule extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: MysqlFirewallRuleConfig);
    private _endIpAddress;
    /**
     *
     */
    get endIpAddress(): string;
    /**
     *
     */
    set endIpAddress(value: string);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _serverName;
    /**
     *
     */
    get serverName(): string;
    /**
     *
     */
    set serverName(value: string);
    private _startIpAddress;
    /**
     *
     */
    get startIpAddress(): string;
    /**
     *
     */
    set startIpAddress(value: string);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): MysqlFirewallRuleTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: MysqlFirewallRuleTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
