import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface MysqlServerConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly administratorLogin: string;
    /**
     *
     */
    readonly administratorLoginPassword: string;
    /**
     *
     */
    readonly location: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly skuName: string;
    /**
     *
     */
    readonly sslEnforcement: string;
    /**
     *
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     *
     */
    readonly version: string;
    /**
     * storage_profile block.
     */
    readonly storageProfile: MysqlServerStorageProfile[];
    /**
     * timeouts block.
     */
    readonly timeouts?: MysqlServerTimeouts;
}
/**
 *
 */
export interface MysqlServerStorageProfile {
    /**
     *
     */
    readonly autoGrow?: string;
    /**
     *
     */
    readonly backupRetentionDays?: number;
    /**
     *
     */
    readonly geoRedundantBackup?: string;
    /**
     *
     */
    readonly storageMb: number;
}
/**
 *
 */
export interface MysqlServerTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class MysqlServer extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: MysqlServerConfig);
    private _administratorLogin;
    /**
     *
     */
    get administratorLogin(): string;
    /**
     *
     */
    set administratorLogin(value: string);
    private _administratorLoginPassword;
    /**
     *
     */
    get administratorLoginPassword(): string;
    /**
     *
     */
    set administratorLoginPassword(value: string);
    /**
     *
     */
    get fqdn(): string;
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _location;
    /**
     *
     */
    get location(): string;
    /**
     *
     */
    set location(value: string);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _skuName;
    /**
     *
     */
    get skuName(): string;
    /**
     *
     */
    set skuName(value: string);
    private _sslEnforcement;
    /**
     *
     */
    get sslEnforcement(): string;
    /**
     *
     */
    set sslEnforcement(value: string);
    private _tags?;
    /**
     *
     */
    get tags(): {
        [key: string]: string;
    } | undefined;
    /**
     *
     */
    set tags(value: {
        [key: string]: string;
    } | undefined);
    private _version;
    /**
     *
     */
    get version(): string;
    /**
     *
     */
    set version(value: string);
    private _storageProfile;
    /**
     *
     */
    get storageProfile(): MysqlServerStorageProfile[];
    /**
     *
     */
    set storageProfile(value: MysqlServerStorageProfile[]);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): MysqlServerTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: MysqlServerTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
