import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface MysqlVirtualNetworkRuleConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly serverName: string;
    /**
     *
     */
    readonly subnetId: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: MysqlVirtualNetworkRuleTimeouts;
}
/**
 *
 */
export interface MysqlVirtualNetworkRuleTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class MysqlVirtualNetworkRule extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: MysqlVirtualNetworkRuleConfig);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _serverName;
    /**
     *
     */
    get serverName(): string;
    /**
     *
     */
    set serverName(value: string);
    private _subnetId;
    /**
     *
     */
    get subnetId(): string;
    /**
     *
     */
    set subnetId(value: string);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): MysqlVirtualNetworkRuleTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: MysqlVirtualNetworkRuleTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
