import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface NatGatewayConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly idleTimeoutInMinutes?: number;
    /**
     *
     */
    readonly location: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly publicIpAddressIds?: string[];
    /**
     *
     */
    readonly publicIpPrefixIds?: string[];
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly skuName?: string;
    /**
     *
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     *
     */
    readonly zones?: string[];
    /**
     * timeouts block.
     */
    readonly timeouts?: NatGatewayTimeouts;
}
/**
 *
 */
export interface NatGatewayTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class NatGateway extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: NatGatewayConfig);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _idleTimeoutInMinutes?;
    /**
     *
     */
    get idleTimeoutInMinutes(): number | undefined;
    /**
     *
     */
    set idleTimeoutInMinutes(value: number | undefined);
    private _location;
    /**
     *
     */
    get location(): string;
    /**
     *
     */
    set location(value: string);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _publicIpAddressIds?;
    /**
     *
     */
    get publicIpAddressIds(): string[] | undefined;
    /**
     *
     */
    set publicIpAddressIds(value: string[] | undefined);
    private _publicIpPrefixIds?;
    /**
     *
     */
    get publicIpPrefixIds(): string[] | undefined;
    /**
     *
     */
    set publicIpPrefixIds(value: string[] | undefined);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    /**
     *
     */
    get resourceGuid(): string;
    private _skuName?;
    /**
     *
     */
    get skuName(): string | undefined;
    /**
     *
     */
    set skuName(value: string | undefined);
    private _tags?;
    /**
     *
     */
    get tags(): {
        [key: string]: string;
    } | undefined;
    /**
     *
     */
    set tags(value: {
        [key: string]: string;
    } | undefined);
    private _zones?;
    /**
     *
     */
    get zones(): string[] | undefined;
    /**
     *
     */
    set zones(value: string[] | undefined);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): NatGatewayTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: NatGatewayTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
