import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface NetappAccountConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly location: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     * active_directory block.
     */
    readonly activeDirectory?: NetappAccountActiveDirectory[];
    /**
     * timeouts block.
     */
    readonly timeouts?: NetappAccountTimeouts;
}
/**
 *
 */
export interface NetappAccountActiveDirectory {
    /**
     *
     */
    readonly dnsServers: string[];
    /**
     *
     */
    readonly domain: string;
    /**
     *
     */
    readonly organizationalUnit?: string;
    /**
     *
     */
    readonly password: string;
    /**
     *
     */
    readonly smbServerName: string;
    /**
     *
     */
    readonly username: string;
}
/**
 *
 */
export interface NetappAccountTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class NetappAccount extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: NetappAccountConfig);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _location;
    /**
     *
     */
    get location(): string;
    /**
     *
     */
    set location(value: string);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _activeDirectory?;
    /**
     *
     */
    get activeDirectory(): NetappAccountActiveDirectory[] | undefined;
    /**
     *
     */
    set activeDirectory(value: NetappAccountActiveDirectory[] | undefined);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): NetappAccountTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: NetappAccountTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
