import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface NetappPoolConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly accountName: string;
    /**
     *
     */
    readonly location: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly serviceLevel: string;
    /**
     *
     */
    readonly sizeInTb: number;
    /**
     * timeouts block.
     */
    readonly timeouts?: NetappPoolTimeouts;
}
/**
 *
 */
export interface NetappPoolTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class NetappPool extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: NetappPoolConfig);
    private _accountName;
    /**
     *
     */
    get accountName(): string;
    /**
     *
     */
    set accountName(value: string);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _location;
    /**
     *
     */
    get location(): string;
    /**
     *
     */
    set location(value: string);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _serviceLevel;
    /**
     *
     */
    get serviceLevel(): string;
    /**
     *
     */
    set serviceLevel(value: string);
    private _sizeInTb;
    /**
     *
     */
    get sizeInTb(): number;
    /**
     *
     */
    set sizeInTb(value: number);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): NetappPoolTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: NetappPoolTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
