import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface NetappSnapshotConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly accountName: string;
    /**
     *
     */
    readonly location: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly poolName: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly volumeName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: NetappSnapshotTimeouts;
}
/**
 *
 */
export interface NetappSnapshotTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class NetappSnapshot extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: NetappSnapshotConfig);
    private _accountName;
    /**
     *
     */
    get accountName(): string;
    /**
     *
     */
    set accountName(value: string);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _location;
    /**
     *
     */
    get location(): string;
    /**
     *
     */
    set location(value: string);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _poolName;
    /**
     *
     */
    get poolName(): string;
    /**
     *
     */
    set poolName(value: string);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _volumeName;
    /**
     *
     */
    get volumeName(): string;
    /**
     *
     */
    set volumeName(value: string);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): NetappSnapshotTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: NetappSnapshotTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
