import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface NetappVolumeConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly accountName: string;
    /**
     *
     */
    readonly location: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly poolName: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly serviceLevel: string;
    /**
     *
     */
    readonly storageQuotaInGb: number;
    /**
     *
     */
    readonly subnetId: string;
    /**
     *
     */
    readonly volumePath: string;
    /**
     * export_policy_rule block.
     */
    readonly exportPolicyRule?: NetappVolumeExportPolicyRule[];
    /**
     * timeouts block.
     */
    readonly timeouts?: NetappVolumeTimeouts;
}
/**
 *
 */
export interface NetappVolumeExportPolicyRule {
    /**
     *
     */
    readonly allowedClients: string[];
    /**
     *
     */
    readonly cifsEnabled: boolean;
    /**
     *
     */
    readonly nfsv3Enabled: boolean;
    /**
     *
     */
    readonly nfsv4Enabled: boolean;
    /**
     *
     */
    readonly ruleIndex: number;
    /**
     *
     */
    readonly unixReadOnly?: boolean;
    /**
     *
     */
    readonly unixReadWrite?: boolean;
}
/**
 *
 */
export interface NetappVolumeTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class NetappVolume extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: NetappVolumeConfig);
    private _accountName;
    /**
     *
     */
    get accountName(): string;
    /**
     *
     */
    set accountName(value: string);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _location;
    /**
     *
     */
    get location(): string;
    /**
     *
     */
    set location(value: string);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _poolName;
    /**
     *
     */
    get poolName(): string;
    /**
     *
     */
    set poolName(value: string);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _serviceLevel;
    /**
     *
     */
    get serviceLevel(): string;
    /**
     *
     */
    set serviceLevel(value: string);
    private _storageQuotaInGb;
    /**
     *
     */
    get storageQuotaInGb(): number;
    /**
     *
     */
    set storageQuotaInGb(value: number);
    private _subnetId;
    /**
     *
     */
    get subnetId(): string;
    /**
     *
     */
    set subnetId(value: string);
    private _volumePath;
    /**
     *
     */
    get volumePath(): string;
    /**
     *
     */
    set volumePath(value: string);
    private _exportPolicyRule?;
    /**
     *
     */
    get exportPolicyRule(): NetappVolumeExportPolicyRule[] | undefined;
    /**
     *
     */
    set exportPolicyRule(value: NetappVolumeExportPolicyRule[] | undefined);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): NetappVolumeTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: NetappVolumeTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
