import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface NetworkConnectionMonitorConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly autoStart?: boolean;
    /**
     *
     */
    readonly intervalInSeconds?: number;
    /**
     *
     */
    readonly location: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly networkWatcherName: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * destination block.
     */
    readonly destination: NetworkConnectionMonitorDestination[];
    /**
     * source block.
     */
    readonly source: NetworkConnectionMonitorSource[];
    /**
     * timeouts block.
     */
    readonly timeouts?: NetworkConnectionMonitorTimeouts;
}
/**
 *
 */
export interface NetworkConnectionMonitorDestination {
    /**
     *
     */
    readonly address?: string;
    /**
     *
     */
    readonly port: number;
    /**
     *
     */
    readonly virtualMachineId?: string;
}
/**
 *
 */
export interface NetworkConnectionMonitorSource {
    /**
     *
     */
    readonly port?: number;
    /**
     *
     */
    readonly virtualMachineId: string;
}
/**
 *
 */
export interface NetworkConnectionMonitorTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class NetworkConnectionMonitor extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: NetworkConnectionMonitorConfig);
    private _autoStart?;
    /**
     *
     */
    get autoStart(): boolean | undefined;
    /**
     *
     */
    set autoStart(value: boolean | undefined);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _intervalInSeconds?;
    /**
     *
     */
    get intervalInSeconds(): number | undefined;
    /**
     *
     */
    set intervalInSeconds(value: number | undefined);
    private _location;
    /**
     *
     */
    get location(): string;
    /**
     *
     */
    set location(value: string);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _networkWatcherName;
    /**
     *
     */
    get networkWatcherName(): string;
    /**
     *
     */
    set networkWatcherName(value: string);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _tags?;
    /**
     *
     */
    get tags(): {
        [key: string]: string;
    } | undefined;
    /**
     *
     */
    set tags(value: {
        [key: string]: string;
    } | undefined);
    private _destination;
    /**
     *
     */
    get destination(): NetworkConnectionMonitorDestination[];
    /**
     *
     */
    set destination(value: NetworkConnectionMonitorDestination[]);
    private _source;
    /**
     *
     */
    get source(): NetworkConnectionMonitorSource[];
    /**
     *
     */
    set source(value: NetworkConnectionMonitorSource[]);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): NetworkConnectionMonitorTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: NetworkConnectionMonitorTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
