import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface NetworkInterfaceBackendAddressPoolAssociationConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly backendAddressPoolId: string;
    /**
     *
     */
    readonly ipConfigurationName: string;
    /**
     *
     */
    readonly networkInterfaceId: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: NetworkInterfaceBackendAddressPoolAssociationTimeouts;
}
/**
 *
 */
export interface NetworkInterfaceBackendAddressPoolAssociationTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class NetworkInterfaceBackendAddressPoolAssociation extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: NetworkInterfaceBackendAddressPoolAssociationConfig);
    private _backendAddressPoolId;
    /**
     *
     */
    get backendAddressPoolId(): string;
    /**
     *
     */
    set backendAddressPoolId(value: string);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _ipConfigurationName;
    /**
     *
     */
    get ipConfigurationName(): string;
    /**
     *
     */
    set ipConfigurationName(value: string);
    private _networkInterfaceId;
    /**
     *
     */
    get networkInterfaceId(): string;
    /**
     *
     */
    set networkInterfaceId(value: string);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): NetworkInterfaceBackendAddressPoolAssociationTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: NetworkInterfaceBackendAddressPoolAssociationTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
