import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface NetworkInterfaceNatRuleAssociationConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly ipConfigurationName: string;
    /**
     *
     */
    readonly natRuleId: string;
    /**
     *
     */
    readonly networkInterfaceId: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: NetworkInterfaceNatRuleAssociationTimeouts;
}
/**
 *
 */
export interface NetworkInterfaceNatRuleAssociationTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class NetworkInterfaceNatRuleAssociation extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: NetworkInterfaceNatRuleAssociationConfig);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _ipConfigurationName;
    /**
     *
     */
    get ipConfigurationName(): string;
    /**
     *
     */
    set ipConfigurationName(value: string);
    private _natRuleId;
    /**
     *
     */
    get natRuleId(): string;
    /**
     *
     */
    set natRuleId(value: string);
    private _networkInterfaceId;
    /**
     *
     */
    get networkInterfaceId(): string;
    /**
     *
     */
    set networkInterfaceId(value: string);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): NetworkInterfaceNatRuleAssociationTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: NetworkInterfaceNatRuleAssociationTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
