import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface NetworkInterfaceSecurityGroupAssociationConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly networkInterfaceId: string;
    /**
     *
     */
    readonly networkSecurityGroupId: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: NetworkInterfaceSecurityGroupAssociationTimeouts;
}
/**
 *
 */
export interface NetworkInterfaceSecurityGroupAssociationTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class NetworkInterfaceSecurityGroupAssociation extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: NetworkInterfaceSecurityGroupAssociationConfig);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _networkInterfaceId;
    /**
     *
     */
    get networkInterfaceId(): string;
    /**
     *
     */
    set networkInterfaceId(value: string);
    private _networkSecurityGroupId;
    /**
     *
     */
    get networkSecurityGroupId(): string;
    /**
     *
     */
    set networkSecurityGroupId(value: string);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): NetworkInterfaceSecurityGroupAssociationTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: NetworkInterfaceSecurityGroupAssociationTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
