import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface NetworkPacketCaptureConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly maximumBytesPerPacket?: number;
    /**
     *
     */
    readonly maximumBytesPerSession?: number;
    /**
     *
     */
    readonly maximumCaptureDuration?: number;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly networkWatcherName: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly targetResourceId: string;
    /**
     * filter block.
     */
    readonly filter?: NetworkPacketCaptureFilter[];
    /**
     * storage_location block.
     */
    readonly storageLocation: NetworkPacketCaptureStorageLocation[];
    /**
     * timeouts block.
     */
    readonly timeouts?: NetworkPacketCaptureTimeouts;
}
/**
 *
 */
export interface NetworkPacketCaptureFilter {
    /**
     *
     */
    readonly localIpAddress?: string;
    /**
     *
     */
    readonly localPort?: string;
    /**
     *
     */
    readonly protocol: string;
    /**
     *
     */
    readonly remoteIpAddress?: string;
    /**
     *
     */
    readonly remotePort?: string;
}
/**
 *
 */
export interface NetworkPacketCaptureStorageLocation {
    /**
     *
     */
    readonly filePath?: string;
    /**
     *
     */
    readonly storageAccountId?: string;
}
/**
 *
 */
export interface NetworkPacketCaptureTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class NetworkPacketCapture extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: NetworkPacketCaptureConfig);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _maximumBytesPerPacket?;
    /**
     *
     */
    get maximumBytesPerPacket(): number | undefined;
    /**
     *
     */
    set maximumBytesPerPacket(value: number | undefined);
    private _maximumBytesPerSession?;
    /**
     *
     */
    get maximumBytesPerSession(): number | undefined;
    /**
     *
     */
    set maximumBytesPerSession(value: number | undefined);
    private _maximumCaptureDuration?;
    /**
     *
     */
    get maximumCaptureDuration(): number | undefined;
    /**
     *
     */
    set maximumCaptureDuration(value: number | undefined);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _networkWatcherName;
    /**
     *
     */
    get networkWatcherName(): string;
    /**
     *
     */
    set networkWatcherName(value: string);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _targetResourceId;
    /**
     *
     */
    get targetResourceId(): string;
    /**
     *
     */
    set targetResourceId(value: string);
    private _filter?;
    /**
     *
     */
    get filter(): NetworkPacketCaptureFilter[] | undefined;
    /**
     *
     */
    set filter(value: NetworkPacketCaptureFilter[] | undefined);
    private _storageLocation;
    /**
     *
     */
    get storageLocation(): NetworkPacketCaptureStorageLocation[];
    /**
     *
     */
    set storageLocation(value: NetworkPacketCaptureStorageLocation[]);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): NetworkPacketCaptureTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: NetworkPacketCaptureTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
