import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface NetworkProfileConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly location: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * container_network_interface block.
     */
    readonly containerNetworkInterface: NetworkProfileContainerNetworkInterface[];
    /**
     * timeouts block.
     */
    readonly timeouts?: NetworkProfileTimeouts;
}
/**
 *
 */
export interface NetworkProfileContainerNetworkInterfaceIpConfiguration {
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly subnetId: string;
}
/**
 *
 */
export interface NetworkProfileContainerNetworkInterface {
    /**
     *
     */
    readonly name: string;
    /**
     * ip_configuration block.
     */
    readonly ipConfiguration: NetworkProfileContainerNetworkInterfaceIpConfiguration[];
}
/**
 *
 */
export interface NetworkProfileTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class NetworkProfile extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: NetworkProfileConfig);
    /**
     *
     */
    get containerNetworkInterfaceIds(): string[];
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _location;
    /**
     *
     */
    get location(): string;
    /**
     *
     */
    set location(value: string);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _tags?;
    /**
     *
     */
    get tags(): {
        [key: string]: string;
    } | undefined;
    /**
     *
     */
    set tags(value: {
        [key: string]: string;
    } | undefined);
    private _containerNetworkInterface;
    /**
     *
     */
    get containerNetworkInterface(): NetworkProfileContainerNetworkInterface[];
    /**
     *
     */
    set containerNetworkInterface(value: NetworkProfileContainerNetworkInterface[]);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): NetworkProfileTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: NetworkProfileTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
