import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface NetworkSecurityGroupConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly location: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly securityRule?: NetworkSecurityGroupSecurityRule[];
    /**
     *
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * timeouts block.
     */
    readonly timeouts?: NetworkSecurityGroupTimeouts;
}
/**
 *
 */
export interface NetworkSecurityGroupSecurityRule {
    /**
     *
     */
    readonly access?: string;
    /**
     *
     */
    readonly description?: string;
    /**
     *
     */
    readonly destinationAddressPrefix?: string;
    /**
     *
     */
    readonly destinationAddressPrefixes?: string[];
    /**
     *
     */
    readonly destinationApplicationSecurityGroupIds?: string[];
    /**
     *
     */
    readonly destinationPortRange?: string;
    /**
     *
     */
    readonly destinationPortRanges?: string[];
    /**
     *
     */
    readonly direction?: string;
    /**
     *
     */
    readonly name?: string;
    /**
     *
     */
    readonly priority?: number;
    /**
     *
     */
    readonly protocol?: string;
    /**
     *
     */
    readonly sourceAddressPrefix?: string;
    /**
     *
     */
    readonly sourceAddressPrefixes?: string[];
    /**
     *
     */
    readonly sourceApplicationSecurityGroupIds?: string[];
    /**
     *
     */
    readonly sourcePortRange?: string;
    /**
     *
     */
    readonly sourcePortRanges?: string[];
}
/**
 *
 */
export interface NetworkSecurityGroupTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class NetworkSecurityGroup extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: NetworkSecurityGroupConfig);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _location;
    /**
     *
     */
    get location(): string;
    /**
     *
     */
    set location(value: string);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _securityRule?;
    /**
     *
     */
    get securityRule(): NetworkSecurityGroupSecurityRule[] | undefined;
    /**
     *
     */
    set securityRule(value: NetworkSecurityGroupSecurityRule[] | undefined);
    private _tags?;
    /**
     *
     */
    get tags(): {
        [key: string]: string;
    } | undefined;
    /**
     *
     */
    set tags(value: {
        [key: string]: string;
    } | undefined);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): NetworkSecurityGroupTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: NetworkSecurityGroupTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
