import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface NetworkSecurityRuleConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly access: string;
    /**
     *
     */
    readonly description?: string;
    /**
     *
     */
    readonly destinationAddressPrefix?: string;
    /**
     *
     */
    readonly destinationAddressPrefixes?: string[];
    /**
     *
     */
    readonly destinationApplicationSecurityGroupIds?: string[];
    /**
     *
     */
    readonly destinationPortRange?: string;
    /**
     *
     */
    readonly destinationPortRanges?: string[];
    /**
     *
     */
    readonly direction: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly networkSecurityGroupName: string;
    /**
     *
     */
    readonly priority: number;
    /**
     *
     */
    readonly protocol: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly sourceAddressPrefix?: string;
    /**
     *
     */
    readonly sourceAddressPrefixes?: string[];
    /**
     *
     */
    readonly sourceApplicationSecurityGroupIds?: string[];
    /**
     *
     */
    readonly sourcePortRange?: string;
    /**
     *
     */
    readonly sourcePortRanges?: string[];
    /**
     * timeouts block.
     */
    readonly timeouts?: NetworkSecurityRuleTimeouts;
}
/**
 *
 */
export interface NetworkSecurityRuleTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class NetworkSecurityRule extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: NetworkSecurityRuleConfig);
    private _access;
    /**
     *
     */
    get access(): string;
    /**
     *
     */
    set access(value: string);
    private _description?;
    /**
     *
     */
    get description(): string | undefined;
    /**
     *
     */
    set description(value: string | undefined);
    private _destinationAddressPrefix?;
    /**
     *
     */
    get destinationAddressPrefix(): string | undefined;
    /**
     *
     */
    set destinationAddressPrefix(value: string | undefined);
    private _destinationAddressPrefixes?;
    /**
     *
     */
    get destinationAddressPrefixes(): string[] | undefined;
    /**
     *
     */
    set destinationAddressPrefixes(value: string[] | undefined);
    private _destinationApplicationSecurityGroupIds?;
    /**
     *
     */
    get destinationApplicationSecurityGroupIds(): string[] | undefined;
    /**
     *
     */
    set destinationApplicationSecurityGroupIds(value: string[] | undefined);
    private _destinationPortRange?;
    /**
     *
     */
    get destinationPortRange(): string | undefined;
    /**
     *
     */
    set destinationPortRange(value: string | undefined);
    private _destinationPortRanges?;
    /**
     *
     */
    get destinationPortRanges(): string[] | undefined;
    /**
     *
     */
    set destinationPortRanges(value: string[] | undefined);
    private _direction;
    /**
     *
     */
    get direction(): string;
    /**
     *
     */
    set direction(value: string);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _networkSecurityGroupName;
    /**
     *
     */
    get networkSecurityGroupName(): string;
    /**
     *
     */
    set networkSecurityGroupName(value: string);
    private _priority;
    /**
     *
     */
    get priority(): number;
    /**
     *
     */
    set priority(value: number);
    private _protocol;
    /**
     *
     */
    get protocol(): string;
    /**
     *
     */
    set protocol(value: string);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _sourceAddressPrefix?;
    /**
     *
     */
    get sourceAddressPrefix(): string | undefined;
    /**
     *
     */
    set sourceAddressPrefix(value: string | undefined);
    private _sourceAddressPrefixes?;
    /**
     *
     */
    get sourceAddressPrefixes(): string[] | undefined;
    /**
     *
     */
    set sourceAddressPrefixes(value: string[] | undefined);
    private _sourceApplicationSecurityGroupIds?;
    /**
     *
     */
    get sourceApplicationSecurityGroupIds(): string[] | undefined;
    /**
     *
     */
    set sourceApplicationSecurityGroupIds(value: string[] | undefined);
    private _sourcePortRange?;
    /**
     *
     */
    get sourcePortRange(): string | undefined;
    /**
     *
     */
    set sourcePortRange(value: string | undefined);
    private _sourcePortRanges?;
    /**
     *
     */
    get sourcePortRanges(): string[] | undefined;
    /**
     *
     */
    set sourcePortRanges(value: string[] | undefined);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): NetworkSecurityRuleTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: NetworkSecurityRuleTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
