import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface NetworkWatcherFlowLogConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly enabled: boolean;
    /**
     *
     */
    readonly networkSecurityGroupId: string;
    /**
     *
     */
    readonly networkWatcherName: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly storageAccountId: string;
    /**
     *
     */
    readonly version?: number;
    /**
     * retention_policy block.
     */
    readonly retentionPolicy: NetworkWatcherFlowLogRetentionPolicy[];
    /**
     * timeouts block.
     */
    readonly timeouts?: NetworkWatcherFlowLogTimeouts;
    /**
     * traffic_analytics block.
     */
    readonly trafficAnalytics?: NetworkWatcherFlowLogTrafficAnalytics[];
}
/**
 *
 */
export interface NetworkWatcherFlowLogRetentionPolicy {
    /**
     *
     */
    readonly days: number;
    /**
     *
     */
    readonly enabled: boolean;
}
/**
 *
 */
export interface NetworkWatcherFlowLogTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export interface NetworkWatcherFlowLogTrafficAnalytics {
    /**
     *
     */
    readonly enabled: boolean;
    /**
     *
     */
    readonly workspaceId: string;
    /**
     *
     */
    readonly workspaceRegion: string;
    /**
     *
     */
    readonly workspaceResourceId: string;
}
/**
 *
 */
export declare class NetworkWatcherFlowLog extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: NetworkWatcherFlowLogConfig);
    private _enabled;
    /**
     *
     */
    get enabled(): boolean;
    /**
     *
     */
    set enabled(value: boolean);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _networkSecurityGroupId;
    /**
     *
     */
    get networkSecurityGroupId(): string;
    /**
     *
     */
    set networkSecurityGroupId(value: string);
    private _networkWatcherName;
    /**
     *
     */
    get networkWatcherName(): string;
    /**
     *
     */
    set networkWatcherName(value: string);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _storageAccountId;
    /**
     *
     */
    get storageAccountId(): string;
    /**
     *
     */
    set storageAccountId(value: string);
    private _version?;
    /**
     *
     */
    get version(): number | undefined;
    /**
     *
     */
    set version(value: number | undefined);
    private _retentionPolicy;
    /**
     *
     */
    get retentionPolicy(): NetworkWatcherFlowLogRetentionPolicy[];
    /**
     *
     */
    set retentionPolicy(value: NetworkWatcherFlowLogRetentionPolicy[]);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): NetworkWatcherFlowLogTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: NetworkWatcherFlowLogTimeouts | undefined);
    private _trafficAnalytics?;
    /**
     *
     */
    get trafficAnalytics(): NetworkWatcherFlowLogTrafficAnalytics[] | undefined;
    /**
     *
     */
    set trafficAnalytics(value: NetworkWatcherFlowLogTrafficAnalytics[] | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
