import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface NotificationHubAuthorizationRuleConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly listen?: boolean;
    /**
     *
     */
    readonly manage?: boolean;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly namespaceName: string;
    /**
     *
     */
    readonly notificationHubName: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly send?: boolean;
    /**
     * timeouts block.
     */
    readonly timeouts?: NotificationHubAuthorizationRuleTimeouts;
}
/**
 *
 */
export interface NotificationHubAuthorizationRuleTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class NotificationHubAuthorizationRule extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: NotificationHubAuthorizationRuleConfig);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _listen?;
    /**
     *
     */
    get listen(): boolean | undefined;
    /**
     *
     */
    set listen(value: boolean | undefined);
    private _manage?;
    /**
     *
     */
    get manage(): boolean | undefined;
    /**
     *
     */
    set manage(value: boolean | undefined);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _namespaceName;
    /**
     *
     */
    get namespaceName(): string;
    /**
     *
     */
    set namespaceName(value: string);
    private _notificationHubName;
    /**
     *
     */
    get notificationHubName(): string;
    /**
     *
     */
    set notificationHubName(value: string);
    /**
     *
     */
    get primaryAccessKey(): string;
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    /**
     *
     */
    get secondaryAccessKey(): string;
    private _send?;
    /**
     *
     */
    get send(): boolean | undefined;
    /**
     *
     */
    set send(value: boolean | undefined);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): NotificationHubAuthorizationRuleTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: NotificationHubAuthorizationRuleTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
