import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface NotificationHubConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly location: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly namespaceName: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     * apns_credential block.
     */
    readonly apnsCredential?: NotificationHubApnsCredential[];
    /**
     * gcm_credential block.
     */
    readonly gcmCredential?: NotificationHubGcmCredential[];
    /**
     * timeouts block.
     */
    readonly timeouts?: NotificationHubTimeouts;
}
/**
 *
 */
export interface NotificationHubApnsCredential {
    /**
     *
     */
    readonly applicationMode: string;
    /**
     *
     */
    readonly bundleId: string;
    /**
     *
     */
    readonly keyId: string;
    /**
     *
     */
    readonly teamId: string;
    /**
     *
     */
    readonly token: string;
}
/**
 *
 */
export interface NotificationHubGcmCredential {
    /**
     *
     */
    readonly apiKey: string;
}
/**
 *
 */
export interface NotificationHubTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class NotificationHub extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: NotificationHubConfig);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _location;
    /**
     *
     */
    get location(): string;
    /**
     *
     */
    set location(value: string);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _namespaceName;
    /**
     *
     */
    get namespaceName(): string;
    /**
     *
     */
    set namespaceName(value: string);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _apnsCredential?;
    /**
     *
     */
    get apnsCredential(): NotificationHubApnsCredential[] | undefined;
    /**
     *
     */
    set apnsCredential(value: NotificationHubApnsCredential[] | undefined);
    private _gcmCredential?;
    /**
     *
     */
    get gcmCredential(): NotificationHubGcmCredential[] | undefined;
    /**
     *
     */
    set gcmCredential(value: NotificationHubGcmCredential[] | undefined);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): NotificationHubTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: NotificationHubTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
