import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface PolicyAssignmentConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly description?: string;
    /**
     *
     */
    readonly displayName?: string;
    /**
     *
     */
    readonly location?: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly notScopes?: string[];
    /**
     *
     */
    readonly parameters?: string;
    /**
     *
     */
    readonly policyDefinitionId: string;
    /**
     *
     */
    readonly scope: string;
    /**
     * identity block.
     */
    readonly identity?: PolicyAssignmentIdentity[];
    /**
     * timeouts block.
     */
    readonly timeouts?: PolicyAssignmentTimeouts;
}
/**
 *
 */
export interface PolicyAssignmentIdentity {
    /**
     *
     */
    readonly type?: string;
}
/**
 *
 */
export interface PolicyAssignmentTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class PolicyAssignment extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: PolicyAssignmentConfig);
    private _description?;
    /**
     *
     */
    get description(): string | undefined;
    /**
     *
     */
    set description(value: string | undefined);
    private _displayName?;
    /**
     *
     */
    get displayName(): string | undefined;
    /**
     *
     */
    set displayName(value: string | undefined);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _location?;
    /**
     *
     */
    get location(): string | undefined;
    /**
     *
     */
    set location(value: string | undefined);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _notScopes?;
    /**
     *
     */
    get notScopes(): string[] | undefined;
    /**
     *
     */
    set notScopes(value: string[] | undefined);
    private _parameters?;
    /**
     *
     */
    get parameters(): string | undefined;
    /**
     *
     */
    set parameters(value: string | undefined);
    private _policyDefinitionId;
    /**
     *
     */
    get policyDefinitionId(): string;
    /**
     *
     */
    set policyDefinitionId(value: string);
    private _scope;
    /**
     *
     */
    get scope(): string;
    /**
     *
     */
    set scope(value: string);
    private _identity?;
    /**
     *
     */
    get identity(): PolicyAssignmentIdentity[] | undefined;
    /**
     *
     */
    set identity(value: PolicyAssignmentIdentity[] | undefined);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): PolicyAssignmentTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: PolicyAssignmentTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
