import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface PolicySetDefinitionConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly description?: string;
    /**
     *
     */
    readonly displayName: string;
    /**
     *
     */
    readonly managementGroupId?: string;
    /**
     *
     */
    readonly metadata?: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly parameters?: string;
    /**
     *
     */
    readonly policyDefinitions?: string;
    /**
     *
     */
    readonly policyType: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: PolicySetDefinitionTimeouts;
}
/**
 *
 */
export interface PolicySetDefinitionTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class PolicySetDefinition extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: PolicySetDefinitionConfig);
    private _description?;
    /**
     *
     */
    get description(): string | undefined;
    /**
     *
     */
    set description(value: string | undefined);
    private _displayName;
    /**
     *
     */
    get displayName(): string;
    /**
     *
     */
    set displayName(value: string);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _managementGroupId?;
    /**
     *
     */
    get managementGroupId(): string | undefined;
    /**
     *
     */
    set managementGroupId(value: string | undefined);
    private _metadata?;
    /**
     *
     */
    get metadata(): string | undefined;
    /**
     *
     */
    set metadata(value: string | undefined);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _parameters?;
    /**
     *
     */
    get parameters(): string | undefined;
    /**
     *
     */
    set parameters(value: string | undefined);
    private _policyDefinitions?;
    /**
     *
     */
    get policyDefinitions(): string | undefined;
    /**
     *
     */
    set policyDefinitions(value: string | undefined);
    private _policyType;
    /**
     *
     */
    get policyType(): string;
    /**
     *
     */
    set policyType(value: string);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): PolicySetDefinitionTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: PolicySetDefinitionTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
