import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface PostgresqlConfigurationConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly serverName: string;
    /**
     *
     */
    readonly value: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: PostgresqlConfigurationTimeouts;
}
/**
 *
 */
export interface PostgresqlConfigurationTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class PostgresqlConfiguration extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: PostgresqlConfigurationConfig);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _serverName;
    /**
     *
     */
    get serverName(): string;
    /**
     *
     */
    set serverName(value: string);
    private _value;
    /**
     *
     */
    get value(): string;
    /**
     *
     */
    set value(value: string);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): PostgresqlConfigurationTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: PostgresqlConfigurationTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
