import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface PostgresqlDatabaseConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly charset: string;
    /**
     *
     */
    readonly collation: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly serverName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: PostgresqlDatabaseTimeouts;
}
/**
 *
 */
export interface PostgresqlDatabaseTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class PostgresqlDatabase extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: PostgresqlDatabaseConfig);
    private _charset;
    /**
     *
     */
    get charset(): string;
    /**
     *
     */
    set charset(value: string);
    private _collation;
    /**
     *
     */
    get collation(): string;
    /**
     *
     */
    set collation(value: string);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _serverName;
    /**
     *
     */
    get serverName(): string;
    /**
     *
     */
    set serverName(value: string);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): PostgresqlDatabaseTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: PostgresqlDatabaseTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
