import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface PrivateDnsMxRecordConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly name?: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     *
     */
    readonly ttl: number;
    /**
     *
     */
    readonly zoneName: string;
    /**
     * record block.
     */
    readonly record: PrivateDnsMxRecordRecord[];
    /**
     * timeouts block.
     */
    readonly timeouts?: PrivateDnsMxRecordTimeouts;
}
/**
 *
 */
export interface PrivateDnsMxRecordRecord {
    /**
     *
     */
    readonly exchange: string;
    /**
     *
     */
    readonly preference: number;
}
/**
 *
 */
export interface PrivateDnsMxRecordTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class PrivateDnsMxRecord extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: PrivateDnsMxRecordConfig);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _name?;
    /**
     *
     */
    get name(): string | undefined;
    /**
     *
     */
    set name(value: string | undefined);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _tags?;
    /**
     *
     */
    get tags(): {
        [key: string]: string;
    } | undefined;
    /**
     *
     */
    set tags(value: {
        [key: string]: string;
    } | undefined);
    private _ttl;
    /**
     *
     */
    get ttl(): number;
    /**
     *
     */
    set ttl(value: number);
    private _zoneName;
    /**
     *
     */
    get zoneName(): string;
    /**
     *
     */
    set zoneName(value: string);
    private _record;
    /**
     *
     */
    get record(): PrivateDnsMxRecordRecord[];
    /**
     *
     */
    set record(value: PrivateDnsMxRecordRecord[]);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): PrivateDnsMxRecordTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: PrivateDnsMxRecordTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
