import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface PrivateDnsPtrRecordConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly records: string[];
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     *
     */
    readonly ttl: number;
    /**
     *
     */
    readonly zoneName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: PrivateDnsPtrRecordTimeouts;
}
/**
 *
 */
export interface PrivateDnsPtrRecordTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class PrivateDnsPtrRecord extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: PrivateDnsPtrRecordConfig);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _records;
    /**
     *
     */
    get records(): string[];
    /**
     *
     */
    set records(value: string[]);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _tags?;
    /**
     *
     */
    get tags(): {
        [key: string]: string;
    } | undefined;
    /**
     *
     */
    set tags(value: {
        [key: string]: string;
    } | undefined);
    private _ttl;
    /**
     *
     */
    get ttl(): number;
    /**
     *
     */
    set ttl(value: number);
    private _zoneName;
    /**
     *
     */
    get zoneName(): string;
    /**
     *
     */
    set zoneName(value: string);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): PrivateDnsPtrRecordTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: PrivateDnsPtrRecordTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
