import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface PrivateDnsZoneVirtualNetworkLinkConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly privateDnsZoneName: string;
    /**
     *
     */
    readonly registrationEnabled?: boolean;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     *
     */
    readonly virtualNetworkId: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: PrivateDnsZoneVirtualNetworkLinkTimeouts;
}
/**
 *
 */
export interface PrivateDnsZoneVirtualNetworkLinkTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class PrivateDnsZoneVirtualNetworkLink extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: PrivateDnsZoneVirtualNetworkLinkConfig);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _privateDnsZoneName;
    /**
     *
     */
    get privateDnsZoneName(): string;
    /**
     *
     */
    set privateDnsZoneName(value: string);
    private _registrationEnabled?;
    /**
     *
     */
    get registrationEnabled(): boolean | undefined;
    /**
     *
     */
    set registrationEnabled(value: boolean | undefined);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _tags?;
    /**
     *
     */
    get tags(): {
        [key: string]: string;
    } | undefined;
    /**
     *
     */
    set tags(value: {
        [key: string]: string;
    } | undefined);
    private _virtualNetworkId;
    /**
     *
     */
    get virtualNetworkId(): string;
    /**
     *
     */
    set virtualNetworkId(value: string);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): PrivateDnsZoneVirtualNetworkLinkTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: PrivateDnsZoneVirtualNetworkLinkTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
