import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface PrivateLinkServiceConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly autoApprovalSubscriptionIds?: string[];
    /**
     *
     */
    readonly enableProxyProtocol?: boolean;
    /**
     *
     */
    readonly loadBalancerFrontendIpConfigurationIds: string[];
    /**
     *
     */
    readonly location: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     *
     */
    readonly visibilitySubscriptionIds?: string[];
    /**
     * nat_ip_configuration block.
     */
    readonly natIpConfiguration: PrivateLinkServiceNatIpConfiguration[];
    /**
     * timeouts block.
     */
    readonly timeouts?: PrivateLinkServiceTimeouts;
}
/**
 *
 */
export interface PrivateLinkServiceNatIpConfiguration {
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly primary: boolean;
    /**
     *
     */
    readonly privateIpAddress?: string;
    /**
     *
     */
    readonly privateIpAddressVersion?: string;
    /**
     *
     */
    readonly subnetId: string;
}
/**
 *
 */
export interface PrivateLinkServiceTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class PrivateLinkService extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: PrivateLinkServiceConfig);
    /**
     *
     */
    get alias(): string;
    private _autoApprovalSubscriptionIds?;
    /**
     *
     */
    get autoApprovalSubscriptionIds(): string[] | undefined;
    /**
     *
     */
    set autoApprovalSubscriptionIds(value: string[] | undefined);
    private _enableProxyProtocol?;
    /**
     *
     */
    get enableProxyProtocol(): boolean | undefined;
    /**
     *
     */
    set enableProxyProtocol(value: boolean | undefined);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _loadBalancerFrontendIpConfigurationIds;
    /**
     *
     */
    get loadBalancerFrontendIpConfigurationIds(): string[];
    /**
     *
     */
    set loadBalancerFrontendIpConfigurationIds(value: string[]);
    private _location;
    /**
     *
     */
    get location(): string;
    /**
     *
     */
    set location(value: string);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _tags?;
    /**
     *
     */
    get tags(): {
        [key: string]: string;
    } | undefined;
    /**
     *
     */
    set tags(value: {
        [key: string]: string;
    } | undefined);
    private _visibilitySubscriptionIds?;
    /**
     *
     */
    get visibilitySubscriptionIds(): string[] | undefined;
    /**
     *
     */
    set visibilitySubscriptionIds(value: string[] | undefined);
    private _natIpConfiguration;
    /**
     *
     */
    get natIpConfiguration(): PrivateLinkServiceNatIpConfiguration[];
    /**
     *
     */
    set natIpConfiguration(value: PrivateLinkServiceNatIpConfiguration[]);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): PrivateLinkServiceTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: PrivateLinkServiceTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
