import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface PublicIpPrefixConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly location: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly prefixLength?: number;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly sku?: string;
    /**
     *
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     *
     */
    readonly zones?: string[];
    /**
     * timeouts block.
     */
    readonly timeouts?: PublicIpPrefixTimeouts;
}
/**
 *
 */
export interface PublicIpPrefixTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class PublicIpPrefix extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: PublicIpPrefixConfig);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    /**
     *
     */
    get ipPrefix(): string;
    private _location;
    /**
     *
     */
    get location(): string;
    /**
     *
     */
    set location(value: string);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _prefixLength?;
    /**
     *
     */
    get prefixLength(): number | undefined;
    /**
     *
     */
    set prefixLength(value: number | undefined);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _sku?;
    /**
     *
     */
    get sku(): string | undefined;
    /**
     *
     */
    set sku(value: string | undefined);
    private _tags?;
    /**
     *
     */
    get tags(): {
        [key: string]: string;
    } | undefined;
    /**
     *
     */
    set tags(value: {
        [key: string]: string;
    } | undefined);
    private _zones?;
    /**
     *
     */
    get zones(): string[] | undefined;
    /**
     *
     */
    set zones(value: string[] | undefined);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): PublicIpPrefixTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: PublicIpPrefixTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
