import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface PublicIpConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly allocationMethod: string;
    /**
     *
     */
    readonly domainNameLabel?: string;
    /**
     *
     */
    readonly idleTimeoutInMinutes?: number;
    /**
     *
     */
    readonly ipVersion?: string;
    /**
     *
     */
    readonly location: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly publicIpPrefixId?: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly reverseFqdn?: string;
    /**
     *
     */
    readonly sku?: string;
    /**
     *
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     *
     */
    readonly zones?: string[];
    /**
     * timeouts block.
     */
    readonly timeouts?: PublicIpTimeouts;
}
/**
 *
 */
export interface PublicIpTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class PublicIp extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: PublicIpConfig);
    private _allocationMethod;
    /**
     *
     */
    get allocationMethod(): string;
    /**
     *
     */
    set allocationMethod(value: string);
    private _domainNameLabel?;
    /**
     *
     */
    get domainNameLabel(): string | undefined;
    /**
     *
     */
    set domainNameLabel(value: string | undefined);
    /**
     *
     */
    get fqdn(): string;
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _idleTimeoutInMinutes?;
    /**
     *
     */
    get idleTimeoutInMinutes(): number | undefined;
    /**
     *
     */
    set idleTimeoutInMinutes(value: number | undefined);
    /**
     *
     */
    get ipAddress(): string;
    private _ipVersion?;
    /**
     *
     */
    get ipVersion(): string | undefined;
    /**
     *
     */
    set ipVersion(value: string | undefined);
    private _location;
    /**
     *
     */
    get location(): string;
    /**
     *
     */
    set location(value: string);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _publicIpPrefixId?;
    /**
     *
     */
    get publicIpPrefixId(): string | undefined;
    /**
     *
     */
    set publicIpPrefixId(value: string | undefined);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _reverseFqdn?;
    /**
     *
     */
    get reverseFqdn(): string | undefined;
    /**
     *
     */
    set reverseFqdn(value: string | undefined);
    private _sku?;
    /**
     *
     */
    get sku(): string | undefined;
    /**
     *
     */
    set sku(value: string | undefined);
    private _tags?;
    /**
     *
     */
    get tags(): {
        [key: string]: string;
    } | undefined;
    /**
     *
     */
    set tags(value: {
        [key: string]: string;
    } | undefined);
    private _zones?;
    /**
     *
     */
    get zones(): string[] | undefined;
    /**
     *
     */
    set zones(value: string[] | undefined);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): PublicIpTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: PublicIpTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
