import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface RedisCacheConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly capacity: number;
    /**
     *
     */
    readonly enableNonSslPort?: boolean;
    /**
     *
     */
    readonly family: string;
    /**
     *
     */
    readonly location: string;
    /**
     *
     */
    readonly minimumTlsVersion?: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly privateStaticIpAddress?: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly shardCount?: number;
    /**
     *
     */
    readonly skuName: string;
    /**
     *
     */
    readonly subnetId?: string;
    /**
     *
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     *
     */
    readonly zones?: string[];
    /**
     * patch_schedule block.
     */
    readonly patchSchedule?: RedisCachePatchSchedule[];
    /**
     * redis_configuration block.
     */
    readonly redisConfiguration?: RedisCacheRedisConfiguration[];
    /**
     * timeouts block.
     */
    readonly timeouts?: RedisCacheTimeouts;
}
/**
 *
 */
export interface RedisCachePatchSchedule {
    /**
     *
     */
    readonly dayOfWeek: string;
    /**
     *
     */
    readonly startHourUtc?: number;
}
/**
 *
 */
export interface RedisCacheRedisConfiguration {
    /**
     *
     */
    readonly aofBackupEnabled?: boolean;
    /**
     *
     */
    readonly aofStorageConnectionString0?: string;
    /**
     *
     */
    readonly aofStorageConnectionString1?: string;
    /**
     *
     */
    readonly enableAuthentication?: boolean;
    /**
     *
     */
    readonly maxfragmentationmemoryReserved?: number;
    /**
     *
     */
    readonly maxmemoryDelta?: number;
    /**
     *
     */
    readonly maxmemoryPolicy?: string;
    /**
     *
     */
    readonly maxmemoryReserved?: number;
    /**
     *
     */
    readonly notifyKeyspaceEvents?: string;
    /**
     *
     */
    readonly rdbBackupEnabled?: boolean;
    /**
     *
     */
    readonly rdbBackupFrequency?: number;
    /**
     *
     */
    readonly rdbBackupMaxSnapshotCount?: number;
    /**
     *
     */
    readonly rdbStorageConnectionString?: string;
}
/**
 *
 */
export interface RedisCacheTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class RedisCache extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: RedisCacheConfig);
    private _capacity;
    /**
     *
     */
    get capacity(): number;
    /**
     *
     */
    set capacity(value: number);
    private _enableNonSslPort?;
    /**
     *
     */
    get enableNonSslPort(): boolean | undefined;
    /**
     *
     */
    set enableNonSslPort(value: boolean | undefined);
    private _family;
    /**
     *
     */
    get family(): string;
    /**
     *
     */
    set family(value: string);
    /**
     *
     */
    get hostname(): string;
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _location;
    /**
     *
     */
    get location(): string;
    /**
     *
     */
    set location(value: string);
    private _minimumTlsVersion?;
    /**
     *
     */
    get minimumTlsVersion(): string | undefined;
    /**
     *
     */
    set minimumTlsVersion(value: string | undefined);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    /**
     *
     */
    get port(): number;
    /**
     *
     */
    get primaryAccessKey(): string;
    private _privateStaticIpAddress?;
    /**
     *
     */
    get privateStaticIpAddress(): string | undefined;
    /**
     *
     */
    set privateStaticIpAddress(value: string | undefined);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    /**
     *
     */
    get secondaryAccessKey(): string;
    private _shardCount?;
    /**
     *
     */
    get shardCount(): number | undefined;
    /**
     *
     */
    set shardCount(value: number | undefined);
    private _skuName;
    /**
     *
     */
    get skuName(): string;
    /**
     *
     */
    set skuName(value: string);
    /**
     *
     */
    get sslPort(): number;
    private _subnetId?;
    /**
     *
     */
    get subnetId(): string | undefined;
    /**
     *
     */
    set subnetId(value: string | undefined);
    private _tags?;
    /**
     *
     */
    get tags(): {
        [key: string]: string;
    } | undefined;
    /**
     *
     */
    set tags(value: {
        [key: string]: string;
    } | undefined);
    private _zones?;
    /**
     *
     */
    get zones(): string[] | undefined;
    /**
     *
     */
    set zones(value: string[] | undefined);
    private _patchSchedule?;
    /**
     *
     */
    get patchSchedule(): RedisCachePatchSchedule[] | undefined;
    /**
     *
     */
    set patchSchedule(value: RedisCachePatchSchedule[] | undefined);
    private _redisConfiguration?;
    /**
     *
     */
    get redisConfiguration(): RedisCacheRedisConfiguration[] | undefined;
    /**
     *
     */
    set redisConfiguration(value: RedisCacheRedisConfiguration[] | undefined);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): RedisCacheTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: RedisCacheTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
