import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface RedisFirewallRuleConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly endIp: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly redisCacheName: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly startIp: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: RedisFirewallRuleTimeouts;
}
/**
 *
 */
export interface RedisFirewallRuleTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class RedisFirewallRule extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: RedisFirewallRuleConfig);
    private _endIp;
    /**
     *
     */
    get endIp(): string;
    /**
     *
     */
    set endIp(value: string);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _redisCacheName;
    /**
     *
     */
    get redisCacheName(): string;
    /**
     *
     */
    set redisCacheName(value: string);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _startIp;
    /**
     *
     */
    get startIp(): string;
    /**
     *
     */
    set startIp(value: string);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): RedisFirewallRuleTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: RedisFirewallRuleTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
