import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface RelayHybridConnectionConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly relayNamespaceName: string;
    /**
     *
     */
    readonly requiresClientAuthorization?: boolean;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly userMetadata?: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: RelayHybridConnectionTimeouts;
}
/**
 *
 */
export interface RelayHybridConnectionTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class RelayHybridConnection extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: RelayHybridConnectionConfig);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _relayNamespaceName;
    /**
     *
     */
    get relayNamespaceName(): string;
    /**
     *
     */
    set relayNamespaceName(value: string);
    private _requiresClientAuthorization?;
    /**
     *
     */
    get requiresClientAuthorization(): boolean | undefined;
    /**
     *
     */
    set requiresClientAuthorization(value: boolean | undefined);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _userMetadata?;
    /**
     *
     */
    get userMetadata(): string | undefined;
    /**
     *
     */
    set userMetadata(value: string | undefined);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): RelayHybridConnectionTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: RelayHybridConnectionTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
