import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface RoleAssignmentConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly name?: string;
    /**
     *
     */
    readonly principalId: string;
    /**
     *
     */
    readonly roleDefinitionId?: string;
    /**
     *
     */
    readonly roleDefinitionName?: string;
    /**
     *
     */
    readonly scope: string;
    /**
     *
     */
    readonly skipServicePrincipalAadCheck?: boolean;
    /**
     * timeouts block.
     */
    readonly timeouts?: RoleAssignmentTimeouts;
}
/**
 *
 */
export interface RoleAssignmentTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class RoleAssignment extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: RoleAssignmentConfig);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _name?;
    /**
     *
     */
    get name(): string | undefined;
    /**
     *
     */
    set name(value: string | undefined);
    private _principalId;
    /**
     *
     */
    get principalId(): string;
    /**
     *
     */
    set principalId(value: string);
    /**
     *
     */
    get principalType(): string;
    private _roleDefinitionId?;
    /**
     *
     */
    get roleDefinitionId(): string | undefined;
    /**
     *
     */
    set roleDefinitionId(value: string | undefined);
    private _roleDefinitionName?;
    /**
     *
     */
    get roleDefinitionName(): string | undefined;
    /**
     *
     */
    set roleDefinitionName(value: string | undefined);
    private _scope;
    /**
     *
     */
    get scope(): string;
    /**
     *
     */
    set scope(value: string);
    private _skipServicePrincipalAadCheck?;
    /**
     *
     */
    get skipServicePrincipalAadCheck(): boolean | undefined;
    /**
     *
     */
    set skipServicePrincipalAadCheck(value: boolean | undefined);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): RoleAssignmentTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: RoleAssignmentTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
