import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface RoleDefinitionConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly assignableScopes: string[];
    /**
     *
     */
    readonly description?: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly roleDefinitionId?: string;
    /**
     *
     */
    readonly scope: string;
    /**
     * permissions block.
     */
    readonly permissions: RoleDefinitionPermissions[];
    /**
     * timeouts block.
     */
    readonly timeouts?: RoleDefinitionTimeouts;
}
/**
 *
 */
export interface RoleDefinitionPermissions {
    /**
     *
     */
    readonly actions?: string[];
    /**
     *
     */
    readonly dataActions?: string[];
    /**
     *
     */
    readonly notActions?: string[];
    /**
     *
     */
    readonly notDataActions?: string[];
}
/**
 *
 */
export interface RoleDefinitionTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class RoleDefinition extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: RoleDefinitionConfig);
    private _assignableScopes;
    /**
     *
     */
    get assignableScopes(): string[];
    /**
     *
     */
    set assignableScopes(value: string[]);
    private _description?;
    /**
     *
     */
    get description(): string | undefined;
    /**
     *
     */
    set description(value: string | undefined);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _roleDefinitionId?;
    /**
     *
     */
    get roleDefinitionId(): string | undefined;
    /**
     *
     */
    set roleDefinitionId(value: string | undefined);
    private _scope;
    /**
     *
     */
    get scope(): string;
    /**
     *
     */
    set scope(value: string);
    private _permissions;
    /**
     *
     */
    get permissions(): RoleDefinitionPermissions[];
    /**
     *
     */
    set permissions(value: RoleDefinitionPermissions[]);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): RoleDefinitionTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: RoleDefinitionTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
