import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface RouteTableConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly disableBgpRoutePropagation?: boolean;
    /**
     *
     */
    readonly location: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly route?: RouteTableRoute[];
    /**
     *
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * timeouts block.
     */
    readonly timeouts?: RouteTableTimeouts;
}
/**
 *
 */
export interface RouteTableRoute {
    /**
     *
     */
    readonly addressPrefix?: string;
    /**
     *
     */
    readonly name?: string;
    /**
     *
     */
    readonly nextHopInIpAddress?: string;
    /**
     *
     */
    readonly nextHopType?: string;
}
/**
 *
 */
export interface RouteTableTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class RouteTable extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: RouteTableConfig);
    private _disableBgpRoutePropagation?;
    /**
     *
     */
    get disableBgpRoutePropagation(): boolean | undefined;
    /**
     *
     */
    set disableBgpRoutePropagation(value: boolean | undefined);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _location;
    /**
     *
     */
    get location(): string;
    /**
     *
     */
    set location(value: string);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _route?;
    /**
     *
     */
    get route(): RouteTableRoute[] | undefined;
    /**
     *
     */
    set route(value: RouteTableRoute[] | undefined);
    /**
     *
     */
    get subnets(): string[];
    private _tags?;
    /**
     *
     */
    get tags(): {
        [key: string]: string;
    } | undefined;
    /**
     *
     */
    set tags(value: {
        [key: string]: string;
    } | undefined);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): RouteTableTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: RouteTableTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
