import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface RouteConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly addressPrefix: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly nextHopInIpAddress?: string;
    /**
     *
     */
    readonly nextHopType: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly routeTableName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: RouteTimeouts;
}
/**
 *
 */
export interface RouteTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class Route extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: RouteConfig);
    private _addressPrefix;
    /**
     *
     */
    get addressPrefix(): string;
    /**
     *
     */
    set addressPrefix(value: string);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _nextHopInIpAddress?;
    /**
     *
     */
    get nextHopInIpAddress(): string | undefined;
    /**
     *
     */
    set nextHopInIpAddress(value: string | undefined);
    private _nextHopType;
    /**
     *
     */
    get nextHopType(): string;
    /**
     *
     */
    set nextHopType(value: string);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _routeTableName;
    /**
     *
     */
    get routeTableName(): string;
    /**
     *
     */
    set routeTableName(value: string);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): RouteTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: RouteTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
