import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface SecurityCenterContactConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly alertNotifications: boolean;
    /**
     *
     */
    readonly alertsToAdmins: boolean;
    /**
     *
     */
    readonly email: string;
    /**
     *
     */
    readonly phone?: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: SecurityCenterContactTimeouts;
}
/**
 *
 */
export interface SecurityCenterContactTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class SecurityCenterContact extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: SecurityCenterContactConfig);
    private _alertNotifications;
    /**
     *
     */
    get alertNotifications(): boolean;
    /**
     *
     */
    set alertNotifications(value: boolean);
    private _alertsToAdmins;
    /**
     *
     */
    get alertsToAdmins(): boolean;
    /**
     *
     */
    set alertsToAdmins(value: boolean);
    private _email;
    /**
     *
     */
    get email(): string;
    /**
     *
     */
    set email(value: string);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _phone?;
    /**
     *
     */
    get phone(): string | undefined;
    /**
     *
     */
    set phone(value: string | undefined);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): SecurityCenterContactTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: SecurityCenterContactTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
