import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface ServiceFabricClusterConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly addOnFeatures?: string[];
    /**
     *
     */
    readonly clusterCodeVersion?: string;
    /**
     *
     */
    readonly location: string;
    /**
     *
     */
    readonly managementEndpoint: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly reliabilityLevel: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     *
     */
    readonly upgradeMode: string;
    /**
     *
     */
    readonly vmImage: string;
    /**
     * azure_active_directory block.
     */
    readonly azureActiveDirectory?: ServiceFabricClusterAzureActiveDirectory[];
    /**
     * certificate block.
     */
    readonly certificate?: ServiceFabricClusterCertificate[];
    /**
     * certificate_common_names block.
     */
    readonly certificateCommonNames?: ServiceFabricClusterCertificateCommonNames[];
    /**
     * client_certificate_thumbprint block.
     */
    readonly clientCertificateThumbprint?: ServiceFabricClusterClientCertificateThumbprint[];
    /**
     * diagnostics_config block.
     */
    readonly diagnosticsConfig?: ServiceFabricClusterDiagnosticsConfig[];
    /**
     * fabric_settings block.
     */
    readonly fabricSettings?: ServiceFabricClusterFabricSettings[];
    /**
     * node_type block.
     */
    readonly nodeType: ServiceFabricClusterNodeType[];
    /**
     * reverse_proxy_certificate block.
     */
    readonly reverseProxyCertificate?: ServiceFabricClusterReverseProxyCertificate[];
    /**
     * timeouts block.
     */
    readonly timeouts?: ServiceFabricClusterTimeouts;
}
/**
 *
 */
export interface ServiceFabricClusterAzureActiveDirectory {
    /**
     *
     */
    readonly clientApplicationId: string;
    /**
     *
     */
    readonly clusterApplicationId: string;
    /**
     *
     */
    readonly tenantId: string;
}
/**
 *
 */
export interface ServiceFabricClusterCertificate {
    /**
     *
     */
    readonly thumbprint: string;
    /**
     *
     */
    readonly thumbprintSecondary?: string;
    /**
     *
     */
    readonly x509StoreName: string;
}
/**
 *
 */
export interface ServiceFabricClusterCertificateCommonNamesCommonNames {
    /**
     *
     */
    readonly certificateCommonName: string;
    /**
     *
     */
    readonly certificateIssuerThumbprint?: string;
}
/**
 *
 */
export interface ServiceFabricClusterCertificateCommonNames {
    /**
     *
     */
    readonly x509StoreName: string;
    /**
     * common_names block.
     */
    readonly commonNames: ServiceFabricClusterCertificateCommonNamesCommonNames[];
}
/**
 *
 */
export interface ServiceFabricClusterClientCertificateThumbprint {
    /**
     *
     */
    readonly isAdmin: boolean;
    /**
     *
     */
    readonly thumbprint: string;
}
/**
 *
 */
export interface ServiceFabricClusterDiagnosticsConfig {
    /**
     *
     */
    readonly blobEndpoint: string;
    /**
     *
     */
    readonly protectedAccountKeyName: string;
    /**
     *
     */
    readonly queueEndpoint: string;
    /**
     *
     */
    readonly storageAccountName: string;
    /**
     *
     */
    readonly tableEndpoint: string;
}
/**
 *
 */
export interface ServiceFabricClusterFabricSettings {
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly parameters?: {
        [key: string]: string;
    };
}
/**
 *
 */
export interface ServiceFabricClusterNodeTypeApplicationPorts {
    /**
     *
     */
    readonly endPort: number;
    /**
     *
     */
    readonly startPort: number;
}
/**
 *
 */
export interface ServiceFabricClusterNodeTypeEphemeralPorts {
    /**
     *
     */
    readonly endPort: number;
    /**
     *
     */
    readonly startPort: number;
}
/**
 *
 */
export interface ServiceFabricClusterNodeType {
    /**
     *
     */
    readonly capacities?: {
        [key: string]: string;
    };
    /**
     *
     */
    readonly clientEndpointPort: number;
    /**
     *
     */
    readonly durabilityLevel?: string;
    /**
     *
     */
    readonly httpEndpointPort: number;
    /**
     *
     */
    readonly instanceCount: number;
    /**
     *
     */
    readonly isPrimary: boolean;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly placementProperties?: {
        [key: string]: string;
    };
    /**
     *
     */
    readonly reverseProxyEndpointPort?: number;
    /**
     * application_ports block.
     */
    readonly applicationPorts?: ServiceFabricClusterNodeTypeApplicationPorts[];
    /**
     * ephemeral_ports block.
     */
    readonly ephemeralPorts?: ServiceFabricClusterNodeTypeEphemeralPorts[];
}
/**
 *
 */
export interface ServiceFabricClusterReverseProxyCertificate {
    /**
     *
     */
    readonly thumbprint: string;
    /**
     *
     */
    readonly thumbprintSecondary?: string;
    /**
     *
     */
    readonly x509StoreName: string;
}
/**
 *
 */
export interface ServiceFabricClusterTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class ServiceFabricCluster extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: ServiceFabricClusterConfig);
    private _addOnFeatures?;
    /**
     *
     */
    get addOnFeatures(): string[] | undefined;
    /**
     *
     */
    set addOnFeatures(value: string[] | undefined);
    private _clusterCodeVersion?;
    /**
     *
     */
    get clusterCodeVersion(): string | undefined;
    /**
     *
     */
    set clusterCodeVersion(value: string | undefined);
    /**
     *
     */
    get clusterEndpoint(): string;
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _location;
    /**
     *
     */
    get location(): string;
    /**
     *
     */
    set location(value: string);
    private _managementEndpoint;
    /**
     *
     */
    get managementEndpoint(): string;
    /**
     *
     */
    set managementEndpoint(value: string);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _reliabilityLevel;
    /**
     *
     */
    get reliabilityLevel(): string;
    /**
     *
     */
    set reliabilityLevel(value: string);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _tags?;
    /**
     *
     */
    get tags(): {
        [key: string]: string;
    } | undefined;
    /**
     *
     */
    set tags(value: {
        [key: string]: string;
    } | undefined);
    private _upgradeMode;
    /**
     *
     */
    get upgradeMode(): string;
    /**
     *
     */
    set upgradeMode(value: string);
    private _vmImage;
    /**
     *
     */
    get vmImage(): string;
    /**
     *
     */
    set vmImage(value: string);
    private _azureActiveDirectory?;
    /**
     *
     */
    get azureActiveDirectory(): ServiceFabricClusterAzureActiveDirectory[] | undefined;
    /**
     *
     */
    set azureActiveDirectory(value: ServiceFabricClusterAzureActiveDirectory[] | undefined);
    private _certificate?;
    /**
     *
     */
    get certificate(): ServiceFabricClusterCertificate[] | undefined;
    /**
     *
     */
    set certificate(value: ServiceFabricClusterCertificate[] | undefined);
    private _certificateCommonNames?;
    /**
     *
     */
    get certificateCommonNames(): ServiceFabricClusterCertificateCommonNames[] | undefined;
    /**
     *
     */
    set certificateCommonNames(value: ServiceFabricClusterCertificateCommonNames[] | undefined);
    private _clientCertificateThumbprint?;
    /**
     *
     */
    get clientCertificateThumbprint(): ServiceFabricClusterClientCertificateThumbprint[] | undefined;
    /**
     *
     */
    set clientCertificateThumbprint(value: ServiceFabricClusterClientCertificateThumbprint[] | undefined);
    private _diagnosticsConfig?;
    /**
     *
     */
    get diagnosticsConfig(): ServiceFabricClusterDiagnosticsConfig[] | undefined;
    /**
     *
     */
    set diagnosticsConfig(value: ServiceFabricClusterDiagnosticsConfig[] | undefined);
    private _fabricSettings?;
    /**
     *
     */
    get fabricSettings(): ServiceFabricClusterFabricSettings[] | undefined;
    /**
     *
     */
    set fabricSettings(value: ServiceFabricClusterFabricSettings[] | undefined);
    private _nodeType;
    /**
     *
     */
    get nodeType(): ServiceFabricClusterNodeType[];
    /**
     *
     */
    set nodeType(value: ServiceFabricClusterNodeType[]);
    private _reverseProxyCertificate?;
    /**
     *
     */
    get reverseProxyCertificate(): ServiceFabricClusterReverseProxyCertificate[] | undefined;
    /**
     *
     */
    set reverseProxyCertificate(value: ServiceFabricClusterReverseProxyCertificate[] | undefined);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): ServiceFabricClusterTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: ServiceFabricClusterTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
