import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface ServicebusNamespaceConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly capacity?: number;
    /**
     *
     */
    readonly location: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly sku: string;
    /**
     *
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     *
     */
    readonly zoneRedundant?: boolean;
    /**
     * timeouts block.
     */
    readonly timeouts?: ServicebusNamespaceTimeouts;
}
/**
 *
 */
export interface ServicebusNamespaceTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class ServicebusNamespace extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: ServicebusNamespaceConfig);
    private _capacity?;
    /**
     *
     */
    get capacity(): number | undefined;
    /**
     *
     */
    set capacity(value: number | undefined);
    /**
     *
     */
    get defaultPrimaryConnectionString(): string;
    /**
     *
     */
    get defaultPrimaryKey(): string;
    /**
     *
     */
    get defaultSecondaryConnectionString(): string;
    /**
     *
     */
    get defaultSecondaryKey(): string;
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _location;
    /**
     *
     */
    get location(): string;
    /**
     *
     */
    set location(value: string);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _sku;
    /**
     *
     */
    get sku(): string;
    /**
     *
     */
    set sku(value: string);
    private _tags?;
    /**
     *
     */
    get tags(): {
        [key: string]: string;
    } | undefined;
    /**
     *
     */
    set tags(value: {
        [key: string]: string;
    } | undefined);
    private _zoneRedundant?;
    /**
     *
     */
    get zoneRedundant(): boolean | undefined;
    /**
     *
     */
    set zoneRedundant(value: boolean | undefined);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): ServicebusNamespaceTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: ServicebusNamespaceTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
