import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface ServicebusQueueConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly autoDeleteOnIdle?: string;
    /**
     *
     */
    readonly deadLetteringOnMessageExpiration?: boolean;
    /**
     *
     */
    readonly defaultMessageTtl?: string;
    /**
     *
     */
    readonly duplicateDetectionHistoryTimeWindow?: string;
    /**
     *
     */
    readonly enableExpress?: boolean;
    /**
     *
     */
    readonly enablePartitioning?: boolean;
    /**
     *
     */
    readonly lockDuration?: string;
    /**
     *
     */
    readonly maxDeliveryCount?: number;
    /**
     *
     */
    readonly maxSizeInMegabytes?: number;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly namespaceName: string;
    /**
     *
     */
    readonly requiresDuplicateDetection?: boolean;
    /**
     *
     */
    readonly requiresSession?: boolean;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: ServicebusQueueTimeouts;
}
/**
 *
 */
export interface ServicebusQueueTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class ServicebusQueue extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: ServicebusQueueConfig);
    private _autoDeleteOnIdle?;
    /**
     *
     */
    get autoDeleteOnIdle(): string | undefined;
    /**
     *
     */
    set autoDeleteOnIdle(value: string | undefined);
    private _deadLetteringOnMessageExpiration?;
    /**
     *
     */
    get deadLetteringOnMessageExpiration(): boolean | undefined;
    /**
     *
     */
    set deadLetteringOnMessageExpiration(value: boolean | undefined);
    private _defaultMessageTtl?;
    /**
     *
     */
    get defaultMessageTtl(): string | undefined;
    /**
     *
     */
    set defaultMessageTtl(value: string | undefined);
    private _duplicateDetectionHistoryTimeWindow?;
    /**
     *
     */
    get duplicateDetectionHistoryTimeWindow(): string | undefined;
    /**
     *
     */
    set duplicateDetectionHistoryTimeWindow(value: string | undefined);
    private _enableExpress?;
    /**
     *
     */
    get enableExpress(): boolean | undefined;
    /**
     *
     */
    set enableExpress(value: boolean | undefined);
    private _enablePartitioning?;
    /**
     *
     */
    get enablePartitioning(): boolean | undefined;
    /**
     *
     */
    set enablePartitioning(value: boolean | undefined);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _lockDuration?;
    /**
     *
     */
    get lockDuration(): string | undefined;
    /**
     *
     */
    set lockDuration(value: string | undefined);
    private _maxDeliveryCount?;
    /**
     *
     */
    get maxDeliveryCount(): number | undefined;
    /**
     *
     */
    set maxDeliveryCount(value: number | undefined);
    private _maxSizeInMegabytes?;
    /**
     *
     */
    get maxSizeInMegabytes(): number | undefined;
    /**
     *
     */
    set maxSizeInMegabytes(value: number | undefined);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _namespaceName;
    /**
     *
     */
    get namespaceName(): string;
    /**
     *
     */
    set namespaceName(value: string);
    private _requiresDuplicateDetection?;
    /**
     *
     */
    get requiresDuplicateDetection(): boolean | undefined;
    /**
     *
     */
    set requiresDuplicateDetection(value: boolean | undefined);
    private _requiresSession?;
    /**
     *
     */
    get requiresSession(): boolean | undefined;
    /**
     *
     */
    set requiresSession(value: boolean | undefined);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): ServicebusQueueTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: ServicebusQueueTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
