import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface ServicebusSubscriptionRuleConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly action?: string;
    /**
     *
     */
    readonly filterType: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly namespaceName: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly sqlFilter?: string;
    /**
     *
     */
    readonly subscriptionName: string;
    /**
     *
     */
    readonly topicName: string;
    /**
     * correlation_filter block.
     */
    readonly correlationFilter?: ServicebusSubscriptionRuleCorrelationFilter[];
    /**
     * timeouts block.
     */
    readonly timeouts?: ServicebusSubscriptionRuleTimeouts;
}
/**
 *
 */
export interface ServicebusSubscriptionRuleCorrelationFilter {
    /**
     *
     */
    readonly contentType?: string;
    /**
     *
     */
    readonly correlationId?: string;
    /**
     *
     */
    readonly label?: string;
    /**
     *
     */
    readonly messageId?: string;
    /**
     *
     */
    readonly replyTo?: string;
    /**
     *
     */
    readonly replyToSessionId?: string;
    /**
     *
     */
    readonly sessionId?: string;
    /**
     *
     */
    readonly to?: string;
}
/**
 *
 */
export interface ServicebusSubscriptionRuleTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class ServicebusSubscriptionRule extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: ServicebusSubscriptionRuleConfig);
    private _action?;
    /**
     *
     */
    get action(): string | undefined;
    /**
     *
     */
    set action(value: string | undefined);
    private _filterType;
    /**
     *
     */
    get filterType(): string;
    /**
     *
     */
    set filterType(value: string);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _namespaceName;
    /**
     *
     */
    get namespaceName(): string;
    /**
     *
     */
    set namespaceName(value: string);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _sqlFilter?;
    /**
     *
     */
    get sqlFilter(): string | undefined;
    /**
     *
     */
    set sqlFilter(value: string | undefined);
    private _subscriptionName;
    /**
     *
     */
    get subscriptionName(): string;
    /**
     *
     */
    set subscriptionName(value: string);
    private _topicName;
    /**
     *
     */
    get topicName(): string;
    /**
     *
     */
    set topicName(value: string);
    private _correlationFilter?;
    /**
     *
     */
    get correlationFilter(): ServicebusSubscriptionRuleCorrelationFilter[] | undefined;
    /**
     *
     */
    set correlationFilter(value: ServicebusSubscriptionRuleCorrelationFilter[] | undefined);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): ServicebusSubscriptionRuleTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: ServicebusSubscriptionRuleTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
