import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface ServicebusSubscriptionConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly autoDeleteOnIdle?: string;
    /**
     *
     */
    readonly deadLetteringOnMessageExpiration?: boolean;
    /**
     *
     */
    readonly defaultMessageTtl?: string;
    /**
     *
     */
    readonly enableBatchedOperations?: boolean;
    /**
     *
     */
    readonly forwardDeadLetteredMessagesTo?: string;
    /**
     *
     */
    readonly forwardTo?: string;
    /**
     *
     */
    readonly lockDuration?: string;
    /**
     *
     */
    readonly maxDeliveryCount: number;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly namespaceName: string;
    /**
     *
     */
    readonly requiresSession?: boolean;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly topicName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: ServicebusSubscriptionTimeouts;
}
/**
 *
 */
export interface ServicebusSubscriptionTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class ServicebusSubscription extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: ServicebusSubscriptionConfig);
    private _autoDeleteOnIdle?;
    /**
     *
     */
    get autoDeleteOnIdle(): string | undefined;
    /**
     *
     */
    set autoDeleteOnIdle(value: string | undefined);
    private _deadLetteringOnMessageExpiration?;
    /**
     *
     */
    get deadLetteringOnMessageExpiration(): boolean | undefined;
    /**
     *
     */
    set deadLetteringOnMessageExpiration(value: boolean | undefined);
    private _defaultMessageTtl?;
    /**
     *
     */
    get defaultMessageTtl(): string | undefined;
    /**
     *
     */
    set defaultMessageTtl(value: string | undefined);
    private _enableBatchedOperations?;
    /**
     *
     */
    get enableBatchedOperations(): boolean | undefined;
    /**
     *
     */
    set enableBatchedOperations(value: boolean | undefined);
    private _forwardDeadLetteredMessagesTo?;
    /**
     *
     */
    get forwardDeadLetteredMessagesTo(): string | undefined;
    /**
     *
     */
    set forwardDeadLetteredMessagesTo(value: string | undefined);
    private _forwardTo?;
    /**
     *
     */
    get forwardTo(): string | undefined;
    /**
     *
     */
    set forwardTo(value: string | undefined);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _lockDuration?;
    /**
     *
     */
    get lockDuration(): string | undefined;
    /**
     *
     */
    set lockDuration(value: string | undefined);
    private _maxDeliveryCount;
    /**
     *
     */
    get maxDeliveryCount(): number;
    /**
     *
     */
    set maxDeliveryCount(value: number);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _namespaceName;
    /**
     *
     */
    get namespaceName(): string;
    /**
     *
     */
    set namespaceName(value: string);
    private _requiresSession?;
    /**
     *
     */
    get requiresSession(): boolean | undefined;
    /**
     *
     */
    set requiresSession(value: boolean | undefined);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _topicName;
    /**
     *
     */
    get topicName(): string;
    /**
     *
     */
    set topicName(value: string);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): ServicebusSubscriptionTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: ServicebusSubscriptionTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
