import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface ServicebusTopicConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly autoDeleteOnIdle?: string;
    /**
     *
     */
    readonly defaultMessageTtl?: string;
    /**
     *
     */
    readonly duplicateDetectionHistoryTimeWindow?: string;
    /**
     *
     */
    readonly enableBatchedOperations?: boolean;
    /**
     *
     */
    readonly enableExpress?: boolean;
    /**
     *
     */
    readonly enablePartitioning?: boolean;
    /**
     *
     */
    readonly maxSizeInMegabytes?: number;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly namespaceName: string;
    /**
     *
     */
    readonly requiresDuplicateDetection?: boolean;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly status?: string;
    /**
     *
     */
    readonly supportOrdering?: boolean;
    /**
     * timeouts block.
     */
    readonly timeouts?: ServicebusTopicTimeouts;
}
/**
 *
 */
export interface ServicebusTopicTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class ServicebusTopic extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: ServicebusTopicConfig);
    private _autoDeleteOnIdle?;
    /**
     *
     */
    get autoDeleteOnIdle(): string | undefined;
    /**
     *
     */
    set autoDeleteOnIdle(value: string | undefined);
    private _defaultMessageTtl?;
    /**
     *
     */
    get defaultMessageTtl(): string | undefined;
    /**
     *
     */
    set defaultMessageTtl(value: string | undefined);
    private _duplicateDetectionHistoryTimeWindow?;
    /**
     *
     */
    get duplicateDetectionHistoryTimeWindow(): string | undefined;
    /**
     *
     */
    set duplicateDetectionHistoryTimeWindow(value: string | undefined);
    private _enableBatchedOperations?;
    /**
     *
     */
    get enableBatchedOperations(): boolean | undefined;
    /**
     *
     */
    set enableBatchedOperations(value: boolean | undefined);
    private _enableExpress?;
    /**
     *
     */
    get enableExpress(): boolean | undefined;
    /**
     *
     */
    set enableExpress(value: boolean | undefined);
    private _enablePartitioning?;
    /**
     *
     */
    get enablePartitioning(): boolean | undefined;
    /**
     *
     */
    set enablePartitioning(value: boolean | undefined);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _maxSizeInMegabytes?;
    /**
     *
     */
    get maxSizeInMegabytes(): number | undefined;
    /**
     *
     */
    set maxSizeInMegabytes(value: number | undefined);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _namespaceName;
    /**
     *
     */
    get namespaceName(): string;
    /**
     *
     */
    set namespaceName(value: string);
    private _requiresDuplicateDetection?;
    /**
     *
     */
    get requiresDuplicateDetection(): boolean | undefined;
    /**
     *
     */
    set requiresDuplicateDetection(value: boolean | undefined);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _status?;
    /**
     *
     */
    get status(): string | undefined;
    /**
     *
     */
    set status(value: string | undefined);
    private _supportOrdering?;
    /**
     *
     */
    get supportOrdering(): boolean | undefined;
    /**
     *
     */
    set supportOrdering(value: boolean | undefined);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): ServicebusTopicTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: ServicebusTopicTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
