import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface SharedImageVersionConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly excludeFromLatest?: boolean;
    /**
     *
     */
    readonly galleryName: string;
    /**
     *
     */
    readonly imageName: string;
    /**
     *
     */
    readonly location: string;
    /**
     *
     */
    readonly managedImageId: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * target_region block.
     */
    readonly targetRegion: SharedImageVersionTargetRegion[];
    /**
     * timeouts block.
     */
    readonly timeouts?: SharedImageVersionTimeouts;
}
/**
 *
 */
export interface SharedImageVersionTargetRegion {
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly regionalReplicaCount: number;
    /**
     *
     */
    readonly storageAccountType?: string;
}
/**
 *
 */
export interface SharedImageVersionTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class SharedImageVersion extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: SharedImageVersionConfig);
    private _excludeFromLatest?;
    /**
     *
     */
    get excludeFromLatest(): boolean | undefined;
    /**
     *
     */
    set excludeFromLatest(value: boolean | undefined);
    private _galleryName;
    /**
     *
     */
    get galleryName(): string;
    /**
     *
     */
    set galleryName(value: string);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _imageName;
    /**
     *
     */
    get imageName(): string;
    /**
     *
     */
    set imageName(value: string);
    private _location;
    /**
     *
     */
    get location(): string;
    /**
     *
     */
    set location(value: string);
    private _managedImageId;
    /**
     *
     */
    get managedImageId(): string;
    /**
     *
     */
    set managedImageId(value: string);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _tags?;
    /**
     *
     */
    get tags(): {
        [key: string]: string;
    } | undefined;
    /**
     *
     */
    set tags(value: {
        [key: string]: string;
    } | undefined);
    private _targetRegion;
    /**
     *
     */
    get targetRegion(): SharedImageVersionTargetRegion[];
    /**
     *
     */
    set targetRegion(value: SharedImageVersionTargetRegion[]);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): SharedImageVersionTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: SharedImageVersionTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
