import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface SharedImageConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly description?: string;
    /**
     *
     */
    readonly eula?: string;
    /**
     *
     */
    readonly galleryName: string;
    /**
     *
     */
    readonly location: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly osType: string;
    /**
     *
     */
    readonly privacyStatementUri?: string;
    /**
     *
     */
    readonly releaseNoteUri?: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * identifier block.
     */
    readonly identifier: SharedImageIdentifier[];
    /**
     * timeouts block.
     */
    readonly timeouts?: SharedImageTimeouts;
}
/**
 *
 */
export interface SharedImageIdentifier {
    /**
     *
     */
    readonly offer: string;
    /**
     *
     */
    readonly publisher: string;
    /**
     *
     */
    readonly sku: string;
}
/**
 *
 */
export interface SharedImageTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class SharedImage extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: SharedImageConfig);
    private _description?;
    /**
     *
     */
    get description(): string | undefined;
    /**
     *
     */
    set description(value: string | undefined);
    private _eula?;
    /**
     *
     */
    get eula(): string | undefined;
    /**
     *
     */
    set eula(value: string | undefined);
    private _galleryName;
    /**
     *
     */
    get galleryName(): string;
    /**
     *
     */
    set galleryName(value: string);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _location;
    /**
     *
     */
    get location(): string;
    /**
     *
     */
    set location(value: string);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _osType;
    /**
     *
     */
    get osType(): string;
    /**
     *
     */
    set osType(value: string);
    private _privacyStatementUri?;
    /**
     *
     */
    get privacyStatementUri(): string | undefined;
    /**
     *
     */
    set privacyStatementUri(value: string | undefined);
    private _releaseNoteUri?;
    /**
     *
     */
    get releaseNoteUri(): string | undefined;
    /**
     *
     */
    set releaseNoteUri(value: string | undefined);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _tags?;
    /**
     *
     */
    get tags(): {
        [key: string]: string;
    } | undefined;
    /**
     *
     */
    set tags(value: {
        [key: string]: string;
    } | undefined);
    private _identifier;
    /**
     *
     */
    get identifier(): SharedImageIdentifier[];
    /**
     *
     */
    set identifier(value: SharedImageIdentifier[]);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): SharedImageTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: SharedImageTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
