import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface SignalrServiceConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly location: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * cors block.
     */
    readonly cors?: SignalrServiceCors[];
    /**
     * features block.
     */
    readonly features?: SignalrServiceFeatures[];
    /**
     * sku block.
     */
    readonly sku: SignalrServiceSku[];
    /**
     * timeouts block.
     */
    readonly timeouts?: SignalrServiceTimeouts;
}
/**
 *
 */
export interface SignalrServiceCors {
    /**
     *
     */
    readonly allowedOrigins: string[];
}
/**
 *
 */
export interface SignalrServiceFeatures {
    /**
     *
     */
    readonly flag: string;
    /**
     *
     */
    readonly value: string;
}
/**
 *
 */
export interface SignalrServiceSku {
    /**
     *
     */
    readonly capacity: number;
    /**
     *
     */
    readonly name: string;
}
/**
 *
 */
export interface SignalrServiceTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class SignalrService extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: SignalrServiceConfig);
    /**
     *
     */
    get hostname(): string;
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    /**
     *
     */
    get ipAddress(): string;
    private _location;
    /**
     *
     */
    get location(): string;
    /**
     *
     */
    set location(value: string);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    /**
     *
     */
    get primaryAccessKey(): string;
    /**
     *
     */
    get primaryConnectionString(): string;
    /**
     *
     */
    get publicPort(): number;
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    /**
     *
     */
    get secondaryAccessKey(): string;
    /**
     *
     */
    get secondaryConnectionString(): string;
    /**
     *
     */
    get serverPort(): number;
    private _tags?;
    /**
     *
     */
    get tags(): {
        [key: string]: string;
    } | undefined;
    /**
     *
     */
    set tags(value: {
        [key: string]: string;
    } | undefined);
    private _cors?;
    /**
     *
     */
    get cors(): SignalrServiceCors[] | undefined;
    /**
     *
     */
    set cors(value: SignalrServiceCors[] | undefined);
    private _features?;
    /**
     *
     */
    get features(): SignalrServiceFeatures[] | undefined;
    /**
     *
     */
    set features(value: SignalrServiceFeatures[] | undefined);
    private _sku;
    /**
     *
     */
    get sku(): SignalrServiceSku[];
    /**
     *
     */
    set sku(value: SignalrServiceSku[]);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): SignalrServiceTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: SignalrServiceTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
