import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface SiteRecoveryNetworkMappingConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly recoveryVaultName: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly sourceNetworkId: string;
    /**
     *
     */
    readonly sourceRecoveryFabricName: string;
    /**
     *
     */
    readonly targetNetworkId: string;
    /**
     *
     */
    readonly targetRecoveryFabricName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: SiteRecoveryNetworkMappingTimeouts;
}
/**
 *
 */
export interface SiteRecoveryNetworkMappingTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class SiteRecoveryNetworkMapping extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: SiteRecoveryNetworkMappingConfig);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _recoveryVaultName;
    /**
     *
     */
    get recoveryVaultName(): string;
    /**
     *
     */
    set recoveryVaultName(value: string);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _sourceNetworkId;
    /**
     *
     */
    get sourceNetworkId(): string;
    /**
     *
     */
    set sourceNetworkId(value: string);
    private _sourceRecoveryFabricName;
    /**
     *
     */
    get sourceRecoveryFabricName(): string;
    /**
     *
     */
    set sourceRecoveryFabricName(value: string);
    private _targetNetworkId;
    /**
     *
     */
    get targetNetworkId(): string;
    /**
     *
     */
    set targetNetworkId(value: string);
    private _targetRecoveryFabricName;
    /**
     *
     */
    get targetRecoveryFabricName(): string;
    /**
     *
     */
    set targetRecoveryFabricName(value: string);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): SiteRecoveryNetworkMappingTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: SiteRecoveryNetworkMappingTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
