import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface SiteRecoveryProtectionContainerMappingConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly recoveryFabricName: string;
    /**
     *
     */
    readonly recoveryReplicationPolicyId: string;
    /**
     *
     */
    readonly recoverySourceProtectionContainerName: string;
    /**
     *
     */
    readonly recoveryTargetProtectionContainerId: string;
    /**
     *
     */
    readonly recoveryVaultName: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: SiteRecoveryProtectionContainerMappingTimeouts;
}
/**
 *
 */
export interface SiteRecoveryProtectionContainerMappingTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class SiteRecoveryProtectionContainerMapping extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: SiteRecoveryProtectionContainerMappingConfig);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _recoveryFabricName;
    /**
     *
     */
    get recoveryFabricName(): string;
    /**
     *
     */
    set recoveryFabricName(value: string);
    private _recoveryReplicationPolicyId;
    /**
     *
     */
    get recoveryReplicationPolicyId(): string;
    /**
     *
     */
    set recoveryReplicationPolicyId(value: string);
    private _recoverySourceProtectionContainerName;
    /**
     *
     */
    get recoverySourceProtectionContainerName(): string;
    /**
     *
     */
    set recoverySourceProtectionContainerName(value: string);
    private _recoveryTargetProtectionContainerId;
    /**
     *
     */
    get recoveryTargetProtectionContainerId(): string;
    /**
     *
     */
    set recoveryTargetProtectionContainerId(value: string);
    private _recoveryVaultName;
    /**
     *
     */
    get recoveryVaultName(): string;
    /**
     *
     */
    set recoveryVaultName(value: string);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): SiteRecoveryProtectionContainerMappingTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: SiteRecoveryProtectionContainerMappingTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
