import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface SiteRecoveryReplicatedVmConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly managedDisk?: SiteRecoveryReplicatedVmManagedDisk[];
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly recoveryReplicationPolicyId: string;
    /**
     *
     */
    readonly recoveryVaultName: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly sourceRecoveryFabricName: string;
    /**
     *
     */
    readonly sourceRecoveryProtectionContainerName: string;
    /**
     *
     */
    readonly sourceVmId: string;
    /**
     *
     */
    readonly targetAvailabilitySetId?: string;
    /**
     *
     */
    readonly targetRecoveryFabricId: string;
    /**
     *
     */
    readonly targetRecoveryProtectionContainerId: string;
    /**
     *
     */
    readonly targetResourceGroupId: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: SiteRecoveryReplicatedVmTimeouts;
}
/**
 *
 */
export interface SiteRecoveryReplicatedVmManagedDisk {
    /**
     *
     */
    readonly diskId?: string;
    /**
     *
     */
    readonly stagingStorageAccountId?: string;
    /**
     *
     */
    readonly targetDiskType?: string;
    /**
     *
     */
    readonly targetReplicaDiskType?: string;
    /**
     *
     */
    readonly targetResourceGroupId?: string;
}
/**
 *
 */
export interface SiteRecoveryReplicatedVmTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class SiteRecoveryReplicatedVm extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: SiteRecoveryReplicatedVmConfig);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _managedDisk?;
    /**
     *
     */
    get managedDisk(): SiteRecoveryReplicatedVmManagedDisk[] | undefined;
    /**
     *
     */
    set managedDisk(value: SiteRecoveryReplicatedVmManagedDisk[] | undefined);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _recoveryReplicationPolicyId;
    /**
     *
     */
    get recoveryReplicationPolicyId(): string;
    /**
     *
     */
    set recoveryReplicationPolicyId(value: string);
    private _recoveryVaultName;
    /**
     *
     */
    get recoveryVaultName(): string;
    /**
     *
     */
    set recoveryVaultName(value: string);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _sourceRecoveryFabricName;
    /**
     *
     */
    get sourceRecoveryFabricName(): string;
    /**
     *
     */
    set sourceRecoveryFabricName(value: string);
    private _sourceRecoveryProtectionContainerName;
    /**
     *
     */
    get sourceRecoveryProtectionContainerName(): string;
    /**
     *
     */
    set sourceRecoveryProtectionContainerName(value: string);
    private _sourceVmId;
    /**
     *
     */
    get sourceVmId(): string;
    /**
     *
     */
    set sourceVmId(value: string);
    private _targetAvailabilitySetId?;
    /**
     *
     */
    get targetAvailabilitySetId(): string | undefined;
    /**
     *
     */
    set targetAvailabilitySetId(value: string | undefined);
    private _targetRecoveryFabricId;
    /**
     *
     */
    get targetRecoveryFabricId(): string;
    /**
     *
     */
    set targetRecoveryFabricId(value: string);
    private _targetRecoveryProtectionContainerId;
    /**
     *
     */
    get targetRecoveryProtectionContainerId(): string;
    /**
     *
     */
    set targetRecoveryProtectionContainerId(value: string);
    private _targetResourceGroupId;
    /**
     *
     */
    get targetResourceGroupId(): string;
    /**
     *
     */
    set targetResourceGroupId(value: string);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): SiteRecoveryReplicatedVmTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: SiteRecoveryReplicatedVmTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
