import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface SiteRecoveryReplicationPolicyConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly applicationConsistentSnapshotFrequencyInMinutes: number;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly recoveryPointRetentionInMinutes: number;
    /**
     *
     */
    readonly recoveryVaultName: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: SiteRecoveryReplicationPolicyTimeouts;
}
/**
 *
 */
export interface SiteRecoveryReplicationPolicyTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class SiteRecoveryReplicationPolicy extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: SiteRecoveryReplicationPolicyConfig);
    private _applicationConsistentSnapshotFrequencyInMinutes;
    /**
     *
     */
    get applicationConsistentSnapshotFrequencyInMinutes(): number;
    /**
     *
     */
    set applicationConsistentSnapshotFrequencyInMinutes(value: number);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _recoveryPointRetentionInMinutes;
    /**
     *
     */
    get recoveryPointRetentionInMinutes(): number;
    /**
     *
     */
    set recoveryPointRetentionInMinutes(value: number);
    private _recoveryVaultName;
    /**
     *
     */
    get recoveryVaultName(): string;
    /**
     *
     */
    set recoveryVaultName(value: string);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): SiteRecoveryReplicationPolicyTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: SiteRecoveryReplicationPolicyTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
