import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface SnapshotConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly createOption: string;
    /**
     *
     */
    readonly diskSizeGb?: number;
    /**
     *
     */
    readonly location: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly sourceResourceId?: string;
    /**
     *
     */
    readonly sourceUri?: string;
    /**
     *
     */
    readonly storageAccountId?: string;
    /**
     *
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * encryption_settings block.
     */
    readonly encryptionSettings?: SnapshotEncryptionSettings[];
    /**
     * timeouts block.
     */
    readonly timeouts?: SnapshotTimeouts;
}
/**
 *
 */
export interface SnapshotEncryptionSettingsDiskEncryptionKey {
    /**
     *
     */
    readonly secretUrl: string;
    /**
     *
     */
    readonly sourceVaultId: string;
}
/**
 *
 */
export interface SnapshotEncryptionSettingsKeyEncryptionKey {
    /**
     *
     */
    readonly keyUrl: string;
    /**
     *
     */
    readonly sourceVaultId: string;
}
/**
 *
 */
export interface SnapshotEncryptionSettings {
    /**
     *
     */
    readonly enabled: boolean;
    /**
     * disk_encryption_key block.
     */
    readonly diskEncryptionKey?: SnapshotEncryptionSettingsDiskEncryptionKey[];
    /**
     * key_encryption_key block.
     */
    readonly keyEncryptionKey?: SnapshotEncryptionSettingsKeyEncryptionKey[];
}
/**
 *
 */
export interface SnapshotTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class Snapshot extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: SnapshotConfig);
    private _createOption;
    /**
     *
     */
    get createOption(): string;
    /**
     *
     */
    set createOption(value: string);
    private _diskSizeGb?;
    /**
     *
     */
    get diskSizeGb(): number | undefined;
    /**
     *
     */
    set diskSizeGb(value: number | undefined);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _location;
    /**
     *
     */
    get location(): string;
    /**
     *
     */
    set location(value: string);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _sourceResourceId?;
    /**
     *
     */
    get sourceResourceId(): string | undefined;
    /**
     *
     */
    set sourceResourceId(value: string | undefined);
    private _sourceUri?;
    /**
     *
     */
    get sourceUri(): string | undefined;
    /**
     *
     */
    set sourceUri(value: string | undefined);
    private _storageAccountId?;
    /**
     *
     */
    get storageAccountId(): string | undefined;
    /**
     *
     */
    set storageAccountId(value: string | undefined);
    private _tags?;
    /**
     *
     */
    get tags(): {
        [key: string]: string;
    } | undefined;
    /**
     *
     */
    set tags(value: {
        [key: string]: string;
    } | undefined);
    private _encryptionSettings?;
    /**
     *
     */
    get encryptionSettings(): SnapshotEncryptionSettings[] | undefined;
    /**
     *
     */
    set encryptionSettings(value: SnapshotEncryptionSettings[] | undefined);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): SnapshotTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: SnapshotTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
