import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface SqlActiveDirectoryAdministratorConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly login: string;
    /**
     *
     */
    readonly objectId: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly serverName: string;
    /**
     *
     */
    readonly tenantId: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: SqlActiveDirectoryAdministratorTimeouts;
}
/**
 *
 */
export interface SqlActiveDirectoryAdministratorTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class SqlActiveDirectoryAdministrator extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: SqlActiveDirectoryAdministratorConfig);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _login;
    /**
     *
     */
    get login(): string;
    /**
     *
     */
    set login(value: string);
    private _objectId;
    /**
     *
     */
    get objectId(): string;
    /**
     *
     */
    set objectId(value: string);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _serverName;
    /**
     *
     */
    get serverName(): string;
    /**
     *
     */
    set serverName(value: string);
    private _tenantId;
    /**
     *
     */
    get tenantId(): string;
    /**
     *
     */
    set tenantId(value: string);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): SqlActiveDirectoryAdministratorTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: SqlActiveDirectoryAdministratorTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
