import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface SqlDatabaseConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly collation?: string;
    /**
     *
     */
    readonly createMode?: string;
    /**
     *
     */
    readonly edition?: string;
    /**
     *
     */
    readonly elasticPoolName?: string;
    /**
     *
     */
    readonly location: string;
    /**
     *
     */
    readonly maxSizeBytes?: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly readScale?: boolean;
    /**
     *
     */
    readonly requestedServiceObjectiveId?: string;
    /**
     *
     */
    readonly requestedServiceObjectiveName?: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly restorePointInTime?: string;
    /**
     *
     */
    readonly serverName: string;
    /**
     *
     */
    readonly sourceDatabaseDeletionDate?: string;
    /**
     *
     */
    readonly sourceDatabaseId?: string;
    /**
     *
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     *
     */
    readonly zoneRedundant?: boolean;
    /**
     * import block.
     */
    readonly import?: SqlDatabaseImport[];
    /**
     * threat_detection_policy block.
     */
    readonly threatDetectionPolicy?: SqlDatabaseThreatDetectionPolicy[];
    /**
     * timeouts block.
     */
    readonly timeouts?: SqlDatabaseTimeouts;
}
/**
 *
 */
export interface SqlDatabaseImport {
    /**
     *
     */
    readonly administratorLogin: string;
    /**
     *
     */
    readonly administratorLoginPassword: string;
    /**
     *
     */
    readonly authenticationType: string;
    /**
     *
     */
    readonly operationMode?: string;
    /**
     *
     */
    readonly storageKey: string;
    /**
     *
     */
    readonly storageKeyType: string;
    /**
     *
     */
    readonly storageUri: string;
}
/**
 *
 */
export interface SqlDatabaseThreatDetectionPolicy {
    /**
     *
     */
    readonly disabledAlerts?: string[];
    /**
     *
     */
    readonly emailAccountAdmins?: string;
    /**
     *
     */
    readonly emailAddresses?: string[];
    /**
     *
     */
    readonly retentionDays?: number;
    /**
     *
     */
    readonly state?: string;
    /**
     *
     */
    readonly storageAccountAccessKey?: string;
    /**
     *
     */
    readonly storageEndpoint?: string;
    /**
     *
     */
    readonly useServerDefault?: string;
}
/**
 *
 */
export interface SqlDatabaseTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class SqlDatabase extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: SqlDatabaseConfig);
    private _collation?;
    /**
     *
     */
    get collation(): string | undefined;
    /**
     *
     */
    set collation(value: string | undefined);
    private _createMode?;
    /**
     *
     */
    get createMode(): string | undefined;
    /**
     *
     */
    set createMode(value: string | undefined);
    /**
     *
     */
    get creationDate(): string;
    /**
     *
     */
    get defaultSecondaryLocation(): string;
    private _edition?;
    /**
     *
     */
    get edition(): string | undefined;
    /**
     *
     */
    set edition(value: string | undefined);
    private _elasticPoolName?;
    /**
     *
     */
    get elasticPoolName(): string | undefined;
    /**
     *
     */
    set elasticPoolName(value: string | undefined);
    /**
     *
     */
    get encryption(): string;
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _location;
    /**
     *
     */
    get location(): string;
    /**
     *
     */
    set location(value: string);
    private _maxSizeBytes?;
    /**
     *
     */
    get maxSizeBytes(): string | undefined;
    /**
     *
     */
    set maxSizeBytes(value: string | undefined);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _readScale?;
    /**
     *
     */
    get readScale(): boolean | undefined;
    /**
     *
     */
    set readScale(value: boolean | undefined);
    private _requestedServiceObjectiveId?;
    /**
     *
     */
    get requestedServiceObjectiveId(): string | undefined;
    /**
     *
     */
    set requestedServiceObjectiveId(value: string | undefined);
    private _requestedServiceObjectiveName?;
    /**
     *
     */
    get requestedServiceObjectiveName(): string | undefined;
    /**
     *
     */
    set requestedServiceObjectiveName(value: string | undefined);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _restorePointInTime?;
    /**
     *
     */
    get restorePointInTime(): string | undefined;
    /**
     *
     */
    set restorePointInTime(value: string | undefined);
    private _serverName;
    /**
     *
     */
    get serverName(): string;
    /**
     *
     */
    set serverName(value: string);
    private _sourceDatabaseDeletionDate?;
    /**
     *
     */
    get sourceDatabaseDeletionDate(): string | undefined;
    /**
     *
     */
    set sourceDatabaseDeletionDate(value: string | undefined);
    private _sourceDatabaseId?;
    /**
     *
     */
    get sourceDatabaseId(): string | undefined;
    /**
     *
     */
    set sourceDatabaseId(value: string | undefined);
    private _tags?;
    /**
     *
     */
    get tags(): {
        [key: string]: string;
    } | undefined;
    /**
     *
     */
    set tags(value: {
        [key: string]: string;
    } | undefined);
    private _zoneRedundant?;
    /**
     *
     */
    get zoneRedundant(): boolean | undefined;
    /**
     *
     */
    set zoneRedundant(value: boolean | undefined);
    private _import?;
    /**
     *
     */
    get import(): SqlDatabaseImport[] | undefined;
    /**
     *
     */
    set import(value: SqlDatabaseImport[] | undefined);
    private _threatDetectionPolicy?;
    /**
     *
     */
    get threatDetectionPolicy(): SqlDatabaseThreatDetectionPolicy[] | undefined;
    /**
     *
     */
    set threatDetectionPolicy(value: SqlDatabaseThreatDetectionPolicy[] | undefined);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): SqlDatabaseTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: SqlDatabaseTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
