import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface SqlElasticpoolConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly dbDtuMax?: number;
    /**
     *
     */
    readonly dbDtuMin?: number;
    /**
     *
     */
    readonly dtu: number;
    /**
     *
     */
    readonly edition: string;
    /**
     *
     */
    readonly location: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly poolSize?: number;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly serverName: string;
    /**
     *
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * timeouts block.
     */
    readonly timeouts?: SqlElasticpoolTimeouts;
}
/**
 *
 */
export interface SqlElasticpoolTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class SqlElasticpool extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: SqlElasticpoolConfig);
    /**
     *
     */
    get creationDate(): string;
    private _dbDtuMax?;
    /**
     *
     */
    get dbDtuMax(): number | undefined;
    /**
     *
     */
    set dbDtuMax(value: number | undefined);
    private _dbDtuMin?;
    /**
     *
     */
    get dbDtuMin(): number | undefined;
    /**
     *
     */
    set dbDtuMin(value: number | undefined);
    private _dtu;
    /**
     *
     */
    get dtu(): number;
    /**
     *
     */
    set dtu(value: number);
    private _edition;
    /**
     *
     */
    get edition(): string;
    /**
     *
     */
    set edition(value: string);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _location;
    /**
     *
     */
    get location(): string;
    /**
     *
     */
    set location(value: string);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _poolSize?;
    /**
     *
     */
    get poolSize(): number | undefined;
    /**
     *
     */
    set poolSize(value: number | undefined);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _serverName;
    /**
     *
     */
    get serverName(): string;
    /**
     *
     */
    set serverName(value: string);
    private _tags?;
    /**
     *
     */
    get tags(): {
        [key: string]: string;
    } | undefined;
    /**
     *
     */
    set tags(value: {
        [key: string]: string;
    } | undefined);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): SqlElasticpoolTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: SqlElasticpoolTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
