import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface SqlFailoverGroupConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly databases?: string[];
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly serverName: string;
    /**
     *
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * partner_servers block.
     */
    readonly partnerServers: SqlFailoverGroupPartnerServers[];
    /**
     * read_write_endpoint_failover_policy block.
     */
    readonly readWriteEndpointFailoverPolicy: SqlFailoverGroupReadWriteEndpointFailoverPolicy[];
    /**
     * readonly_endpoint_failover_policy block.
     */
    readonly readonlyEndpointFailoverPolicy?: SqlFailoverGroupReadonlyEndpointFailoverPolicy[];
    /**
     * timeouts block.
     */
    readonly timeouts?: SqlFailoverGroupTimeouts;
}
/**
 *
 */
export interface SqlFailoverGroupPartnerServers {
    /**
     *
     */
    readonly id: string;
}
/**
 *
 */
export interface SqlFailoverGroupReadWriteEndpointFailoverPolicy {
    /**
     *
     */
    readonly graceMinutes?: number;
    /**
     *
     */
    readonly mode: string;
}
/**
 *
 */
export interface SqlFailoverGroupReadonlyEndpointFailoverPolicy {
    /**
     *
     */
    readonly mode: string;
}
/**
 *
 */
export interface SqlFailoverGroupTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class SqlFailoverGroup extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: SqlFailoverGroupConfig);
    private _databases?;
    /**
     *
     */
    get databases(): string[] | undefined;
    /**
     *
     */
    set databases(value: string[] | undefined);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    /**
     *
     */
    get location(): string;
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    /**
     *
     */
    get role(): string;
    private _serverName;
    /**
     *
     */
    get serverName(): string;
    /**
     *
     */
    set serverName(value: string);
    private _tags?;
    /**
     *
     */
    get tags(): {
        [key: string]: string;
    } | undefined;
    /**
     *
     */
    set tags(value: {
        [key: string]: string;
    } | undefined);
    private _partnerServers;
    /**
     *
     */
    get partnerServers(): SqlFailoverGroupPartnerServers[];
    /**
     *
     */
    set partnerServers(value: SqlFailoverGroupPartnerServers[]);
    private _readWriteEndpointFailoverPolicy;
    /**
     *
     */
    get readWriteEndpointFailoverPolicy(): SqlFailoverGroupReadWriteEndpointFailoverPolicy[];
    /**
     *
     */
    set readWriteEndpointFailoverPolicy(value: SqlFailoverGroupReadWriteEndpointFailoverPolicy[]);
    private _readonlyEndpointFailoverPolicy?;
    /**
     *
     */
    get readonlyEndpointFailoverPolicy(): SqlFailoverGroupReadonlyEndpointFailoverPolicy[] | undefined;
    /**
     *
     */
    set readonlyEndpointFailoverPolicy(value: SqlFailoverGroupReadonlyEndpointFailoverPolicy[] | undefined);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): SqlFailoverGroupTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: SqlFailoverGroupTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
