import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface SqlServerConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly administratorLogin: string;
    /**
     *
     */
    readonly administratorLoginPassword: string;
    /**
     *
     */
    readonly location: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     *
     */
    readonly version: string;
    /**
     * identity block.
     */
    readonly identity?: SqlServerIdentity[];
    /**
     * timeouts block.
     */
    readonly timeouts?: SqlServerTimeouts;
}
/**
 *
 */
export interface SqlServerIdentity {
    /**
     *
     */
    readonly type: string;
}
/**
 *
 */
export interface SqlServerTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class SqlServer extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: SqlServerConfig);
    private _administratorLogin;
    /**
     *
     */
    get administratorLogin(): string;
    /**
     *
     */
    set administratorLogin(value: string);
    private _administratorLoginPassword;
    /**
     *
     */
    get administratorLoginPassword(): string;
    /**
     *
     */
    set administratorLoginPassword(value: string);
    /**
     *
     */
    get fullyQualifiedDomainName(): string;
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _location;
    /**
     *
     */
    get location(): string;
    /**
     *
     */
    set location(value: string);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _tags?;
    /**
     *
     */
    get tags(): {
        [key: string]: string;
    } | undefined;
    /**
     *
     */
    set tags(value: {
        [key: string]: string;
    } | undefined);
    private _version;
    /**
     *
     */
    get version(): string;
    /**
     *
     */
    set version(value: string);
    private _identity?;
    /**
     *
     */
    get identity(): SqlServerIdentity[] | undefined;
    /**
     *
     */
    set identity(value: SqlServerIdentity[] | undefined);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): SqlServerTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: SqlServerTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
