import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface StorageAccountCustomerManagedKeyConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly keyName: string;
    /**
     *
     */
    readonly keyVaultId: string;
    /**
     *
     */
    readonly keyVersion: string;
    /**
     *
     */
    readonly storageAccountId: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: StorageAccountCustomerManagedKeyTimeouts;
}
/**
 *
 */
export interface StorageAccountCustomerManagedKeyTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class StorageAccountCustomerManagedKey extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: StorageAccountCustomerManagedKeyConfig);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _keyName;
    /**
     *
     */
    get keyName(): string;
    /**
     *
     */
    set keyName(value: string);
    private _keyVaultId;
    /**
     *
     */
    get keyVaultId(): string;
    /**
     *
     */
    set keyVaultId(value: string);
    private _keyVersion;
    /**
     *
     */
    get keyVersion(): string;
    /**
     *
     */
    set keyVersion(value: string);
    private _storageAccountId;
    /**
     *
     */
    get storageAccountId(): string;
    /**
     *
     */
    set storageAccountId(value: string);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): StorageAccountCustomerManagedKeyTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: StorageAccountCustomerManagedKeyTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
