import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface StorageAccountNetworkRulesAConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly bypass?: string[];
    /**
     *
     */
    readonly defaultAction: string;
    /**
     *
     */
    readonly ipRules?: string[];
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly storageAccountName: string;
    /**
     *
     */
    readonly virtualNetworkSubnetIds?: string[];
    /**
     * timeouts block.
     */
    readonly timeouts?: StorageAccountNetworkRulesTimeouts;
}
/**
 *
 */
export interface StorageAccountNetworkRulesTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class StorageAccountNetworkRulesA extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: StorageAccountNetworkRulesAConfig);
    private _bypass?;
    /**
     *
     */
    get bypass(): string[] | undefined;
    /**
     *
     */
    set bypass(value: string[] | undefined);
    private _defaultAction;
    /**
     *
     */
    get defaultAction(): string;
    /**
     *
     */
    set defaultAction(value: string);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _ipRules?;
    /**
     *
     */
    get ipRules(): string[] | undefined;
    /**
     *
     */
    set ipRules(value: string[] | undefined);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _storageAccountName;
    /**
     *
     */
    get storageAccountName(): string;
    /**
     *
     */
    set storageAccountName(value: string);
    private _virtualNetworkSubnetIds?;
    /**
     *
     */
    get virtualNetworkSubnetIds(): string[] | undefined;
    /**
     *
     */
    set virtualNetworkSubnetIds(value: string[] | undefined);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): StorageAccountNetworkRulesTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: StorageAccountNetworkRulesTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
