import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface StorageBlobConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly accessTier?: string;
    /**
     *
     */
    readonly contentType?: string;
    /**
     *
     */
    readonly metadata?: {
        [key: string]: string;
    };
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly parallelism?: number;
    /**
     *
     */
    readonly size?: number;
    /**
     *
     */
    readonly source?: string;
    /**
     *
     */
    readonly sourceContent?: string;
    /**
     *
     */
    readonly sourceUri?: string;
    /**
     *
     */
    readonly storageAccountName: string;
    /**
     *
     */
    readonly storageContainerName: string;
    /**
     *
     */
    readonly type: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: StorageBlobTimeouts;
}
/**
 *
 */
export interface StorageBlobTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class StorageBlob extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: StorageBlobConfig);
    private _accessTier?;
    /**
     *
     */
    get accessTier(): string | undefined;
    /**
     *
     */
    set accessTier(value: string | undefined);
    private _contentType?;
    /**
     *
     */
    get contentType(): string | undefined;
    /**
     *
     */
    set contentType(value: string | undefined);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _metadata?;
    /**
     *
     */
    get metadata(): {
        [key: string]: string;
    } | undefined;
    /**
     *
     */
    set metadata(value: {
        [key: string]: string;
    } | undefined);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _parallelism?;
    /**
     *
     */
    get parallelism(): number | undefined;
    /**
     *
     */
    set parallelism(value: number | undefined);
    private _size?;
    /**
     *
     */
    get size(): number | undefined;
    /**
     *
     */
    set size(value: number | undefined);
    private _source?;
    /**
     *
     */
    get source(): string | undefined;
    /**
     *
     */
    set source(value: string | undefined);
    private _sourceContent?;
    /**
     *
     */
    get sourceContent(): string | undefined;
    /**
     *
     */
    set sourceContent(value: string | undefined);
    private _sourceUri?;
    /**
     *
     */
    get sourceUri(): string | undefined;
    /**
     *
     */
    set sourceUri(value: string | undefined);
    private _storageAccountName;
    /**
     *
     */
    get storageAccountName(): string;
    /**
     *
     */
    set storageAccountName(value: string);
    private _storageContainerName;
    /**
     *
     */
    get storageContainerName(): string;
    /**
     *
     */
    set storageContainerName(value: string);
    private _type;
    /**
     *
     */
    get type(): string;
    /**
     *
     */
    set type(value: string);
    /**
     *
     */
    get url(): string;
    private _timeouts?;
    /**
     *
     */
    get timeouts(): StorageBlobTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: StorageBlobTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
