import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface StorageContainerConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly containerAccessType?: string;
    /**
     *
     */
    readonly metadata?: {
        [key: string]: string;
    };
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly storageAccountName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: StorageContainerTimeouts;
}
/**
 *
 */
export interface StorageContainerTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class StorageContainer extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: StorageContainerConfig);
    private _containerAccessType?;
    /**
     *
     */
    get containerAccessType(): string | undefined;
    /**
     *
     */
    set containerAccessType(value: string | undefined);
    /**
     *
     */
    get hasImmutabilityPolicy(): boolean;
    /**
     *
     */
    get hasLegalHold(): boolean;
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _metadata?;
    /**
     *
     */
    get metadata(): {
        [key: string]: string;
    } | undefined;
    /**
     *
     */
    set metadata(value: {
        [key: string]: string;
    } | undefined);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _storageAccountName;
    /**
     *
     */
    get storageAccountName(): string;
    /**
     *
     */
    set storageAccountName(value: string);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): StorageContainerTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: StorageContainerTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
