import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface StorageDataLakeGen2FilesystemConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly properties?: {
        [key: string]: string;
    };
    /**
     *
     */
    readonly storageAccountId: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: StorageDataLakeGen2FilesystemTimeouts;
}
/**
 *
 */
export interface StorageDataLakeGen2FilesystemTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class StorageDataLakeGen2Filesystem extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: StorageDataLakeGen2FilesystemConfig);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _properties?;
    /**
     *
     */
    get properties(): {
        [key: string]: string;
    } | undefined;
    /**
     *
     */
    set properties(value: {
        [key: string]: string;
    } | undefined);
    private _storageAccountId;
    /**
     *
     */
    get storageAccountId(): string;
    /**
     *
     */
    set storageAccountId(value: string);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): StorageDataLakeGen2FilesystemTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: StorageDataLakeGen2FilesystemTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
