import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface StorageShareDirectoryConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly metadata?: {
        [key: string]: string;
    };
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly shareName: string;
    /**
     *
     */
    readonly storageAccountName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: StorageShareDirectoryTimeouts;
}
/**
 *
 */
export interface StorageShareDirectoryTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class StorageShareDirectory extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: StorageShareDirectoryConfig);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _metadata?;
    /**
     *
     */
    get metadata(): {
        [key: string]: string;
    } | undefined;
    /**
     *
     */
    set metadata(value: {
        [key: string]: string;
    } | undefined);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _shareName;
    /**
     *
     */
    get shareName(): string;
    /**
     *
     */
    set shareName(value: string);
    private _storageAccountName;
    /**
     *
     */
    get storageAccountName(): string;
    /**
     *
     */
    set storageAccountName(value: string);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): StorageShareDirectoryTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: StorageShareDirectoryTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
