import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface StorageShareConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly metadata?: {
        [key: string]: string;
    };
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly quota?: number;
    /**
     *
     */
    readonly storageAccountName: string;
    /**
     * acl block.
     */
    readonly acl?: StorageShareAcl[];
    /**
     * timeouts block.
     */
    readonly timeouts?: StorageShareTimeouts;
}
/**
 *
 */
export interface StorageShareAclAccessPolicy {
    /**
     *
     */
    readonly expiry: string;
    /**
     *
     */
    readonly permissions: string;
    /**
     *
     */
    readonly start: string;
}
/**
 *
 */
export interface StorageShareAcl {
    /**
     *
     */
    readonly id: string;
    /**
     * access_policy block.
     */
    readonly accessPolicy?: StorageShareAclAccessPolicy[];
}
/**
 *
 */
export interface StorageShareTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class StorageShare extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: StorageShareConfig);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _metadata?;
    /**
     *
     */
    get metadata(): {
        [key: string]: string;
    } | undefined;
    /**
     *
     */
    set metadata(value: {
        [key: string]: string;
    } | undefined);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _quota?;
    /**
     *
     */
    get quota(): number | undefined;
    /**
     *
     */
    set quota(value: number | undefined);
    private _storageAccountName;
    /**
     *
     */
    get storageAccountName(): string;
    /**
     *
     */
    set storageAccountName(value: string);
    /**
     *
     */
    get url(): string;
    private _acl?;
    /**
     *
     */
    get acl(): StorageShareAcl[] | undefined;
    /**
     *
     */
    set acl(value: StorageShareAcl[] | undefined);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): StorageShareTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: StorageShareTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
