import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface StorageTableEntityConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly entity: {
        [key: string]: string;
    };
    /**
     *
     */
    readonly partitionKey: string;
    /**
     *
     */
    readonly rowKey: string;
    /**
     *
     */
    readonly storageAccountName: string;
    /**
     *
     */
    readonly tableName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: StorageTableEntityTimeouts;
}
/**
 *
 */
export interface StorageTableEntityTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class StorageTableEntity extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: StorageTableEntityConfig);
    private _entity;
    /**
     *
     */
    get entity(): {
        [key: string]: string;
    };
    /**
     *
     */
    set entity(value: {
        [key: string]: string;
    });
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _partitionKey;
    /**
     *
     */
    get partitionKey(): string;
    /**
     *
     */
    set partitionKey(value: string);
    private _rowKey;
    /**
     *
     */
    get rowKey(): string;
    /**
     *
     */
    set rowKey(value: string);
    private _storageAccountName;
    /**
     *
     */
    get storageAccountName(): string;
    /**
     *
     */
    set storageAccountName(value: string);
    private _tableName;
    /**
     *
     */
    get tableName(): string;
    /**
     *
     */
    set tableName(value: string);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): StorageTableEntityTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: StorageTableEntityTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
