import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface StorageTableConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly storageAccountName: string;
    /**
     * acl block.
     */
    readonly acl?: StorageTableAcl[];
    /**
     * timeouts block.
     */
    readonly timeouts?: StorageTableTimeouts;
}
/**
 *
 */
export interface StorageTableAclAccessPolicy {
    /**
     *
     */
    readonly expiry: string;
    /**
     *
     */
    readonly permissions: string;
    /**
     *
     */
    readonly start: string;
}
/**
 *
 */
export interface StorageTableAcl {
    /**
     *
     */
    readonly id: string;
    /**
     * access_policy block.
     */
    readonly accessPolicy?: StorageTableAclAccessPolicy[];
}
/**
 *
 */
export interface StorageTableTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class StorageTable extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: StorageTableConfig);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _storageAccountName;
    /**
     *
     */
    get storageAccountName(): string;
    /**
     *
     */
    set storageAccountName(value: string);
    private _acl?;
    /**
     *
     */
    get acl(): StorageTableAcl[] | undefined;
    /**
     *
     */
    set acl(value: StorageTableAcl[] | undefined);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): StorageTableTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: StorageTableTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
