import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface StreamAnalyticsFunctionJavascriptUdfConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly script: string;
    /**
     *
     */
    readonly streamAnalyticsJobName: string;
    /**
     * input block.
     */
    readonly input: StreamAnalyticsFunctionJavascriptUdfInput[];
    /**
     * output block.
     */
    readonly output: StreamAnalyticsFunctionJavascriptUdfOutput[];
    /**
     * timeouts block.
     */
    readonly timeouts?: StreamAnalyticsFunctionJavascriptUdfTimeouts;
}
/**
 *
 */
export interface StreamAnalyticsFunctionJavascriptUdfInput {
    /**
     *
     */
    readonly type: string;
}
/**
 *
 */
export interface StreamAnalyticsFunctionJavascriptUdfOutput {
    /**
     *
     */
    readonly type: string;
}
/**
 *
 */
export interface StreamAnalyticsFunctionJavascriptUdfTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class StreamAnalyticsFunctionJavascriptUdf extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: StreamAnalyticsFunctionJavascriptUdfConfig);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _script;
    /**
     *
     */
    get script(): string;
    /**
     *
     */
    set script(value: string);
    private _streamAnalyticsJobName;
    /**
     *
     */
    get streamAnalyticsJobName(): string;
    /**
     *
     */
    set streamAnalyticsJobName(value: string);
    private _input;
    /**
     *
     */
    get input(): StreamAnalyticsFunctionJavascriptUdfInput[];
    /**
     *
     */
    set input(value: StreamAnalyticsFunctionJavascriptUdfInput[]);
    private _output;
    /**
     *
     */
    get output(): StreamAnalyticsFunctionJavascriptUdfOutput[];
    /**
     *
     */
    set output(value: StreamAnalyticsFunctionJavascriptUdfOutput[]);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): StreamAnalyticsFunctionJavascriptUdfTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: StreamAnalyticsFunctionJavascriptUdfTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
