import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface StreamAnalyticsJobConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly compatibilityLevel?: string;
    /**
     *
     */
    readonly dataLocale?: string;
    /**
     *
     */
    readonly eventsLateArrivalMaxDelayInSeconds?: number;
    /**
     *
     */
    readonly eventsOutOfOrderMaxDelayInSeconds?: number;
    /**
     *
     */
    readonly eventsOutOfOrderPolicy?: string;
    /**
     *
     */
    readonly location: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly outputErrorPolicy?: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly streamingUnits: number;
    /**
     *
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     *
     */
    readonly transformationQuery: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: StreamAnalyticsJobTimeouts;
}
/**
 *
 */
export interface StreamAnalyticsJobTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class StreamAnalyticsJob extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: StreamAnalyticsJobConfig);
    private _compatibilityLevel?;
    /**
     *
     */
    get compatibilityLevel(): string | undefined;
    /**
     *
     */
    set compatibilityLevel(value: string | undefined);
    private _dataLocale?;
    /**
     *
     */
    get dataLocale(): string | undefined;
    /**
     *
     */
    set dataLocale(value: string | undefined);
    private _eventsLateArrivalMaxDelayInSeconds?;
    /**
     *
     */
    get eventsLateArrivalMaxDelayInSeconds(): number | undefined;
    /**
     *
     */
    set eventsLateArrivalMaxDelayInSeconds(value: number | undefined);
    private _eventsOutOfOrderMaxDelayInSeconds?;
    /**
     *
     */
    get eventsOutOfOrderMaxDelayInSeconds(): number | undefined;
    /**
     *
     */
    set eventsOutOfOrderMaxDelayInSeconds(value: number | undefined);
    private _eventsOutOfOrderPolicy?;
    /**
     *
     */
    get eventsOutOfOrderPolicy(): string | undefined;
    /**
     *
     */
    set eventsOutOfOrderPolicy(value: string | undefined);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    /**
     *
     */
    get jobId(): string;
    private _location;
    /**
     *
     */
    get location(): string;
    /**
     *
     */
    set location(value: string);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _outputErrorPolicy?;
    /**
     *
     */
    get outputErrorPolicy(): string | undefined;
    /**
     *
     */
    set outputErrorPolicy(value: string | undefined);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _streamingUnits;
    /**
     *
     */
    get streamingUnits(): number;
    /**
     *
     */
    set streamingUnits(value: number);
    private _tags?;
    /**
     *
     */
    get tags(): {
        [key: string]: string;
    } | undefined;
    /**
     *
     */
    set tags(value: {
        [key: string]: string;
    } | undefined);
    private _transformationQuery;
    /**
     *
     */
    get transformationQuery(): string;
    /**
     *
     */
    set transformationQuery(value: string);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): StreamAnalyticsJobTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: StreamAnalyticsJobTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
