import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface StreamAnalyticsOutputBlobConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly dateFormat: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly pathPattern: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly storageAccountKey: string;
    /**
     *
     */
    readonly storageAccountName: string;
    /**
     *
     */
    readonly storageContainerName: string;
    /**
     *
     */
    readonly streamAnalyticsJobName: string;
    /**
     *
     */
    readonly timeFormat: string;
    /**
     * serialization block.
     */
    readonly serialization: StreamAnalyticsOutputBlobSerialization[];
    /**
     * timeouts block.
     */
    readonly timeouts?: StreamAnalyticsOutputBlobTimeouts;
}
/**
 *
 */
export interface StreamAnalyticsOutputBlobSerialization {
    /**
     *
     */
    readonly encoding?: string;
    /**
     *
     */
    readonly fieldDelimiter?: string;
    /**
     *
     */
    readonly format?: string;
    /**
     *
     */
    readonly type: string;
}
/**
 *
 */
export interface StreamAnalyticsOutputBlobTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class StreamAnalyticsOutputBlob extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: StreamAnalyticsOutputBlobConfig);
    private _dateFormat;
    /**
     *
     */
    get dateFormat(): string;
    /**
     *
     */
    set dateFormat(value: string);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _pathPattern;
    /**
     *
     */
    get pathPattern(): string;
    /**
     *
     */
    set pathPattern(value: string);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _storageAccountKey;
    /**
     *
     */
    get storageAccountKey(): string;
    /**
     *
     */
    set storageAccountKey(value: string);
    private _storageAccountName;
    /**
     *
     */
    get storageAccountName(): string;
    /**
     *
     */
    set storageAccountName(value: string);
    private _storageContainerName;
    /**
     *
     */
    get storageContainerName(): string;
    /**
     *
     */
    set storageContainerName(value: string);
    private _streamAnalyticsJobName;
    /**
     *
     */
    get streamAnalyticsJobName(): string;
    /**
     *
     */
    set streamAnalyticsJobName(value: string);
    private _timeFormat;
    /**
     *
     */
    get timeFormat(): string;
    /**
     *
     */
    set timeFormat(value: string);
    private _serialization;
    /**
     *
     */
    get serialization(): StreamAnalyticsOutputBlobSerialization[];
    /**
     *
     */
    set serialization(value: StreamAnalyticsOutputBlobSerialization[]);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): StreamAnalyticsOutputBlobTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: StreamAnalyticsOutputBlobTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
