import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface StreamAnalyticsOutputEventhubConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly eventhubName: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly servicebusNamespace: string;
    /**
     *
     */
    readonly sharedAccessPolicyKey: string;
    /**
     *
     */
    readonly sharedAccessPolicyName: string;
    /**
     *
     */
    readonly streamAnalyticsJobName: string;
    /**
     * serialization block.
     */
    readonly serialization: StreamAnalyticsOutputEventhubSerialization[];
    /**
     * timeouts block.
     */
    readonly timeouts?: StreamAnalyticsOutputEventhubTimeouts;
}
/**
 *
 */
export interface StreamAnalyticsOutputEventhubSerialization {
    /**
     *
     */
    readonly encoding?: string;
    /**
     *
     */
    readonly fieldDelimiter?: string;
    /**
     *
     */
    readonly format?: string;
    /**
     *
     */
    readonly type: string;
}
/**
 *
 */
export interface StreamAnalyticsOutputEventhubTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class StreamAnalyticsOutputEventhub extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: StreamAnalyticsOutputEventhubConfig);
    private _eventhubName;
    /**
     *
     */
    get eventhubName(): string;
    /**
     *
     */
    set eventhubName(value: string);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _servicebusNamespace;
    /**
     *
     */
    get servicebusNamespace(): string;
    /**
     *
     */
    set servicebusNamespace(value: string);
    private _sharedAccessPolicyKey;
    /**
     *
     */
    get sharedAccessPolicyKey(): string;
    /**
     *
     */
    set sharedAccessPolicyKey(value: string);
    private _sharedAccessPolicyName;
    /**
     *
     */
    get sharedAccessPolicyName(): string;
    /**
     *
     */
    set sharedAccessPolicyName(value: string);
    private _streamAnalyticsJobName;
    /**
     *
     */
    get streamAnalyticsJobName(): string;
    /**
     *
     */
    set streamAnalyticsJobName(value: string);
    private _serialization;
    /**
     *
     */
    get serialization(): StreamAnalyticsOutputEventhubSerialization[];
    /**
     *
     */
    set serialization(value: StreamAnalyticsOutputEventhubSerialization[]);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): StreamAnalyticsOutputEventhubTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: StreamAnalyticsOutputEventhubTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
