import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface StreamAnalyticsOutputMssqlConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly database: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly password: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly server: string;
    /**
     *
     */
    readonly streamAnalyticsJobName: string;
    /**
     *
     */
    readonly table: string;
    /**
     *
     */
    readonly user: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: StreamAnalyticsOutputMssqlTimeouts;
}
/**
 *
 */
export interface StreamAnalyticsOutputMssqlTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class StreamAnalyticsOutputMssql extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: StreamAnalyticsOutputMssqlConfig);
    private _database;
    /**
     *
     */
    get database(): string;
    /**
     *
     */
    set database(value: string);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _password;
    /**
     *
     */
    get password(): string;
    /**
     *
     */
    set password(value: string);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _server;
    /**
     *
     */
    get server(): string;
    /**
     *
     */
    set server(value: string);
    private _streamAnalyticsJobName;
    /**
     *
     */
    get streamAnalyticsJobName(): string;
    /**
     *
     */
    set streamAnalyticsJobName(value: string);
    private _table;
    /**
     *
     */
    get table(): string;
    /**
     *
     */
    set table(value: string);
    private _user;
    /**
     *
     */
    get user(): string;
    /**
     *
     */
    set user(value: string);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): StreamAnalyticsOutputMssqlTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: StreamAnalyticsOutputMssqlTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
