import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface StreamAnalyticsOutputServicebusQueueConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly queueName: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly servicebusNamespace: string;
    /**
     *
     */
    readonly sharedAccessPolicyKey: string;
    /**
     *
     */
    readonly sharedAccessPolicyName: string;
    /**
     *
     */
    readonly streamAnalyticsJobName: string;
    /**
     * serialization block.
     */
    readonly serialization: StreamAnalyticsOutputServicebusQueueSerialization[];
    /**
     * timeouts block.
     */
    readonly timeouts?: StreamAnalyticsOutputServicebusQueueTimeouts;
}
/**
 *
 */
export interface StreamAnalyticsOutputServicebusQueueSerialization {
    /**
     *
     */
    readonly encoding?: string;
    /**
     *
     */
    readonly fieldDelimiter?: string;
    /**
     *
     */
    readonly format?: string;
    /**
     *
     */
    readonly type: string;
}
/**
 *
 */
export interface StreamAnalyticsOutputServicebusQueueTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class StreamAnalyticsOutputServicebusQueue extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: StreamAnalyticsOutputServicebusQueueConfig);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _queueName;
    /**
     *
     */
    get queueName(): string;
    /**
     *
     */
    set queueName(value: string);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _servicebusNamespace;
    /**
     *
     */
    get servicebusNamespace(): string;
    /**
     *
     */
    set servicebusNamespace(value: string);
    private _sharedAccessPolicyKey;
    /**
     *
     */
    get sharedAccessPolicyKey(): string;
    /**
     *
     */
    set sharedAccessPolicyKey(value: string);
    private _sharedAccessPolicyName;
    /**
     *
     */
    get sharedAccessPolicyName(): string;
    /**
     *
     */
    set sharedAccessPolicyName(value: string);
    private _streamAnalyticsJobName;
    /**
     *
     */
    get streamAnalyticsJobName(): string;
    /**
     *
     */
    set streamAnalyticsJobName(value: string);
    private _serialization;
    /**
     *
     */
    get serialization(): StreamAnalyticsOutputServicebusQueueSerialization[];
    /**
     *
     */
    set serialization(value: StreamAnalyticsOutputServicebusQueueSerialization[]);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): StreamAnalyticsOutputServicebusQueueTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: StreamAnalyticsOutputServicebusQueueTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
