import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface StreamAnalyticsOutputServicebusTopicConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly servicebusNamespace: string;
    /**
     *
     */
    readonly sharedAccessPolicyKey: string;
    /**
     *
     */
    readonly sharedAccessPolicyName: string;
    /**
     *
     */
    readonly streamAnalyticsJobName: string;
    /**
     *
     */
    readonly topicName: string;
    /**
     * serialization block.
     */
    readonly serialization: StreamAnalyticsOutputServicebusTopicSerialization[];
    /**
     * timeouts block.
     */
    readonly timeouts?: StreamAnalyticsOutputServicebusTopicTimeouts;
}
/**
 *
 */
export interface StreamAnalyticsOutputServicebusTopicSerialization {
    /**
     *
     */
    readonly encoding?: string;
    /**
     *
     */
    readonly fieldDelimiter?: string;
    /**
     *
     */
    readonly format?: string;
    /**
     *
     */
    readonly type: string;
}
/**
 *
 */
export interface StreamAnalyticsOutputServicebusTopicTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class StreamAnalyticsOutputServicebusTopic extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: StreamAnalyticsOutputServicebusTopicConfig);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _servicebusNamespace;
    /**
     *
     */
    get servicebusNamespace(): string;
    /**
     *
     */
    set servicebusNamespace(value: string);
    private _sharedAccessPolicyKey;
    /**
     *
     */
    get sharedAccessPolicyKey(): string;
    /**
     *
     */
    set sharedAccessPolicyKey(value: string);
    private _sharedAccessPolicyName;
    /**
     *
     */
    get sharedAccessPolicyName(): string;
    /**
     *
     */
    set sharedAccessPolicyName(value: string);
    private _streamAnalyticsJobName;
    /**
     *
     */
    get streamAnalyticsJobName(): string;
    /**
     *
     */
    set streamAnalyticsJobName(value: string);
    private _topicName;
    /**
     *
     */
    get topicName(): string;
    /**
     *
     */
    set topicName(value: string);
    private _serialization;
    /**
     *
     */
    get serialization(): StreamAnalyticsOutputServicebusTopicSerialization[];
    /**
     *
     */
    set serialization(value: StreamAnalyticsOutputServicebusTopicSerialization[]);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): StreamAnalyticsOutputServicebusTopicTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: StreamAnalyticsOutputServicebusTopicTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
