import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface StreamAnalyticsStreamInputEventhubConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly eventhubConsumerGroupName: string;
    /**
     *
     */
    readonly eventhubName: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly servicebusNamespace: string;
    /**
     *
     */
    readonly sharedAccessPolicyKey: string;
    /**
     *
     */
    readonly sharedAccessPolicyName: string;
    /**
     *
     */
    readonly streamAnalyticsJobName: string;
    /**
     * serialization block.
     */
    readonly serialization: StreamAnalyticsStreamInputEventhubSerialization[];
    /**
     * timeouts block.
     */
    readonly timeouts?: StreamAnalyticsStreamInputEventhubTimeouts;
}
/**
 *
 */
export interface StreamAnalyticsStreamInputEventhubSerialization {
    /**
     *
     */
    readonly encoding?: string;
    /**
     *
     */
    readonly fieldDelimiter?: string;
    /**
     *
     */
    readonly type: string;
}
/**
 *
 */
export interface StreamAnalyticsStreamInputEventhubTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class StreamAnalyticsStreamInputEventhub extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: StreamAnalyticsStreamInputEventhubConfig);
    private _eventhubConsumerGroupName;
    /**
     *
     */
    get eventhubConsumerGroupName(): string;
    /**
     *
     */
    set eventhubConsumerGroupName(value: string);
    private _eventhubName;
    /**
     *
     */
    get eventhubName(): string;
    /**
     *
     */
    set eventhubName(value: string);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _servicebusNamespace;
    /**
     *
     */
    get servicebusNamespace(): string;
    /**
     *
     */
    set servicebusNamespace(value: string);
    private _sharedAccessPolicyKey;
    /**
     *
     */
    get sharedAccessPolicyKey(): string;
    /**
     *
     */
    set sharedAccessPolicyKey(value: string);
    private _sharedAccessPolicyName;
    /**
     *
     */
    get sharedAccessPolicyName(): string;
    /**
     *
     */
    set sharedAccessPolicyName(value: string);
    private _streamAnalyticsJobName;
    /**
     *
     */
    get streamAnalyticsJobName(): string;
    /**
     *
     */
    set streamAnalyticsJobName(value: string);
    private _serialization;
    /**
     *
     */
    get serialization(): StreamAnalyticsStreamInputEventhubSerialization[];
    /**
     *
     */
    set serialization(value: StreamAnalyticsStreamInputEventhubSerialization[]);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): StreamAnalyticsStreamInputEventhubTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: StreamAnalyticsStreamInputEventhubTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
