import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface StreamAnalyticsStreamInputIothubConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly endpoint: string;
    /**
     *
     */
    readonly eventhubConsumerGroupName: string;
    /**
     *
     */
    readonly iothubNamespace: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly sharedAccessPolicyKey: string;
    /**
     *
     */
    readonly sharedAccessPolicyName: string;
    /**
     *
     */
    readonly streamAnalyticsJobName: string;
    /**
     * serialization block.
     */
    readonly serialization: StreamAnalyticsStreamInputIothubSerialization[];
    /**
     * timeouts block.
     */
    readonly timeouts?: StreamAnalyticsStreamInputIothubTimeouts;
}
/**
 *
 */
export interface StreamAnalyticsStreamInputIothubSerialization {
    /**
     *
     */
    readonly encoding?: string;
    /**
     *
     */
    readonly fieldDelimiter?: string;
    /**
     *
     */
    readonly type: string;
}
/**
 *
 */
export interface StreamAnalyticsStreamInputIothubTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class StreamAnalyticsStreamInputIothub extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: StreamAnalyticsStreamInputIothubConfig);
    private _endpoint;
    /**
     *
     */
    get endpoint(): string;
    /**
     *
     */
    set endpoint(value: string);
    private _eventhubConsumerGroupName;
    /**
     *
     */
    get eventhubConsumerGroupName(): string;
    /**
     *
     */
    set eventhubConsumerGroupName(value: string);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _iothubNamespace;
    /**
     *
     */
    get iothubNamespace(): string;
    /**
     *
     */
    set iothubNamespace(value: string);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _sharedAccessPolicyKey;
    /**
     *
     */
    get sharedAccessPolicyKey(): string;
    /**
     *
     */
    set sharedAccessPolicyKey(value: string);
    private _sharedAccessPolicyName;
    /**
     *
     */
    get sharedAccessPolicyName(): string;
    /**
     *
     */
    set sharedAccessPolicyName(value: string);
    private _streamAnalyticsJobName;
    /**
     *
     */
    get streamAnalyticsJobName(): string;
    /**
     *
     */
    set streamAnalyticsJobName(value: string);
    private _serialization;
    /**
     *
     */
    get serialization(): StreamAnalyticsStreamInputIothubSerialization[];
    /**
     *
     */
    set serialization(value: StreamAnalyticsStreamInputIothubSerialization[]);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): StreamAnalyticsStreamInputIothubTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: StreamAnalyticsStreamInputIothubTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
