import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface SubnetNetworkSecurityGroupAssociationConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly networkSecurityGroupId: string;
    /**
     *
     */
    readonly subnetId: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: SubnetNetworkSecurityGroupAssociationTimeouts;
}
/**
 *
 */
export interface SubnetNetworkSecurityGroupAssociationTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class SubnetNetworkSecurityGroupAssociation extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: SubnetNetworkSecurityGroupAssociationConfig);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _networkSecurityGroupId;
    /**
     *
     */
    get networkSecurityGroupId(): string;
    /**
     *
     */
    set networkSecurityGroupId(value: string);
    private _subnetId;
    /**
     *
     */
    get subnetId(): string;
    /**
     *
     */
    set subnetId(value: string);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): SubnetNetworkSecurityGroupAssociationTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: SubnetNetworkSecurityGroupAssociationTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
