import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface SubnetRouteTableAssociationConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly routeTableId: string;
    /**
     *
     */
    readonly subnetId: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: SubnetRouteTableAssociationTimeouts;
}
/**
 *
 */
export interface SubnetRouteTableAssociationTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class SubnetRouteTableAssociation extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: SubnetRouteTableAssociationConfig);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _routeTableId;
    /**
     *
     */
    get routeTableId(): string;
    /**
     *
     */
    set routeTableId(value: string);
    private _subnetId;
    /**
     *
     */
    get subnetId(): string;
    /**
     *
     */
    set subnetId(value: string);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): SubnetRouteTableAssociationTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: SubnetRouteTableAssociationTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
