import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface SubnetConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly addressPrefix: string;
    /**
     *
     */
    readonly enforcePrivateLinkEndpointNetworkPolicies?: boolean;
    /**
     *
     */
    readonly enforcePrivateLinkServiceNetworkPolicies?: boolean;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly serviceEndpoints?: string[];
    /**
     *
     */
    readonly virtualNetworkName: string;
    /**
     * delegation block.
     */
    readonly delegation?: SubnetDelegation[];
    /**
     * timeouts block.
     */
    readonly timeouts?: SubnetTimeouts;
}
/**
 *
 */
export interface SubnetDelegationServiceDelegation {
    /**
     *
     */
    readonly actions?: string[];
    /**
     *
     */
    readonly name: string;
}
/**
 *
 */
export interface SubnetDelegation {
    /**
     *
     */
    readonly name: string;
    /**
     * service_delegation block.
     */
    readonly serviceDelegation: SubnetDelegationServiceDelegation[];
}
/**
 *
 */
export interface SubnetTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class Subnet extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: SubnetConfig);
    private _addressPrefix;
    /**
     *
     */
    get addressPrefix(): string;
    /**
     *
     */
    set addressPrefix(value: string);
    private _enforcePrivateLinkEndpointNetworkPolicies?;
    /**
     *
     */
    get enforcePrivateLinkEndpointNetworkPolicies(): boolean | undefined;
    /**
     *
     */
    set enforcePrivateLinkEndpointNetworkPolicies(value: boolean | undefined);
    private _enforcePrivateLinkServiceNetworkPolicies?;
    /**
     *
     */
    get enforcePrivateLinkServiceNetworkPolicies(): boolean | undefined;
    /**
     *
     */
    set enforcePrivateLinkServiceNetworkPolicies(value: boolean | undefined);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _serviceEndpoints?;
    /**
     *
     */
    get serviceEndpoints(): string[] | undefined;
    /**
     *
     */
    set serviceEndpoints(value: string[] | undefined);
    private _virtualNetworkName;
    /**
     *
     */
    get virtualNetworkName(): string;
    /**
     *
     */
    set virtualNetworkName(value: string);
    private _delegation?;
    /**
     *
     */
    get delegation(): SubnetDelegation[] | undefined;
    /**
     *
     */
    set delegation(value: SubnetDelegation[] | undefined);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): SubnetTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: SubnetTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
