import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface TemplateDeploymentConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly deploymentMode: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly parameters?: {
        [key: string]: string;
    };
    /**
     *
     */
    readonly parametersBody?: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly templateBody?: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: TemplateDeploymentTimeouts;
}
/**
 *
 */
export interface TemplateDeploymentTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class TemplateDeployment extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: TemplateDeploymentConfig);
    private _deploymentMode;
    /**
     *
     */
    get deploymentMode(): string;
    /**
     *
     */
    set deploymentMode(value: string);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    /**
     *
     */
    outputs(key: string): string;
    private _parameters?;
    /**
     *
     */
    get parameters(): {
        [key: string]: string;
    } | undefined;
    /**
     *
     */
    set parameters(value: {
        [key: string]: string;
    } | undefined);
    private _parametersBody?;
    /**
     *
     */
    get parametersBody(): string | undefined;
    /**
     *
     */
    set parametersBody(value: string | undefined);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _templateBody?;
    /**
     *
     */
    get templateBody(): string | undefined;
    /**
     *
     */
    set templateBody(value: string | undefined);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): TemplateDeploymentTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: TemplateDeploymentTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
