import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface TrafficManagerEndpointConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly endpointLocation?: string;
    /**
     *
     */
    readonly endpointStatus?: string;
    /**
     *
     */
    readonly geoMappings?: string[];
    /**
     *
     */
    readonly minChildEndpoints?: number;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly priority?: number;
    /**
     *
     */
    readonly profileName: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly target?: string;
    /**
     *
     */
    readonly targetResourceId?: string;
    /**
     *
     */
    readonly type: string;
    /**
     *
     */
    readonly weight?: number;
    /**
     * custom_header block.
     */
    readonly customHeader?: TrafficManagerEndpointCustomHeader[];
    /**
     * subnet block.
     */
    readonly subnet?: TrafficManagerEndpointSubnet[];
    /**
     * timeouts block.
     */
    readonly timeouts?: TrafficManagerEndpointTimeouts;
}
/**
 *
 */
export interface TrafficManagerEndpointCustomHeader {
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly value: string;
}
/**
 *
 */
export interface TrafficManagerEndpointSubnet {
    /**
     *
     */
    readonly first: string;
    /**
     *
     */
    readonly last?: string;
    /**
     *
     */
    readonly scope?: number;
}
/**
 *
 */
export interface TrafficManagerEndpointTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class TrafficManagerEndpoint extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: TrafficManagerEndpointConfig);
    private _endpointLocation?;
    /**
     *
     */
    get endpointLocation(): string | undefined;
    /**
     *
     */
    set endpointLocation(value: string | undefined);
    /**
     *
     */
    get endpointMonitorStatus(): string;
    private _endpointStatus?;
    /**
     *
     */
    get endpointStatus(): string | undefined;
    /**
     *
     */
    set endpointStatus(value: string | undefined);
    private _geoMappings?;
    /**
     *
     */
    get geoMappings(): string[] | undefined;
    /**
     *
     */
    set geoMappings(value: string[] | undefined);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _minChildEndpoints?;
    /**
     *
     */
    get minChildEndpoints(): number | undefined;
    /**
     *
     */
    set minChildEndpoints(value: number | undefined);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _priority?;
    /**
     *
     */
    get priority(): number | undefined;
    /**
     *
     */
    set priority(value: number | undefined);
    private _profileName;
    /**
     *
     */
    get profileName(): string;
    /**
     *
     */
    set profileName(value: string);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _target?;
    /**
     *
     */
    get target(): string | undefined;
    /**
     *
     */
    set target(value: string | undefined);
    private _targetResourceId?;
    /**
     *
     */
    get targetResourceId(): string | undefined;
    /**
     *
     */
    set targetResourceId(value: string | undefined);
    private _type;
    /**
     *
     */
    get type(): string;
    /**
     *
     */
    set type(value: string);
    private _weight?;
    /**
     *
     */
    get weight(): number | undefined;
    /**
     *
     */
    set weight(value: number | undefined);
    private _customHeader?;
    /**
     *
     */
    get customHeader(): TrafficManagerEndpointCustomHeader[] | undefined;
    /**
     *
     */
    set customHeader(value: TrafficManagerEndpointCustomHeader[] | undefined);
    private _subnet?;
    /**
     *
     */
    get subnet(): TrafficManagerEndpointSubnet[] | undefined;
    /**
     *
     */
    set subnet(value: TrafficManagerEndpointSubnet[] | undefined);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): TrafficManagerEndpointTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: TrafficManagerEndpointTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
