import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface TrafficManagerProfileConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly profileStatus?: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     *
     */
    readonly trafficRoutingMethod: string;
    /**
     * dns_config block.
     */
    readonly dnsConfig: TrafficManagerProfileDnsConfig[];
    /**
     * monitor_config block.
     */
    readonly monitorConfig: TrafficManagerProfileMonitorConfig[];
    /**
     * timeouts block.
     */
    readonly timeouts?: TrafficManagerProfileTimeouts;
}
/**
 *
 */
export interface TrafficManagerProfileDnsConfig {
    /**
     *
     */
    readonly relativeName: string;
    /**
     *
     */
    readonly ttl: number;
}
/**
 *
 */
export interface TrafficManagerProfileMonitorConfig {
    /**
     *
     */
    readonly expectedStatusCodeRanges?: string[];
    /**
     *
     */
    readonly intervalInSeconds?: number;
    /**
     *
     */
    readonly path?: string;
    /**
     *
     */
    readonly port: number;
    /**
     *
     */
    readonly protocol: string;
    /**
     *
     */
    readonly timeoutInSeconds?: number;
    /**
     *
     */
    readonly toleratedNumberOfFailures?: number;
}
/**
 *
 */
export interface TrafficManagerProfileTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class TrafficManagerProfile extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: TrafficManagerProfileConfig);
    /**
     *
     */
    get fqdn(): string;
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _profileStatus?;
    /**
     *
     */
    get profileStatus(): string | undefined;
    /**
     *
     */
    set profileStatus(value: string | undefined);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _tags?;
    /**
     *
     */
    get tags(): {
        [key: string]: string;
    } | undefined;
    /**
     *
     */
    set tags(value: {
        [key: string]: string;
    } | undefined);
    private _trafficRoutingMethod;
    /**
     *
     */
    get trafficRoutingMethod(): string;
    /**
     *
     */
    set trafficRoutingMethod(value: string);
    private _dnsConfig;
    /**
     *
     */
    get dnsConfig(): TrafficManagerProfileDnsConfig[];
    /**
     *
     */
    set dnsConfig(value: TrafficManagerProfileDnsConfig[]);
    private _monitorConfig;
    /**
     *
     */
    get monitorConfig(): TrafficManagerProfileMonitorConfig[];
    /**
     *
     */
    set monitorConfig(value: TrafficManagerProfileMonitorConfig[]);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): TrafficManagerProfileTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: TrafficManagerProfileTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
