import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface VirtualMachineDataDiskAttachmentConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly caching: string;
    /**
     *
     */
    readonly createOption?: string;
    /**
     *
     */
    readonly lun: number;
    /**
     *
     */
    readonly managedDiskId: string;
    /**
     *
     */
    readonly virtualMachineId: string;
    /**
     *
     */
    readonly writeAcceleratorEnabled?: boolean;
    /**
     * timeouts block.
     */
    readonly timeouts?: VirtualMachineDataDiskAttachmentTimeouts;
}
/**
 *
 */
export interface VirtualMachineDataDiskAttachmentTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class VirtualMachineDataDiskAttachment extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: VirtualMachineDataDiskAttachmentConfig);
    private _caching;
    /**
     *
     */
    get caching(): string;
    /**
     *
     */
    set caching(value: string);
    private _createOption?;
    /**
     *
     */
    get createOption(): string | undefined;
    /**
     *
     */
    set createOption(value: string | undefined);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _lun;
    /**
     *
     */
    get lun(): number;
    /**
     *
     */
    set lun(value: number);
    private _managedDiskId;
    /**
     *
     */
    get managedDiskId(): string;
    /**
     *
     */
    set managedDiskId(value: string);
    private _virtualMachineId;
    /**
     *
     */
    get virtualMachineId(): string;
    /**
     *
     */
    set virtualMachineId(value: string);
    private _writeAcceleratorEnabled?;
    /**
     *
     */
    get writeAcceleratorEnabled(): boolean | undefined;
    /**
     *
     */
    set writeAcceleratorEnabled(value: boolean | undefined);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): VirtualMachineDataDiskAttachmentTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: VirtualMachineDataDiskAttachmentTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
