import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface VirtualMachineExtensionConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly autoUpgradeMinorVersion?: boolean;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly protectedSettings?: string;
    /**
     *
     */
    readonly publisher: string;
    /**
     *
     */
    readonly settings?: string;
    /**
     *
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     *
     */
    readonly type: string;
    /**
     *
     */
    readonly typeHandlerVersion: string;
    /**
     *
     */
    readonly virtualMachineId: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: VirtualMachineExtensionTimeouts;
}
/**
 *
 */
export interface VirtualMachineExtensionTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class VirtualMachineExtension extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: VirtualMachineExtensionConfig);
    private _autoUpgradeMinorVersion?;
    /**
     *
     */
    get autoUpgradeMinorVersion(): boolean | undefined;
    /**
     *
     */
    set autoUpgradeMinorVersion(value: boolean | undefined);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _protectedSettings?;
    /**
     *
     */
    get protectedSettings(): string | undefined;
    /**
     *
     */
    set protectedSettings(value: string | undefined);
    private _publisher;
    /**
     *
     */
    get publisher(): string;
    /**
     *
     */
    set publisher(value: string);
    private _settings?;
    /**
     *
     */
    get settings(): string | undefined;
    /**
     *
     */
    set settings(value: string | undefined);
    private _tags?;
    /**
     *
     */
    get tags(): {
        [key: string]: string;
    } | undefined;
    /**
     *
     */
    set tags(value: {
        [key: string]: string;
    } | undefined);
    private _type;
    /**
     *
     */
    get type(): string;
    /**
     *
     */
    set type(value: string);
    private _typeHandlerVersion;
    /**
     *
     */
    get typeHandlerVersion(): string;
    /**
     *
     */
    set typeHandlerVersion(value: string);
    private _virtualMachineId;
    /**
     *
     */
    get virtualMachineId(): string;
    /**
     *
     */
    set virtualMachineId(value: string);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): VirtualMachineExtensionTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: VirtualMachineExtensionTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
