import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface VirtualMachineScaleSetExtensionAConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly autoUpgradeMinorVersion?: boolean;
    /**
     *
     */
    readonly forceUpdateTag?: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly protectedSettings?: string;
    /**
     *
     */
    readonly provisionAfterExtensions?: string[];
    /**
     *
     */
    readonly publisher: string;
    /**
     *
     */
    readonly settings?: string;
    /**
     *
     */
    readonly type: string;
    /**
     *
     */
    readonly typeHandlerVersion: string;
    /**
     *
     */
    readonly virtualMachineScaleSetId: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: VirtualMachineScaleSetExtensionTimeouts;
}
/**
 *
 */
export interface VirtualMachineScaleSetExtensionTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class VirtualMachineScaleSetExtensionA extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: VirtualMachineScaleSetExtensionAConfig);
    private _autoUpgradeMinorVersion?;
    /**
     *
     */
    get autoUpgradeMinorVersion(): boolean | undefined;
    /**
     *
     */
    set autoUpgradeMinorVersion(value: boolean | undefined);
    private _forceUpdateTag?;
    /**
     *
     */
    get forceUpdateTag(): string | undefined;
    /**
     *
     */
    set forceUpdateTag(value: string | undefined);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _protectedSettings?;
    /**
     *
     */
    get protectedSettings(): string | undefined;
    /**
     *
     */
    set protectedSettings(value: string | undefined);
    private _provisionAfterExtensions?;
    /**
     *
     */
    get provisionAfterExtensions(): string[] | undefined;
    /**
     *
     */
    set provisionAfterExtensions(value: string[] | undefined);
    private _publisher;
    /**
     *
     */
    get publisher(): string;
    /**
     *
     */
    set publisher(value: string);
    private _settings?;
    /**
     *
     */
    get settings(): string | undefined;
    /**
     *
     */
    set settings(value: string | undefined);
    private _type;
    /**
     *
     */
    get type(): string;
    /**
     *
     */
    set type(value: string);
    private _typeHandlerVersion;
    /**
     *
     */
    get typeHandlerVersion(): string;
    /**
     *
     */
    set typeHandlerVersion(value: string);
    private _virtualMachineScaleSetId;
    /**
     *
     */
    get virtualMachineScaleSetId(): string;
    /**
     *
     */
    set virtualMachineScaleSetId(value: string);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): VirtualMachineScaleSetExtensionTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: VirtualMachineScaleSetExtensionTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
