import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface VirtualNetworkGatewayConnectionConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly authorizationKey?: string;
    /**
     *
     */
    readonly connectionProtocol?: string;
    /**
     *
     */
    readonly enableBgp?: boolean;
    /**
     *
     */
    readonly expressRouteCircuitId?: string;
    /**
     *
     */
    readonly expressRouteGatewayBypass?: boolean;
    /**
     *
     */
    readonly localNetworkGatewayId?: string;
    /**
     *
     */
    readonly location: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly peerVirtualNetworkGatewayId?: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly routingWeight?: number;
    /**
     *
     */
    readonly sharedKey?: string;
    /**
     *
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     *
     */
    readonly type: string;
    /**
     *
     */
    readonly usePolicyBasedTrafficSelectors?: boolean;
    /**
     *
     */
    readonly virtualNetworkGatewayId: string;
    /**
     * ipsec_policy block.
     */
    readonly ipsecPolicy?: VirtualNetworkGatewayConnectionIpsecPolicy[];
    /**
     * timeouts block.
     */
    readonly timeouts?: VirtualNetworkGatewayConnectionTimeouts;
}
/**
 *
 */
export interface VirtualNetworkGatewayConnectionIpsecPolicy {
    /**
     *
     */
    readonly dhGroup: string;
    /**
     *
     */
    readonly ikeEncryption: string;
    /**
     *
     */
    readonly ikeIntegrity: string;
    /**
     *
     */
    readonly ipsecEncryption: string;
    /**
     *
     */
    readonly ipsecIntegrity: string;
    /**
     *
     */
    readonly pfsGroup: string;
    /**
     *
     */
    readonly saDatasize?: number;
    /**
     *
     */
    readonly saLifetime?: number;
}
/**
 *
 */
export interface VirtualNetworkGatewayConnectionTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class VirtualNetworkGatewayConnection extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: VirtualNetworkGatewayConnectionConfig);
    private _authorizationKey?;
    /**
     *
     */
    get authorizationKey(): string | undefined;
    /**
     *
     */
    set authorizationKey(value: string | undefined);
    private _connectionProtocol?;
    /**
     *
     */
    get connectionProtocol(): string | undefined;
    /**
     *
     */
    set connectionProtocol(value: string | undefined);
    private _enableBgp?;
    /**
     *
     */
    get enableBgp(): boolean | undefined;
    /**
     *
     */
    set enableBgp(value: boolean | undefined);
    private _expressRouteCircuitId?;
    /**
     *
     */
    get expressRouteCircuitId(): string | undefined;
    /**
     *
     */
    set expressRouteCircuitId(value: string | undefined);
    private _expressRouteGatewayBypass?;
    /**
     *
     */
    get expressRouteGatewayBypass(): boolean | undefined;
    /**
     *
     */
    set expressRouteGatewayBypass(value: boolean | undefined);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _localNetworkGatewayId?;
    /**
     *
     */
    get localNetworkGatewayId(): string | undefined;
    /**
     *
     */
    set localNetworkGatewayId(value: string | undefined);
    private _location;
    /**
     *
     */
    get location(): string;
    /**
     *
     */
    set location(value: string);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _peerVirtualNetworkGatewayId?;
    /**
     *
     */
    get peerVirtualNetworkGatewayId(): string | undefined;
    /**
     *
     */
    set peerVirtualNetworkGatewayId(value: string | undefined);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _routingWeight?;
    /**
     *
     */
    get routingWeight(): number | undefined;
    /**
     *
     */
    set routingWeight(value: number | undefined);
    private _sharedKey?;
    /**
     *
     */
    get sharedKey(): string | undefined;
    /**
     *
     */
    set sharedKey(value: string | undefined);
    private _tags?;
    /**
     *
     */
    get tags(): {
        [key: string]: string;
    } | undefined;
    /**
     *
     */
    set tags(value: {
        [key: string]: string;
    } | undefined);
    private _type;
    /**
     *
     */
    get type(): string;
    /**
     *
     */
    set type(value: string);
    private _usePolicyBasedTrafficSelectors?;
    /**
     *
     */
    get usePolicyBasedTrafficSelectors(): boolean | undefined;
    /**
     *
     */
    set usePolicyBasedTrafficSelectors(value: boolean | undefined);
    private _virtualNetworkGatewayId;
    /**
     *
     */
    get virtualNetworkGatewayId(): string;
    /**
     *
     */
    set virtualNetworkGatewayId(value: string);
    private _ipsecPolicy?;
    /**
     *
     */
    get ipsecPolicy(): VirtualNetworkGatewayConnectionIpsecPolicy[] | undefined;
    /**
     *
     */
    set ipsecPolicy(value: VirtualNetworkGatewayConnectionIpsecPolicy[] | undefined);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): VirtualNetworkGatewayConnectionTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: VirtualNetworkGatewayConnectionTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
