import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface VirtualNetworkGatewayConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly activeActive?: boolean;
    /**
     *
     */
    readonly defaultLocalNetworkGatewayId?: string;
    /**
     *
     */
    readonly enableBgp?: boolean;
    /**
     *
     */
    readonly generation?: string;
    /**
     *
     */
    readonly location: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly sku: string;
    /**
     *
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     *
     */
    readonly type: string;
    /**
     *
     */
    readonly vpnType?: string;
    /**
     * bgp_settings block.
     */
    readonly bgpSettings?: VirtualNetworkGatewayBgpSettings[];
    /**
     * ip_configuration block.
     */
    readonly ipConfiguration: VirtualNetworkGatewayIpConfiguration[];
    /**
     * timeouts block.
     */
    readonly timeouts?: VirtualNetworkGatewayTimeouts;
    /**
     * vpn_client_configuration block.
     */
    readonly vpnClientConfiguration?: VirtualNetworkGatewayVpnClientConfiguration[];
}
/**
 *
 */
export interface VirtualNetworkGatewayBgpSettings {
    /**
     *
     */
    readonly asn?: number;
    /**
     *
     */
    readonly peerWeight?: number;
    /**
     *
     */
    readonly peeringAddress?: string;
}
/**
 *
 */
export interface VirtualNetworkGatewayIpConfiguration {
    /**
     *
     */
    readonly name?: string;
    /**
     *
     */
    readonly privateIpAddressAllocation?: string;
    /**
     *
     */
    readonly publicIpAddressId?: string;
    /**
     *
     */
    readonly subnetId: string;
}
/**
 *
 */
export interface VirtualNetworkGatewayTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export interface VirtualNetworkGatewayVpnClientConfigurationRevokedCertificate {
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly thumbprint: string;
}
/**
 *
 */
export interface VirtualNetworkGatewayVpnClientConfigurationRootCertificate {
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly publicCertData: string;
}
/**
 *
 */
export interface VirtualNetworkGatewayVpnClientConfiguration {
    /**
     *
     */
    readonly addressSpace: string[];
    /**
     *
     */
    readonly radiusServerAddress?: string;
    /**
     *
     */
    readonly radiusServerSecret?: string;
    /**
     *
     */
    readonly vpnClientProtocols?: string[];
    /**
     * revoked_certificate block.
     */
    readonly revokedCertificate?: VirtualNetworkGatewayVpnClientConfigurationRevokedCertificate[];
    /**
     * root_certificate block.
     */
    readonly rootCertificate?: VirtualNetworkGatewayVpnClientConfigurationRootCertificate[];
}
/**
 *
 */
export declare class VirtualNetworkGateway extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: VirtualNetworkGatewayConfig);
    private _activeActive?;
    /**
     *
     */
    get activeActive(): boolean | undefined;
    /**
     *
     */
    set activeActive(value: boolean | undefined);
    private _defaultLocalNetworkGatewayId?;
    /**
     *
     */
    get defaultLocalNetworkGatewayId(): string | undefined;
    /**
     *
     */
    set defaultLocalNetworkGatewayId(value: string | undefined);
    private _enableBgp?;
    /**
     *
     */
    get enableBgp(): boolean | undefined;
    /**
     *
     */
    set enableBgp(value: boolean | undefined);
    private _generation?;
    /**
     *
     */
    get generation(): string | undefined;
    /**
     *
     */
    set generation(value: string | undefined);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _location;
    /**
     *
     */
    get location(): string;
    /**
     *
     */
    set location(value: string);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _sku;
    /**
     *
     */
    get sku(): string;
    /**
     *
     */
    set sku(value: string);
    private _tags?;
    /**
     *
     */
    get tags(): {
        [key: string]: string;
    } | undefined;
    /**
     *
     */
    set tags(value: {
        [key: string]: string;
    } | undefined);
    private _type;
    /**
     *
     */
    get type(): string;
    /**
     *
     */
    set type(value: string);
    private _vpnType?;
    /**
     *
     */
    get vpnType(): string | undefined;
    /**
     *
     */
    set vpnType(value: string | undefined);
    private _bgpSettings?;
    /**
     *
     */
    get bgpSettings(): VirtualNetworkGatewayBgpSettings[] | undefined;
    /**
     *
     */
    set bgpSettings(value: VirtualNetworkGatewayBgpSettings[] | undefined);
    private _ipConfiguration;
    /**
     *
     */
    get ipConfiguration(): VirtualNetworkGatewayIpConfiguration[];
    /**
     *
     */
    set ipConfiguration(value: VirtualNetworkGatewayIpConfiguration[]);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): VirtualNetworkGatewayTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: VirtualNetworkGatewayTimeouts | undefined);
    private _vpnClientConfiguration?;
    /**
     *
     */
    get vpnClientConfiguration(): VirtualNetworkGatewayVpnClientConfiguration[] | undefined;
    /**
     *
     */
    set vpnClientConfiguration(value: VirtualNetworkGatewayVpnClientConfiguration[] | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
