import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface VirtualNetworkPeeringConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly allowForwardedTraffic?: boolean;
    /**
     *
     */
    readonly allowGatewayTransit?: boolean;
    /**
     *
     */
    readonly allowVirtualNetworkAccess?: boolean;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly remoteVirtualNetworkId: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly useRemoteGateways?: boolean;
    /**
     *
     */
    readonly virtualNetworkName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: VirtualNetworkPeeringTimeouts;
}
/**
 *
 */
export interface VirtualNetworkPeeringTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class VirtualNetworkPeering extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: VirtualNetworkPeeringConfig);
    private _allowForwardedTraffic?;
    /**
     *
     */
    get allowForwardedTraffic(): boolean | undefined;
    /**
     *
     */
    set allowForwardedTraffic(value: boolean | undefined);
    private _allowGatewayTransit?;
    /**
     *
     */
    get allowGatewayTransit(): boolean | undefined;
    /**
     *
     */
    set allowGatewayTransit(value: boolean | undefined);
    private _allowVirtualNetworkAccess?;
    /**
     *
     */
    get allowVirtualNetworkAccess(): boolean | undefined;
    /**
     *
     */
    set allowVirtualNetworkAccess(value: boolean | undefined);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _remoteVirtualNetworkId;
    /**
     *
     */
    get remoteVirtualNetworkId(): string;
    /**
     *
     */
    set remoteVirtualNetworkId(value: string);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _useRemoteGateways?;
    /**
     *
     */
    get useRemoteGateways(): boolean | undefined;
    /**
     *
     */
    set useRemoteGateways(value: boolean | undefined);
    private _virtualNetworkName;
    /**
     *
     */
    get virtualNetworkName(): string;
    /**
     *
     */
    set virtualNetworkName(value: string);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): VirtualNetworkPeeringTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: VirtualNetworkPeeringTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
