import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface VirtualNetworkConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly addressSpace: string[];
    /**
     *
     */
    readonly dnsServers?: string[];
    /**
     *
     */
    readonly location: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * ddos_protection_plan block.
     */
    readonly ddosProtectionPlan?: VirtualNetworkDdosProtectionPlan[];
    /**
     * subnet block.
     */
    readonly subnet?: VirtualNetworkSubnet[];
    /**
     * timeouts block.
     */
    readonly timeouts?: VirtualNetworkTimeouts;
}
/**
 *
 */
export interface VirtualNetworkDdosProtectionPlan {
    /**
     *
     */
    readonly enable: boolean;
    /**
     *
     */
    readonly id: string;
}
/**
 *
 */
export interface VirtualNetworkSubnet {
    /**
     *
     */
    readonly addressPrefix: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly securityGroup?: string;
}
/**
 *
 */
export interface VirtualNetworkTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class VirtualNetwork extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: VirtualNetworkConfig);
    private _addressSpace;
    /**
     *
     */
    get addressSpace(): string[];
    /**
     *
     */
    set addressSpace(value: string[]);
    private _dnsServers?;
    /**
     *
     */
    get dnsServers(): string[] | undefined;
    /**
     *
     */
    set dnsServers(value: string[] | undefined);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _location;
    /**
     *
     */
    get location(): string;
    /**
     *
     */
    set location(value: string);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _tags?;
    /**
     *
     */
    get tags(): {
        [key: string]: string;
    } | undefined;
    /**
     *
     */
    set tags(value: {
        [key: string]: string;
    } | undefined);
    private _ddosProtectionPlan?;
    /**
     *
     */
    get ddosProtectionPlan(): VirtualNetworkDdosProtectionPlan[] | undefined;
    /**
     *
     */
    set ddosProtectionPlan(value: VirtualNetworkDdosProtectionPlan[] | undefined);
    private _subnet?;
    /**
     *
     */
    get subnet(): VirtualNetworkSubnet[] | undefined;
    /**
     *
     */
    set subnet(value: VirtualNetworkSubnet[] | undefined);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): VirtualNetworkTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: VirtualNetworkTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
