import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface WindowsVirtualMachineScaleSetConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly adminPassword: string;
    /**
     *
     */
    readonly adminUsername: string;
    /**
     *
     */
    readonly computerNamePrefix?: string;
    /**
     *
     */
    readonly customData?: string;
    /**
     *
     */
    readonly doNotRunExtensionsOnOverprovisionedMachines?: boolean;
    /**
     *
     */
    readonly enableAutomaticUpdates?: boolean;
    /**
     *
     */
    readonly evictionPolicy?: string;
    /**
     *
     */
    readonly healthProbeId?: string;
    /**
     *
     */
    readonly instances: number;
    /**
     *
     */
    readonly licenseType?: string;
    /**
     *
     */
    readonly location: string;
    /**
     *
     */
    readonly maxBidPrice?: number;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly overprovision?: boolean;
    /**
     *
     */
    readonly priority?: string;
    /**
     *
     */
    readonly provisionVmAgent?: boolean;
    /**
     *
     */
    readonly proximityPlacementGroupId?: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly singlePlacementGroup?: boolean;
    /**
     *
     */
    readonly sku: string;
    /**
     *
     */
    readonly sourceImageId?: string;
    /**
     *
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     *
     */
    readonly timezone?: string;
    /**
     *
     */
    readonly upgradeMode?: string;
    /**
     *
     */
    readonly zoneBalance?: boolean;
    /**
     *
     */
    readonly zones?: string[];
    /**
     * additional_capabilities block.
     */
    readonly additionalCapabilities?: WindowsVirtualMachineScaleSetAdditionalCapabilities[];
    /**
     * additional_unattend_content block.
     */
    readonly additionalUnattendContent?: WindowsVirtualMachineScaleSetAdditionalUnattendContent[];
    /**
     * automatic_os_upgrade_policy block.
     */
    readonly automaticOsUpgradePolicy?: WindowsVirtualMachineScaleSetAutomaticOsUpgradePolicy[];
    /**
     * boot_diagnostics block.
     */
    readonly bootDiagnostics?: WindowsVirtualMachineScaleSetBootDiagnostics[];
    /**
     * data_disk block.
     */
    readonly dataDisk?: WindowsVirtualMachineScaleSetDataDisk[];
    /**
     * identity block.
     */
    readonly identity?: WindowsVirtualMachineScaleSetIdentity[];
    /**
     * network_interface block.
     */
    readonly networkInterface: WindowsVirtualMachineScaleSetNetworkInterface[];
    /**
     * os_disk block.
     */
    readonly osDisk: WindowsVirtualMachineScaleSetOsDisk[];
    /**
     * plan block.
     */
    readonly plan?: WindowsVirtualMachineScaleSetPlan[];
    /**
     * rolling_upgrade_policy block.
     */
    readonly rollingUpgradePolicy?: WindowsVirtualMachineScaleSetRollingUpgradePolicy[];
    /**
     * secret block.
     */
    readonly secret?: WindowsVirtualMachineScaleSetSecret[];
    /**
     * source_image_reference block.
     */
    readonly sourceImageReference?: WindowsVirtualMachineScaleSetSourceImageReference[];
    /**
     * timeouts block.
     */
    readonly timeouts?: WindowsVirtualMachineScaleSetTimeouts;
    /**
     * winrm_listener block.
     */
    readonly winrmListener?: WindowsVirtualMachineScaleSetWinrmListener[];
}
/**
 *
 */
export interface WindowsVirtualMachineScaleSetAdditionalCapabilities {
    /**
     *
     */
    readonly ultraSsdEnabled?: boolean;
}
/**
 *
 */
export interface WindowsVirtualMachineScaleSetAdditionalUnattendContent {
    /**
     *
     */
    readonly content: string;
    /**
     *
     */
    readonly setting: string;
}
/**
 *
 */
export interface WindowsVirtualMachineScaleSetAutomaticOsUpgradePolicy {
    /**
     *
     */
    readonly disableAutomaticRollback: boolean;
    /**
     *
     */
    readonly enableAutomaticOsUpgrade: boolean;
}
/**
 *
 */
export interface WindowsVirtualMachineScaleSetBootDiagnostics {
    /**
     *
     */
    readonly storageAccountUri: string;
}
/**
 *
 */
export interface WindowsVirtualMachineScaleSetDataDisk {
    /**
     *
     */
    readonly caching: string;
    /**
     *
     */
    readonly diskEncryptionSetId?: string;
    /**
     *
     */
    readonly diskSizeGb: number;
    /**
     *
     */
    readonly lun: number;
    /**
     *
     */
    readonly storageAccountType: string;
    /**
     *
     */
    readonly writeAcceleratorEnabled?: boolean;
}
/**
 *
 */
export interface WindowsVirtualMachineScaleSetIdentity {
    /**
     *
     */
    readonly identityIds?: string[];
    /**
     *
     */
    readonly type: string;
}
/**
 *
 */
export interface WindowsVirtualMachineScaleSetNetworkInterfaceIpConfigurationPublicIpAddressIpTag {
    /**
     *
     */
    readonly tag: string;
    /**
     *
     */
    readonly type: string;
}
/**
 *
 */
export interface WindowsVirtualMachineScaleSetNetworkInterfaceIpConfigurationPublicIpAddress {
    /**
     *
     */
    readonly domainNameLabel?: string;
    /**
     *
     */
    readonly idleTimeoutInMinutes?: number;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly publicIpPrefixId?: string;
    /**
     * ip_tag block.
     */
    readonly ipTag?: WindowsVirtualMachineScaleSetNetworkInterfaceIpConfigurationPublicIpAddressIpTag[];
}
/**
 *
 */
export interface WindowsVirtualMachineScaleSetNetworkInterfaceIpConfiguration {
    /**
     *
     */
    readonly applicationGatewayBackendAddressPoolIds?: string[];
    /**
     *
     */
    readonly applicationSecurityGroupIds?: string[];
    /**
     *
     */
    readonly loadBalancerBackendAddressPoolIds?: string[];
    /**
     *
     */
    readonly loadBalancerInboundNatRulesIds?: string[];
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly primary?: boolean;
    /**
     *
     */
    readonly subnetId?: string;
    /**
     *
     */
    readonly version?: string;
    /**
     * public_ip_address block.
     */
    readonly publicIpAddress?: WindowsVirtualMachineScaleSetNetworkInterfaceIpConfigurationPublicIpAddress[];
}
/**
 *
 */
export interface WindowsVirtualMachineScaleSetNetworkInterface {
    /**
     *
     */
    readonly dnsServers?: string[];
    /**
     *
     */
    readonly enableAcceleratedNetworking?: boolean;
    /**
     *
     */
    readonly enableIpForwarding?: boolean;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly networkSecurityGroupId?: string;
    /**
     *
     */
    readonly primary?: boolean;
    /**
     * ip_configuration block.
     */
    readonly ipConfiguration: WindowsVirtualMachineScaleSetNetworkInterfaceIpConfiguration[];
}
/**
 *
 */
export interface WindowsVirtualMachineScaleSetOsDiskDiffDiskSettings {
    /**
     *
     */
    readonly option: string;
}
/**
 *
 */
export interface WindowsVirtualMachineScaleSetOsDisk {
    /**
     *
     */
    readonly caching: string;
    /**
     *
     */
    readonly diskEncryptionSetId?: string;
    /**
     *
     */
    readonly diskSizeGb?: number;
    /**
     *
     */
    readonly storageAccountType: string;
    /**
     *
     */
    readonly writeAcceleratorEnabled?: boolean;
    /**
     * diff_disk_settings block.
     */
    readonly diffDiskSettings?: WindowsVirtualMachineScaleSetOsDiskDiffDiskSettings[];
}
/**
 *
 */
export interface WindowsVirtualMachineScaleSetPlan {
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly product: string;
    /**
     *
     */
    readonly publisher: string;
}
/**
 *
 */
export interface WindowsVirtualMachineScaleSetRollingUpgradePolicy {
    /**
     *
     */
    readonly maxBatchInstancePercent: number;
    /**
     *
     */
    readonly maxUnhealthyInstancePercent: number;
    /**
     *
     */
    readonly maxUnhealthyUpgradedInstancePercent: number;
    /**
     *
     */
    readonly pauseTimeBetweenBatches: string;
}
/**
 *
 */
export interface WindowsVirtualMachineScaleSetSecretCertificate {
    /**
     *
     */
    readonly store: string;
    /**
     *
     */
    readonly url: string;
}
/**
 *
 */
export interface WindowsVirtualMachineScaleSetSecret {
    /**
     *
     */
    readonly keyVaultId: string;
    /**
     * certificate block.
     */
    readonly certificate: WindowsVirtualMachineScaleSetSecretCertificate[];
}
/**
 *
 */
export interface WindowsVirtualMachineScaleSetSourceImageReference {
    /**
     *
     */
    readonly offer: string;
    /**
     *
     */
    readonly publisher: string;
    /**
     *
     */
    readonly sku: string;
    /**
     *
     */
    readonly version: string;
}
/**
 *
 */
export interface WindowsVirtualMachineScaleSetTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export interface WindowsVirtualMachineScaleSetWinrmListener {
    /**
     *
     */
    readonly certificateUrl?: string;
    /**
     *
     */
    readonly protocol: string;
}
/**
 *
 */
export declare class WindowsVirtualMachineScaleSet extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: WindowsVirtualMachineScaleSetConfig);
    private _adminPassword;
    /**
     *
     */
    get adminPassword(): string;
    /**
     *
     */
    set adminPassword(value: string);
    private _adminUsername;
    /**
     *
     */
    get adminUsername(): string;
    /**
     *
     */
    set adminUsername(value: string);
    private _computerNamePrefix?;
    /**
     *
     */
    get computerNamePrefix(): string | undefined;
    /**
     *
     */
    set computerNamePrefix(value: string | undefined);
    private _customData?;
    /**
     *
     */
    get customData(): string | undefined;
    /**
     *
     */
    set customData(value: string | undefined);
    private _doNotRunExtensionsOnOverprovisionedMachines?;
    /**
     *
     */
    get doNotRunExtensionsOnOverprovisionedMachines(): boolean | undefined;
    /**
     *
     */
    set doNotRunExtensionsOnOverprovisionedMachines(value: boolean | undefined);
    private _enableAutomaticUpdates?;
    /**
     *
     */
    get enableAutomaticUpdates(): boolean | undefined;
    /**
     *
     */
    set enableAutomaticUpdates(value: boolean | undefined);
    private _evictionPolicy?;
    /**
     *
     */
    get evictionPolicy(): string | undefined;
    /**
     *
     */
    set evictionPolicy(value: string | undefined);
    private _healthProbeId?;
    /**
     *
     */
    get healthProbeId(): string | undefined;
    /**
     *
     */
    set healthProbeId(value: string | undefined);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _instances;
    /**
     *
     */
    get instances(): number;
    /**
     *
     */
    set instances(value: number);
    private _licenseType?;
    /**
     *
     */
    get licenseType(): string | undefined;
    /**
     *
     */
    set licenseType(value: string | undefined);
    private _location;
    /**
     *
     */
    get location(): string;
    /**
     *
     */
    set location(value: string);
    private _maxBidPrice?;
    /**
     *
     */
    get maxBidPrice(): number | undefined;
    /**
     *
     */
    set maxBidPrice(value: number | undefined);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _overprovision?;
    /**
     *
     */
    get overprovision(): boolean | undefined;
    /**
     *
     */
    set overprovision(value: boolean | undefined);
    private _priority?;
    /**
     *
     */
    get priority(): string | undefined;
    /**
     *
     */
    set priority(value: string | undefined);
    private _provisionVmAgent?;
    /**
     *
     */
    get provisionVmAgent(): boolean | undefined;
    /**
     *
     */
    set provisionVmAgent(value: boolean | undefined);
    private _proximityPlacementGroupId?;
    /**
     *
     */
    get proximityPlacementGroupId(): string | undefined;
    /**
     *
     */
    set proximityPlacementGroupId(value: string | undefined);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _singlePlacementGroup?;
    /**
     *
     */
    get singlePlacementGroup(): boolean | undefined;
    /**
     *
     */
    set singlePlacementGroup(value: boolean | undefined);
    private _sku;
    /**
     *
     */
    get sku(): string;
    /**
     *
     */
    set sku(value: string);
    private _sourceImageId?;
    /**
     *
     */
    get sourceImageId(): string | undefined;
    /**
     *
     */
    set sourceImageId(value: string | undefined);
    private _tags?;
    /**
     *
     */
    get tags(): {
        [key: string]: string;
    } | undefined;
    /**
     *
     */
    set tags(value: {
        [key: string]: string;
    } | undefined);
    private _timezone?;
    /**
     *
     */
    get timezone(): string | undefined;
    /**
     *
     */
    set timezone(value: string | undefined);
    /**
     *
     */
    get uniqueId(): string;
    private _upgradeMode?;
    /**
     *
     */
    get upgradeMode(): string | undefined;
    /**
     *
     */
    set upgradeMode(value: string | undefined);
    private _zoneBalance?;
    /**
     *
     */
    get zoneBalance(): boolean | undefined;
    /**
     *
     */
    set zoneBalance(value: boolean | undefined);
    private _zones?;
    /**
     *
     */
    get zones(): string[] | undefined;
    /**
     *
     */
    set zones(value: string[] | undefined);
    private _additionalCapabilities?;
    /**
     *
     */
    get additionalCapabilities(): WindowsVirtualMachineScaleSetAdditionalCapabilities[] | undefined;
    /**
     *
     */
    set additionalCapabilities(value: WindowsVirtualMachineScaleSetAdditionalCapabilities[] | undefined);
    private _additionalUnattendContent?;
    /**
     *
     */
    get additionalUnattendContent(): WindowsVirtualMachineScaleSetAdditionalUnattendContent[] | undefined;
    /**
     *
     */
    set additionalUnattendContent(value: WindowsVirtualMachineScaleSetAdditionalUnattendContent[] | undefined);
    private _automaticOsUpgradePolicy?;
    /**
     *
     */
    get automaticOsUpgradePolicy(): WindowsVirtualMachineScaleSetAutomaticOsUpgradePolicy[] | undefined;
    /**
     *
     */
    set automaticOsUpgradePolicy(value: WindowsVirtualMachineScaleSetAutomaticOsUpgradePolicy[] | undefined);
    private _bootDiagnostics?;
    /**
     *
     */
    get bootDiagnostics(): WindowsVirtualMachineScaleSetBootDiagnostics[] | undefined;
    /**
     *
     */
    set bootDiagnostics(value: WindowsVirtualMachineScaleSetBootDiagnostics[] | undefined);
    private _dataDisk?;
    /**
     *
     */
    get dataDisk(): WindowsVirtualMachineScaleSetDataDisk[] | undefined;
    /**
     *
     */
    set dataDisk(value: WindowsVirtualMachineScaleSetDataDisk[] | undefined);
    private _identity?;
    /**
     *
     */
    get identity(): WindowsVirtualMachineScaleSetIdentity[] | undefined;
    /**
     *
     */
    set identity(value: WindowsVirtualMachineScaleSetIdentity[] | undefined);
    private _networkInterface;
    /**
     *
     */
    get networkInterface(): WindowsVirtualMachineScaleSetNetworkInterface[];
    /**
     *
     */
    set networkInterface(value: WindowsVirtualMachineScaleSetNetworkInterface[]);
    private _osDisk;
    /**
     *
     */
    get osDisk(): WindowsVirtualMachineScaleSetOsDisk[];
    /**
     *
     */
    set osDisk(value: WindowsVirtualMachineScaleSetOsDisk[]);
    private _plan?;
    /**
     *
     */
    get plan(): WindowsVirtualMachineScaleSetPlan[] | undefined;
    /**
     *
     */
    set plan(value: WindowsVirtualMachineScaleSetPlan[] | undefined);
    private _rollingUpgradePolicy?;
    /**
     *
     */
    get rollingUpgradePolicy(): WindowsVirtualMachineScaleSetRollingUpgradePolicy[] | undefined;
    /**
     *
     */
    set rollingUpgradePolicy(value: WindowsVirtualMachineScaleSetRollingUpgradePolicy[] | undefined);
    private _secret?;
    /**
     *
     */
    get secret(): WindowsVirtualMachineScaleSetSecret[] | undefined;
    /**
     *
     */
    set secret(value: WindowsVirtualMachineScaleSetSecret[] | undefined);
    private _sourceImageReference?;
    /**
     *
     */
    get sourceImageReference(): WindowsVirtualMachineScaleSetSourceImageReference[] | undefined;
    /**
     *
     */
    set sourceImageReference(value: WindowsVirtualMachineScaleSetSourceImageReference[] | undefined);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): WindowsVirtualMachineScaleSetTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: WindowsVirtualMachineScaleSetTimeouts | undefined);
    private _winrmListener?;
    /**
     *
     */
    get winrmListener(): WindowsVirtualMachineScaleSetWinrmListener[] | undefined;
    /**
     *
     */
    set winrmListener(value: WindowsVirtualMachineScaleSetWinrmListener[] | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
