import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface WindowsVirtualMachineConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly adminPassword: string;
    /**
     *
     */
    readonly adminUsername: string;
    /**
     *
     */
    readonly allowExtensionOperations?: boolean;
    /**
     *
     */
    readonly availabilitySetId?: string;
    /**
     *
     */
    readonly computerName?: string;
    /**
     *
     */
    readonly customData?: string;
    /**
     *
     */
    readonly dedicatedHostId?: string;
    /**
     *
     */
    readonly enableAutomaticUpdates?: boolean;
    /**
     *
     */
    readonly evictionPolicy?: string;
    /**
     *
     */
    readonly licenseType?: string;
    /**
     *
     */
    readonly location: string;
    /**
     *
     */
    readonly maxBidPrice?: number;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly networkInterfaceIds: string[];
    /**
     *
     */
    readonly priority?: string;
    /**
     *
     */
    readonly provisionVmAgent?: boolean;
    /**
     *
     */
    readonly proximityPlacementGroupId?: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly size: string;
    /**
     *
     */
    readonly sourceImageId?: string;
    /**
     *
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     *
     */
    readonly timezone?: string;
    /**
     *
     */
    readonly zone?: string;
    /**
     * additional_capabilities block.
     */
    readonly additionalCapabilities?: WindowsVirtualMachineAdditionalCapabilities[];
    /**
     * additional_unattend_content block.
     */
    readonly additionalUnattendContent?: WindowsVirtualMachineAdditionalUnattendContent[];
    /**
     * boot_diagnostics block.
     */
    readonly bootDiagnostics?: WindowsVirtualMachineBootDiagnostics[];
    /**
     * identity block.
     */
    readonly identity?: WindowsVirtualMachineIdentity[];
    /**
     * os_disk block.
     */
    readonly osDisk: WindowsVirtualMachineOsDisk[];
    /**
     * plan block.
     */
    readonly plan?: WindowsVirtualMachinePlan[];
    /**
     * secret block.
     */
    readonly secret?: WindowsVirtualMachineSecret[];
    /**
     * source_image_reference block.
     */
    readonly sourceImageReference?: WindowsVirtualMachineSourceImageReference[];
    /**
     * timeouts block.
     */
    readonly timeouts?: WindowsVirtualMachineTimeouts;
    /**
     * winrm_listener block.
     */
    readonly winrmListener?: WindowsVirtualMachineWinrmListener[];
}
/**
 *
 */
export interface WindowsVirtualMachineAdditionalCapabilities {
    /**
     *
     */
    readonly ultraSsdEnabled?: boolean;
}
/**
 *
 */
export interface WindowsVirtualMachineAdditionalUnattendContent {
    /**
     *
     */
    readonly content: string;
    /**
     *
     */
    readonly setting: string;
}
/**
 *
 */
export interface WindowsVirtualMachineBootDiagnostics {
    /**
     *
     */
    readonly storageAccountUri: string;
}
/**
 *
 */
export interface WindowsVirtualMachineIdentity {
    /**
     *
     */
    readonly identityIds?: string[];
    /**
     *
     */
    readonly type: string;
}
/**
 *
 */
export interface WindowsVirtualMachineOsDiskDiffDiskSettings {
    /**
     *
     */
    readonly option: string;
}
/**
 *
 */
export interface WindowsVirtualMachineOsDisk {
    /**
     *
     */
    readonly caching: string;
    /**
     *
     */
    readonly diskEncryptionSetId?: string;
    /**
     *
     */
    readonly diskSizeGb?: number;
    /**
     *
     */
    readonly name?: string;
    /**
     *
     */
    readonly storageAccountType: string;
    /**
     *
     */
    readonly writeAcceleratorEnabled?: boolean;
    /**
     * diff_disk_settings block.
     */
    readonly diffDiskSettings?: WindowsVirtualMachineOsDiskDiffDiskSettings[];
}
/**
 *
 */
export interface WindowsVirtualMachinePlan {
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly product: string;
    /**
     *
     */
    readonly publisher: string;
}
/**
 *
 */
export interface WindowsVirtualMachineSecretCertificate {
    /**
     *
     */
    readonly store: string;
    /**
     *
     */
    readonly url: string;
}
/**
 *
 */
export interface WindowsVirtualMachineSecret {
    /**
     *
     */
    readonly keyVaultId: string;
    /**
     * certificate block.
     */
    readonly certificate: WindowsVirtualMachineSecretCertificate[];
}
/**
 *
 */
export interface WindowsVirtualMachineSourceImageReference {
    /**
     *
     */
    readonly offer: string;
    /**
     *
     */
    readonly publisher: string;
    /**
     *
     */
    readonly sku: string;
    /**
     *
     */
    readonly version: string;
}
/**
 *
 */
export interface WindowsVirtualMachineTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export interface WindowsVirtualMachineWinrmListener {
    /**
     *
     */
    readonly certificateUrl?: string;
    /**
     *
     */
    readonly protocol: string;
}
/**
 *
 */
export declare class WindowsVirtualMachine extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: WindowsVirtualMachineConfig);
    private _adminPassword;
    /**
     *
     */
    get adminPassword(): string;
    /**
     *
     */
    set adminPassword(value: string);
    private _adminUsername;
    /**
     *
     */
    get adminUsername(): string;
    /**
     *
     */
    set adminUsername(value: string);
    private _allowExtensionOperations?;
    /**
     *
     */
    get allowExtensionOperations(): boolean | undefined;
    /**
     *
     */
    set allowExtensionOperations(value: boolean | undefined);
    private _availabilitySetId?;
    /**
     *
     */
    get availabilitySetId(): string | undefined;
    /**
     *
     */
    set availabilitySetId(value: string | undefined);
    private _computerName?;
    /**
     *
     */
    get computerName(): string | undefined;
    /**
     *
     */
    set computerName(value: string | undefined);
    private _customData?;
    /**
     *
     */
    get customData(): string | undefined;
    /**
     *
     */
    set customData(value: string | undefined);
    private _dedicatedHostId?;
    /**
     *
     */
    get dedicatedHostId(): string | undefined;
    /**
     *
     */
    set dedicatedHostId(value: string | undefined);
    private _enableAutomaticUpdates?;
    /**
     *
     */
    get enableAutomaticUpdates(): boolean | undefined;
    /**
     *
     */
    set enableAutomaticUpdates(value: boolean | undefined);
    private _evictionPolicy?;
    /**
     *
     */
    get evictionPolicy(): string | undefined;
    /**
     *
     */
    set evictionPolicy(value: string | undefined);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _licenseType?;
    /**
     *
     */
    get licenseType(): string | undefined;
    /**
     *
     */
    set licenseType(value: string | undefined);
    private _location;
    /**
     *
     */
    get location(): string;
    /**
     *
     */
    set location(value: string);
    private _maxBidPrice?;
    /**
     *
     */
    get maxBidPrice(): number | undefined;
    /**
     *
     */
    set maxBidPrice(value: number | undefined);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _networkInterfaceIds;
    /**
     *
     */
    get networkInterfaceIds(): string[];
    /**
     *
     */
    set networkInterfaceIds(value: string[]);
    private _priority?;
    /**
     *
     */
    get priority(): string | undefined;
    /**
     *
     */
    set priority(value: string | undefined);
    /**
     *
     */
    get privateIpAddress(): string;
    /**
     *
     */
    get privateIpAddresses(): string[];
    private _provisionVmAgent?;
    /**
     *
     */
    get provisionVmAgent(): boolean | undefined;
    /**
     *
     */
    set provisionVmAgent(value: boolean | undefined);
    private _proximityPlacementGroupId?;
    /**
     *
     */
    get proximityPlacementGroupId(): string | undefined;
    /**
     *
     */
    set proximityPlacementGroupId(value: string | undefined);
    /**
     *
     */
    get publicIpAddress(): string;
    /**
     *
     */
    get publicIpAddresses(): string[];
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _size;
    /**
     *
     */
    get size(): string;
    /**
     *
     */
    set size(value: string);
    private _sourceImageId?;
    /**
     *
     */
    get sourceImageId(): string | undefined;
    /**
     *
     */
    set sourceImageId(value: string | undefined);
    private _tags?;
    /**
     *
     */
    get tags(): {
        [key: string]: string;
    } | undefined;
    /**
     *
     */
    set tags(value: {
        [key: string]: string;
    } | undefined);
    private _timezone?;
    /**
     *
     */
    get timezone(): string | undefined;
    /**
     *
     */
    set timezone(value: string | undefined);
    /**
     *
     */
    get virtualMachineId(): string;
    private _zone?;
    /**
     *
     */
    get zone(): string | undefined;
    /**
     *
     */
    set zone(value: string | undefined);
    private _additionalCapabilities?;
    /**
     *
     */
    get additionalCapabilities(): WindowsVirtualMachineAdditionalCapabilities[] | undefined;
    /**
     *
     */
    set additionalCapabilities(value: WindowsVirtualMachineAdditionalCapabilities[] | undefined);
    private _additionalUnattendContent?;
    /**
     *
     */
    get additionalUnattendContent(): WindowsVirtualMachineAdditionalUnattendContent[] | undefined;
    /**
     *
     */
    set additionalUnattendContent(value: WindowsVirtualMachineAdditionalUnattendContent[] | undefined);
    private _bootDiagnostics?;
    /**
     *
     */
    get bootDiagnostics(): WindowsVirtualMachineBootDiagnostics[] | undefined;
    /**
     *
     */
    set bootDiagnostics(value: WindowsVirtualMachineBootDiagnostics[] | undefined);
    private _identity?;
    /**
     *
     */
    get identity(): WindowsVirtualMachineIdentity[] | undefined;
    /**
     *
     */
    set identity(value: WindowsVirtualMachineIdentity[] | undefined);
    private _osDisk;
    /**
     *
     */
    get osDisk(): WindowsVirtualMachineOsDisk[];
    /**
     *
     */
    set osDisk(value: WindowsVirtualMachineOsDisk[]);
    private _plan?;
    /**
     *
     */
    get plan(): WindowsVirtualMachinePlan[] | undefined;
    /**
     *
     */
    set plan(value: WindowsVirtualMachinePlan[] | undefined);
    private _secret?;
    /**
     *
     */
    get secret(): WindowsVirtualMachineSecret[] | undefined;
    /**
     *
     */
    set secret(value: WindowsVirtualMachineSecret[] | undefined);
    private _sourceImageReference?;
    /**
     *
     */
    get sourceImageReference(): WindowsVirtualMachineSourceImageReference[] | undefined;
    /**
     *
     */
    set sourceImageReference(value: WindowsVirtualMachineSourceImageReference[] | undefined);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): WindowsVirtualMachineTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: WindowsVirtualMachineTimeouts | undefined);
    private _winrmListener?;
    /**
     *
     */
    get winrmListener(): WindowsVirtualMachineWinrmListener[] | undefined;
    /**
     *
     */
    set winrmListener(value: WindowsVirtualMachineWinrmListener[] | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
