import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface MssqlDatabaseVulnerabilityAssessmentRuleBaselineConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly baselineName?: string;
    /**
     *
     */
    readonly databaseName: string;
    /**
     *
     */
    readonly ruleId: string;
    /**
     *
     */
    readonly serverVulnerabilityAssessmentId: string;
    /**
     * baseline_result block.
     */
    readonly baselineResult: MssqlDatabaseVulnerabilityAssessmentRuleBaselineBaselineResult[];
    /**
     * timeouts block.
     */
    readonly timeouts?: MssqlDatabaseVulnerabilityAssessmentRuleBaselineTimeouts;
}
/**
 *
 */
export interface MssqlDatabaseVulnerabilityAssessmentRuleBaselineBaselineResult {
    /**
     *
     */
    readonly result: string[];
}
/**
 *
 */
export interface MssqlDatabaseVulnerabilityAssessmentRuleBaselineTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class MssqlDatabaseVulnerabilityAssessmentRuleBaseline extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: MssqlDatabaseVulnerabilityAssessmentRuleBaselineConfig);
    private _baselineName?;
    /**
     *
     */
    get baselineName(): string | undefined;
    /**
     *
     */
    set baselineName(value: string | undefined);
    private _databaseName;
    /**
     *
     */
    get databaseName(): string;
    /**
     *
     */
    set databaseName(value: string);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _ruleId;
    /**
     *
     */
    get ruleId(): string;
    /**
     *
     */
    set ruleId(value: string);
    private _serverVulnerabilityAssessmentId;
    /**
     *
     */
    get serverVulnerabilityAssessmentId(): string;
    /**
     *
     */
    set serverVulnerabilityAssessmentId(value: string);
    private _baselineResult;
    /**
     *
     */
    get baselineResult(): MssqlDatabaseVulnerabilityAssessmentRuleBaselineBaselineResult[];
    /**
     *
     */
    set baselineResult(value: MssqlDatabaseVulnerabilityAssessmentRuleBaselineBaselineResult[]);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): MssqlDatabaseVulnerabilityAssessmentRuleBaselineTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: MssqlDatabaseVulnerabilityAssessmentRuleBaselineTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
