import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface MssqlServerVulnerabilityAssessmentConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly serverSecurityAlertPolicyId: string;
    /**
     *
     */
    readonly storageAccountAccessKey?: string;
    /**
     *
     */
    readonly storageContainerPath: string;
    /**
     *
     */
    readonly storageContainerSasKey?: string;
    /**
     * recurring_scans block.
     */
    readonly recurringScans?: MssqlServerVulnerabilityAssessmentRecurringScans[];
    /**
     * timeouts block.
     */
    readonly timeouts?: MssqlServerVulnerabilityAssessmentTimeouts;
}
/**
 *
 */
export interface MssqlServerVulnerabilityAssessmentRecurringScans {
    /**
     *
     */
    readonly emailSubscriptionAdmins?: boolean;
    /**
     *
     */
    readonly emails?: string[];
    /**
     *
     */
    readonly enabled?: boolean;
}
/**
 *
 */
export interface MssqlServerVulnerabilityAssessmentTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class MssqlServerVulnerabilityAssessment extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: MssqlServerVulnerabilityAssessmentConfig);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _serverSecurityAlertPolicyId;
    /**
     *
     */
    get serverSecurityAlertPolicyId(): string;
    /**
     *
     */
    set serverSecurityAlertPolicyId(value: string);
    private _storageAccountAccessKey?;
    /**
     *
     */
    get storageAccountAccessKey(): string | undefined;
    /**
     *
     */
    set storageAccountAccessKey(value: string | undefined);
    private _storageContainerPath;
    /**
     *
     */
    get storageContainerPath(): string;
    /**
     *
     */
    set storageContainerPath(value: string);
    private _storageContainerSasKey?;
    /**
     *
     */
    get storageContainerSasKey(): string | undefined;
    /**
     *
     */
    set storageContainerSasKey(value: string | undefined);
    private _recurringScans?;
    /**
     *
     */
    get recurringScans(): MssqlServerVulnerabilityAssessmentRecurringScans[] | undefined;
    /**
     *
     */
    set recurringScans(value: MssqlServerVulnerabilityAssessmentRecurringScans[] | undefined);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): MssqlServerVulnerabilityAssessmentTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: MssqlServerVulnerabilityAssessmentTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
